/**
*
* dhtmlXLayoutObject object class.
* @id dhtmlXLayoutObject
* @class dhtmlXLayoutObject
* @constructor
* @alias dhtmlXLayoutObject.prototype
 * @return {dhtmlXLayoutObject}
 */
 function dhtmlXLayoutObject(){};




/**
 * 
 * @id dhtmlXLayoutObject.attachAccordion
 * @class dhtmlXLayoutObject
 * @method attachAccordion
 * @memberOf dhtmlXLayoutObject
 * @example var dhxAcc = dhxLayout.cells("a").attachAccordion(); // returns accordion object
 */
 dhtmlXLayoutObject.prototype.attachAccordion = function() {};
/**
 * 
 * @id dhtmlXLayoutObject.attachEditor
 * @class dhtmlXLayoutObject
 * @method attachEditor
 * @memberOf dhtmlXLayoutObject
 * @example var dhxEd = dhxLayout.cells("a").attachEditor(); // returns editor object
 */
 dhtmlXLayoutObject.prototype.attachEditor = function() {};
/**
 * 
 * @id dhtmlXLayoutObject.attachDataView
 * @class dhtmlXLayoutObject
 * @method attachDataView
 * @memberOf dhtmlXLayoutObject
 * @example var config = {
 * 	type:{
 * 		template:"#Package# : #Version#<br/>#Maintainer#",
 * 		padding:5,
 * 		height:40
 * 	}
 *     };
 *     var dhxData = dhxLayout.cells("a").attachDataView(config); // returns folders object
 */
 dhtmlXLayoutObject.prototype.attachDataView = function() {};
/**
 * 
 * @id dhtmlXLayoutObject.attachGoogleMaps
 * @class dhtmlXLayoutObject
 * @method attachGoogleMaps
 * @memberOf dhtmlXLayoutObject
 * @example var GMaps = dhxLayout.cells("b").attachGoogleMaps(); // returns GoogleMaps object
 */
 dhtmlXLayoutObject.prototype.attachGoogleMaps = function() {};
/**
 * 
 * @id dhtmlXLayoutObject.attachGrid
 * @class dhtmlXLayoutObject
 * @method attachGrid
 * @memberOf dhtmlXLayoutObject
 * @example var dhxGrid = dhxLayout.cells("a").attachGrid(); // returns grid object
 */
 dhtmlXLayoutObject.prototype.attachGrid = function() {};
/**
 * 
 * @id dhtmlXLayoutObject.attachHTMLString
 * @class dhtmlXLayoutObject
 * @method attachHTMLString
 * @memberOf dhtmlXLayoutObject
 * @example dhxLayout.cells("a").attachHTMLString(htmlString);
 */
 dhtmlXLayoutObject.prototype.attachHTMLString = function() {};
/**
 * attaches dhtmlxLayout to the cell, returns layout object
 * @id dhtmlXLayoutObject.attachLayout
 * @class dhtmlXLayoutObject
 * @method attachLayout
 * @memberOf dhtmlXLayoutObject
 * @param {String} pattern pattern - layout&#039;s pattern (3L, 4U, ...)
 * @param {String} [skin] skin - optional, skin from parent component will applied automatically
 * @example var dhxLayout2 = dhxLayout.cells("a").attachLayout("3L"); // returns layout object
 */
 dhtmlXLayoutObject.prototype.attachLayout = function(pattern, skin) {};
/**
 * 
 * @id dhtmlXLayoutObject.attachMenu
 * @class dhtmlXLayoutObject
 * @method attachMenu
 * @memberOf dhtmlXLayoutObject
 * @example var dhxMenu = dhxLayout.cells("a").attachMenu(); // returns menu object
 */
 dhtmlXLayoutObject.prototype.attachMenu = function() {};
/**
 * attaches html object to the cell
 * @id dhtmlXLayoutObject.attachObject
 * @class dhtmlXLayoutObject
 * @method attachObject
 * @memberOf dhtmlXLayoutObject
 * @param {Object} obj obj - object/objectId
 * @example <script>
 *         dhxLayout.cells("a").attachObject("myObj");
 *         // or
 *         var obj = document.getElementById("myObj");
 *         dhxLayout.cells("a").attachObject(obj);
 *     </script>
 */
 dhtmlXLayoutObject.prototype.attachObject = function(obj) {};
/**
 * 
 * @id dhtmlXLayoutObject.attachStatusBar
 * @class dhtmlXLayoutObject
 * @method attachStatusBar
 * @memberOf dhtmlXLayoutObject
 * @example var sb = dhxLayout.cells("a").attachStatusBar(); // returns status bar object
 */
 dhtmlXLayoutObject.prototype.attachStatusBar = function() {};
/**
 * 
 * @id dhtmlXLayoutObject.attachTabbar
 * @class dhtmlXLayoutObject
 * @method attachTabbar
 * @memberOf dhtmlXLayoutObject
 * @example var dhxTabbar = dhxLayout.cells("a").attachTabbar(); // returns tabbar object
 */
 dhtmlXLayoutObject.prototype.attachTabbar = function() {};
/**
 * 
 * @id dhtmlXLayoutObject.attachToolbar
 * @class dhtmlXLayoutObject
 * @method attachToolbar
 * @memberOf dhtmlXLayoutObject
 * @example var dhxToolbar = dhxLayout.cells("a").attachToolbar(); // returns toolbar object
 */
 dhtmlXLayoutObject.prototype.attachToolbar = function() {};
/**
 * 
 * @id dhtmlXLayoutObject.attachTree
 * @class dhtmlXLayoutObject
 * @method attachTree
 * @memberOf dhtmlXLayoutObject
 * @example var dhxTree = dhxLayout.cells("a").attachTree(); // returns tree object
 */
 dhtmlXLayoutObject.prototype.attachTree = function() {};
/**
 * attaches url to the cell
 * @id dhtmlXLayoutObject.attachURL
 * @class dhtmlXLayoutObject
 * @method attachURL
 * @memberOf dhtmlXLayoutObject
 * @param {String} url url - url (string)
 * @example dhxLayout.cells("a").attachURL("http://some.address.com/some.page.html");
 */
 dhtmlXLayoutObject.prototype.attachURL = function(url) {};
/**
 * 
 * @id dhtmlXLayoutObject.collapse
 * @class dhtmlXLayoutObject
 * @method collapse
 * @memberOf dhtmlXLayoutObject
 * @example dhxLayout.cells(id).collapse();
 */
 dhtmlXLayoutObject.prototype.collapse = function() {};
/**
 * 
 * @id dhtmlXLayoutObject.detachMenu
 * @class dhtmlXLayoutObject
 * @method detachMenu
 * @memberOf dhtmlXLayoutObject
 * @example dhxLayout.detachMenu();
 * dhxLayout.cells(id).detachMenu();
 */
 dhtmlXLayoutObject.prototype.detachMenu = function() {};
/**
 * 
 * @id dhtmlXLayoutObject.detachObject
 * @class dhtmlXLayoutObject
 * @method detachObject
 * @memberOf dhtmlXLayoutObject
 * @example var dhxLayout = new dhtmlXLayoutObject(document.body, "3L");
 *     dhxLayout.cells("a").attachObject("myObj");
 */
 dhtmlXLayoutObject.prototype.detachObject = function() {};
/**
 * 
 * @id dhtmlXLayoutObject.detachStatusBar
 * @class dhtmlXLayoutObject
 * @method detachStatusBar
 * @memberOf dhtmlXLayoutObject
 * @example dhxLayout.detachStatusBar();
 *     dhxLayout.cells(id).detachStatusBar();
 */
 dhtmlXLayoutObject.prototype.detachStatusBar = function() {};
/**
 * 
 * @id dhtmlXLayoutObject.detachToolbar
 * @class dhtmlXLayoutObject
 * @method detachToolbar
 * @memberOf dhtmlXLayoutObject
 * @example dhxLayout.detachToolbar();
 * dhxLayout.cells(id).detachToolbar();
 */
 dhtmlXLayoutObject.prototype.detachToolbar = function() {};
/**
 * 
 * @id dhtmlXLayoutObject.dock
 * @class dhtmlXLayoutObject
 * @method dock
 * @memberOf dhtmlXLayoutObject
 * @example dhxLayout.cells(id).dock();
 */
 dhtmlXLayoutObject.prototype.dock = function() {};
/**
 * 
 * @id dhtmlXLayoutObject.expand
 * @class dhtmlXLayoutObject
 * @method expand
 * @memberOf dhtmlXLayoutObject
 * @example dhxLayout.cells(id).expand();
 */
 dhtmlXLayoutObject.prototype.expand = function() {};
/**
 * fixes cell&#039;s size (block resize)
 * @id dhtmlXLayoutObject.fixSize
 * @class dhtmlXLayoutObject
 * @method fixSize
 * @memberOf dhtmlXLayoutObject
 * @param {Boolean} width width - true/false
 * @param {Boolean} height height - true/false
 * @example dhxLayout.cells(id).fixSize(true, false);
 */
 dhtmlXLayoutObject.prototype.fixSize = function(width, height) {};
/**
 * 
 * @id dhtmlXLayoutObject.getFrame
 * @class dhtmlXLayoutObject
 * @method getFrame
 * @memberOf dhtmlXLayoutObject
 * @example var iframeObject = dhxLayout.cells(id).getFrame();
 *     var winObject = iframeObject.contentWindow;
 */
 dhtmlXLayoutObject.prototype.getFrame = function() {};
/**
 * 
 * @id dhtmlXLayoutObject.getHeight
 * @class dhtmlXLayoutObject
 * @method getHeight
 * @memberOf dhtmlXLayoutObject
 * @example var h = dhxLayout.cells(id).getHeight();
 */
 dhtmlXLayoutObject.prototype.getHeight = function() {};
/**
 * 
 * @id dhtmlXLayoutObject.getId
 * @class dhtmlXLayoutObject
 * @method getId
 * @memberOf dhtmlXLayoutObject
 * @example var id = dhxLayout.items[0].getId(); // will return "a"; [0] is item's index
 *   // or
 * var ids = new Array();
 * dhxLayout.forEachItem(function(item){
 *   ids[ids.length] = item.getId();
 * });
 *   // ids will contain ["a","b","c"...] depending on pattern
 */
 dhtmlXLayoutObject.prototype.getId = function() {};
/**
 * 
 * @id dhtmlXLayoutObject.getIndex
 * @class dhtmlXLayoutObject
 * @method getIndex
 * @memberOf dhtmlXLayoutObject
 * @example var ind = dhxLayout.cells("a").getIndex(); // will return 0; "a" is item's id
 *   // or
 * var inds = new Array();
 * dhxLayout.forEachItem(function(item){
 *   inds[inds.length] = item.getIndex();
 * });
 *   // inds will contain [0,1,2...] depending on pattern
 */
 dhtmlXLayoutObject.prototype.getIndex = function() {};
/**
 * 
 * @id dhtmlXLayoutObject.getText
 * @class dhtmlXLayoutObject
 * @method getText
 * @memberOf dhtmlXLayoutObject
 * @example var text = dhxLayout.cells("a").getText();
 */
 dhtmlXLayoutObject.prototype.getText = function() {};
/**
 * 
 * @id dhtmlXLayoutObject.getWidth
 * @class dhtmlXLayoutObject
 * @method getWidth
 * @memberOf dhtmlXLayoutObject
 * @example var w = dhxLayout.cells("a").getWidth();
 */
 dhtmlXLayoutObject.prototype.getWidth = function() {};
/**
 * 
 * @id dhtmlXLayoutObject.hideHeader
 * @class dhtmlXLayoutObject
 * @method hideHeader
 * @memberOf dhtmlXLayoutObject
 * @example dhxLayout.cells("a").hideHeader();
 */
 dhtmlXLayoutObject.prototype.hideHeader = function() {};
/**
 * 
 * @id dhtmlXLayoutObject.hideMenu
 * @class dhtmlXLayoutObject
 * @method hideMenu
 * @memberOf dhtmlXLayoutObject
 * @example dhxLayout.hideMenu();
 * dhxLayout.cells(id).hideMenu();
 */
 dhtmlXLayoutObject.prototype.hideMenu = function() {};
/**
 * 
 * @id dhtmlXLayoutObject.hideStatusBar
 * @class dhtmlXLayoutObject
 * @method hideStatusBar
 * @memberOf dhtmlXLayoutObject
 * @example dhxLayout.hideStatusBar();
 * dhxLayout.cells(id).hideStatusBar();
 */
 dhtmlXLayoutObject.prototype.hideStatusBar = function() {};
/**
 * 
 * @id dhtmlXLayoutObject.hideToolbar
 * @class dhtmlXLayoutObject
 * @method hideToolbar
 * @memberOf dhtmlXLayoutObject
 * @example dhxLayout.hideToolbar();
 * dhxLayout.cells(id).hideToolbar();
 */
 dhtmlXLayoutObject.prototype.hideToolbar = function() {};
/**
 * 
 * @id dhtmlXLayoutObject.isCollapsed
 * @class dhtmlXLayoutObject
 * @method isCollapsed
 * @memberOf dhtmlXLayoutObject
 * @example var isCollapsed = dhxLayout.cells("a").isCollapsed(); // will return true/false
 */
 dhtmlXLayoutObject.prototype.isCollapsed = function() {};
/**
 * 
 * @id dhtmlXLayoutObject.isHeaderVisible
 * @class dhtmlXLayoutObject
 * @method isHeaderVisible
 * @memberOf dhtmlXLayoutObject
 * @example var isHeaderVisible = dhxLayout.cells("a").isHeaderVisible(); // will return true/false
 */
 dhtmlXLayoutObject.prototype.isHeaderVisible = function() {};
/**
 * 
 * @id dhtmlXLayoutObject.progressOff
 * @class dhtmlXLayoutObject
 * @method progressOff
 * @memberOf dhtmlXLayoutObject
 * @example dhxLayout.cells("a").progressOff();
 */
 dhtmlXLayoutObject.prototype.progressOff = function() {};
/**
 * 
 * @id dhtmlXLayoutObject.progressOn
 * @class dhtmlXLayoutObject
 * @method progressOn
 * @memberOf dhtmlXLayoutObject
 * @example dhxLayout.cells("a").progressOn();
 */
 dhtmlXLayoutObject.prototype.progressOn = function() {};
/**
 * sets cell&#039;s height
 * @id dhtmlXLayoutObject.setHeight
 * @class dhtmlXLayoutObject
 * @method setHeight
 * @memberOf dhtmlXLayoutObject
 * @param {String} height height
 * @example dhxLayout.cells("a").setHeight(200);
 */
 dhtmlXLayoutObject.prototype.setHeight = function(height) {};
/**
 * set header&#039;s text
 * @id dhtmlXLayoutObject.setText
 * @class dhtmlXLayoutObject
 * @method setText
 * @memberOf dhtmlXLayoutObject
 * @param {String} text text - new header&#039;s text
 * @example dhxLayout.cells("a").setText("New Text");
 */
 dhtmlXLayoutObject.prototype.setText = function(text) {};
/**
 * sets cell&#039;s width
 * @id dhtmlXLayoutObject.setWidth
 * @class dhtmlXLayoutObject
 * @method setWidth
 * @memberOf dhtmlXLayoutObject
 * @param {String} width width
 * @example dhxLayout.cells("a").setWidth(200);
 */
 dhtmlXLayoutObject.prototype.setWidth = function(width) {};
/**
 * 
 * @id dhtmlXLayoutObject.show
 * @class dhtmlXLayoutObject
 * @method show
 * @memberOf dhtmlXLayoutObject
 * @example dhxLayout.cells("a").view("SomeView").show();
 */
 dhtmlXLayoutObject.prototype.show = function() {};
/**
 * 
 * @id dhtmlXLayoutObject.showHeader
 * @class dhtmlXLayoutObject
 * @method showHeader
 * @memberOf dhtmlXLayoutObject
 * @example dhxLayout.cells("a").showHeader();
 */
 dhtmlXLayoutObject.prototype.showHeader = function() {};
/**
 * 
 * @id dhtmlXLayoutObject.showMenu
 * @class dhtmlXLayoutObject
 * @method showMenu
 * @memberOf dhtmlXLayoutObject
 * @example dhxLayout.showMenu();
 * dhxLayout.cells(id).showMenu();
 */
 dhtmlXLayoutObject.prototype.showMenu = function() {};
/**
 * 
 * @id dhtmlXLayoutObject.showStatusBar
 * @class dhtmlXLayoutObject
 * @method showStatusBar
 * @memberOf dhtmlXLayoutObject
 * @example dhxLayout.showStatusBar();
 * dhxLayout.cells(id).showStatusBar();
 */
 dhtmlXLayoutObject.prototype.showStatusBar = function() {};
/**
 * 
 * @id dhtmlXLayoutObject.showToolbar
 * @class dhtmlXLayoutObject
 * @method showToolbar
 * @memberOf dhtmlXLayoutObject
 * @example dhxLayout.showToolbar();
 *     dhxLayout.cells(id).showToolbar();
 */
 dhtmlXLayoutObject.prototype.showToolbar = function() {};
/**
 * create a view
 * @id dhtmlXLayoutObject.view
 * @class dhtmlXLayoutObject
 * @method view
 * @memberOf dhtmlXLayoutObject
 * @param {String} text text - a view&#039;s name
 * @example dhxLayout.cells("a").view("SomeView");
 */
 dhtmlXLayoutObject.prototype.view = function(text) {};
/**
 * 
 * @id dhtmlXLayoutObject.undock
 * @class dhtmlXLayoutObject
 * @method undock
 * @memberOf dhtmlXLayoutObject
 * @example dhxLayout.cells("a").undock();
 */
 dhtmlXLayoutObject.prototype.undock = function() {};
/**
 * attaches an event handler to a dhtmlxLayout
 * @id dhtmlXLayoutObject.attachEvent
 * @class dhtmlXLayoutObject
 * @method attachEvent
 * @memberOf dhtmlXLayoutObject
 * @param {String} original original - event&#039;s original name;
 * @param {String} catcher catcher - event handler;
 * @param {Object} CallObj CallObj - object that will call the event.
 * @example dhxLayout.attachEvent("onExpand",function(id){
 *         alert("Cell "+id+" was expanded.");
 *     });
 *     // or
 *     function doOnExpand(id) {
 *         alert("Cell "+id+" was expanded.");
 *     }
 *     dhxLayout.attachEvent("onExpand", doOnExpand);
 */
 dhtmlXLayoutObject.prototype.attachEvent = function(original, catcher, CallObj) {};
/**
 * 
 * @id dhtmlXLayoutObject.attachMenu
 * @class dhtmlXLayoutObject
 * @method attachMenu
 * @memberOf dhtmlXLayoutObject
 * @example var dhxMenu = dhxLayout.attachMenu(); // returns menu object
 */
 dhtmlXLayoutObject.prototype.attachMenu = function() {};
/**
 * 
 * @id dhtmlXLayoutObject.attachStatusBar
 * @class dhtmlXLayoutObject
 * @method attachStatusBar
 * @memberOf dhtmlXLayoutObject
 * @example var sb = dhxLayout.attachStatusBar(); // returns status bar object
 *     // setting status bar text
 *     sb.setText("Status Bar");
 *     // getting status bar text
 *     var sbText = sb.getText();
 */
 dhtmlXLayoutObject.prototype.attachStatusBar = function() {};
/**
 * 
 * @id dhtmlXLayoutObject.attachToolbar
 * @class dhtmlXLayoutObject
 * @method attachToolbar
 * @memberOf dhtmlXLayoutObject
 * @example var dhxToolbar = dhxLayout.attachToolbar(); // returns toolbar object
 */
 dhtmlXLayoutObject.prototype.attachToolbar = function() {};
/**
 * returns cell&#039;s object by cell&#039;s id
 * @id dhtmlXLayoutObject.cells
 * @class dhtmlXLayoutObject
 * @method cells
 * @memberOf dhtmlXLayoutObject
 * @param {String} id id - cell&#039;s id
 * @example var item = dhxLayout.cells("a"); // returns cell object
 */
 dhtmlXLayoutObject.prototype.cells = function(id) {};
/**
 * returns true if the event exists
 * @id dhtmlXLayoutObject.checkEvent
 * @class dhtmlXLayoutObject
 * @method checkEvent
 * @memberOf dhtmlXLayoutObject
 * @param {String} name name - event&#039;s name
 * @example var isEventExists = dhxLayout.checkEvent("onExpand"); // returns true/false
 */
 dhtmlXLayoutObject.prototype.checkEvent = function(name) {};
/**
 * removes an event handler
 * @id dhtmlXLayoutObject.detachEvent
 * @class dhtmlXLayoutObject
 * @method detachEvent
 * @memberOf dhtmlXLayoutObject
 * @param {String} id id - event id
 * @example var id = dhxLayout.attachEvent("onExpand",function(){});
 *     // detaching event
 *     dhxLayout.detachEvent(id);
 */
 dhtmlXLayoutObject.prototype.detachEvent = function(id) {};
/**
 * 
 * @id dhtmlXLayoutObject.detachMenu
 * @class dhtmlXLayoutObject
 * @method detachMenu
 * @memberOf dhtmlXLayoutObject
 * @example dhxLayout.detachMenu();
 * dhxLayout.cells(id).detachMenu();
 */
 dhtmlXLayoutObject.prototype.detachMenu = function() {};
/**
 * 
 * @id dhtmlXLayoutObject.detachStatusBar
 * @class dhtmlXLayoutObject
 * @method detachStatusBar
 * @memberOf dhtmlXLayoutObject
 * @example dhxLayout.detachStatusBar();
 *     dhxLayout.cells(id).detachStatusBar();
 */
 dhtmlXLayoutObject.prototype.detachStatusBar = function() {};
/**
 * 
 * @id dhtmlXLayoutObject.detachToolbar
 * @class dhtmlXLayoutObject
 * @method detachToolbar
 * @memberOf dhtmlXLayoutObject
 * @example dhxLayout.detachToolbar();
 * dhxLayout.cells(id).detachToolbar();
 */
 dhtmlXLayoutObject.prototype.detachToolbar = function() {};
/**
 * iterator, calls a user-defined function n-times
 * @id dhtmlXLayoutObject.forEachItem
 * @class dhtmlXLayoutObject
 * @method forEachItem
 * @memberOf dhtmlXLayoutObject
 * @param {Object} handler handler - user-defined function, passed cell&#039;s object as an argument
 * @example dhxLayout.forEachItem(function(item){
 *         // do action with item, for example
 *         item.hideHeader();
 *     });
 *     // or
 *     function doWithItem(item) {
 *         item.hideHeader();
 *     }
 *     dhxLayout.forEachItem(doWithItem);
 */
 dhtmlXLayoutObject.prototype.forEachItem = function(handler) {};
/**
 * returns true if the effect is enabled
 * @id dhtmlXLayoutObject.getEffect
 * @class dhtmlXLayoutObject
 * @method getEffect
 * @memberOf dhtmlXLayoutObject
 * @param {String} efName efName - effect name
 * @example var isResizeEffect = dhxLayout.getEffect("resize"); // return true/false
 */
 dhtmlXLayoutObject.prototype.getEffect = function(efName) {};
/**
 * returns cell&#039;s id by index
 * @id dhtmlXLayoutObject.getIdByIndex
 * @class dhtmlXLayoutObject
 * @method getIdByIndex
 * @memberOf dhtmlXLayoutObject
 * @param {Number} ind ind - cell&#039;s index (int)
 * @example var id_0 = dhxLayout.getIdByIndex(0); // returns "a"
 *     var id_1 = dhxLayout.getIdByIndex(1); // returns "b"
 *     ...
 */
 dhtmlXLayoutObject.prototype.getIdByIndex = function(ind) {};
/**
 * returns cell&#039;s index by id
 * @id dhtmlXLayoutObject.getIndexById
 * @class dhtmlXLayoutObject
 * @method getIndexById
 * @memberOf dhtmlXLayoutObject
 * @param {String} id id - cell&#039;s id (string)
 * @example var ind_a = dhxLayout.getIndexById("a"); // returns 0
 *     var ind_b = dhxLayout.getIndexById("b"); // returns 1
 *     ...
 */
 dhtmlXLayoutObject.prototype.getIndexById = function(id) {};
/**
 * 
 * @id dhtmlXLayoutObject.hideMenu
 * @class dhtmlXLayoutObject
 * @method hideMenu
 * @memberOf dhtmlXLayoutObject
 * @example dhxLayout.hideMenu();
 * dhxLayout.cells(id).hideMenu();
 */
 dhtmlXLayoutObject.prototype.hideMenu = function() {};
/**
 * 
 * @id dhtmlXLayoutObject.hideStatusBar
 * @class dhtmlXLayoutObject
 * @method hideStatusBar
 * @memberOf dhtmlXLayoutObject
 * @example dhxLayout.hideStatusBar();
 * dhxLayout.cells(id).hideStatusBar();
 */
 dhtmlXLayoutObject.prototype.hideStatusBar = function() {};
/**
 * 
 * @id dhtmlXLayoutObject.hideToolbar
 * @class dhtmlXLayoutObject
 * @method hideToolbar
 * @memberOf dhtmlXLayoutObject
 * @example dhxLayout.hideToolbar();
 * dhxLayout.cells(id).hideToolbar();
 */
 dhtmlXLayoutObject.prototype.hideToolbar = function() {};
/**
 * 
 * @id dhtmlXLayoutObject.listAutoSizes
 * @class dhtmlXLayoutObject
 * @method listAutoSizes
 * @memberOf dhtmlXLayoutObject
 * @example var dhxLayout = dhtmlXLayoutObject(document.body, "5I");
 *     var autoSizes = dhxLayout.listAutoSizes();
 */
 dhtmlXLayoutObject.prototype.listAutoSizes = function() {};
/**
 * 
 * @id dhtmlXLayoutObject.listViews
 * @class dhtmlXLayoutObject
 * @method listViews
 * @memberOf dhtmlXLayoutObject
 * @example var patterns = dhxLayout.listViews();
 */
 dhtmlXLayoutObject.prototype.listViews = function() {};
/**
 * 
 * @id dhtmlXLayoutObject.progressOff
 * @class dhtmlXLayoutObject
 * @method progressOff
 * @memberOf dhtmlXLayoutObject
 * @example dhxLayout.progressOff();
 */
 dhtmlXLayoutObject.prototype.progressOff = function() {};
/**
 * 
 * @id dhtmlXLayoutObject.progressOn
 * @class dhtmlXLayoutObject
 * @method progressOn
 * @memberOf dhtmlXLayoutObject
 * @example dhxLayout.progressOn();
 */
 dhtmlXLayoutObject.prototype.progressOn = function() {};
/**
 * sets autosize for the layout
 * @id dhtmlXLayoutObject.setAutoSize
 * @class dhtmlXLayoutObject
 * @method setAutoSize
 * @memberOf dhtmlXLayoutObject
 * @param {String} hor hor - cells that will be autosized horizontally
 * @param {String} ver ver - cells that will be autosized vertically
 * @example var dhxLayout = new dhtmlXLayoutObject(document.body, "5I");
 *     // default autosize for "5I" pattern is ["a;d;e", "e"]
 *     // redefine autosize
 *     dhxLayout.setAutoSize("a;b;e", "a");
 */
 dhtmlXLayoutObject.prototype.setAutoSize = function(hor, ver) {};
/**
 * The methods takes 2 parameters:
 * @id dhtmlXLayoutObject.setCollapsedText
 * @class dhtmlXLayoutObject
 * @method setCollapsedText
 * @memberOf dhtmlXLayoutObject
 * @param {String} text id - cell id
 * @example dhxLayout.setCollapsedText("a","New Text");
 */
 dhtmlXLayoutObject.prototype.setCollapsedText = function(text) {};
/**
 * sets effect
 * @id dhtmlXLayoutObject.setEffect
 * @class dhtmlXLayoutObject
 * @method setEffect
 * @memberOf dhtmlXLayoutObject
 * @param {String} efName efName - effect&#039;s name
 * @param {Boolean} efValue efValue - true/false
 * @example dhxLayout.setEffect("resize", true); // turn on "resize" effect
 *     dhxLayout.setEffect("highlight", false); // turn off "highlight" effect
 */
 dhtmlXLayoutObject.prototype.setEffect = function(efName, efValue) {};
/**
 * sets path to images
 * @id dhtmlXLayoutObject.setImagePath
 * @class dhtmlXLayoutObject
 * @method setImagePath
 * @memberOf dhtmlXLayoutObject
 * @param {String} path path - path on hard disk
 * @example dhxLayout.setImagePath("path/on/harddrive/");
 */
 dhtmlXLayoutObject.prototype.setImagePath = function(path) {};
/**
 * 
 * @id dhtmlXLayoutObject.setSizes
 * @class dhtmlXLayoutObject
 * @method setSizes
 * @memberOf dhtmlXLayoutObject
 * @example var dhxLayout = new dhtmlXLayoutObject("myLayout", "3L");
 */
 dhtmlXLayoutObject.prototype.setSizes = function() {};
/**
 * sets layout&#039;s skin
 * @id dhtmlXLayoutObject.setSkin
 * @class dhtmlXLayoutObject
 * @method setSkin
 * @memberOf dhtmlXLayoutObject
 * @param {String} skin skin - skin name (string)
 * @example dhxLayout.setSkin("dhx_skyblue");
 */
 dhtmlXLayoutObject.prototype.setSkin = function(skin) {};
/**
 * 
 * @id dhtmlXLayoutObject.showMenu
 * @class dhtmlXLayoutObject
 * @method showMenu
 * @memberOf dhtmlXLayoutObject
 * @example dhxLayout.showMenu();
 * dhxLayout.cells(id).showMenu();
 */
 dhtmlXLayoutObject.prototype.showMenu = function() {};
/**
 * 
 * @id dhtmlXLayoutObject.showStatusBar
 * @class dhtmlXLayoutObject
 * @method showStatusBar
 * @memberOf dhtmlXLayoutObject
 * @example dhxLayout.showStatusBar();
 * dhxLayout.cells(id).showStatusBar();
 */
 dhtmlXLayoutObject.prototype.showStatusBar = function() {};
/**
 * 
 * @id dhtmlXLayoutObject.showToolbar
 * @class dhtmlXLayoutObject
 * @method showToolbar
 * @memberOf dhtmlXLayoutObject
 * @example dhxLayout.showToolbar();
 *     dhxLayout.cells(id).showToolbar();
 */
 dhtmlXLayoutObject.prototype.showToolbar = function() {};


/**
*
* dhtmlXAccordion object class.
* @id dhtmlXAccordion
* @class dhtmlXAccordion
* @constructor
* @alias dhtmlXAccordion.prototype
 * @return {dhtmlXAccordion}
 */
 function dhtmlXAccordion(){};




/**
 * 
 * @id dhtmlXAccordion.attachAccordion
 * @class dhtmlXAccordion
 * @method attachAccordion
 * @memberOf dhtmlXAccordion
 * @example var dhxAcc = dhxLayout.cells("a").attachAccordion(); // returns accordion object
 */
 dhtmlXAccordion.prototype.attachAccordion = function() {};
/**
 * 
 * @id dhtmlXAccordion.attachEditor
 * @class dhtmlXAccordion
 * @method attachEditor
 * @memberOf dhtmlXAccordion
 * @example var dhxEd = dhxLayout.cells("a").attachEditor(); // returns editor object
 */
 dhtmlXAccordion.prototype.attachEditor = function() {};
/**
 * 
 * @id dhtmlXAccordion.attachFolders
 * @class dhtmlXAccordion
 * @method attachFolders
 * @memberOf dhtmlXAccordion
 * @example var dhxFolders = dhxLayout.cells("a").attachFolders(); // returns folders object
 */
 dhtmlXAccordion.prototype.attachFolders = function() {};
/**
 * 
 * @id dhtmlXAccordion.attachGrid
 * @class dhtmlXAccordion
 * @method attachGrid
 * @memberOf dhtmlXAccordion
 * @example var dhxGrid = dhxLayout.cells("a").attachGrid(); // returns grid object
 */
 dhtmlXAccordion.prototype.attachGrid = function() {};
/**
 * 
 * @id dhtmlXAccordion.attachMap
 * @class dhtmlXAccordion
 * @method attachMap
 * @memberOf dhtmlXAccordion
 * @example var GMaps = dhxLayout.cells("b").attachMap(); // returns GoogleMaps object
 */
 dhtmlXAccordion.prototype.attachMap = function() {};
/**
 * attaches dhtmlxLayout to a cell, returns a layout object
 * @id dhtmlXAccordion.attachLayout
 * @class dhtmlXAccordion
 * @method attachLayout
 * @memberOf dhtmlXAccordion
 * @param {String} pattern pattern - layout&#039;s pattern (3L, 4U, ...)
 * @param {String} [skin] skin - optional, the skin from the parent component will applied automatically
 * @example var dhxLayout2 = dhxLayout.cells("a").attachLayout("3L"); // returns layout object
 */
 dhtmlXAccordion.prototype.attachLayout = function(pattern, skin) {};
/**
 * 
 * @id dhtmlXAccordion.attachMenu
 * @class dhtmlXAccordion
 * @method attachMenu
 * @memberOf dhtmlXAccordion
 * @example var dhxMenu = dhxLayout.cells("a").attachMenu // returns menu object
 */
 dhtmlXAccordion.prototype.attachMenu = function() {};
/**
 * attaches the html object to a cell
 * @id dhtmlXAccordion.attachObject
 * @class dhtmlXAccordion
 * @method attachObject
 * @memberOf dhtmlXAccordion
 * @param {Object} obj obj - object/objectId
 * @example <script>
 *    dhxLayout.cells("a").attachObject("myObj");
 *    // or
 *    var obj = document.getElementById("myObj");
 *    dhxLayout.cells("a").attachObject(obj);
 * </script>
 */
 dhtmlXAccordion.prototype.attachObject = function(obj) {};
/**
 * 
 * @id dhtmlXAccordion.attachStatusBar
 * @class dhtmlXAccordion
 * @method attachStatusBar
 * @memberOf dhtmlXAccordion
 * @example var sb = dhxLayout.cells("a").attachStatusBar(); // returns status bar object
 */
 dhtmlXAccordion.prototype.attachStatusBar = function() {};
/**
 * 
 * @id dhtmlXAccordion.attachTabbar
 * @class dhtmlXAccordion
 * @method attachTabbar
 * @memberOf dhtmlXAccordion
 * @example var dhxTabbar = dhxLayout.cells("a").attachTabbar(); // returns tabbar object
 */
 dhtmlXAccordion.prototype.attachTabbar = function() {};
/**
 * 
 * @id dhtmlXAccordion.attachToolbar
 * @class dhtmlXAccordion
 * @method attachToolbar
 * @memberOf dhtmlXAccordion
 * @example var dhxToolbar = dhxLayout.cells("a").attachToolbar(); // returns toolbar object
 */
 dhtmlXAccordion.prototype.attachToolbar = function() {};
/**
 * 
 * @id dhtmlXAccordion.attachTree
 * @class dhtmlXAccordion
 * @method attachTree
 * @memberOf dhtmlXAccordion
 * @example var dhxTree = dhxLayout.cells("a").attachTree(); // returns tree object
 */
 dhtmlXAccordion.prototype.attachTree = function() {};
/**
 * attaches url to a cell
 * @id dhtmlXAccordion.attachURL
 * @class dhtmlXAccordion
 * @method attachURL
 * @memberOf dhtmlXAccordion
 * @param {String} url url - url (string)
 * @example dhxLayout.cells("a").attachURL("http://some.address.com/some.page.html");
 *   // link to iframe
 * var ifr = dhxLayout.cells("a")._frame;
 */
 dhtmlXAccordion.prototype.attachURL = function(url) {};
/**
 * 
 * @id dhtmlXAccordion.clearIcon
 * @class dhtmlXAccordion
 * @method clearIcon
 * @memberOf dhtmlXAccordion
 * @example dhxAcc.cells(id).clearIcon();
 */
 dhtmlXAccordion.prototype.clearIcon = function() {};
/**
 * 
 * @id dhtmlXAccordion.close
 * @class dhtmlXAccordion
 * @method close
 * @memberOf dhtmlXAccordion
 * @example dhxAcc.cells(id).close();
 */
 dhtmlXAccordion.prototype.close = function() {};
/**
 * 
 * @id dhtmlXAccordion.dock
 * @class dhtmlXAccordion
 * @method dock
 * @memberOf dhtmlXAccordion
 * @example dhxAcc.cells(id).dock();
 */
 dhtmlXAccordion.prototype.dock = function() {};
/**
 * 
 * @id dhtmlXAccordion.getId
 * @class dhtmlXAccordion
 * @method getId
 * @memberOf dhtmlXAccordion
 * @example dhxAcc.forEachItem(function(item){
 *    var id = item.getId();
 * });
 */
 dhtmlXAccordion.prototype.getId = function() {};
/**
 * 
 * @id dhtmlXAccordion.getText
 * @class dhtmlXAccordion
 * @method getText
 * @memberOf dhtmlXAccordion
 * @example var text = dhxAcc.cells(id).getText();
 */
 dhtmlXAccordion.prototype.getText = function() {};
/**
 * 
 * @id dhtmlXAccordion.hide
 * @class dhtmlXAccordion
 * @method hide
 * @memberOf dhtmlXAccordion
 * @example dhxAcc.cells(id).hide();
 */
 dhtmlXAccordion.prototype.hide = function() {};
/**
 * 
 * @id dhtmlXAccordion.isOpened
 * @class dhtmlXAccordion
 * @method isOpened
 * @memberOf dhtmlXAccordion
 * @example var isOp = dhxAcc.cells(id).isOpened(); // returns true/false
 */
 dhtmlXAccordion.prototype.isOpened = function() {};
/**
 * 
 * @id dhtmlXAccordion.moveOnTop
 * @class dhtmlXAccordion
 * @method moveOnTop
 * @memberOf dhtmlXAccordion
 * @example dhxAcc.cells(id).moveOnTop();
 */
 dhtmlXAccordion.prototype.moveOnTop = function() {};
/**
 * 
 * @id dhtmlXAccordion.open
 * @class dhtmlXAccordion
 * @method open
 * @memberOf dhtmlXAccordion
 * @example dhxAcc.cells(id).open();
 */
 dhtmlXAccordion.prototype.open = function() {};
/**
 * sets item&#039;s height for multimode
 * @id dhtmlXAccordion.setHeight
 * @class dhtmlXAccordion
 * @method setHeight
 * @memberOf dhtmlXAccordion
 * @param {String} height height - height for whole item (with header)
 * @example dhxAcc.cells(id).setHeight(200);
 */
 dhtmlXAccordion.prototype.setHeight = function(height) {};
/**
 * sets an item&#039;s icon (header icon)
 * @id dhtmlXAccordion.setIcon
 * @class dhtmlXAccordion
 * @method setIcon
 * @memberOf dhtmlXAccordion
 * @param {String} icon icon - filepath
 * @example dhxAcc.cells(id).setIcon("path/to/file.gif");
 */
 dhtmlXAccordion.prototype.setIcon = function(icon) {};
/**
 * sets item&#039;s text
 * @id dhtmlXAccordion.setText
 * @class dhtmlXAccordion
 * @method setText
 * @memberOf dhtmlXAccordion
 * @param {String} text text - new text
 * @example dhxAcc.cells(id).setText("New Text");
 */
 dhtmlXAccordion.prototype.setText = function(text) {};
/**
 * 
 * @id dhtmlXAccordion.show
 * @class dhtmlXAccordion
 * @method show
 * @memberOf dhtmlXAccordion
 * @example dhxAcc.cells(id).show();
 */
 dhtmlXAccordion.prototype.show = function() {};
/**
 * 
 * @id dhtmlXAccordion.undock
 * @class dhtmlXAccordion
 * @method undock
 * @memberOf dhtmlXAccordion
 * @example dhxAcc.cells(id).undock();
 */
 dhtmlXAccordion.prototype.undock = function() {};
/**
 * adds a new item
 * @id dhtmlXAccordion.addItem
 * @class dhtmlXAccordion
 * @method addItem
 * @memberOf dhtmlXAccordion
 * @param {String} itemId itemId - item&#039;s id
 * @param {String} itemText itemText - item&#039;s text
 * @example var dhxAcc = new dhtmlXAccordionObject(...);
 *   // adding items
 * dhxAcc.adItem("item_a", "The Secret of Monkey Island");
 * dhxAcc.adItem("item_b", "Monkey Island 2: LeChuck's Revenge");
 * dhxAcc.adItem("item_c", "The Curse of Monkey Island");
 *     ...
 */
 dhtmlXAccordion.prototype.addItem = function(itemId, itemText) {};
/**
 * attaches an event handler to accordion
 * @id dhtmlXAccordion.attachEvent
 * @class dhtmlXAccordion
 * @method attachEvent
 * @memberOf dhtmlXAccordion
 * @param {String} original original - event&#039;s original name;
 * @param {String} catcher catcher - event handler;
 * @param {Object} CallObj CallObj - object that will call the event.
 * @example dhxAcc.attachEvent("onActive", function(item){
 *    // code here
 * });
 *    // or
 * function doOnActive(item){
 *    // code here
 * });
 * dhxAcc.attachEvent("onActive", doOnActive);
 */
 dhtmlXAccordion.prototype.attachEvent = function(original, catcher, CallObj) {};
/**
 * returns the handler to an item by the id
 * @id dhtmlXAccordion.cells
 * @class dhtmlXAccordion
 * @method cells
 * @memberOf dhtmlXAccordion
 * @param {String} itemId itemId - id
 * @example var item = dhxAcc.cells(id);
 *     item.setText("New Text");
 *     // or
 *     dhxAcc.cells(id).setText("New Text");
 */
 dhtmlXAccordion.prototype.cells = function(itemId) {};
/**
 * returns true if the event exists
 * @id dhtmlXAccordion.checkEvent
 * @class dhtmlXAccordion
 * @method checkEvent
 * @memberOf dhtmlXAccordion
 * @param {String} name name - event&#039;s name
 * @example var isEv = dhxAcc.checkEvent("onActive"); // returns true/false
 */
 dhtmlXAccordion.prototype.checkEvent = function(name) {};
/**
 * removes an event handler
 * @id dhtmlXAccordion.detachEvent
 * @class dhtmlXAccordion
 * @method detachEvent
 * @memberOf dhtmlXAccordion
 * @param {String} id id - event&#039;s id
 * @example var evId = dhxAcc.attachEvent("onActive", function(){});
 *  // detaching event
 * dhxAcc.detachEvent(evId);
 */
 dhtmlXAccordion.prototype.detachEvent = function(id) {};
/**
 * 
 * @id dhtmlXAccordion.enableMultiMode
 * @class dhtmlXAccordion
 * @method enableMultiMode
 * @memberOf dhtmlXAccordion
 * @example var dhxAcc = new dhtmlXAccordion(...);
 *   // first enabling multimode
 * dhxAcc.enableMultiMode(true);
 *   // then adding items
 * dhxAcc.adItem("item_a", "The Secret of Monkey Island");
 * dhxAcc.adItem("item_b", "Monkey Island 2: LeChuck's Revenge");
 * dhxAcc.adItem("item_c", "The Curse of Monkey Island");
 *   ...
 */
 dhtmlXAccordion.prototype.enableMultiMode = function() {};
/**
 * iterator, calls a user-defined function n-times
 * @id dhtmlXAccordion.forEachItem
 * @class dhtmlXAccordion
 * @method forEachItem
 * @memberOf dhtmlXAccordion
 * @param {Object} handler handler - user-defined function, item&#039;s object is passed as incoming argument
 * @example dhxAcc.forEachItem(function(item){
 *     // code here
 * });
 *     // or
 * function doWithItem(item){
 *     // code here
 * });
 * dhxAcc.forEachItem(doWithItem);
 */
 dhtmlXAccordion.prototype.forEachItem = function(handler) {};
/**
 * removes an existing item
 * @id dhtmlXAccordion.removeItem
 * @class dhtmlXAccordion
 * @method removeItem
 * @memberOf dhtmlXAccordion
 * @param {String} id id - item&#039;s id
 * @example dhxAcc.removeItem(id);
 */
 dhtmlXAccordion.prototype.removeItem = function(id) {};
/**
 * sets an effect
 * @id dhtmlXAccordion.setEffect
 * @class dhtmlXAccordion
 * @method setEffect
 * @memberOf dhtmlXAccordion
 * @param {Boolean} efValue efValue - true/false
 * @example dhxAccord.setEffect( true); // turn on effect
 */
 dhtmlXAccordion.prototype.setEffect = function(efValue) {};
/**
 * sets path to icons
 * @id dhtmlXAccordion.setIconsPath
 * @class dhtmlXAccordion
 * @method setIconsPath
 * @memberOf dhtmlXAccordion
 * @param {String} path path - path on the hard disk
 * @example dhxAcc.setIconsPath("path/to/icons/");
 */
 dhtmlXAccordion.prototype.setIconsPath = function(path) {};
/**
 * 
 * @id dhtmlXAccordion.setSizes
 * @class dhtmlXAccordion
 * @method setSizes
 * @memberOf dhtmlXAccordion
 * @example var dhxAcc = new dhtmlXAccordionObject("myAcc");
 */
 dhtmlXAccordion.prototype.setSizes = function() {};
/**
 * 
 * @id dhtmlXAccordion.unload
 * @class dhtmlXAccordion
 * @method unload
 * @memberOf dhtmlXAccordion
 * @example var dhxAcc = new dhtmlXAccordion(...);
 *  // unloading
 * dhxAcc.unload();
 * dhxAcc = null;
 */
 dhtmlXAccordion.prototype.unload = function() {};


/**
*
* dhtmlXTabBar object class.
* @id dhtmlXTabBar
* @class dhtmlXTabBar
* @constructor
* @alias dhtmlXTabBar.prototype
 * @return {dhtmlXTabBar}
 */
 function dhtmlXTabBar(){};




/**
 * add tab to TabBar
 * @id dhtmlXTabBar.addTab
 * @class dhtmlXTabBar
 * @method addTab
 * @memberOf dhtmlXTabBar
 * @param {String} id id - tab id
 * @param {String} text text - tab content
 * @param {String} size size - width(height) of tab
 * @param {Number} [position] position - tab index , optional
 * @param {Number} [row] row - index of row, optional  [only in PRO version]
 * @example 
 */
 dhtmlXTabBar.prototype.addTab = function(id, text, size, position, row) {};
/**
 * adds any user-defined handler to available events
 * @id dhtmlXTabBar.attachEvent 
 * @class dhtmlXTabBar
 * @method attachEvent 
 * @memberOf dhtmlXTabBar
 * @param {String} evName evName - name of the event;
 * @example tabbar.attachEvent(evName, evHandler);
 */
 dhtmlXTabBar.prototype.attachEvent  = function(evName, evHandler) {};
/**
 * 
 * @id dhtmlXTabBar.clearAll
 * @class dhtmlXTabBar
 * @method clearAll
 * @memberOf dhtmlXTabBar
 * @example 
 */
 dhtmlXTabBar.prototype.clearAll = function() {};
/**
 * 
 * @id dhtmlXTabBar.detachEvent 
 * @class dhtmlXTabBar
 * @method detachEvent 
 * @memberOf dhtmlXTabBar
 * @param {String} id id - event id
 * @example tabbar.detachEvent(id);
 */
 dhtmlXTabBar.prototype.detachEvent  = function(id) {};
/**
 * disable tab in tabbar
 * @id dhtmlXTabBar.disableTab
 * @class dhtmlXTabBar
 * @method disableTab
 * @memberOf dhtmlXTabBar
 * @param {String} id tab - id of tab
 * @example 
 */
 dhtmlXTabBar.prototype.disableTab = function(id) {};
/**
 * enable / disable auto adjusting height and width   to outer conteiner
 * @id dhtmlXTabBar.enableAutoReSize
 * @class dhtmlXTabBar
 * @method enableAutoReSize
 * @memberOf dhtmlXTabBar
 * @example 
 */
 dhtmlXTabBar.prototype.enableAutoReSize = function() {};
/**
 * enable disable auto adjusting height and width   to inner content
 * @id dhtmlXTabBar.enableAutoSize
 * @class dhtmlXTabBar
 * @method enableAutoSize
 * @memberOf dhtmlXTabBar
 * @param {String} autoWidth autoWidth - enable/disable auto adjusting width
 * @param {String} autoHeight autoHeight - enable/disable auto adjusting height
 * @example 
 */
 dhtmlXTabBar.prototype.enableAutoSize = function(autoWidth,autoHeight) {};
/**
 * enable/disable content zone (enabled by default)
 * @id dhtmlXTabBar.enableContentZone
 * @class dhtmlXTabBar
 * @method enableContentZone
 * @memberOf dhtmlXTabBar
 * @param {Boolean} mode mode - true/false
 * @example 
 */
 dhtmlXTabBar.prototype.enableContentZone = function(mode) {};
/**
 * 
 * @id dhtmlXTabBar.enableForceHiding
 * @class dhtmlXTabBar
 * @method enableForceHiding
 * @memberOf dhtmlXTabBar
 * @param {Boolean} mode mode - true/false
 * @example 
 */
 dhtmlXTabBar.prototype.enableForceHiding = function(mode) {};
/**
 * enable/disable scrollers ( enabled by default )
 * @id dhtmlXTabBar.enableScroll
 * @class dhtmlXTabBar
 * @method enableScroll
 * @memberOf dhtmlXTabBar
 * @param {Boolean} mode mode - true/false
 * @example 
 */
 dhtmlXTabBar.prototype.enableScroll = function(mode) {};
/**
 * enable tab in tabbar
 * @id dhtmlXTabBar.enableTab
 * @class dhtmlXTabBar
 * @method enableTab
 * @memberOf dhtmlXTabBar
 * @param {String} id tab - id of tab
 * @example 
 */
 dhtmlXTabBar.prototype.enableTab = function(id) {};
/**
 * enable mode, in which each tab has close button, mode will be applied to the tabs created AFTER command
 * @id dhtmlXTabBar.enableTabCloseButton
 * @class dhtmlXTabBar
 * @method enableTabCloseButton
 * @memberOf dhtmlXTabBar
 * @param {Boolean} mode bool - false/true - enable/disable
 * @example 
 */
 dhtmlXTabBar.prototype.enableTabCloseButton = function(mode) {};
/**
 * forcing to load tab in question
 * @id dhtmlXTabBar.forceLoad
 * @class dhtmlXTabBar
 * @method forceLoad
 * @memberOf dhtmlXTabBar
 * @param {String} id tabId - id of tab in question
 * @param {String} [href] href - new href, optional
 * @example 
 */
 dhtmlXTabBar.prototype.forceLoad = function(id,href) {};
/**
 * 
 * @id dhtmlXTabBar.getActiveTab
 * @class dhtmlXTabBar
 * @method getActiveTab
 * @memberOf dhtmlXTabBar
 * @example 
 */
 dhtmlXTabBar.prototype.getActiveTab = function() {};
/**
 * get label of tab
 * @id dhtmlXTabBar.getLabel
 * @class dhtmlXTabBar
 * @method getLabel
 * @memberOf dhtmlXTabBar
 * @param {String} tab tab - id of tab
 * @example 
 */
 dhtmlXTabBar.prototype.getLabel = function(tab) {};
/**
 * 
 * @id dhtmlXTabBar.goToNextTab
 * @class dhtmlXTabBar
 * @method goToNextTab
 * @memberOf dhtmlXTabBar
 * @example 
 */
 dhtmlXTabBar.prototype.goToNextTab = function(tab) {};
/**
 * 
 * @id dhtmlXTabBar.goToPrevTab
 * @class dhtmlXTabBar
 * @method goToPrevTab
 * @memberOf dhtmlXTabBar
 * @example 
 */
 dhtmlXTabBar.prototype.goToPrevTab = function(tab) {};
/**
 * hide tab in tabbar
 * @id dhtmlXTabBar.hideTab
 * @class dhtmlXTabBar
 * @method hideTab
 * @memberOf dhtmlXTabBar
 * @param {String} id tab - id of tab
 * @example 
 */
 dhtmlXTabBar.prototype.hideTab = function(id) {};
/**
 * load tabbar from xml file
 * @id dhtmlXTabBar.loadXML
 * @class dhtmlXTabBar
 * @method loadXML
 * @memberOf dhtmlXTabBar
 * @param {String} url file - link too XML file
 * @param {String} call afterCall - function which will be called after xml loading
 * @example 
 */
 dhtmlXTabBar.prototype.loadXML = function(url,call) {};
/**
 * load tabbar from xml string
 * @id dhtmlXTabBar.loadXMLString
 * @class dhtmlXTabBar
 * @method loadXMLString
 * @memberOf dhtmlXTabBar
 * @param {String} xmlString xmlString - XML string
 * @param {String} call afterCall - function which will be called after xml loading
 * @example 
 */
 dhtmlXTabBar.prototype.loadXMLString = function(xmlString,call) {};
/**
 * reformat tabbar to remove tab scrollers
 * @id dhtmlXTabBar.normalize
 * @class dhtmlXTabBar
 * @method normalize
 * @memberOf dhtmlXTabBar
 * @param {String} [limit] limit - width of tabbar zone, optional
 * @param {Boolean} [full] full - true | false - force to change size of tabs to make rows of equal width
 * @example 
 */
 dhtmlXTabBar.prototype.normalize = function(limit,full) {};
/**
 * remove tab from tabbar
 * @id dhtmlXTabBar.removeTab
 * @class dhtmlXTabBar
 * @method removeTab
 * @memberOf dhtmlXTabBar
 * @param {String} id tab - id of tab
 * @param {String} mode mode - if set to true, selection jump from current tab to nearest one
 * @example 
 */
 dhtmlXTabBar.prototype.removeTab = function(id,mode) {};
/**
 * set align of tabs on tabbar
 * @id dhtmlXTabBar.setAlign
 * @class dhtmlXTabBar
 * @method setAlign
 * @memberOf dhtmlXTabBar
 * @param {String} n align - left/right for gorizontal tabbar, top/bottom for vertical tabbar
 * @example 
 */
 dhtmlXTabBar.prototype.setAlign = function(n) {};
/**
 * set content of tab
 * @id dhtmlXTabBar.setContent
 * @class dhtmlXTabBar
 * @method setContent
 * @memberOf dhtmlXTabBar
 * @param {String} id id - id of tab
 * @param {Object} value nodeId - id of container, or container object
 * @example 
 */
 dhtmlXTabBar.prototype.setContent = function(id,value) {};
/**
 * 
 * @id dhtmlXTabBar.setContentHTML
 * @class dhtmlXTabBar
 * @method setContentHTML
 * @memberOf dhtmlXTabBar
 * @param {String} id id - id of tab
 * @param {String} value html - html string
 * @example 
 */
 dhtmlXTabBar.prototype.setContentHTML = function(id,value) {};
/**
 * set content as a href to an external file
 * @id dhtmlXTabBar.setContentHref
 * @class dhtmlXTabBar
 * @method setContentHref
 * @memberOf dhtmlXTabBar
 * @param {String} id href - link too external file
 * @example 
 */
 dhtmlXTabBar.prototype.setContentHref = function(id,href) {};
/**
 * set specific colors for specific tab
 * @id dhtmlXTabBar.setCustomStyle
 * @class dhtmlXTabBar
 * @method setCustomStyle
 * @memberOf dhtmlXTabBar
 * @param {String} id id - id of tab for which setting will be applied
 * @param {String} color color - tab color
 * @param {String} [scolor] color - scolor - color in selected state ( optional)
 * @param {String} [style] css - css class will be attached to text of tab in question
 * @example 
 */
 dhtmlXTabBar.prototype.setCustomStyle = function(id,color,scolor,style) {};
/**
 * set mode of loading external content
 * @id dhtmlXTabBar.setHrefMode
 * @class dhtmlXTabBar
 * @method setHrefMode
 * @memberOf dhtmlXTabBar
 * @param {String} mode mode - href mode - iframe/iframes/ajax
 * @example 
 */
 dhtmlXTabBar.prototype.setHrefMode = function(mode) {};
/**
 * set path to image folder ( not affect already created element until their state changes )
 * @id dhtmlXTabBar.setImagePath
 * @class dhtmlXTabBar
 * @method setImagePath
 * @memberOf dhtmlXTabBar
 * @param {String} url path - path to image folder
 * @example 
 */
 dhtmlXTabBar.prototype.setImagePath = function(url) {};
/**
 * set label of tab
 * @id dhtmlXTabBar.setLabel
 * @class dhtmlXTabBar
 * @method setLabel
 * @memberOf dhtmlXTabBar
 * @param {String} id tab - id of tab
 * @param {String} text value -  new label
 * @example 
 */
 dhtmlXTabBar.prototype.setLabel = function(id,text) {};
/**
 * set distance between tabs
 * @id dhtmlXTabBar.setMargin
 * @class dhtmlXTabBar
 * @method setMargin
 * @memberOf dhtmlXTabBar
 * @param {String} n margin - margin value
 * @example 
 */
 dhtmlXTabBar.prototype.setMargin = function(n) {};
/**
 * set offset before first tab on tabbar
 * @id dhtmlXTabBar.setOffset
 * @class dhtmlXTabBar
 * @method setOffset
 * @memberOf dhtmlXTabBar
 * @param {String} n offset - offset value
 * @example 
 */
 dhtmlXTabBar.prototype.setOffset = function(n) {};
/**
 * set control size
 * @id dhtmlXTabBar.setSize
 * @class dhtmlXTabBar
 * @method setSize
 * @memberOf dhtmlXTabBar
 * @param {String} x width - new width
 * @param {String} y height - new height
 * @example 
 */
 dhtmlXTabBar.prototype.setSize = function(x,y) {};
/**
 * set style used for tabbar
 * @id dhtmlXTabBar.setSkin
 * @class dhtmlXTabBar
 * @method setSkin
 * @memberOf dhtmlXTabBar
 * @param {String} name name - any valid style name
 * @example 
 */
 dhtmlXTabBar.prototype.setSkin = function(name) {};
/**
 * allow to set skin specific color, must be used AFTER selecting skin
 * @id dhtmlXTabBar.setSkinColors
 * @class dhtmlXTabBar
 * @method setSkinColors
 * @memberOf dhtmlXTabBar
 * @param {String} a a_tab - color of activ tab
 * @param {String} b p_tab - color of passive tab
 * @example 
 */
 dhtmlXTabBar.prototype.setSkinColors = function(a,b) {};
/**
 * switch tab to active state
 * @id dhtmlXTabBar.setTabActive
 * @class dhtmlXTabBar
 * @method setTabActive
 * @memberOf dhtmlXTabBar
 * @param {String} id tabId - id of tab
 * @example 
 */
 dhtmlXTabBar.prototype.setTabActive = function(id) {};
/**
 * show hidden tab in tabbar
 * @id dhtmlXTabBar.showTab
 * @class dhtmlXTabBar
 * @method showTab
 * @memberOf dhtmlXTabBar
 * @param {String} id tab - id of tab
 * @example 
 */
 dhtmlXTabBar.prototype.showTab = function(id) {};
/**
 * return window of tab content for iframe based tabbar
 * @id dhtmlXTabBar.tabWindow
 * @class dhtmlXTabBar
 * @method tabWindow
 * @memberOf dhtmlXTabBar
 * @param {String} tab_id tab_id - tab id
 * @example 
 */
 dhtmlXTabBar.prototype.tabWindow = function(tab_id) {};
/**
 * 
 * @id dhtmlXTabBar.attachAccordion
 * @class dhtmlXTabBar
 * @method attachAccordion
 * @memberOf dhtmlXTabBar
 * @example var dhxAcc = dhxLayout.cells("a").attachAccordion(); // returns accordion object
 */
 dhtmlXTabBar.prototype.attachAccordion = function() {};
/**
 * 
 * @id dhtmlXTabBar.attachEditor
 * @class dhtmlXTabBar
 * @method attachEditor
 * @memberOf dhtmlXTabBar
 * @example var dhxEd = dhxLayout.cells("a").attachEditor(); // returns editor object
 */
 dhtmlXTabBar.prototype.attachEditor = function() {};
/**
 * 
 * @id dhtmlXTabBar.attachDataView
 * @class dhtmlXTabBar
 * @method attachDataView
 * @memberOf dhtmlXTabBar
 * @example var config = {
 * 	type:{
 * 		template:"#Package# : #Version#<br/>#Maintainer#",
 * 		padding:5,
 * 		height:40
 * 	}
 *     };
 *     var dhxData = dhxLayout.cells("a").attachDataView(config); // returns folders object
 */
 dhtmlXTabBar.prototype.attachDataView = function() {};
/**
 * 
 * @id dhtmlXTabBar.attachGrid
 * @class dhtmlXTabBar
 * @method attachGrid
 * @memberOf dhtmlXTabBar
 * @example var dhxGrid = dhxLayout.cells("a").attachGrid(); // returns grid object
 */
 dhtmlXTabBar.prototype.attachGrid = function() {};
/**
 * attaches dhtmlxLayout to the cell, returns layout object
 * @id dhtmlXTabBar.attachLayout
 * @class dhtmlXTabBar
 * @method attachLayout
 * @memberOf dhtmlXTabBar
 * @param {String} pattern pattern - layout&#039;s pattern (3L, 4U, ...)
 * @param {String} [skin] skin - optional, skin from parent component will applied automatically
 * @example var dhxLayout2 = dhxLayout.cells("a").attachLayout("3L"); // returns layout object
 */
 dhtmlXTabBar.prototype.attachLayout = function(pattern, skin) {};
/**
 * 
 * @id dhtmlXTabBar.attachMenu
 * @class dhtmlXTabBar
 * @method attachMenu
 * @memberOf dhtmlXTabBar
 * @example var dhxMenu = dhxLayout.cells("a").attachMenu(); // returns menu object
 */
 dhtmlXTabBar.prototype.attachMenu = function() {};
/**
 * attaches html object to the cell
 * @id dhtmlXTabBar.attachObject
 * @class dhtmlXTabBar
 * @method attachObject
 * @memberOf dhtmlXTabBar
 * @param {Object} obj obj - object/objectId
 * @example <script>
 *         dhxLayout.cells("a").attachObject("myObj");
 *         // or
 *         var obj = document.getElementById("myObj");
 *         dhxLayout.cells("a").attachObject(obj);
 *     </script>
 */
 dhtmlXTabBar.prototype.attachObject = function(obj) {};
/**
 * 
 * @id dhtmlXTabBar.attachStatusBar
 * @class dhtmlXTabBar
 * @method attachStatusBar
 * @memberOf dhtmlXTabBar
 * @example var sb = dhxLayout.cells("a").attachStatusBar(); // returns status bar object
 */
 dhtmlXTabBar.prototype.attachStatusBar = function() {};
/**
 * 
 * @id dhtmlXTabBar.attachTabbar
 * @class dhtmlXTabBar
 * @method attachTabbar
 * @memberOf dhtmlXTabBar
 * @example var dhxTabbar = dhxLayout.cells("a").attachTabbar(); // returns tabbar object
 */
 dhtmlXTabBar.prototype.attachTabbar = function() {};
/**
 * 
 * @id dhtmlXTabBar.attachToolbar
 * @class dhtmlXTabBar
 * @method attachToolbar
 * @memberOf dhtmlXTabBar
 * @example var dhxToolbar = dhxLayout.cells("a").attachToolbar(); // returns toolbar object
 */
 dhtmlXTabBar.prototype.attachToolbar = function() {};
/**
 * 
 * @id dhtmlXTabBar.attachTree
 * @class dhtmlXTabBar
 * @method attachTree
 * @memberOf dhtmlXTabBar
 * @example var dhxTree = dhxLayout.cells("a").attachTree(); // returns tree object
 */
 dhtmlXTabBar.prototype.attachTree = function() {};
/**
 * attaches url to the cell
 * @id dhtmlXTabBar.attachURL
 * @class dhtmlXTabBar
 * @method attachURL
 * @memberOf dhtmlXTabBar
 * @param {String} url url - url (string)
 * @example dhxLayout.cells("a").attachURL("http://some.address.com/some.page.html");
 */
 dhtmlXTabBar.prototype.attachURL = function(url) {};


/**
*
* dhtmlXWindows object class.
* @id dhtmlXWindows
* @class dhtmlXWindows
* @constructor
* @alias dhtmlXWindows.prototype
 * @return {dhtmlXWindows}
 */
 function dhtmlXWindows(){};




/**
 * adds a user button
 * @id dhtmlXWindows.addUserButton
 * @class dhtmlXWindows
 * @method addUserButton
 * @memberOf dhtmlXWindows
 * @param {String} id id - button&#039;s id
 * @param {String} pos pos - button&#039;s position
 * @param {String} title title - button&#039;s tooltip
 * @param {String} label label - button&#039;s name (according to css)
 * @example dhxWins.window(id).addUserButton("tray", 9, "Tray", "tray");
 */
 dhtmlXWindows.prototype.addUserButton = function(id, pos, title, label) {};
/**
 * 
 * @id dhtmlXWindows.allowMove
 * @class dhtmlXWindows
 * @method allowMove
 * @memberOf dhtmlXWindows
 * @example dhxWins.window(id).allowMove();
 */
 dhtmlXWindows.prototype.allowMove = function() {};
/**
 * 
 * @id dhtmlXWindows.allowPark
 * @class dhtmlXWindows
 * @method allowPark
 * @memberOf dhtmlXWindows
 * @example dhxWins.window(id).allowPark();
 */
 dhtmlXWindows.prototype.allowPark = function() {};
/**
 * 
 * @id dhtmlXWindows.allowResize
 * @class dhtmlXWindows
 * @method allowResize
 * @memberOf dhtmlXWindows
 * @example dhxWins.window(id).allowResize();
 */
 dhtmlXWindows.prototype.allowResize = function() {};
/**
 * 
 * @id dhtmlXWindows.bringToBottom
 * @class dhtmlXWindows
 * @method bringToBottom
 * @memberOf dhtmlXWindows
 * @example dhxWins.window(id).bringToBottom();
 */
 dhtmlXWindows.prototype.bringToBottom = function() {};
/**
 * 
 * @id dhtmlXWindows.bringToTop
 * @class dhtmlXWindows
 * @method bringToTop
 * @memberOf dhtmlXWindows
 * @example dhxWins.window(id).bringToTop();
 */
 dhtmlXWindows.prototype.bringToTop = function() {};
/**
 * returns the button handler (dhtmlXWindowBtn object) found by id
 * @id dhtmlXWindows.button
 * @class dhtmlXWindows
 * @method button
 * @memberOf dhtmlXWindows
 * @param {String} id id
 * @example var btn = dhxWins.window(winId).button(id);
 */
 dhtmlXWindows.prototype.button = function(id) {};
/**
 * 
 * @id dhtmlXWindows.center
 * @class dhtmlXWindows
 * @method center
 * @memberOf dhtmlXWindows
 * @example dhxWins.window(id).center();
 */
 dhtmlXWindows.prototype.center = function() {};
/**
 * 
 * @id dhtmlXWindows.centerOnScreen
 * @class dhtmlXWindows
 * @method centerOnScreen
 * @memberOf dhtmlXWindows
 * @example dhxWins.window(id).centerOnScreen();
 */
 dhtmlXWindows.prototype.centerOnScreen = function() {};
/**
 * 
 * @id dhtmlXWindows.clearIcon
 * @class dhtmlXWindows
 * @method clearIcon
 * @memberOf dhtmlXWindows
 * @example dhxWins.window(id).clearIcon();
 */
 dhtmlXWindows.prototype.clearIcon = function() {};
/**
 * 
 * @id dhtmlXWindows.close
 * @class dhtmlXWindows
 * @method close
 * @memberOf dhtmlXWindows
 * @example dhxWins.window(id).close();
 */
 dhtmlXWindows.prototype.close = function() {};
/**
 * 
 * @id dhtmlXWindows.denyMove
 * @class dhtmlXWindows
 * @method denyMove
 * @memberOf dhtmlXWindows
 * @example dhxWins.window(id).denyMove();
 */
 dhtmlXWindows.prototype.denyMove = function() {};
/**
 * 
 * @id dhtmlXWindows.denyPark
 * @class dhtmlXWindows
 * @method denyPark
 * @memberOf dhtmlXWindows
 * @example dhxWins.window(id).denyPark();
 */
 dhtmlXWindows.prototype.denyPark = function() {};
/**
 * 
 * @id dhtmlXWindows.denyResize
 * @class dhtmlXWindows
 * @method denyResize
 * @memberOf dhtmlXWindows
 * @example dhxWins.window(id).denyResize();
 */
 dhtmlXWindows.prototype.denyResize = function() {};
/**
 * 
 * @id dhtmlXWindows.getDimension
 * @class dhtmlXWindows
 * @method getDimension
 * @memberOf dhtmlXWindows
 * @example var dim = dhxWins.window(id).getDimension(); // returns [w,h]
 */
 dhtmlXWindows.prototype.getDimension = function() {};
/**
 * 
 * @id dhtmlXWindows.getIcon
 * @class dhtmlXWindows
 * @method getIcon
 * @memberOf dhtmlXWindows
 * @example var icon = dhxWins.window(id).getIcon();
 */
 dhtmlXWindows.prototype.getIcon = function() {};
/**
 * 
 * @id dhtmlXWindows.getId
 * @class dhtmlXWindows
 * @method getId
 * @memberOf dhtmlXWindows
 * @example dhxWins.forEachWindow(function(win){
 *         var id = win.getId();
 *     });
 */
 dhtmlXWindows.prototype.getId = function() {};
/**
 * 
 * @id dhtmlXWindows.getMaxDimension
 * @class dhtmlXWindows
 * @method getMaxDimension
 * @memberOf dhtmlXWindows
 * @example var dim = dhxWins.window(id).getMaxDimension(); // returns [w,h]
 */
 dhtmlXWindows.prototype.getMaxDimension = function() {};
/**
 * 
 * @id dhtmlXWindows.getMinDimension
 * @class dhtmlXWindows
 * @method getMinDimension
 * @memberOf dhtmlXWindows
 * @example var dim = dhxWins.window(id).getMinDimension(); // returns [w,h]
 */
 dhtmlXWindows.prototype.getMinDimension = function() {};
/**
 * 
 * @id dhtmlXWindows.getPosition
 * @class dhtmlXWindows
 * @method getPosition
 * @memberOf dhtmlXWindows
 * @example var pos = dhxWins.window(id).getPosition(); // returns [x,y]
 */
 dhtmlXWindows.prototype.getPosition = function() {};
/**
 * 
 * @id dhtmlXWindows.getText
 * @class dhtmlXWindows
 * @method getText
 * @memberOf dhtmlXWindows
 * @example var text = dhxWins.window(id).getText();
 */
 dhtmlXWindows.prototype.getText = function() {};
/**
 * 
 * @id dhtmlXWindows.hide
 * @class dhtmlXWindows
 * @method hide
 * @memberOf dhtmlXWindows
 * @example dhxWins.window(id).hide();
 */
 dhtmlXWindows.prototype.hide = function() {};
/**
 * 
 * @id dhtmlXWindows.hideHeader
 * @class dhtmlXWindows
 * @method hideHeader
 * @memberOf dhtmlXWindows
 * @example dhxWins.window(id).hideHeader();
 */
 dhtmlXWindows.prototype.hideHeader = function() {};
/**
 * 
 * @id dhtmlXWindows.isHidden
 * @class dhtmlXWindows
 * @method isHidden
 * @memberOf dhtmlXWindows
 * @example var isHidden = dhxWins.window(id).isHidden(); // returns true/false
 */
 dhtmlXWindows.prototype.isHidden = function() {};
/**
 * 
 * @id dhtmlXWindows.isMaximized
 * @class dhtmlXWindows
 * @method isMaximized
 * @memberOf dhtmlXWindows
 * @example var isMaximized = dhxWins.window(id).isMaximized(); // nreturns true/false
 */
 dhtmlXWindows.prototype.isMaximized = function() {};
/**
 * 
 * @id dhtmlXWindows.isModal
 * @class dhtmlXWindows
 * @method isModal
 * @memberOf dhtmlXWindows
 * @example var isModal = dhxWins.window(id).isModal(); // returns true/false
 */
 dhtmlXWindows.prototype.isModal = function() {};
/**
 * 
 * @id dhtmlXWindows.isMovable
 * @class dhtmlXWindows
 * @method isMovable
 * @memberOf dhtmlXWindows
 * @example var isMovable = dhxWins.window(id).isMovable(); // returns true/false
 */
 dhtmlXWindows.prototype.isMovable = function() {};
/**
 * 
 * @id dhtmlXWindows.isOnBottom
 * @class dhtmlXWindows
 * @method isOnBottom
 * @memberOf dhtmlXWindows
 * @example var isWinOnBottom = dhxWins.window(id).isOnBottom(); // returns true/false
 */
 dhtmlXWindows.prototype.isOnBottom = function() {};
/**
 * 
 * @id dhtmlXWindows.isOnTop
 * @class dhtmlXWindows
 * @method isOnTop
 * @memberOf dhtmlXWindows
 * @example var isWinOnTop = dhxWins.window(id).isOnTop(); // returns true/false
 */
 dhtmlXWindows.prototype.isOnTop = function() {};
/**
 * 
 * @id dhtmlXWindows.isParkable
 * @class dhtmlXWindows
 * @method isParkable
 * @memberOf dhtmlXWindows
 * @example var isPakable = dhxWins.window(id).isPakable(); // returns true/false
 */
 dhtmlXWindows.prototype.isParkable = function() {};
/**
 * 
 * @id dhtmlXWindows.isParked
 * @class dhtmlXWindows
 * @method isParked
 * @memberOf dhtmlXWindows
 * @example var isPr = dhxWins.window(id).isParked(); // returns true/false
 */
 dhtmlXWindows.prototype.isParked = function() {};
/**
 * 
 * @id dhtmlXWindows.isResizable
 * @class dhtmlXWindows
 * @method isResizable
 * @memberOf dhtmlXWindows
 * @example dhxWins.window(id).isResizable();
 */
 dhtmlXWindows.prototype.isResizable = function() {};
/**
 * 
 * @id dhtmlXWindows.isSticked
 * @class dhtmlXWindows
 * @method isSticked
 * @memberOf dhtmlXWindows
 * @example dhxWins.window(id).isSticked();
 */
 dhtmlXWindows.prototype.isSticked = function() {};
/**
 * keeps a window within the viewport
 * @id dhtmlXWindows.keepInViewport
 * @class dhtmlXWindows
 * @method keepInViewport
 * @memberOf dhtmlXWindows
 * @param {String} state state - if true - window is not allowed to be placed outside the viewport
 * @example dhxWins.window(id).keepInViewport(true/false);
 */
 dhtmlXWindows.prototype.keepInViewport = function(state) {};
/**
 * 
 * @id dhtmlXWindows.maximize
 * @class dhtmlXWindows
 * @method maximize
 * @memberOf dhtmlXWindows
 * @example dhxWins.window(id).maximize();
 */
 dhtmlXWindows.prototype.maximize = function() {};
/**
 * 
 * @id dhtmlXWindows.minimize
 * @class dhtmlXWindows
 * @method minimize
 * @memberOf dhtmlXWindows
 * @example dhxWins.window(id).minimize();
 */
 dhtmlXWindows.prototype.minimize = function() {};
/**
 * 
 * @id dhtmlXWindows.park
 * @class dhtmlXWindows
 * @method park
 * @memberOf dhtmlXWindows
 * @example dhxWins.window(id).park();
 */
 dhtmlXWindows.prototype.park = function() {};
/**
 * 
 * @id dhtmlXWindows.progressOff
 * @class dhtmlXWindows
 * @method progressOff
 * @memberOf dhtmlXWindows
 * @example dhxWins.window(id).progressOff();
 */
 dhtmlXWindows.prototype.progressOff = function() {};
/**
 * 
 * @id dhtmlXWindows.progressOn
 * @class dhtmlXWindows
 * @method progressOn
 * @memberOf dhtmlXWindows
 * @example dhxWins.window(id).progressOn();
 */
 dhtmlXWindows.prototype.progressOn = function() {};
/**
 * removes a user button
 * @id dhtmlXWindows.removeUserButton
 * @class dhtmlXWindows
 * @method removeUserButton
 * @memberOf dhtmlXWindows
 * @param {String} id id - button&#039;s id
 * @example dhxWins.window(id).removeUserButton(id);
 */
 dhtmlXWindows.prototype.removeUserButton = function(id) {};
/**
 * 
 * @id dhtmlXWindows.restoreIcon
 * @class dhtmlXWindows
 * @method restoreIcon
 * @memberOf dhtmlXWindows
 * @example dhxWins.window(id).restoreIcon();
 */
 dhtmlXWindows.prototype.restoreIcon = function() {};
/**
 * sets window&#039;s dimension
 * @id dhtmlXWindows.setDimension
 * @class dhtmlXWindows
 * @method setDimension
 * @memberOf dhtmlXWindows
 * @param {String} width width
 * @param {String} height height
 * @example dhxWins.window(id).setDimension(width, height);
 */
 dhtmlXWindows.prototype.setDimension = function(width, height) {};
/**
 * sets window&#039;s header icon
 * @id dhtmlXWindows.setIcon
 * @class dhtmlXWindows
 * @method setIcon
 * @memberOf dhtmlXWindows
 * @param {String} iconEnabled iconEnabled - url to the icon for the enabled state
 * @param {String} iconDisabled iconDisabled - url to the icon for the disabled state
 * @example dhxWins.window(id).setIcon(iconEnabled, iconDisabled);
 */
 dhtmlXWindows.prototype.setIcon = function(iconEnabled, iconDisabled) {};
/**
 * sets max window&#039;s dimension
 * @id dhtmlXWindows.setMaxDimension
 * @class dhtmlXWindows
 * @method setMaxDimension
 * @memberOf dhtmlXWindows
 * @param {String} maxWidth maxWidth
 * @param {String} maxHeight maxHeight
 * @example dhxWins.window(id).setMaxDimension(maxWidth, maxHeight);
 */
 dhtmlXWindows.prototype.setMaxDimension = function(maxWidth, maxHeight) {};
/**
 * sets min window&#039;s dimension
 * @id dhtmlXWindows.setMinDimension
 * @class dhtmlXWindows
 * @method setMinDimension
 * @memberOf dhtmlXWindows
 * @param {String} minWidth minWidth
 * @param {String} minHeight minHeight
 * @example dhxWins.window(id).setMinDimension(minWidth, minHeight);
 */
 dhtmlXWindows.prototype.setMinDimension = function(minWidth, minHeight) {};
/**
 * makes a window modal/modeless
 * @id dhtmlXWindows.setModal
 * @class dhtmlXWindows
 * @method setModal
 * @memberOf dhtmlXWindows
 * @param {Boolean} state state - true|false
 * @example dhxWins.window(id).setModal(true/false);
 */
 dhtmlXWindows.prototype.setModal = function(state) {};
/**
 * sets window&#039;s position (moves a window to the point set by user)
 * @id dhtmlXWindows.setPosition
 * @class dhtmlXWindows
 * @method setPosition
 * @memberOf dhtmlXWindows
 * @param {String} x x - x coordinate
 * @param {String} y y - y coordinate
 * @example dhxWins.window(id).setPosition(x, y);
 */
 dhtmlXWindows.prototype.setPosition = function(x, y) {};
/**
 * sets window&#039;s header text
 * @id dhtmlXWindows.setText
 * @class dhtmlXWindows
 * @method setText
 * @memberOf dhtmlXWindows
 * @param {String} text text
 * @example dhxWins.window(id).setText("New Text");
 */
 dhtmlXWindows.prototype.setText = function(text) {};
/**
 * sets a window to the fullscreen mode
 * @id dhtmlXWindows.setToFullScreen
 * @class dhtmlXWindows
 * @method setToFullScreen
 * @memberOf dhtmlXWindows
 * @param {Boolean} state state - true|false
 * @example dhxWins.window(id).setToFullScreen(true/false);
 */
 dhtmlXWindows.prototype.setToFullScreen = function(state) {};
/**
 * 
 * @id dhtmlXWindows.show
 * @class dhtmlXWindows
 * @method show
 * @memberOf dhtmlXWindows
 * @example dhxWins.window(id).show();
 */
 dhtmlXWindows.prototype.show = function() {};
/**
 * 
 * @id dhtmlXWindows.showHeader
 * @class dhtmlXWindows
 * @method showHeader
 * @memberOf dhtmlXWindows
 * @example dhxWins.window(id).showHeader();
 */
 dhtmlXWindows.prototype.showHeader = function() {};
/**
 * 
 * @id dhtmlXWindows.stick
 * @class dhtmlXWindows
 * @method stick
 * @memberOf dhtmlXWindows
 * @example dhxWins.window(id).stick();
 */
 dhtmlXWindows.prototype.stick = function() {};
/**
 * 
 * @id dhtmlXWindows.unstick
 * @class dhtmlXWindows
 * @method unstick
 * @memberOf dhtmlXWindows
 * @example dhxWins.window(id).unstick();
 */
 dhtmlXWindows.prototype.unstick = function() {};
/**
 * 
 * @id dhtmlXWindows.disable
 * @class dhtmlXWindows
 * @method disable
 * @memberOf dhtmlXWindows
 * @example dhxWins.window(id).button(id).disable();
 */
 dhtmlXWindows.prototype.disable = function() {};
/**
 * 
 * @id dhtmlXWindows.enable
 * @class dhtmlXWindows
 * @method enable
 * @memberOf dhtmlXWindows
 * @example dhxWins.window(id).button(id).enable();
 */
 dhtmlXWindows.prototype.enable = function() {};
/**
 * 
 * @id dhtmlXWindows.hide
 * @class dhtmlXWindows
 * @method hide
 * @memberOf dhtmlXWindows
 * @example dhxWins.window(id).button(id).hide();
 */
 dhtmlXWindows.prototype.hide = function() {};
/**
 * 
 * @id dhtmlXWindows.isEnabled
 * @class dhtmlXWindows
 * @method isEnabled
 * @memberOf dhtmlXWindows
 * @example var isBtnEnabled = dhxWins.window(id).button(id).isEnabled();
 */
 dhtmlXWindows.prototype.isEnabled = function() {};
/**
 * 
 * @id dhtmlXWindows.isHidden
 * @class dhtmlXWindows
 * @method isHidden
 * @memberOf dhtmlXWindows
 * @example var isBtnHidden = dhxWins.window(id).button(id).isHidden();
 */
 dhtmlXWindows.prototype.isHidden = function() {};
/**
 * 
 * @id dhtmlXWindows.show
 * @class dhtmlXWindows
 * @method show
 * @memberOf dhtmlXWindows
 * @example dhxWins.window(id).button(id).show();
 */
 dhtmlXWindows.prototype.show = function() {};
/**
 * attaches an event handler
 * @id dhtmlXWindows.attachEvent
 * @class dhtmlXWindows
 * @method attachEvent
 * @memberOf dhtmlXWindows
 * @param {String} original original - event&#039;s original name;
 * @param {String} catcher catcher - event handler;
 * @param {Object} CallObj CallObj - object that will call the event.
 * @example dhxWins.attachEvent("onClose", function(win){
 *         // code here
 *     });
 */
 dhtmlXWindows.prototype.attachEvent = function(original, catcher, CallObj) {};
/**
 * attaches a vp to an existing object on page (renders an object as a viewport)
 * @id dhtmlXWindows.attachViewportTo
 * @class dhtmlXWindows
 * @method attachViewportTo
 * @memberOf dhtmlXWindows
 * @param {Object} objId objId - object id
 * @example dhxWins.attachViewportTo("vpObj");
 */
 dhtmlXWindows.prototype.attachViewportTo = function(objId) {};
/**
 * returns true if the event exists
 * @id dhtmlXWindows.checkEvent
 * @class dhtmlXWindows
 * @method checkEvent
 * @memberOf dhtmlXWindows
 * @param {String} name name - event&#039;s name
 * @example var isEv = dhxWins.checkEvent("onClose"); // returns true/false
 */
 dhtmlXWindows.prototype.checkEvent = function(name) {};
/**
 * creates a new window and returns its handler
 * @id dhtmlXWindows.createWindow
 * @class dhtmlXWindows
 * @method createWindow
 * @memberOf dhtmlXWindows
 * @param {String} id id - window&#039;s id
 * @param {String} x x - top-left window corner&#039;s X-coordinate
 * @param {String} y y - top-left window corner&#039;s Y-coordinate
 * @param {String} width width - window&#039;s width
 * @param {String} height height - window&#039;s height
 * @example var w1 = dhxWins.createWindow(id, x, y, width, height);
 */
 dhtmlXWindows.prototype.createWindow = function(id, x, y, width, height) {};
/**
 * removes an event handler
 * @id dhtmlXWindows.detachEvent
 * @class dhtmlXWindows
 * @method detachEvent
 * @memberOf dhtmlXWindows
 * @param {String} id id - event&#039;s id
 * @example var evId = dhxWins.attachEvent("onClose", function(){});
 *     // detaching event
 *     dhxWins.detachEvent(evId);
 */
 dhtmlXWindows.prototype.detachEvent = function(id) {};
/**
 * if true - allows an object to adjust the viewport automatically to document.body
 * @id dhtmlXWindows.enableAutoViewport
 * @class dhtmlXWindows
 * @method enableAutoViewport
 * @memberOf dhtmlXWindows
 * @param {Boolean} state state - true|false
 * @example dhxWins.enableAutoViewport(true/false);
 */
 dhtmlXWindows.prototype.enableAutoViewport = function(state) {};
/**
 * returns array of window handlers found by header text
 * @id dhtmlXWindows.findByText
 * @class dhtmlXWindows
 * @method findByText
 * @memberOf dhtmlXWindows
 * @param {String} text id
 * @example var w1 = dhxWins.findByText("Some Text");
 */
 dhtmlXWindows.prototype.findByText = function(text) {};
/**
 * iterator - goes through all windows and calls a user handler
 * @id dhtmlXWindows.forEachWindow
 * @class dhtmlXWindows
 * @method forEachWindow
 * @memberOf dhtmlXWindows
 * @param {String} handler hander (user function)
 * @example dhxWins.forEachWindow(function(){
 *         // code here
 *     });
 *     // or
 *     function doWithWindow(){
 *         // code here
 *     });
 *     dhxWins.forEachWindow(doWithWindow);
 */
 dhtmlXWindows.prototype.forEachWindow = function(handler) {};
/**
 * 
 * @id dhtmlXWindows.getBottommostWindow
 * @class dhtmlXWindows
 * @method getBottommostWindow
 * @memberOf dhtmlXWindows
 * @example var w1 = dhxWins.getBottommostWindow();
 */
 dhtmlXWindows.prototype.getBottommostWindow = function() {};
/**
 * returns true if the effect is enabled
 * @id dhtmlXWindows.getEffect
 * @class dhtmlXWindows
 * @method getEffect
 * @memberOf dhtmlXWindows
 * @param {String} efName efName - effect&#039;s name
 * @example var isEf = dhxWins.getEffect(efName);
 */
 dhtmlXWindows.prototype.getEffect = function(efName) {};
/**
 * returns the topmost window
 * @id dhtmlXWindows.getTopmostWindow
 * @class dhtmlXWindows
 * @method getTopmostWindow
 * @memberOf dhtmlXWindows
 * @param {String} visibleOnly visibleOnly - search only in set of visible windows
 * @example var w1 = dhxWins.getTopmostWindow(true/false);
 */
 dhtmlXWindows.prototype.getTopmostWindow = function(visibleOnly) {};
/**
 * returns true if the window with specified id exists
 * @id dhtmlXWindows.isWindow
 * @class dhtmlXWindows
 * @method isWindow
 * @memberOf dhtmlXWindows
 * @param {String} id id
 * @example var isWin = dhxWins.isWindow(id); // returns true/false
 */
 dhtmlXWindows.prototype.isWindow = function(id) {};
/**
 * sets a visual effect
 * @id dhtmlXWindows.setEffect
 * @class dhtmlXWindows
 * @method setEffect
 * @memberOf dhtmlXWindows
 * @param {String} efName efName - effect&#039;s name
 * @param {Boolean} efValue efValue - true/false to enable/disable
 * @example dhxWins.setEffect(efName, efValue);
 */
 dhtmlXWindows.prototype.setEffect = function(efName, efValue) {};
/**
 * sets path to the directory where used images are located
 * @id dhtmlXWindows.setImagePath
 * @class dhtmlXWindows
 * @method setImagePath
 * @memberOf dhtmlXWindows
 * @param {String} path path - url to the directory where images are located
 * @example dhxWins.setImagePath(path);
 */
 dhtmlXWindows.prototype.setImagePath = function(path) {};
/**
 * changes window&#039;s skin
 * @id dhtmlXWindows.setSkin
 * @class dhtmlXWindows
 * @method setSkin
 * @memberOf dhtmlXWindows
 * @param {String} skin skin - skin&#039;s name
 * @example dhxWins.setSkin(skin);
 */
 dhtmlXWindows.prototype.setSkin = function(skin) {};
/**
 * sets user-defined viewport if enableAutoViewport(false)
 * @id dhtmlXWindows.setViewport
 * @class dhtmlXWindows
 * @method setViewport
 * @memberOf dhtmlXWindows
 * @param {String} x x - top-left viewport corner&#039;s X-coordinate
 * @param {String} y y - top-left viewport corner&#039;s Y-coordinate
 * @param {String} width width - viewport&#039;s width
 * @param {String} height height - viewport&#039;s height
 * @param {Object} parentObj parentObj - create inside of parentObj object
 * @example dhxWins.setViewport(x, y, width, height, parentObj);
 */
 dhtmlXWindows.prototype.setViewport = function(x, y, width, height, parentObj) {};
/**
 * unloads an object and clears memory
 * @id dhtmlXWindows.unload
 * @class dhtmlXWindows
 * @method unload
 * @memberOf dhtmlXWindows
 * @example dhxWins.unload();
 */
 dhtmlXWindows.prototype.unload = function() {};
/**
 * returns the window handler (dhtmlXWindowSngl object) found by id
 * @id dhtmlXWindows.window
 * @class dhtmlXWindows
 * @method window
 * @memberOf dhtmlXWindows
 * @param {String} id id
 * @example var w1 = dhxWins.window(id);
 */
 dhtmlXWindows.prototype.window = function(id) {};


/**
*
* dhtmlXForm object class.
* @id dhtmlXForm
* @class dhtmlXForm
* @constructor
* @alias dhtmlXForm.prototype
 * @return {dhtmlXForm}
 */
 function dhtmlXForm(){};




/**
 * 
 * @id dhtmlXForm.attachEvent
 * @class dhtmlXForm
 * @method attachEvent
 * @memberOf dhtmlXForm
 * @param {String} evName evName - the event name;
 * @param {Function} evHandler evHandler - a user-defined handler that will be called when event occurs.
 * @example var myEvent = myForm.attachEvent("onChange", function(){
 *    // code here
 * });
 */
 dhtmlXForm.prototype.attachEvent = function(evName, evHandler) {};
/**
 * 
 * @id dhtmlXForm.bind
 * @class dhtmlXForm
 * @method bind
 * @memberOf dhtmlXForm
 * @param {Object} [target] target - (object) the object that method is assigned to (optional)
 * @param {String} [rule] rule - (function) sets the rule according which components will be bound (optional)
 * @example myform.bind(mygrid);
 */
 dhtmlXForm.prototype.bind = function(target, rule) {};
/**
 * 
 * @id dhtmlXForm.checkItem
 * @class dhtmlXForm
 * @method checkItem
 * @memberOf dhtmlXForm
 * @param {String} name name - the id of item (the item&#039;s parameter &#039;name&#039;)
 * @param {String} value isItemChecked()
 * @example formData = [
 * 		{type: "radio", name: "gender", value: "male", label: "Male"},
 * 		{type: "radio", name: "gender", value: "female", label: "Female"},
 *                 {type: "checkbox", name:"license", label: "Driving license"},
 *                 ...
 * ];
 * myForm = new dhtmlXForm("myForm", formData);
 * myForm.checkItem("gender", "male"); // for radio button
 * myForm.checkItem("license");  // for other items
 */
 dhtmlXForm.prototype.checkItem = function(name, value) {};
/**
 * 
 * @id dhtmlXForm.clear
 * @class dhtmlXForm
 * @method clear
 * @memberOf dhtmlXForm
 * @example myForm.clear();
 */
 dhtmlXForm.prototype.clear = function() {};
/**
 * 
 * @id dhtmlXForm.detachEvent
 * @class dhtmlXForm
 * @method detachEvent
 * @memberOf dhtmlXForm
 * @param {String} evId evId - the event id.
 * @example var myEvent = myForm.attachEvent("onChange", function (){
 *     //event handler code
 * })
 * ..
 * myForm.detachEvent(myEvent);
 */
 dhtmlXForm.prototype.detachEvent = function(evId) {};
/**
 * 
 * @id dhtmlXForm.disableItem
 * @class dhtmlXForm
 * @method disableItem
 * @memberOf dhtmlXForm
 * @param {String} name name - the id of item (the item&#039;s parameter &#039;name&#039;)
 * @param {String} value enableItem()
 * @example formData=[{type: "input", label: "Login"},
 *           {type: "input", label: "Password"},
 *           {type: "button", name:"loginButton", value: "Log in", command:"Login"}];
 * myForm = new dhtmlXForm("myForm", formData);
 * ...
 * function disableButton() {
 *           alert("You have exceeded the maximum number of login attempts for this session.")
 *           myForm.disableItem("loginButton");
 * }
 */
 dhtmlXForm.prototype.disableItem = function(name, value) {};
/**
 * 
 * @id dhtmlXForm.enableItem
 * @class dhtmlXForm
 * @method enableItem
 * @memberOf dhtmlXForm
 * @param {String} name name - the id of item (the item&#039;s parameter &#039;name&#039;)
 * @param {String} value value - the value of a radio button ( the radio&#039;s parameter &#039;value&#039;). Required for &#039;radio&#039; items only
 * @example formData=[{type: "input", label: "Login"},
 *           {type: "input", label: "Password"},
 *           {type: "button", name:"loginButton", value: "Log in", command:"Login"},
 *           {type: "button", name:"logoutButton", value: "Log out", command:"Logout"}];
 * myForm = new dhtmlXForm("myForm", formData);
 * ...
 * function enableButton() {
 *           alert("You have logged in successfully.");
 *           myForm.enableItem("logoutButton");
 *           myForm.disableItem("loginButton");
 * }
 */
 dhtmlXForm.prototype.enableItem = function(name, value) {};
/**
 * 
 * @id dhtmlXForm.forEachItem
 * @class dhtmlXForm
 * @method forEachItem
 * @memberOf dhtmlXForm
 * @param {String} handler handler - a user-defined handler, gets the id of item (the item&#039;s parameter &#039;name&#039;) as argument.
 * @example myForm.forEachItem(function(id){
 *    myForm.setItemLabel(id, String(myForm.getItemText(id)).toLowerCase());
 * });
 */
 dhtmlXForm.prototype.forEachItem = function(handler) {};
/**
 * 
 * @id dhtmlXForm.getCalendar
 * @class dhtmlXForm
 * @method getCalendar
 * @memberOf dhtmlXForm
 * @param {String} name name - the id of item (the item&#039;s parameter &#039;name&#039;)
 * @example var dhxCalendar = myForm.getCalendar("myCalendar");
 */
 dhtmlXForm.prototype.getCalendar = function(name) {};
/**
 * 
 * @id dhtmlXForm.getCheckedValue
 * @class dhtmlXForm
 * @method getCheckedValue
 * @memberOf dhtmlXForm
 * @param {String} name name - the id of item (the item&#039;s parameter &#039;name&#039;)
 * @example formData = [
 * 		{type: "radio", name: "gender", value: "male", label: "Male"},
 * 		{type: "radio", name: "gender", value: "female", label: "Female"},
 *                 ...
 * ];
 * myForm = new dhtmlXForm("myForm", formData);
 * var checkedButton = dhxForm.getCheckedValue("gender");
 */
 dhtmlXForm.prototype.getCheckedValue = function(name) {};
/**
 * 
 * @id dhtmlXForm.getColorPicker
 * @class dhtmlXForm
 * @method getColorPicker
 * @memberOf dhtmlXForm
 * @param {String} name name - the id of item (the item&#039;s parameter &#039;name&#039;)
 * @example var dhxColorPicker = myForm.getColorPicker("myPicker");
 */
 dhtmlXForm.prototype.getColorPicker = function(name) {};
/**
 * 
 * @id dhtmlXForm.getCombo
 * @class dhtmlXForm
 * @method getCombo
 * @memberOf dhtmlXForm
 * @param {String} name name - the id of item (the item&#039;s parameter &#039;name&#039;)
 * @example var dhxCombo = myForm.getCombo("myCombo");
 */
 dhtmlXForm.prototype.getCombo = function(name) {};
/**
 * 
 * @id dhtmlXForm.getEditor
 * @class dhtmlXForm
 * @method getEditor
 * @memberOf dhtmlXForm
 * @param {String} name name - the id of item (the item&#039;s parameter &#039;name&#039;)
 * @example var dhxEditor = myForm.getEditor("myEditor");
 */
 dhtmlXForm.prototype.getEditor = function(name) {};
/**
 * 
 * @id dhtmlXForm.getForm
 * @class dhtmlXForm
 * @method getForm
 * @memberOf dhtmlXForm
 * @example var dhxForm = myForm.getForm();
 */
 dhtmlXForm.prototype.getForm = function() {};
/**
 * 
 * @id dhtmlXForm.getFormData
 * @class dhtmlXForm
 * @method getFormData
 * @memberOf dhtmlXForm
 * @example var values = myForm.getFormData();
 */
 dhtmlXForm.prototype.getFormData = function() {};
/**
 * 
 * @id dhtmlXForm.getInput
 * @class dhtmlXForm
 * @method getInput
 * @memberOf dhtmlXForm
 * @param {String} name name - the id of item (the item&#039;s parameter &#039;name&#039;)
 * @example var someItem = myForm.getInput("myInput");
 */
 dhtmlXForm.prototype.getInput = function(name) {};
/**
 * 
 * @id dhtmlXForm.getItemLabel
 * @class dhtmlXForm
 * @method getItemLabel
 * @memberOf dhtmlXForm
 * @param {String} name name - the id of item (the item&#039;s parameter &#039;name&#039;)
 * @param {String} value setItemLabel()
 * @example // for radio button
 * var text = myForm.getItemLabel(name, value);
 *   // for other items
 * var text = myForm.getItemLabel(name);
 */
 dhtmlXForm.prototype.getItemLabel = function(name, value) {};
/**
 * 
 * @id dhtmlXForm.getItemsList
 * @class dhtmlXForm
 * @method getItemsList
 * @memberOf dhtmlXForm
 * @example var items = myForm.getItemsList();
 */
 dhtmlXForm.prototype.getItemsList = function() {};
/**
 * 
 * @id dhtmlXForm.getItemType
 * @class dhtmlXForm
 * @method getItemType
 * @memberOf dhtmlXForm
 * @param {String} name name - the id of item (the item&#039;s parameter &#039;name&#039;)
 * @example //for radio buttons
 * var type = myForm.getItemType(name, value);
 * //for other items
 * var type = myForm.getItemType(name);
 */
 dhtmlXForm.prototype.getItemType = function(name, value) {};
/**
 * 
 * @id dhtmlXForm.getItemValue
 * @class dhtmlXForm
 * @method getItemValue
 * @memberOf dhtmlXForm
 * @param {String} name name - the id of item (the item&#039;s parameter &#039;name&#039;)
 * @example var value = myForm.getItemValue("myInput");
 */
 dhtmlXForm.prototype.getItemValue = function(name) {};
/**
 * 
 * @id dhtmlXForm.getItemWidth
 * @class dhtmlXForm
 * @method getItemWidth
 * @memberOf dhtmlXForm
 * @param {String} name name - the id of item (the item&#039;s parameter &#039;name&#039;)
 * @example var width = myForm.getItemWidth("myInput");
 */
 dhtmlXForm.prototype.getItemWidth = function(name) {};
/**
 * 
 * @id dhtmlXForm.getOptions
 * @class dhtmlXForm
 * @method getOptions
 * @memberOf dhtmlXForm
 * @param {String} name name - the id of item (the item&#039;s parameter &#039;name&#039;)
 * @example var opts = myForm.getOptions("mySelect");
 */
 dhtmlXForm.prototype.getOptions = function(name) {};
/**
 * 
 * @id dhtmlXForm.getSelect
 * @class dhtmlXForm
 * @method getSelect
 * @memberOf dhtmlXForm
 * @param {String} name name - the id of item (the item&#039;s parameter &#039;name&#039;)
 * @example var someItem = myForm.getInput("mySelect");
 */
 dhtmlXForm.prototype.getSelect = function(name) {};
/**
 * 
 * @id dhtmlXForm.getUserData
 * @class dhtmlXForm
 * @method getUserData
 * @memberOf dhtmlXForm
 * @param {String} name name - the id of item (the item&#039;s parameter &#039;name&#039;)
 * @param {String} udKey setUserData()
 * @example myForm.setUserData("myInput","Key",10)
 * ...
 * var data = myForm.getUserData("myInput","Key")
 */
 dhtmlXForm.prototype.getUserData = function(name, udKey) {};
/**
 * 
 * @id dhtmlXForm.hideItem
 * @class dhtmlXForm
 * @method hideItem
 * @memberOf dhtmlXForm
 * @param {String} name name - the id of item (the item&#039;s parameter &#039;name&#039;)
 * @param {String} value showItem()
 * @example formData=[{type: "input", label: "Login"},
 *           {type: "input", label: "Password"},
 *           {type: "button", name:"loginButton", value: "Log in", command:"Login"},
 *           {type: "button", name:"logoutButton", value: "Log out", command:"Logout"}];
 * myForm = new dhtmlXForm("myForm", formData);
 * ...
 * function hideLoginButton() {
 *           alert("You have logged in successfully.");
 *           myForm.showItem("logoutButton");
 *           myForm.hideItem("loginButton");
 * }
 */
 dhtmlXForm.prototype.hideItem = function(name, value) {};
/**
 * 
 * @id dhtmlXForm.isItem
 * @class dhtmlXForm
 * @method isItem
 * @memberOf dhtmlXForm
 * @param {String} name name - the id of item (the item&#039;s parameter &#039;name&#039;)
 * @param {String} value value - the value of a radio button ( the radio&#039;s parameter &#039;value&#039;). Required for &#039;radio&#039; items only
 * @example //for radio buttons
 * var isExist = myForm.isItem(name, value);
 * //for other items
 * var isExist = myForm.isItem(name);
 */
 dhtmlXForm.prototype.isItem = function(name, value) {};
/**
 * 
 * @id dhtmlXForm.isItemChecked
 * @class dhtmlXForm
 * @method isItemChecked
 * @memberOf dhtmlXForm
 * @param {String} name name - the id of item (the item&#039;s parameter &#039;name&#039;)
 * @param {String} value value - the value of a radio button ( the radio&#039;s parameter &#039;value&#039;). Required for &#039;radio&#039; items only
 * @example // for radio button
 * var isChecked = myForm.isItemChecked(name, value);
 *   // for other items
 * var isChecked = myForm.isItemChecked(name);
 */
 dhtmlXForm.prototype.isItemChecked = function(name, value) {};
/**
 * 
 * @id dhtmlXForm.isItemEnabled
 * @class dhtmlXForm
 * @method isItemEnabled
 * @memberOf dhtmlXForm
 * @param {String} name name - the id of item (the item&#039;s parameter &#039;name&#039;)
 * @param {String} value value - the value of a radio button ( the radio&#039;s parameter &#039;value&#039;). Required for &#039;radio&#039; items only
 * @example // for radio button
 * var isEnabled = myForm.isItemEnabled(name, value);
 *   // for other items
 * var isEnabled = myForm.isItemEnabled(name);
 */
 dhtmlXForm.prototype.isItemEnabled = function(name, value) {};
/**
 * 
 * @id dhtmlXForm.isItemHidden
 * @class dhtmlXForm
 * @method isItemHidden
 * @memberOf dhtmlXForm
 * @param {String} name name - the id of item (the item&#039;s parameter &#039;name&#039;)
 * @param {String} value value - the value of a radio button ( the radio&#039;s parameter &#039;value&#039;). Required for &#039;radio&#039; items only
 * @example // for radio button
 * var isEnabled = myForm.isItemHidden(name, value);
 *   // for other items
 * var isEnabled = myForm.isItemHidden(name);
 */
 dhtmlXForm.prototype.isItemHidden = function(name, value) {};
/**
 * 
 * @id dhtmlXForm.isLocked
 * @class dhtmlXForm
 * @method isLocked
 * @memberOf dhtmlXForm
 * @example myForm.isLocked();
 */
 dhtmlXForm.prototype.isLocked = function() {};
/**
 * 
 * @id dhtmlXForm.isReadonly
 * @class dhtmlXForm
 * @method isReadonly
 * @memberOf dhtmlXForm
 * @param {String} name name - the id of item (the item&#039;s parameter &#039;name&#039;)
 * @example myForm.isReadonly("myInput");
 */
 dhtmlXForm.prototype.isReadonly = function(name) {};
/**
 * 
 * @id dhtmlXForm.load 
 * @class dhtmlXForm
 * @method load 
 * @memberOf dhtmlXForm
 * @param {String} id id -the id of record , which need to be loaded
 * @example dhxForm.load(12);
 */
 dhtmlXForm.prototype.load  = function(id) {};
/**
 * 
 * @id dhtmlXForm.loadStruct
 * @class dhtmlXForm
 * @method loadStruct
 * @memberOf dhtmlXForm
 * @param {String} data data - http path to XML file
 * @param {String} [onLoadFunction] onLoadFunction - (optional) a user defined handler which is called when loading has been done
 * @example myForm.loadStruct("file.json", function(){
 *   // onload handler
 * });
 */
 dhtmlXForm.prototype.loadStruct = function(data,onLoadFunction) {};
/**
 * 
 * @id dhtmlXForm.loadStructString
 * @class dhtmlXForm
 * @method loadStructString
 * @memberOf dhtmlXForm
 * @param {String} string string - XML string with data
 * @param {String} [onLoadFunction] onLoadFunction - (optional) a user defined handler which is called when loading has been done
 * @example myForm.loadStructString("<items>...", function(){
 *     // onload handler
 * });
 */
 dhtmlXForm.prototype.loadStructString = function(string, onLoadFunction) {};
/**
 * 
 * @id dhtmlXForm.lock
 * @class dhtmlXForm
 * @method lock
 * @memberOf dhtmlXForm
 * @example myForm.lock();
 */
 dhtmlXForm.prototype.lock = function() {};
/**
 * 
 * @id dhtmlXForm.removeItem
 * @class dhtmlXForm
 * @method removeItem
 * @memberOf dhtmlXForm
 * @param {String} name name - the id of item (the item&#039;s parameter &#039;name&#039;)
 * @example // for radio button
 * myForm.removeItem(name, value);
 *   // for other items
 * myForm.removeItem(name);
 */
 dhtmlXForm.prototype.removeItem = function(name, value) {};
/**
 * 
 * @id dhtmlXForm.reset 
 * @class dhtmlXForm
 * @method reset 
 * @memberOf dhtmlXForm
 * @example myForm.reset();
 */
 dhtmlXForm.prototype.reset  = function() {};
/**
 * 
 * @id dhtmlXForm.resetValidateCss 
 * @class dhtmlXForm
 * @method resetValidateCss 
 * @memberOf dhtmlXForm
 * @example myForm.resetValidateCss();
 */
 dhtmlXForm.prototype.resetValidateCss  = function() {};
/**
 * 
 * @id dhtmlXForm.save 
 * @class dhtmlXForm
 * @method save 
 * @memberOf dhtmlXForm
 * @example myForm.attachEvent("onButtonClick", function(id){
 *      myForm.save();
 * });
 */
 dhtmlXForm.prototype.save  = function() {};
/**
 * 
 * @id dhtmlXForm.send 
 * @class dhtmlXForm
 * @method send 
 * @memberOf dhtmlXForm
 * @param {String} url url - the server-side script which will receive info
 * @param {String} [mode] mode -(optional) a sending mode, can be get or post. The default value - post
 * @param {Function} [callback] callback - (optional) the method which will be called after saving
 * @example myForm.send("some.php");
 *   //or
 * dhxForm.send("some.php","post");
 *   //or
 * dhxForm.send("some.php","post",function(xml){
 *   alert("Saved");
 * });
 */
 dhtmlXForm.prototype.send  = function(url, mode, callback) {};
/**
 * Sets the font-size for the whole form.
 * @id dhtmlXForm.setFontSize 
 * @class dhtmlXForm
 * @method setFontSize 
 * @memberOf dhtmlXForm
 * @example myForm.setFontSize('15px');
 */
 dhtmlXForm.prototype.setFontSize  = function(size) {};
/**
 * 
 * @id dhtmlXForm.setFormData
 * @class dhtmlXForm
 * @method setFormData
 * @memberOf dhtmlXForm
 * @param {String} data data - the hash of properties
 * @example form.setFormData({
 *   some1:mygrid.cells(id, 1).getValue(),
 *   some2:mygrid.cells(id, 2).getValue(),
 * });
 */
 dhtmlXForm.prototype.setFormData = function(data) {};
/**
 * 
 * @id dhtmlXForm.setItemFocus
 * @class dhtmlXForm
 * @method setItemFocus
 * @memberOf dhtmlXForm
 * @param {String} name name - the id of item (the item&#039;s parameter &#039;name&#039;)
 * @example myForm.setItemFocus("myItem");
 */
 dhtmlXForm.prototype.setItemFocus = function(name) {};
/**
 * 
 * @id dhtmlXForm.setItemHeight 
 * @class dhtmlXForm
 * @method setItemHeight 
 * @memberOf dhtmlXForm
 * @param {String} name name - the id of item (the item&#039;s parameter &#039;name&#039;)
 * @param {String} height height - the height you want to set for item
 * @example myForm.setItemHeight("myItem", 60);
 */
 dhtmlXForm.prototype.setItemHeight  = function(name, height) {};
/**
 * 
 * @id dhtmlXForm.setItemLabel
 * @class dhtmlXForm
 * @method setItemLabel
 * @memberOf dhtmlXForm
 * @param {String} name name - the id of item (the item&#039;s parameter &#039;name&#039;)
 * @param {String} label label - a new label (empty string if you want to cancel label)
 * @example myForm.setItemLabel("myItem", "New label");
 */
 dhtmlXForm.prototype.setItemLabel = function(name, label) {};
/**
 * 
 * @id dhtmlXForm.setItemValue 
 * @class dhtmlXForm
 * @method setItemValue 
 * @memberOf dhtmlXForm
 * @param {String} name name - the id of item (the item&#039;s parameter &#039;name&#039;)
 * @param {String} value getItemValue()
 * @example myForm.setItemValue("myInput", 100);
 */
 dhtmlXForm.prototype.setItemValue  = function(name, value) {};
/**
 * 
 * @id dhtmlXForm.setItemWidth 
 * @class dhtmlXForm
 * @method setItemWidth 
 * @memberOf dhtmlXForm
 * @param {String} name name - the id of item (the item&#039;s parameter &#039;name&#039;)
 * @param {String} width width - the width you want to set for item
 * @example myForm.setItemWidth("myItem", 220);
 */
 dhtmlXForm.prototype.setItemWidth  = function(name, width) {};
/**
 * 
 * @id dhtmlXForm.setReadonly 
 * @class dhtmlXForm
 * @method setReadonly 
 * @memberOf dhtmlXForm
 * @param {String} name name - the id of item (the item&#039;s parameter &#039;name&#039;)
 * @param {String} state isReadonly()
 * @example //makes an item with name='myInput' readonly
 *    myForm.setReadonly('myInput', true);
 * //makes the item not readonly
 *    myForm.setReadonly('myInput', false);
 */
 dhtmlXForm.prototype.setReadonly  = function(name, state) {};
/**
 * 
 * @id dhtmlXForm.setSkin 
 * @class dhtmlXForm
 * @method setSkin 
 * @memberOf dhtmlXForm
 * @example myForm.setSkin('dhx_web');
 */
 dhtmlXForm.prototype.setSkin  = function(skin) {};
/**
 * 
 * @id dhtmlXForm.setUserData
 * @class dhtmlXForm
 * @method setUserData
 * @memberOf dhtmlXForm
 * @param {String} name name - the id of item (the item&#039;s parameter &#039;name&#039;)
 * @param {String} udKey getUserData()
 * @example myForm.setUserData('myInput','Key',10)
 */
 dhtmlXForm.prototype.setUserData = function(name, udKey, udValue) {};
/**
 * 
 * @id dhtmlXForm.showItem
 * @class dhtmlXForm
 * @method showItem
 * @memberOf dhtmlXForm
 * @param {String} name name - the id of item (the item&#039;s parameter &#039;name&#039;)
 * @param {String} value isItemHidden()
 * @example formData=[{type: "input", label: "Login"},
 *           {type: "input", label: "Password"},
 *           {type: "button", name:"loginButton", value: "Log in", command:"Login"},
 *           {type: "button", name:"logoutButton", value: "Log out", command:"Logout"}];
 * myForm = new dhtmlXForm("myForm", formData);
 * ...
 * function hideLoginButton() {
 *           alert("You have logged in successfully.");
 *           myForm.showItem("logoutButton");
 *           myForm.hideItem("loginButton");
 * }
 */
 dhtmlXForm.prototype.showItem = function(name, value) {};
/**
 * 
 * @id dhtmlXForm.validate 
 * @class dhtmlXForm
 * @method validate 
 * @memberOf dhtmlXForm
 * @example function doFormValidate() {
 *      myForm.validate();
 * }
 */
 dhtmlXForm.prototype.validate  = function() {};
/**
 * 
 * @id dhtmlXForm.uncheckItem
 * @class dhtmlXForm
 * @method uncheckItem
 * @memberOf dhtmlXForm
 * @param {String} name name - the id of item (the item&#039;s parameter &#039;name&#039;)
 * @param {String} value checkItem()
 * @example // for radio button
 * dhxForm.uncheckItem(name, value);
 *   // for other items
 * dhxForm.uncheckItem(name);
 */
 dhtmlXForm.prototype.uncheckItem = function(name, value) {};
/**
 * 
 * @id dhtmlXForm.unload 
 * @class dhtmlXForm
 * @method unload 
 * @memberOf dhtmlXForm
 * @example myForm.unload();
 * myForm = null;
 */
 dhtmlXForm.prototype.unload  = function() {};
/**
 * 
 * @id dhtmlXForm.unlock
 * @class dhtmlXForm
 * @method unlock
 * @memberOf dhtmlXForm
 * @example myForm.unlock();
 */
 dhtmlXForm.prototype.unlock = function() {};


/**
*
* dhtmlXGridObject object class.
* @id dhtmlXGridObject
* @class dhtmlXGridObject
* @constructor
* @alias dhtmlXGridObject.prototype
 * @return {dhtmlXGridObject}
 */
 function dhtmlXGridObject(){};




/**
 * add row to the grid
 * @id dhtmlXGridObject.addRow
 * @class dhtmlXGridObject
 * @method addRow
 * @memberOf dhtmlXGridObject
 * @param {String} new_id new_id - row ID, must be unique
 * @param {String} text text - row values, may be a comma separated list or an array
 * @param {Number} [ind] ind - index of new row, optional, row added to the last position by default
 * @example var newId = (new Date()).valueOf();
 *         grid.addRow(newId,"");
 */
 dhtmlXGridObject.prototype.addRow = function(new_id, text, ind) {};
/**
 * 
 * @id dhtmlXGridObject.addRowFromClipboard
 * @class dhtmlXGridObject
 * @method addRowFromClipboard
 * @memberOf dhtmlXGridObject
 * @example mygrid.addRowFromClipboard();
 */
 dhtmlXGridObject.prototype.addRowFromClipboard = function() {};
/**
 * adjusts column size to make all content visible
 * @id dhtmlXGridObject.adjustColumnSize
 * @class dhtmlXGridObject
 * @method adjustColumnSize
 * @memberOf dhtmlXGridObject
 * @param {Number} cInd cInd - index of column
 * @example //adjust first column size
 *    mygrid.adjustColumnSize(0);
 */
 dhtmlXGridObject.prototype.adjustColumnSize = function(cInd) {};
/**
 * adds any user-defined handler to available events
 * @id dhtmlXGridObject.attachEvent
 * @class dhtmlXGridObject
 * @method attachEvent
 * @memberOf dhtmlXGridObject
 * @param {String} evName evName - name of the event;
 * @param {Function} evHandler return &#039;true&#039;; -  confirm action
 * @example <script>
 *   grid.attachEvent("onRowSelect",function(rowId,cellIndex){
 *      alert("Row with id="+rowId+" was selected");
 *   });
 * </script>
 */
 dhtmlXGridObject.prototype.attachEvent = function(evName, evHandler) {};
/**
 * attach additional line to footer
 * @id dhtmlXGridObject.attachFooter
 * @class dhtmlXGridObject
 * @method attachFooter
 * @memberOf dhtmlXGridObject
 * @param {String} values values - array of header titles
 * @param {String} [style] style - array of styles, optional
 * @example //plain usage
 *         grid.attachFooter("A,B,C,D");
 *         //alternative syntax
 *         grid.attachFooter(["A","B","C","D"])
 *         //colspans in footer
 *         grid.attachFooter("A,#cspan,C,#cspan");
 *         //rowspans in footer
 *         grid.attachFooter("A,#rspan,C,#rspan");
 *         //styles assigned
 *         grid.attachFooter("A,B,C,D",["","color:red;","",""]);
 */
 dhtmlXGridObject.prototype.attachFooter = function(values, style) {};
/**
 * attach additional line to header
 * @id dhtmlXGridObject.attachHeader
 * @class dhtmlXGridObject
 * @method attachHeader
 * @memberOf dhtmlXGridObject
 * @param {String} values values - array of header titles
 * @param {String} [style] style - array of styles, optional
 * @example //plain usage
 *         grid.attachHeader("A,B,C,D");
 *         //alternative syntax
 *         grid.attachHeader(["A","B","C","D"])
 *         //colspans in header
 *         grid.attachHeader("A,#cspan,C,#cspan");
 *         //rowspans in header
 *         grid.attachHeader("A,#rspan,C,#rspan");
 *         //styles assigned
 *         grid.attachHeader("A,B,C,D",["","color:red;","",""]);
 */
 dhtmlXGridObject.prototype.attachHeader = function(values, style) {};
/**
 * 
 * @id dhtmlXGridObject.attachToObject
 * @class dhtmlXGridObject
 * @method attachToObject
 * @memberOf dhtmlXGridObject
 * @param {Object} obj obj - object to attach to
 * @example mygrid.attachToObject(obj);
 */
 dhtmlXGridObject.prototype.attachToObject = function(obj) {};
/**
 * 
 * @id dhtmlXGridObject.bind
 * @class dhtmlXGridObject
 * @method bind
 * @memberOf dhtmlXGridObject
 * @param {Object} [target] target - (object) the object that method is assigned to (optional)
 * @param {String} [rule] rule - (function) sets the rule according which components will be bound (optional)
 * @example mygrid.bind(myCombo, function(data, filter){
 * 		return myGrid.cells(data, 2).getValue() == filter.text;
 * });
 */
 dhtmlXGridObject.prototype.bind = function(target, rule) {};
/**
 * gets dhtmlXGridCellObject object (if no arguments then gets dhtmlXGridCellObject object of currently selected cell)
 * @id dhtmlXGridObject.cellById
 * @class dhtmlXGridObject
 * @method cellById
 * @memberOf dhtmlXGridObject
 * @param {String} row_id row_id -  row id
 * @param {Number} col col -  column index
 * @example var cellObj = grid.cellById(row_id, col);
 */
 dhtmlXGridObject.prototype.cellById = function(row_id, col) {};
/**
 * gets dhtmlXGridCellObject object
 * @id dhtmlXGridObject.cellByIndex
 * @class dhtmlXGridObject
 * @method cellByIndex
 * @memberOf dhtmlXGridObject
 * @param {Number} row_index row_index -  row index
 * @param {Number} col col -  column index
 * @example var cellObj = grid.cellByIndex(row_index, col);
 */
 dhtmlXGridObject.prototype.cellByIndex = function(row_index, col) {};
/**
 * copy value of cell to clipboard
 * @id dhtmlXGridObject.cellToClipboard
 * @class dhtmlXGridObject
 * @method cellToClipboard
 * @memberOf dhtmlXGridObject
 * @param {String} [rowId] rowId - id of row (optional, use selected row by default)
 * @param {Number} [cellInd] cellInd - column index(optional, use selected cell by default)
 * @example //minimal parameters set
 *    mygrid.cellToClipboard();
 *    //maximal parameters set
 *    mygrid.cellToClipboard("rowID",0);
 */
 dhtmlXGridObject.prototype.cellToClipboard = function(rowId,cellInd) {};
/**
 * gets dhtmlXGridCellObject object (if no arguments then gets dhtmlXGridCellObject object of currently selected cell)
 * @id dhtmlXGridObject.cells
 * @class dhtmlXGridObject
 * @method cells
 * @memberOf dhtmlXGridObject
 * @param {String} row_id row_id -  row id
 * @param {Number} col col -  column index
 * @example var cellObj = grid.cells(row_id, col);
 */
 dhtmlXGridObject.prototype.cells = function(row_id, col) {};
/**
 * gets dhtmlXGridCellObject object
 * @id dhtmlXGridObject.cells2
 * @class dhtmlXGridObject
 * @method cells2
 * @memberOf dhtmlXGridObject
 * @param {Number} row_index row_index -  row index
 * @param {Number} col col -  column index
 * @example var cellObj = grid.cells2(row_index, col);
 */
 dhtmlXGridObject.prototype.cells2 = function(row_index, col) {};
/**
 * change current page in grid
 * @id dhtmlXGridObject.changePage
 * @class dhtmlXGridObject
 * @method changePage
 * @memberOf dhtmlXGridObject
 * @param {String} pageNum pageNum -  new active page
 * @example //Go to the 5th page
 *    grid.changePage(5);
 */
 dhtmlXGridObject.prototype.changePage = function(pageNum) {};
/**
 * change current page in grid
 * @id dhtmlXGridObject.changePageRelative
 * @class dhtmlXGridObject
 * @method changePageRelative
 * @memberOf dhtmlXGridObject
 * @param {String} ind ind - correction ( -1,1,2  etc) to current active page
 * @example <a href="javascript:void(0)" onclick="grid.changePageRelative(-1)">Previous page</a>
 * <a href="javascript:void(0)" onclick="grid.changePageRelative(1)">Next page</a>
 */
 dhtmlXGridObject.prototype.changePageRelative = function(ind) {};
/**
 * changes id of the row to the new one
 * @id dhtmlXGridObject.changeRowId
 * @class dhtmlXGridObject
 * @method changeRowId
 * @memberOf dhtmlXGridObject
 * @param {String} oldRowId oldRowId - row id to change
 * @param {String} newRowId newRowId - row id to set
 * @example mygrid.changeRowId("old_rowID","new_rowID");
 */
 dhtmlXGridObject.prototype.changeRowId = function(oldRowId, newRowId) {};
/**
 * check all checkboxes in grid
 * @id dhtmlXGridObject.checkAll
 * @class dhtmlXGridObject
 * @method checkAll
 * @memberOf dhtmlXGridObject
 * @param {Boolean} [mode] mode - {true|false} check\uncheck all checkboxes in grid (optional, true by default)
 * @example //check all checkboxes in grid
 *    mygrid.checkAll(true);
 *    //uncheck all checkboxes in grid
 *    mygrid.checkAll(false)
 */
 dhtmlXGridObject.prototype.checkAll = function(mode) {};
/**
 * deletes all rows in grid
 * @id dhtmlXGridObject.clearAll
 * @class dhtmlXGridObject
 * @method clearAll
 * @memberOf dhtmlXGridObject
 * @param {String} header header - (boolean) enable/disable cleaning header
 * @example //delete all rows from the grid
 *    mygrid.clearAll();
 *    //delete all rows from the grid, clear header
 *    grid.clearAll(true);
 */
 dhtmlXGridObject.prototype.clearAll = function(header) {};
/**
 * clears existing grid state and load data from external file ( xml, json, jsarray, csv )
 * @id dhtmlXGridObject.clearAndLoad
 * @class dhtmlXGridObject
 * @method clearAndLoad
 * @memberOf dhtmlXGridObject
 * @param {String} url url - url to external file
 * @param {String} [call] call - after loading callback function, optional, can be ommited
 * @param {String} [type] type - type of data (xml,csv,json,jsarray) , optional, xml by default
 * @example //clear grid and load new data
 *    mygrid.clearAndLoad("grid_new.xml");
 *    //clear grid, load new data, execute doAfterRefresh() function after grid was loaded
 *    mygrid.clearAndLoad("grid_new.xml",doAfterRefresh);
 *    //clear grid, load new data in csv format, execute doAfterRefresh() function after grid was loaded
 *    mygrid.clearAndLoad("grid_new.csv",doAfterRefresh,csv);
 */
 dhtmlXGridObject.prototype.clearAndLoad = function(url, call, type) {};
/**
 * 
 * @id dhtmlXGridObject.clearChangedState
 * @class dhtmlXGridObject
 * @method clearChangedState
 * @memberOf dhtmlXGridObject
 * @example mygrid.clearChangedState();
 */
 dhtmlXGridObject.prototype.clearChangedState = function() {};
/**
 * clear cookie with grid config details
 * @id dhtmlXGridObject.clearConfigCookie
 * @class dhtmlXGridObject
 * @method clearConfigCookie
 * @memberOf dhtmlXGridObject
 * @param {String} [name] name - optional,cookie name
 * @example <button onclick="mygrid.clearConfigCookie()">Clear cookies</button>
 */
 dhtmlXGridObject.prototype.clearConfigCookie = function(name) {};
/**
 * 
 * @id dhtmlXGridObject.clearSelection
 * @class dhtmlXGridObject
 * @method clearSelection
 * @memberOf dhtmlXGridObject
 * @example mygrid.clearSelection();
 */
 dhtmlXGridObject.prototype.clearSelection = function() {};
/**
 * 
 * @id dhtmlXGridObject.collapseAllGroups
 * @class dhtmlXGridObject
 * @method collapseAllGroups
 * @memberOf dhtmlXGridObject
 * @example mygrid.collapseAllGroups();
 */
 dhtmlXGridObject.prototype.collapseAllGroups = function() {};
/**
 * collapse group of rows
 * @id dhtmlXGridObject.collapseGroup
 * @class dhtmlXGridObject
 * @method collapseGroup
 * @memberOf dhtmlXGridObject
 * @param {String} val val - value to use to determine what group to collapse (in other words this should be value common for all of them)
 * @example //collapse "John Grisham" group
 *    mygrid.collapseGroup('John Grisham');
 */
 dhtmlXGridObject.prototype.collapseGroup = function(val) {};
/**
 * get all possible values in column
 * @id dhtmlXGridObject.collectValues
 * @class dhtmlXGridObject
 * @method collectValues
 * @memberOf dhtmlXGridObject
 * @param {Number} column column - {number} zero based index of column
 * @example //collect possible values in the 2nd column
 *    var values=mygrid.collectValues(1);
 */
 dhtmlXGridObject.prototype.collectValues = function(column) {};
/**
 * 
 * @id dhtmlXGridObject.copyBlockToClipboard
 * @class dhtmlXGridObject
 * @method copyBlockToClipboard
 * @memberOf dhtmlXGridObject
 * @example mygrid.attachEvent("onKeyPress",onKeyPressed);
 * ...
 * function onKeyPressed(code,ctrl,shift){
 * 	if(code==67&&ctrl){
 * 	    mygrid.setCSVDelimiter("\t")
 * 	    mygrid.copyBlockToClipboard()
 * 	}
 * 	if(code==86&&ctrl){
 * 	    mygrid.pasteBlockFromClipboard()
 * 	}
 * 	return true;
 * }
 */
 dhtmlXGridObject.prototype.copyBlockToClipboard = function() {};
/**
 * copies row content to another existing row
 * @id dhtmlXGridObject.copyRowContent
 * @class dhtmlXGridObject
 * @method copyRowContent
 * @memberOf dhtmlXGridObject
 * @param {String} from_row_id from_row_id - id of the row to copy content from
 * @param {String} to_row_id to_row_id - id of the row to copy content to
 * @example mygrid.copyRowContent("from_row_id","to_row_id");
 */
 dhtmlXGridObject.prototype.copyRowContent = function(from_row_id, to_row_id) {};
/**
 * delete column
 * @id dhtmlXGridObject.deleteColumn
 * @class dhtmlXGridObject
 * @method deleteColumn
 * @memberOf dhtmlXGridObject
 * @param {Number} ind ind - index of column
 * @example //delete first column
 *    mygrid.deleteColumn(0);
 */
 dhtmlXGridObject.prototype.deleteColumn = function(ind) {};
/**
 * delete row from the grid
 * @id dhtmlXGridObject.deleteRow
 * @class dhtmlXGridObject
 * @method deleteRow
 * @memberOf dhtmlXGridObject
 * @param {String} row_id row_id - row ID
 * @example //delete row with id "row1"
 *    mygrid.deleteRow("row1");
 */
 dhtmlXGridObject.prototype.deleteRow = function(row_id) {};
/**
 * 
 * @id dhtmlXGridObject.deleteSelectedRows
 * @class dhtmlXGridObject
 * @method deleteSelectedRows
 * @memberOf dhtmlXGridObject
 * @example mygrid.deleteSelectedRows();
 */
 dhtmlXGridObject.prototype.deleteSelectedRows = function() {};
/**
 * 
 * @id dhtmlXGridObject.destructor
 * @class dhtmlXGridObject
 * @method destructor
 * @memberOf dhtmlXGridObject
 * @example mygrid.destructor();
 */
 dhtmlXGridObject.prototype.destructor = function() {};
/**
 * removes an event handler
 * @id dhtmlXGridObject.detachEvent
 * @class dhtmlXGridObject
 * @method detachEvent
 * @memberOf dhtmlXGridObject
 * @param {String} id id - event id
 * @example grid.detachEvent(id); // unique id of the event handler
 */
 dhtmlXGridObject.prototype.detachEvent = function(id) {};
/**
 * remove footer line from grid (opposite to attachFooter)
 * @id dhtmlXGridObject.detachFooter
 * @class dhtmlXGridObject
 * @method detachFooter
 * @memberOf dhtmlXGridObject
 * @param {Number} index index - index of a footer
 * @example mygrid.detachFooter(0);//detach first footer's line
 */
 dhtmlXGridObject.prototype.detachFooter = function(index) {};
/**
 * remove header line from grid (opposite to attachHeader)
 * @id dhtmlXGridObject.detachHeader
 * @class dhtmlXGridObject
 * @method detachHeader
 * @memberOf dhtmlXGridObject
 * @param {Number} index index - index of row to be removed ( zero based )
 * @example mygrid.detachHeader(0);//detach first header's line
 */
 dhtmlXGridObject.prototype.detachHeader = function(index) {};
/**
 * 
 * @id dhtmlXGridObject.disableUndoRedo
 * @class dhtmlXGridObject
 * @method disableUndoRedo
 * @memberOf dhtmlXGridObject
 * @example mygrid.disableUndoRedo();
 */
 dhtmlXGridObject.prototype.disableUndoRedo = function() {};
/**
 * 
 * @id dhtmlXGridObject.doRedo
 * @class dhtmlXGridObject
 * @method doRedo
 * @memberOf dhtmlXGridObject
 * @example mygrid.doRedo();
 */
 dhtmlXGridObject.prototype.doRedo = function() {};
/**
 * 
 * @id dhtmlXGridObject.doUndo
 * @class dhtmlXGridObject
 * @method doUndo
 * @memberOf dhtmlXGridObject
 * @example mygrid.doUndo();
 */
 dhtmlXGridObject.prototype.doUndo = function() {};
/**
 * determines if row with specified id exists
 * @id dhtmlXGridObject.doesRowExist
 * @class dhtmlXGridObject
 * @method doesRowExist
 * @memberOf dhtmlXGridObject
 * @param {String} row_id row_id - row id
 * @example var exist=mygrid.doesRowExist("some_row_ID");
 */
 dhtmlXGridObject.prototype.doesRowExist = function(row_id) {};
/**
 * 
 * @id dhtmlXGridObject.editCell
 * @class dhtmlXGridObject
 * @method editCell
 * @memberOf dhtmlXGridObject
 * @example <button onclick="(arguments[0]||window.event).cancelBubble=true; selectAndEdit()">Edit cell</button>
 * <script>
 *    function selectAndEdit(){
 * 	mygrid.selectCell(rowIndex,cellIndex);
 * 	mygrid.editCell();
 *    }
 * </script>
 */
 dhtmlXGridObject.prototype.editCell = function() {};
/**
 * retuns value from editor(if presents) to cell and closes editor
 * @id dhtmlXGridObject.editStop
 * @class dhtmlXGridObject
 * @method editStop
 * @memberOf dhtmlXGridObject
 * @param {String} mode mode - if true - current edit value will be reverted to previous one
 * @example //close opened editor and return value from editor to the cell
 *    mygrid.editStop();
 *    //close opened editor and revert cell value to the previous one
 *    mygrid.editStop(true);
 */
 dhtmlXGridObject.prototype.editStop = function(mode) {};
/**
 * set even/odd css styles
 * @id dhtmlXGridObject.enableAlterCss
 * @class dhtmlXGridObject
 * @method enableAlterCss
 * @memberOf dhtmlXGridObject
 * @param {String} cssE cssE - name of css class for even rows
 * @param {String} cssU cssU - name of css class for odd rows
 * @param {Boolean} [perLevel] perLevel - true/false - mark rows not by order, but by level in treegrid (optional, default value: true - treeGrid, false - Grid)
 * @param {Boolean} [levelUnique] levelUnique - true/false - creates additional unique css class based on row level (optional, false by default)
 * @example <style>
 * .even{
 *    background-color:#22FF44;
 *    }
 * .uneven{
 *    background-color:#41964e;
 *    }	
 * </style>
 * <script>
 *    //minimal parameters set:
 *    mygrid.enableAlterCss("even","uneven");
 *    //disable even/odd rows in the grid:
 *    mygrid.enableAlterCss("","");
 *    //color rows in treeGrid by order:
 *    treeGrid.enableAlterCss("even","uneven",false,false);
 *    //color rows in treeGrid by level,every row level will have unique class (even_0 - 1st level, uneven_1 - 2nd level, even_2 - 3rd level, etc.)
 *    treeGrid.enableAlterCss("even","uneven",true,true);
 * </script>
 */
 dhtmlXGridObject.prototype.enableAlterCss = function(cssE, cssU, perLevel, levelUnique) {};
/**
 * enable autoheight of grid
 * @id dhtmlXGridObject.enableAutoHeight
 * @class dhtmlXGridObject
 * @method enableAutoHeight
 * @memberOf dhtmlXGridObject
 * @param {Boolean} mode mode - true/false
 * @param {String} maxHeight maxHeight - maximum height before scrolling appears (no limit by default)
 * @param {Boolean} countFullHeight countFullHeight - control the usage of maxHeight parameter - when set to true all grid height included in max height calculation, if false then only data part (no header) of grid included in calcualation (false by default)
 * @example //enable auto height mode
 *    mygrid.enableAutoHeight(true);
 * 
 *    //disable auto height mode
 *    mygrid.enableAutoHeight(false);
 * 
 *    //enable auto height mode, set maximum height before scrolling appears, only data part included in max height calculation
 *    mygrid.enableAutoHeight(true,100);
 * 
 *    //enable auto height mode, set maximum height before scrolling appears, all grid height included in max height calculation
 *    mygrid.enableAutoHeight(true,100,true);
 */
 dhtmlXGridObject.prototype.enableAutoHeight = function(mode, maxHeight, countFullHeight) {};
/**
 * enable automatic saving column state ( hidden | shown )
 * @id dhtmlXGridObject.enableAutoHiddenColumnsSaving
 * @class dhtmlXGridObject
 * @method enableAutoHiddenColumnsSaving
 * @memberOf dhtmlXGridObject
 * @param {String} [name] name - optional, cookie name
 * @param {String} [cookie_param] cookie_param - optional, additional parameters added to cookie
 * @example //minimal parameters set
 *    mygrid.enableAutoHiddenColumnsSaving();
 *    //maximal parameters set
 *    mygrid.enableAutoHiddenColumnsSaving("some_name","expires=Fri, 31-Dec-2010 23:59:59 GMT");
 */
 dhtmlXGridObject.prototype.enableAutoHiddenColumnsSaving = function(name,cookie_param) {};
/**
 * 
 * @id dhtmlXGridObject.enableAutoSaving
 * @class dhtmlXGridObject
 * @method enableAutoSaving
 * @memberOf dhtmlXGridObject
 * @param {String} [name] name - optional, cookie name
 * @param {String} [cookie_param] cookie_param - additional parameters added to cookie
 * @example //minimal parameters set
 *    mygrid.enableAutoSaving();
 *    //maximal parameters set
 *    mygrid.enableAutoSaving("some_name","expires=Fri, 31-Dec-2010 23:59:59 GMT");
 */
 dhtmlXGridObject.prototype.enableAutoSaving = function(name,cookie_param) {};
/**
 * enable automatic size saving to cookie
 * @id dhtmlXGridObject.enableAutoSizeSaving
 * @class dhtmlXGridObject
 * @method enableAutoSizeSaving
 * @memberOf dhtmlXGridObject
 * @param {String} [name] name - optional, cookie name
 * @param {String} [cookie_param] cookie_param - additional parameters added to cookie
 * @example //minimal parameters set
 *    mygrid.enableAutoSizeSaving();
 *    //maximal parameters set
 *    mygrid.enableAutoSizeSaving("some_name","expires=Fri, 31-Dec-2010 23:59:59 GMT");
 */
 dhtmlXGridObject.prototype.enableAutoSizeSaving = function(name,cookie_param) {};
/**
 * changes grid&#039;s container size on the fly to fit total width of grid columns
 * @id dhtmlXGridObject.enableAutoWidth
 * @class dhtmlXGridObject
 * @method enableAutoWidth
 * @memberOf dhtmlXGridObject
 * @param {String} mode mode  - truse/false - enable / disable
 * @param {String} max_limit max_limit  - max allowed width, not limited by default
 * @param {String} min_limit min_limit  - min allowed width, not limited by default
 * @example //enable auto width mode
 *    mygrid.enableAutoWidth(true);
 *    //disable auto width mode
 *    mygrid.enableAutoWidth(true);
 *    //enable auto width mode, set maximal and minimal allowed width
 *    mygrid.enableAutoWidth(true,600,100);
 */
 dhtmlXGridObject.prototype.enableAutoWidth = function(mode, max_limit, min_limit) {};
/**
 * enables block selection mode in grid
 * @id dhtmlXGridObject.enableBlockSelection
 * @class dhtmlXGridObject
 * @method enableBlockSelection
 * @memberOf dhtmlXGridObject
 * @param {Boolean} [mode] mode - {true|false} - enable/disable block selection (optional, true by default)
 * @example //enable block selection
 *    mygrid.enableBlockSelection(true);
 *    //disable block selection
 *    mygrid.enableBlockSelection(false);
 */
 dhtmlXGridObject.prototype.enableBlockSelection = function(mode) {};
/**
 * enable mode, where ID for rows loaded from CSV autogenerated
 * @id dhtmlXGridObject.enableCSVAutoID
 * @class dhtmlXGridObject
 * @method enableCSVAutoID
 * @memberOf dhtmlXGridObject
 * @param {Boolean} mode mode - true/false
 * @example //enable autogenerated rows IDs for the CSV loading
 *    mygrid.enableCSVAutoID(true);
 *    //disable autogenerated rows IDs for the CSV loading
 *    mygrid.enableCSVAutoID(false);
 */
 dhtmlXGridObject.prototype.enableCSVAutoID = function(mode) {};
/**
 * enable recognizing first row in CSV as header
 * @id dhtmlXGridObject.enableCSVHeader
 * @class dhtmlXGridObject
 * @method enableCSVHeader
 * @memberOf dhtmlXGridObject
 * @param {Boolean} mode mode - true/false
 * @example //enable recognizing first row in CSV as header
 *    mygrid.enableCSVHeader(true);
 *    //disable recognizing first row in CSV as header
 *    mygrid.enableCSVHeader(false);
 */
 dhtmlXGridObject.prototype.enableCSVHeader = function(mode) {};
/**
 * enable/disable unique id for cells (id will be automaticaly created using the following template: &#039;c_[RowId]_[colIndex]&#039;)
 * @id dhtmlXGridObject.enableCellIds
 * @class dhtmlXGridObject
 * @method enableCellIds
 * @memberOf dhtmlXGridObject
 * @param {Boolean} mode mode - {true|false} - enable/disable unique id for cells
 * @example //enable unique id for cells
 *    mygrid.enableCellIds(true);
 *    //disable unique id for cells
 *    mygrid.enableCellIds(false);
 */
 dhtmlXGridObject.prototype.enableCellIds = function(mode) {};
/**
 * enable/disable colspan support
 * @id dhtmlXGridObject.enableColSpan
 * @class dhtmlXGridObject
 * @method enableColSpan
 * @memberOf dhtmlXGridObject
 * @param {Boolean} mode mode - {true|false} enable/disable colspan support
 * @example //enable col span mode
 *    mygrid.enableColSpan(true);
 *    //disable col span mode
 *    mygrid.enableColSpan(false);
 */
 dhtmlXGridObject.prototype.enableColSpan = function(mode) {};
/**
 * enable move column functionality
 * @id dhtmlXGridObject.enableColumnMove
 * @class dhtmlXGridObject
 * @method enableColumnMove
 * @memberOf dhtmlXGridObject
 * @param {Boolean} mode mode - true/false
 * @param {Boolean} [columns] columns - list of true/false values, optional
 * @example //minimal parameters set
 *    mygrid.enableColumnMove(true);
 *    //maximal parameters set
 *    mygrid.enableColumnMove(true,"false,true,true,true,true,true");
 */
 dhtmlXGridObject.prototype.enableColumnMove = function(mode,columns) {};
/**
 * enable/disable context menu
 * @id dhtmlXGridObject.enableContextMenu
 * @class dhtmlXGridObject
 * @method enableContextMenu
 * @memberOf dhtmlXGridObject
 * @param {Object} menu dhtmlxMenu object, if null - context menu will be disabled
 * @example var menu = new dhtmlXMenuObject(null, "standard");
 *    ...
 *    mygrid.enableContextMenu(menu);
 */
 dhtmlXGridObject.prototype.enableContextMenu = function(menu) {};
/**
 * enable/disable distributed parsing (rows paresed portion by portion with some timeout)
 * @id dhtmlXGridObject.enableDistributedParsing
 * @class dhtmlXGridObject
 * @method enableDistributedParsing
 * @memberOf dhtmlXGridObject
 * @param {Boolean} mode mode - true/false
 * @param {String} [count] count - count of nodes parsed by one step (optional, 10 by default)
 * @param {String} [time] time - time between parsing counts in milli seconds (optional, 250 by default)
 * @example //enable distributed parsing mode
 *    mygrid.enableDistributedParsing(true);
 *    //enable distributed parsing mode, parse 50 nodes by one step, parse nodes with 2 seconds delay
 *    mygrid.enableDistributedParsing(true,50,2000);
 */
 dhtmlXGridObject.prototype.enableDistributedParsing = function(mode, count, time) {};
/**
 * enable/disable drag-and-drop
 * @id dhtmlXGridObject.enableDragAndDrop
 * @class dhtmlXGridObject
 * @method enableDragAndDrop
 * @memberOf dhtmlXGridObject
 * @param {Boolean} mode mode - enabled/disabled [ can be true/false/temporary_disabled - last value mean that tree can be D-n-D can be switched to true later ]
 * @example //enable drag-and-drop
 *    mygrid.enableDragAndDrop(true);
 *    //disable drag-and-drop
 *    mygrid.enableDragAndDrop(false);
 */
 dhtmlXGridObject.prototype.enableDragAndDrop = function(mode) {};
/**
 * switch to mode when draged item, droped in target location in same order as they was in source grid
 * @id dhtmlXGridObject.enableDragOrder
 * @class dhtmlXGridObject
 * @method enableDragOrder
 * @memberOf dhtmlXGridObject
 * @param {Boolean} mode mode - true/false to enable/disable mode
 * @example //enable drag order
 *    mygrid.enableDragOrder(true);
 *    //disable drag order
 *    mygrid.enableDragOrder(false);
 */
 dhtmlXGridObject.prototype.enableDragOrder = function(mode) {};
/**
 * enable/disable events which fire excell editing, mutual exclusive with enableLightMouseNavigation
 * @id dhtmlXGridObject.enableEditEvents
 * @class dhtmlXGridObject
 * @method enableEditEvents
 * @memberOf dhtmlXGridObject
 * @param {Boolean} click click - {true|false} - enable/disable editing by single click
 * @param {Boolean} dblclick dblclick - {true|false} - enable/disable editing by double click
 * @param {Boolean} f2Key f2Key - {true|false} - enable/disable editing by pressing F2 key
 * @example //enable editing by single click and by pressing F2 key, disable editing by double click
 *    mygrid.enableEditEvents(true,false,true);
 */
 dhtmlXGridObject.prototype.enableEditEvents = function(click, dblclick, f2Key) {};
/**
 * enables/disables mode when readonly cell is not available with tab
 * @id dhtmlXGridObject.enableEditTabOnly
 * @class dhtmlXGridObject
 * @method enableEditTabOnly
 * @memberOf dhtmlXGridObject
 * @param {Boolean} mode mode - true/false
 * @example //enable mode when readonly cell is not available with tab
 *    mygrid.enableEditTabOnly(true);
 *    //disable mode when readonly cell is not available with tab
 *    mygrid.enableEditTabOnly(false);
 */
 dhtmlXGridObject.prototype.enableEditTabOnly = function(mode) {};
/**
 * specify if values passed to Header are images file names
 * @id dhtmlXGridObject.enableHeaderImages
 * @class dhtmlXGridObject
 * @method enableHeaderImages
 * @memberOf dhtmlXGridObject
 * @param {String} fl fl - true to treat column header values as image names
 * @example //enable header images
 *    mygrid.enableHeaderImages(true);
 *    //disable header images
 *    mygrid.enableHeaderImages(false);
 */
 dhtmlXGridObject.prototype.enableHeaderImages = function(fl) {};
/**
 * 
 * @id dhtmlXGridObject.enableHeaderMenu
 * @class dhtmlXGridObject
 * @method enableHeaderMenu
 * @memberOf dhtmlXGridObject
 * @example mygrid.enableHeaderMenu();
 */
 dhtmlXGridObject.prototype.enableHeaderMenu = function() {};
/**
 * enable/disable hot keys in grid
 * @id dhtmlXGridObject.enableKeyboardSupport
 * @class dhtmlXGridObject
 * @method enableKeyboardSupport
 * @memberOf dhtmlXGridObject
 * @param {Boolean} mode mode - true/false (true by default)
 * @example //enable hot keys in grid
 *    mygrid.enableKeyboardSupport(true);
 *    //disable hot keys in grid 
 *    mygrid.enableKeyboardSupport(false);
 */
 dhtmlXGridObject.prototype.enableKeyboardSupport = function(mode) {};
/**
 * enable/disable light mouse navigation mode (row selection with mouse over, editing with single click), mutual exclusive with enableEditEvents
 * @id dhtmlXGridObject.enableLightMouseNavigation
 * @class dhtmlXGridObject
 * @method enableLightMouseNavigation
 * @memberOf dhtmlXGridObject
 * @param {Boolean} mode mode - true/false
 * @example //enable light mouse navigation
 *    mygrid.enableLightMouseNavigation(true);
 *    //disable light mouse navigation 
 *    mygrid.enableLightMouseNavigation(false);
 */
 dhtmlXGridObject.prototype.enableLightMouseNavigation = function(mode) {};
/**
 * 
 * @id dhtmlXGridObject.enableMarkedCells
 * @class dhtmlXGridObject
 * @method enableMarkedCells
 * @memberOf dhtmlXGridObject
 * @param {Boolean} mode mode - {true|false} - enable/disable marked cells support
 * @example //enable marked cells
 *    mygrid.enableMarkedCells(true);
 *    //disable marked cells
 *    mygrid.enableMarkedCells(false);
 */
 dhtmlXGridObject.prototype.enableMarkedCells = function(mode) {};
/**
 * enable/disable editing of math cells
 * @id dhtmlXGridObject.enableMathEditing
 * @class dhtmlXGridObject
 * @method enableMathEditing
 * @memberOf dhtmlXGridObject
 * @param {Boolean} mode mode - {true|false} - enable/disable editing of math cells
 * @example //enable editing of math cells
 *    mygrid.enableMathEditing(true);
 *    //disable editing of math cells
 *     mygrid.enableMathEditing(false);
 */
 dhtmlXGridObject.prototype.enableMathEditing = function(mode) {};
/**
 * enable/disable serialization of math formulas
 * @id dhtmlXGridObject.enableMathSerialization
 * @class dhtmlXGridObject
 * @method enableMathSerialization
 * @memberOf dhtmlXGridObject
 * @param {Boolean} mode mode - {true|false} enable/disable math formulas serialization
 * @example //enable math formulas serialization
 *    mygrid.enableMathSerialization(true);
 *    //disable math formulas serialization
 *    mygrid.enableMathSerialization(true);
 */
 dhtmlXGridObject.prototype.enableMathSerialization = function(mode) {};
/**
 * enable drag without removing (copy instead of move)
 * @id dhtmlXGridObject.enableMercyDrag
 * @class dhtmlXGridObject
 * @method enableMercyDrag
 * @memberOf dhtmlXGridObject
 * @param {Boolean} mode mode - {true/false} enable/disable mode
 * @example //enable mercy drag
 *    mygrid.enableMercyDrag(true);
 *    //disable mercy drag
 *    mygrid.enableMercyDrag(false);
 */
 dhtmlXGridObject.prototype.enableMercyDrag = function(mode) {};
/**
 * set multiline rows support to enabled or disabled state
 * @id dhtmlXGridObject.enableMultiline
 * @class dhtmlXGridObject
 * @method enableMultiline
 * @memberOf dhtmlXGridObject
 * @param {Boolean} state state - {true|false} enable/disable multi line mode.
 * @example //enable multi line mode
 *    mygrid.enableMultiline(true);
 *    //disable multi line mode
 *    mygrid.enableMultiline(false);
 */
 dhtmlXGridObject.prototype.enableMultiline = function(state) {};
/**
 * set multiselect mode to enabled or disabled state
 * @id dhtmlXGridObject.enableMultiselect
 * @class dhtmlXGridObject
 * @method enableMultiselect
 * @memberOf dhtmlXGridObject
 * @param {Boolean} state state - true or false
 * @example //enable multi select mode
 *    mygrid.enableMultiselect(true);
 *    //disable multi select mode
 *    mygrid.enableMultiselect(false);
 */
 dhtmlXGridObject.prototype.enableMultiselect = function(state) {};
/**
 * enable automatic column order saving to cookie
 * @id dhtmlXGridObject.enableOrderSaving
 * @class dhtmlXGridObject
 * @method enableOrderSaving
 * @memberOf dhtmlXGridObject
 * @param {String} [name] name - optional, cookie name
 * @param {String} [cookie_param] cookie_param - additional parameters added to cookie
 * @example //minimal parameters set
 *    mygrid.enableOrderSaving();
 *    //maximal parameters set
 *    mygrid.enableOrderSaving("some_name","expires=Fri, 31-Dec-2010 23:59:59 GMT");
 */
 dhtmlXGridObject.prototype.enableOrderSaving = function(name,cookie_param) {};
/**
 * enable smart paging mode
 * @id dhtmlXGridObject.enablePaging
 * @class dhtmlXGridObject
 * @method enablePaging
 * @memberOf dhtmlXGridObject
 * @param {Boolean} mode mode - true|false - enable|disable mode
 * @param {String} pageSize pageSize - count of rows per page
 * @param {String} pagesInGrp pagesInGrp - count of visible page selectors
 * @param {String} pagingControlsContainer pagingControlsContainer - ID or container which will be used for showing paging controls
 * @param {Boolean} showRecInfo showRecInfo - true|false - enable|disable showing of additional info about paging state
 * @param {String} pagingStateContainer pagingStateContainer - ID or container which will be used for showing paging state
 * @example //enable paging with 10 rows per page
 *    mygrid.enablePaging(true,10,5,"pagingArea",true,"recinfoArea");
 */
 dhtmlXGridObject.prototype.enablePaging = function(mode,pageSize,pagesInGrp,pagingControlsContainer,showRecInfo,pagingStateContainer) {};
/**
 * enables pre-rendering rows during scrolling. Makes scrolling smoother, but with small drop in overall perfomance.
 * @id dhtmlXGridObject.enablePreRendering
 * @class dhtmlXGridObject
 * @method enablePreRendering
 * @memberOf dhtmlXGridObject
 * @param {String} buffer buffer - count of rows to pre-render
 * @example mygrid.enablePreRendering(50);
 */
 dhtmlXGridObject.prototype.enablePreRendering = function(buffer) {};
/**
 * enable/disable resizing for specified colums
 * @id dhtmlXGridObject.enableResizing
 * @class dhtmlXGridObject
 * @method enableResizing
 * @memberOf dhtmlXGridObject
 * @param {Boolean} list list - list of true/false values separated with default delimiter (comma), resizing enabled for all columns by default
 * @example //disable first column resizing
 *    mygrid.enableResizing("false,true,true,true,true,true,true");
 */
 dhtmlXGridObject.prototype.enableResizing = function(list) {};
/**
 * enable/disable hovering row on mouse over
 * @id dhtmlXGridObject.enableRowsHover
 * @class dhtmlXGridObject
 * @method enableRowsHover
 * @memberOf dhtmlXGridObject
 * @param {Boolean} mode mode - true/false
 * @param {String} cssClass cssClass - css class for hovering row
 * @example <style>
 * 	.hover {
 * 		background-color: navy;
 * 	}
 * </style>
 * <script>
 *    mygrid.enableRowsHover(true,"hover");
 * </script>
 */
 dhtmlXGridObject.prototype.enableRowsHover = function(mode, cssClass) {};
/**
 * 
 * @id dhtmlXGridObject.enableRowspan
 * @class dhtmlXGridObject
 * @method enableRowspan
 * @memberOf dhtmlXGridObject
 * @example mygrid.enableRowspan();
 */
 dhtmlXGridObject.prototype.enableRowspan = function() {};
/**
 * enable smart rendering mode
 * @id dhtmlXGridObject.enableSmartRendering
 * @class dhtmlXGridObject
 * @method enableSmartRendering
 * @memberOf dhtmlXGridObject
 * @param {Boolean} mode mode - true|false - enable|disable mode
 * @param {String} [buffer] buffer - has sense only in dynamic loading mode, count of rows requrested from server by single operation, optional
 * @example //enable smart rendering mode
 *    mygrid.enableSmartRendering(true);
 *    //enable smart rendering mode, set cont of rows requested from the server by single operation
 *    mygrid.enableSmartRendering(true,50);
 */
 dhtmlXGridObject.prototype.enableSmartRendering = function(mode,buffer) {};
/**
 * enable automatic sorting state saving to cookie
 * @id dhtmlXGridObject.enableSortingSaving
 * @class dhtmlXGridObject
 * @method enableSortingSaving
 * @memberOf dhtmlXGridObject
 * @param {String} [name] name - optional, cookie name
 * @param {String} [cookie_param] cookie_param - additional parameters added to cookie
 * @example //minimal parameters set
 *    mygrid.enableSortingSaving();
 *    //maximal parameters set
 *    mygrid.enableSortingSaving("some_name","expires=Fri, 31-Dec-2010 23:59:59 GMT");
 */
 dhtmlXGridObject.prototype.enableSortingSaving = function(name,cookie_param) {};
/**
 * enables stable sorting algorithm
 * @id dhtmlXGridObject.enableStableSorting
 * @class dhtmlXGridObject
 * @method enableStableSorting
 * @memberOf dhtmlXGridObject
 * @param {Boolean} mode mode - true/false
 * @example mygrid.enableStableSorting(true);
 */
 dhtmlXGridObject.prototype.enableStableSorting = function(mode) {};
/**
 * enable/disable tooltips for specified colums
 * @id dhtmlXGridObject.enableTooltips
 * @class dhtmlXGridObject
 * @method enableTooltips
 * @memberOf dhtmlXGridObject
 * @param {Boolean} list list - list of true/false values, tooltips enabled for all columns by default
 * @example //disable first column tooltips
 *    mygrid.enableTooltips("false,true,true,true,true");
 */
 dhtmlXGridObject.prototype.enableTooltips = function(list) {};
/**
 * 
 * @id dhtmlXGridObject.enableUndoRedo
 * @class dhtmlXGridObject
 * @method enableUndoRedo
 * @memberOf dhtmlXGridObject
 * @example mygrid.enableUndoRedo();
 */
 dhtmlXGridObject.prototype.enableUndoRedo = function() {};
/**
 * 
 * @id dhtmlXGridObject.expandAllGroups
 * @class dhtmlXGridObject
 * @method expandAllGroups
 * @memberOf dhtmlXGridObject
 * @example mygrid.expandAllGroups();
 */
 dhtmlXGridObject.prototype.expandAllGroups = function() {};
/**
 * expand group of rows
 * @id dhtmlXGridObject.expandGroup
 * @class dhtmlXGridObject
 * @method expandGroup
 * @memberOf dhtmlXGridObject
 * @param {String} val val - value to use to determine what group to expand (in other words this should be value common for all of them)
 * @example //expand 'John Grisham' group
 *    mygrid.expandGroup('John Grisham')
 */
 dhtmlXGridObject.prototype.expandGroup = function(val) {};
/**
 * filter grid by mask
 * @id dhtmlXGridObject.filterBy
 * @class dhtmlXGridObject
 * @method filterBy
 * @memberOf dhtmlXGridObject
 * @param {Number} column column - {number} zero based index of column.
 * @param {String} value value - {string} value by which the column will be filtered.
 * @param {Boolean} preserve preserve - {true|false} filter current or initial state (false by default)
 * @example //filter grid by 2nd column by value "alf"
 *    mygrid.filterBy(1,"alf");
 *    //filter grid by 2nd column with more comlex rule
 *    mygrid.filterBy(1,function(data){
 *             return   data.toString().indexOf("alf")!=-1;  // true - show the related row , false - hide the related row
 *    });
 *    //filter current grid state by 3rd column by value "Omega" 
 *    mygrid.filterBy(2,"Omega",true);
 */
 dhtmlXGridObject.prototype.filterBy = function(column, value, preserve) {};
/**
 * 
 * @id dhtmlXGridObject.filterByAll
 * @class dhtmlXGridObject
 * @method filterByAll
 * @memberOf dhtmlXGridObject
 * @example mygrid.filterByAll();
 */
 dhtmlXGridObject.prototype.filterByAll = function() {};
/**
 * find cell in grid by value
 * @id dhtmlXGridObject.findCell
 * @class dhtmlXGridObject
 * @method findCell
 * @memberOf dhtmlXGridObject
 * @param {String} value value - {string} search string
 * @param {Number} [c_ind] c_ind - {number} index of column to search in (optional, if not specified, then search everywhere)
 * @param {Boolean} [first] first - {true|fase} find only first occurence (optional, false by default)
 * @example //search "alf" value at the all grid cells
 *    var searchResult=mygrid.findCell("alf");
 *    //search "alf" value at the second column, find only first occurence
 *    var searchResult=mygrid.findCell("alf",1,true);
 */
 dhtmlXGridObject.prototype.findCell = function(value, c_ind, first) {};
/**
 * execute code for each cell in a row
 * @id dhtmlXGridObject.forEachCell
 * @class dhtmlXGridObject
 * @method forEachCell
 * @memberOf dhtmlXGridObject
 * @param {String} rowId rowId - id of row where cell must be itterated
 * @param {Object} custom_code custom_code - function which get eXcell object as incomming argument
 * @example mygrid.forEachCell("row1",function(cellObj,ind){
 *       //execute code for each cell in row with id "row1" 
 *       //cellObj - related cell object
 *       //ind - column index
 *    });
 */
 dhtmlXGridObject.prototype.forEachCell = function(rowId, custom_code) {};
/**
 * execute code for each row in a grid
 * @id dhtmlXGridObject.forEachRow
 * @class dhtmlXGridObject
 * @method forEachRow
 * @memberOf dhtmlXGridObject
 * @param {String} custom_code custom_code - function which get row id as incomming argument
 * @example mygrid.forEachRow(function(id){
 *       //any custom code here 
 *       //id - row's id
 *    });
 */
 dhtmlXGridObject.prototype.forEachRow = function(custom_code) {};
/**
 * affect block selection, so it will copy|paste only visible text , not values behind
 * @id dhtmlXGridObject.forceLabelSelection
 * @class dhtmlXGridObject
 * @method forceLabelSelection
 * @memberOf dhtmlXGridObject
 * @param {Boolean} mode mode - true/false
 * @example //enable label selection
 *    mygrid.forceLabelSelection(true);
 *    //disable label selection
 *    mygrid.forceLabelSelection(false);
 */
 dhtmlXGridObject.prototype.forceLabelSelection = function(mode) {};
/**
 * gets a list of all row ids in grid
 * @id dhtmlXGridObject.getAllRowIds
 * @class dhtmlXGridObject
 * @method getAllRowIds
 * @memberOf dhtmlXGridObject
 * @param {String} [separator] separator - delimiter to use in list (optional, comma by default)
 * @example //return list of row ids with comma delimiter
 *    var ids=mygrid.getAllRowIds();
 *    //retrun list of row ids with dot delimiter
 *    var ids=mygrid.getAllRowIds(".");
 */
 dhtmlXGridObject.prototype.getAllRowIds = function(separator) {};
/**
 * get list of IDs of changed rows
 * @id dhtmlXGridObject.getChangedRows
 * @class dhtmlXGridObject
 * @method getChangedRows
 * @memberOf dhtmlXGridObject
 * @param {Boolean} and_added and_added - {true|false} if true- include ids of added rows
 * @example //get list of changed rows
 *    var ids=mygrid.getChangedRows();
 *    //get list of changed rows included added rows
 *    var ids=mygrid.getChangedRows(true);
 */
 dhtmlXGridObject.prototype.getChangedRows = function(and_added) {};
/**
 * get list of Ids of all rows with checked exCell in specified column
 * @id dhtmlXGridObject.getCheckedRows
 * @class dhtmlXGridObject
 * @method getCheckedRows
 * @memberOf dhtmlXGridObject
 * @param {Number} col_ind col_ind - column index
 * @example //get list of ids of checked rows from the first column
 *    var checked=mygrid.getCheckedRows(0);
 */
 dhtmlXGridObject.prototype.getCheckedRows = function(col_ind) {};
/**
 * gets column index by column id
 * @id dhtmlXGridObject.getColIndexById
 * @class dhtmlXGridObject
 * @method getColIndexById
 * @memberOf dhtmlXGridObject
 * @param {String} id id - column id
 * @example //get index of the column with id "col1"
 *    var colIndex=mygrid.getColIndexById("col1");
 */
 dhtmlXGridObject.prototype.getColIndexById = function(id) {};
/**
 * gets label of column specified by index
 * @id dhtmlXGridObject.getColLabel
 * @class dhtmlXGridObject
 * @method getColLabel
 * @memberOf dhtmlXGridObject
 * @param {Number} cin cin - column index
 * @param {Number} [ind] ind -  header row index (optional, 0 by default, has sence only with multi line header)
 * @example //get label of the first column
 *    var colLabel=mygrid.getColLabel(0);
 *    //get label of the second line of the first column
 *    var colLabel=mygrid.getColLabel(0,1);
 */
 dhtmlXGridObject.prototype.getColLabel = function(cin, ind) {};
/**
 * get column type by column index
 * @id dhtmlXGridObject.getColType
 * @class dhtmlXGridObject
 * @method getColType
 * @memberOf dhtmlXGridObject
 * @param {Number} cInd cInd - column index
 * @example //get first column type
 *    var type=mygrid.getColType(0);
 */
 dhtmlXGridObject.prototype.getColType = function(cInd) {};
/**
 * get column type by column ID
 * @id dhtmlXGridObject.getColTypeById
 * @class dhtmlXGridObject
 * @method getColTypeById
 * @memberOf dhtmlXGridObject
 * @param {String} cID cID - column id
 * @example //get type of the column with id "column1"
 *    var type=mygrid.getColTypeById("column1");
 */
 dhtmlXGridObject.prototype.getColTypeById = function(cID) {};
/**
 * gets width of specified column in pixels
 * @id dhtmlXGridObject.getColWidth
 * @class dhtmlXGridObject
 * @method getColWidth
 * @memberOf dhtmlXGridObject
 * @param {Number} ind ind - column index
 * @example //get first column width
 *    var width=mygrid.getColWidth(0);
 */
 dhtmlXGridObject.prototype.getColWidth = function(ind) {};
/**
 * gets column id of column specified by index
 * @id dhtmlXGridObject.getColumnId
 * @class dhtmlXGridObject
 * @method getColumnId
 * @memberOf dhtmlXGridObject
 * @param {Number} cin cin - column index
 * @example //get first column id
 *    var colId=mygrid.getColumnId(0);
 */
 dhtmlXGridObject.prototype.getColumnId = function(cin) {};
/**
 * 
 * @id dhtmlXGridObject.getColumnsNum
 * @class dhtmlXGridObject
 * @method getColumnsNum
 * @memberOf dhtmlXGridObject
 * @example var colNum=mygrid.getColumnsNum();
 */
 dhtmlXGridObject.prototype.getColumnsNum = function() {};
/**
 * gets Combo object of specified column. Use it to change select box value for cell before editor opened
 * @id dhtmlXGridObject.getCombo
 * @class dhtmlXGridObject
 * @method getCombo
 * @memberOf dhtmlXGridObject
 * @param {Number} col_ind col_ind - index of the column to get combo object for. Note column must have &#039;co&#039;, &#039;coro&#039; or &#039;combo&#039; type
 * @example //get first column combo object
 *    var combo=mygrid.getCombo(0);
 */
 dhtmlXGridObject.prototype.getCombo = function(col_ind) {};
/**
 * get combobox specific for cell in question
 * @id dhtmlXGridObject.getCustomCombo
 * @class dhtmlXGridObject
 * @method getCustomCombo
 * @memberOf dhtmlXGridObject
 * @param {String} id id - row id
 * @param {Number} ind ind  - column index. Note cell must have &#039;co&#039;, &#039;coro&#039; or &#039;combo&#039; type
 * @example var combo=mygrid.getCustomCombo("row1",0);
 */
 dhtmlXGridObject.prototype.getCustomCombo = function(id, ind) {};
/**
 * gets input object of filter linked to column in question
 * @id dhtmlXGridObject.getFilterElement
 * @class dhtmlXGridObject
 * @method getFilterElement
 * @memberOf dhtmlXGridObject
 * @param {Number} index index - index of column
 * @example //get filter object placed at the fisrt column header
 *    var filterObject=mygrid.getFilterElement(0);
 */
 dhtmlXGridObject.prototype.getFilterElement = function(index) {};
/**
 * gets label of footer specified by index
 * @id dhtmlXGridObject.getFooterLabel
 * @class dhtmlXGridObject
 * @method getFooterLabel
 * @memberOf dhtmlXGridObject
 * @param {Number} cin cin - column index
 * @param {Number} [ind] ind - footer row index (optional, 0 by default)
 * @example //minimal parameters set
 *    mygrid.getFooterLabel(0);
 *    //maximal parameters set
 *    mygrid.getFooterLabel(0,1);
 */
 dhtmlXGridObject.prototype.getFooterLabel = function(cin, ind) {};
/**
 * 
 * @id dhtmlXGridObject.getMarked
 * @class dhtmlXGridObject
 * @method getMarked
 * @memberOf dhtmlXGridObject
 * @example var markedArray = mygrid.getMarked();
 */
 dhtmlXGridObject.prototype.getMarked = function() {};
/**
 * 
 * @id dhtmlXGridObject.getRedo
 * @class dhtmlXGridObject
 * @method getRedo
 * @memberOf dhtmlXGridObject
 * @example var redo=mygrid.getRedo();
 */
 dhtmlXGridObject.prototype.getRedo = function() {};
/**
 * returns row attribute value which was set in the &lt;row&gt; xml tag
 * @id dhtmlXGridObject.getRowAttribute
 * @class dhtmlXGridObject
 * @method getRowAttribute
 * @memberOf dhtmlXGridObject
 * @param {String} rId rId - row id
 * @param {String} name name - attribute name
 * @example <?xml version='1.0' encoding='iso-8859-1'?>
 *         <rows>
 *             <row id="unique_rowid" some="data">
 *                     <cell some="data">cell content</cell>
 *             </row>
 *         </rows>
 *    ...
 *    var rowAttr = grid.getRowAttribute("unique_rowid","some");
 */
 dhtmlXGridObject.prototype.getRowAttribute = function(rId, name) {};
/**
 * gets row id by index
 * @id dhtmlXGridObject.getRowId
 * @class dhtmlXGridObject
 * @method getRowId
 * @memberOf dhtmlXGridObject
 * @param {Number} ind ind - row index
 * @example //get ID of the first row
 *    var rowID=mygrid.getRowId(0);
 */
 dhtmlXGridObject.prototype.getRowId = function(ind) {};
/**
 * gets row index by id (grid only)
 * @id dhtmlXGridObject.getRowIndex
 * @class dhtmlXGridObject
 * @method getRowIndex
 * @memberOf dhtmlXGridObject
 * @param {String} row_id row_id - row id
 * @example //get index of the row with id "row1"
 *    var rowIndex=mygrid.getRowIndex("row1");
 */
 dhtmlXGridObject.prototype.getRowIndex = function(row_id) {};
/**
 * 
 * @id dhtmlXGridObject.getRowsNum
 * @class dhtmlXGridObject
 * @method getRowsNum
 * @memberOf dhtmlXGridObject
 * @example var count=mygrid.getRowsNum();
 */
 dhtmlXGridObject.prototype.getRowsNum = function() {};
/**
 * 
 * @id dhtmlXGridObject.getSelectedCellIndex
 * @class dhtmlXGridObject
 * @method getSelectedCellIndex
 * @memberOf dhtmlXGridObject
 * @example var ind=mygrid.getSelectedCellIndex();
 */
 dhtmlXGridObject.prototype.getSelectedCellIndex = function() {};
/**
 * 
 * @id dhtmlXGridObject.getSelectedRowId
 * @class dhtmlXGridObject
 * @method getSelectedRowId
 * @memberOf dhtmlXGridObject
 * @example var selectedId=mygrid.getSelectedRowId();
 */
 dhtmlXGridObject.prototype.getSelectedRowId = function() {};
/**
 * 
 * @id dhtmlXGridObject.getSortingState
 * @class dhtmlXGridObject
 * @method getSortingState
 * @memberOf dhtmlXGridObject
 * @example var state=mygrid.getSortingState();
 */
 dhtmlXGridObject.prototype.getSortingState = function() {};
/**
 * 
 * @id dhtmlXGridObject.getStateOfView
 * @class dhtmlXGridObject
 * @method getStateOfView
 * @memberOf dhtmlXGridObject
 * @example var state=mygrid.getStateOfView();
 */
 dhtmlXGridObject.prototype.getStateOfView = function() {};
/**
 * 
 * @id dhtmlXGridObject.getUndo
 * @class dhtmlXGridObject
 * @method getUndo
 * @memberOf dhtmlXGridObject
 * @example var undo=mygrid.getUndo();
 */
 dhtmlXGridObject.prototype.getUndo = function() {};
/**
 * gets user Data
 * @id dhtmlXGridObject.getUserData
 * @class dhtmlXGridObject
 * @method getUserData
 * @memberOf dhtmlXGridObject
 * @param {String} row_id row_id -  row id. if empty then user data is for grid (not row)
 * @param {String} name name -  name of user data
 * @example //get user row user data
 *    var userdata = grid.getUserData("unique_rowid","someName1");
 *    //get gloabal user data
 *    var userdata = grid.getUserData("","someName1");
 */
 dhtmlXGridObject.prototype.getUserData = function(row_id, name) {};
/**
 * 
 * @id dhtmlXGridObject.gridFromClipboard
 * @class dhtmlXGridObject
 * @method gridFromClipboard
 * @memberOf dhtmlXGridObject
 * @example <a href="javascript:void(0)" onclick="mygrid.clearAll(); mygrid.gridFromClipboard();">Load grid from clipboard</a>
 */
 dhtmlXGridObject.prototype.gridFromClipboard = function() {};
/**
 * 
 * @id dhtmlXGridObject.gridToClipboard
 * @class dhtmlXGridObject
 * @method gridToClipboard
 * @memberOf dhtmlXGridObject
 * @example <a href="javascript:void(0)" onclick="copyData()">Copy entire grid (with tab as delimiter) to clipboard</a>
 * <script>
 * function copyData(type,delim){
 *    mygrid.setCSVDelimiter('\t');
 *    mygrid.gridToClipboard();
 * }
 * </script>
 */
 dhtmlXGridObject.prototype.gridToClipboard = function() {};
/**
 * redefine this method in your code to define how grid row values should be used in another grid
 * @id dhtmlXGridObject.gridToGrid
 * @class dhtmlXGridObject
 * @method gridToGrid
 * @memberOf dhtmlXGridObject
 * @param {String} rowId rowId - id of draged row
 * @param {Object} sgrid sgrid - source grid object
 * @param {Object} tgrid tgrid - target grid object
 * @example grid.gridToGrid = function(rowId,sgrid,tgrid){
 *             var z=[];
 *             for (var i=0; i<sgrid.getColumCount(); i++)    // for each cell in the source grid
 *                 z[i]=sgrid.cells(rowId,i).getValue();         // prepare data for the target grid
 *             return z;
 *         }
 */
 dhtmlXGridObject.prototype.gridToGrid = function(rowId,sgrid,tgrid) {};
/**
 * Redefine this method in your code to define how grid row values should be used in tree (using input parameters you can change id of new tree node, set label, set userdata blocks etc.).
 * @id dhtmlXGridObject.gridToTreeElement
 * @class dhtmlXGridObject
 * @method gridToTreeElement
 * @memberOf dhtmlXGridObject
 * @param {Object} treeObj treeObj - object of tree
 * @param {String} treeNodeId treeNodeId - id of node created in tree
 * @param {String} gridRowId gridRowId - id of grid row
 * @example grid.gridToTreeElement = function(tree,treeID,gridID){
 *             return this.cells(gridId,0).getValue();  // take data from the first column as a value for the tree
 *         }
 */
 dhtmlXGridObject.prototype.gridToTreeElement = function(treeObj,treeNodeId,gridRowId) {};
/**
 * group grid content by values of specified column
 * @id dhtmlXGridObject.groupBy
 * @class dhtmlXGridObject
 * @method groupBy
 * @memberOf dhtmlXGridObject
 * @param {Number} ind ind - {number} column index to group by
 * @param {String} [mask] mask - {array} optional, array, each value of which is mapped to the related column. The possible values are:
 * @example //minimal parameters set. Group rows by second column
 *    mygrid.groupBy(1);
 *    //maximal parameters set
 *    mygrid.groupBy(2,["#stat_max","#title","","#stat_total","","#cspan","#cspan","#cspan"]);
 */
 dhtmlXGridObject.prototype.groupBy = function(ind,mask) {};
/**
 * 
 * @id dhtmlXGridObject.hidePivot
 * @class dhtmlXGridObject
 * @method hidePivot
 * @memberOf dhtmlXGridObject
 * @example mygrid.hidePivot();
 */
 dhtmlXGridObject.prototype.hidePivot = function() {};
/**
 * 
 * @id dhtmlXGridObject.init
 * @class dhtmlXGridObject
 * @method init
 * @memberOf dhtmlXGridObject
 * @example mygrid.init();
 */
 dhtmlXGridObject.prototype.init = function() {};
/**
 * adds new column to the grid. Can be used after grid was initialized. At least one column should be in grid
 * @id dhtmlXGridObject.insertColumn
 * @class dhtmlXGridObject
 * @method insertColumn
 * @memberOf dhtmlXGridObject
 * @param {Number} ind ind - index of column
 * @param {String} [header] header - header content of column (optional, blank by default)
 * @param {String} [type] type - type of column (optional, &#039;ed&#039; by default)
 * @param {String} [width] width - width of column (optional, &#039;100&#039; by default)
 * @param {String} [sort] sort - sort type of column (optional, &#039;na&#039; by default)
 * @param {String} [align] align - align of column (optional, &#039;left&#039; by default)
 * @param {String} [valign] valign - vertical align of column (optional)
 * @param {String} [reserved] reserved - not used for now
 * @param {String} [columnColor] columnColor - background color of column (optional)
 * @example //minimal parameters set
 *    mygrid.insertColumn(10); 
 *    //maximal parameters set
 *    mygrid.insertColumn(11,'Some text','ed',120,'na','left','top',null,'red')
 */
 dhtmlXGridObject.prototype.insertColumn = function(ind,header,type,width,sort,align,valign,reserved,columnColor) {};
/**
 * get show/hidden status of column
 * @id dhtmlXGridObject.isColumnHidden
 * @class dhtmlXGridObject
 * @method isColumnHidden
 * @memberOf dhtmlXGridObject
 * @param {Number} ind ind - column index
 * @example //check if first column is hidden
 *    var isHidden=mygrid.isColumnHidden(0);
 */
 dhtmlXGridObject.prototype.isColumnHidden = function(ind) {};
/**
 * load data from external file ( xml, json, jsarray, csv )
 * @id dhtmlXGridObject.load
 * @class dhtmlXGridObject
 * @method load
 * @memberOf dhtmlXGridObject
 * @param {String} url url - url to external file
 * @param {String} [call] call - after loading callback function, optional, can be ommited
 * @param {String} [type] type - type of data (xml,csv,json,jsarray) , optional, xml by default
 * @example //load grid from the external file
 *    mygrid.load("grid.xml");
 *    //load grid, execute doAfterRefresh() function after grid was loaded
 *    mygrid.load("grid.xml",doAfterRefresh);
 *    //load grid from the external csv file, execute doAfterRefresh() function after grid was loaded
 *    mygrid.load("grid.csv",doAfterRefresh,csv);
 */
 dhtmlXGridObject.prototype.load = function(url, call, type) {};
/**
 * load grid from CSV file
 * @id dhtmlXGridObject.loadCSVFile
 * @class dhtmlXGridObject
 * @method loadCSVFile
 * @memberOf dhtmlXGridObject
 * @param {String} path path - path to file
 * @param {String} afterCall afterCall - function which will be called after xml loading
 * @example //load grid from the external csv file
 *    mygrid.loadCSVFile("grid.csv");
 *    //load grid from the external csv file, execute doAfterRefresh() function after grid was loaded
 *    mygrid.loadCSVFile("grid.csv",doAfterRefresh);
 */
 dhtmlXGridObject.prototype.loadCSVFile = function(path,afterCall) {};
/**
 * load grid from CSV string. This method works in the synchronous mode.
 * @id dhtmlXGridObject.loadCSVString
 * @class dhtmlXGridObject
 * @method loadCSVString
 * @memberOf dhtmlXGridObject
 * @param {String} str str - CSV  string
 * @example var  str="11,12,13\n21,22,23\n31,32,33";
 *    mygrid.loadCSVString(str);
 */
 dhtmlXGridObject.prototype.loadCSVString = function(str) {};
/**
 * load sorting order from cookie
 * @id dhtmlXGridObject.loadHiddenColumnsFromCookie
 * @class dhtmlXGridObject
 * @method loadHiddenColumnsFromCookie
 * @memberOf dhtmlXGridObject
 * @param {String} [name] name - optional,cookie name
 * @example mygrid.load("grid.xml",function(){
 *       //minimal parameters set
 *       mygrid.loadHiddenColumnsFromCookie();
 *       //maximal parameters set
 *       mygrid.loadHiddenColumnsFromCookie("some_name");
 *    })
 */
 dhtmlXGridObject.prototype.loadHiddenColumnsFromCookie = function(name) {};
/**
 * load open state of TreeGrid in cookie
 * @id dhtmlXGridObject.loadOpenStates
 * @class dhtmlXGridObject
 * @method loadOpenStates
 * @memberOf dhtmlXGridObject
 * @param {String} [name] name - optional, cookie name
 * @example mygrid.load("grid.xml",function(){
 *       //minimal parameters set
 *       mygrid.loadOpenStates();
 *       //maximal parameters set
 *       mygrid.loadOpenStates("some_name");
 *    })
 */
 dhtmlXGridObject.prototype.loadOpenStates = function(name) {};
/**
 * load sorting order from cookie
 * @id dhtmlXGridObject.loadOrderFromCookie
 * @class dhtmlXGridObject
 * @method loadOrderFromCookie
 * @memberOf dhtmlXGridObject
 * @param {String} [name] name - optional,cookie name
 * @example mygrid.load("grid.xml",function(){
 *       //minimal parameters set
 *       mygrid.loadOrderFromCookie();
 *       //maximal parameters set
 *       mygrid.loadOrderFromCookie("some_name");
 *    })
 */
 dhtmlXGridObject.prototype.loadOrderFromCookie = function(name) {};
/**
 * load grid layout from cookie
 * @id dhtmlXGridObject.loadSizeFromCookie
 * @class dhtmlXGridObject
 * @method loadSizeFromCookie
 * @memberOf dhtmlXGridObject
 * @param {String} [name] name - optional,cookie name
 * @example mygrid.load("grid.xml",function(){
 *       //minimal parameters set
 *       mygrid.loadSizeFromCookie();
 *       //maximal parameters set
 *       mygrid.loadSizeFromCookie("some_name");
 *    })
 */
 dhtmlXGridObject.prototype.loadSizeFromCookie = function(name) {};
/**
 * load sorting order from cookie
 * @id dhtmlXGridObject.loadSortingFromCookie
 * @class dhtmlXGridObject
 * @method loadSortingFromCookie
 * @memberOf dhtmlXGridObject
 * @param {String} [name] name - optional,cookie name
 * @example mygrid.load("grid.xml",function(){
 *       //minimal parameters set
 *       mygrid.loadSortingFromCookie();
 *       //maximal parameters set
 *       mygrid.loadSortingFromCookie("some_name");
 *    })
 */
 dhtmlXGridObject.prototype.loadSortingFromCookie = function(name) {};
/**
 * lock/unlock row for editing
 * @id dhtmlXGridObject.lockRow
 * @class dhtmlXGridObject
 * @method lockRow
 * @memberOf dhtmlXGridObject
 * @param {String} rowId rowId - id of row
 * @param {Boolean} mode mode - true/false - lock/unlock
 * @example //lock row with id "row1" for editing
 *    mygrid.lockRow("row1",true);
 *    //unlock row with id "row1" for editing
 *    mygrid.lockRow("row1",false);
 */
 dhtmlXGridObject.prototype.lockRow = function(rowId, mode) {};
/**
 * create a filter from any input element (text filter), select (dropdown) or DIV (combobox based on dhtmlxCombo)
 * @id dhtmlXGridObject.makeFilter
 * @class dhtmlXGridObject
 * @method makeFilter
 * @memberOf dhtmlXGridObject
 * @param {Object} id id - {string|object} input id or input html object
 * @param {Number} column column - {number} index of column
 * @param {Boolean} [preserve] preserve - {true|false} filter current state or initial one (optional, false by default)
 * @example //minimal parameters set
 *    mygrid.makeFilter("some_el",0); 
 *    //maximal parameters set
 *    mygrid.makeFilter("some_el",0,true);
 */
 dhtmlXGridObject.prototype.makeFilter = function(id,column,preserve) {};
/**
 * show pivot table based on grid
 * @id dhtmlXGridObject.makePivot
 * @class dhtmlXGridObject
 * @method makePivot
 * @memberOf dhtmlXGridObject
 * @param {String} [cont] cont - html container in which pivot rendered (optional, by default pivot will be rendered over existing grid)
 * @param {String} [details] details - collection of settings:
 * @example //minimal parameters set
 *    mygrid.makePivot();
 *    //make pivot in the external html container
 *    mygrid.makePivot('pivot_container');
 *    //limited field set
 *    mygrid.makePivot('pivot_container',{column_list:['Title','Author','Money']})
 *    //predefined set
 *    mygrid.makePivot('pivot_container',{action:3,value:1,x:3,y:2})
 *    //predefined set + readonly
 *    mygrid.makePivot('pivot_container',{readonly:true,action:3,value:1,x:3,y:2})
 */
 dhtmlXGridObject.prototype.makePivot = function(cont,details) {};
/**
 * create a search box (set selection to the row with found value) from any input
 * @id dhtmlXGridObject.makeSearch
 * @class dhtmlXGridObject
 * @method makeSearch
 * @memberOf dhtmlXGridObject
 * @param {Object} id id - {string|object} input id or input html object
 * @param {Number} column column - {number} index of column
 * @example mygrid.makeSearch("input_id",0);
 */
 dhtmlXGridObject.prototype.makeSearch = function(id,column) {};
/**
 * sets selection or removes selection from specified cell
 * @id dhtmlXGridObject.mark
 * @class dhtmlXGridObject
 * @method mark
 * @memberOf dhtmlXGridObject
 * @param {Number} rid r - row object or row index
 * @param {Number} cindex cInd - cell index
 * @param {Boolean} fl state - true or false
 * @example //mark cell
 *    mygrid.mark('row1',0,true);
 *    //unmark cell
 *    mygrid.mark('row1',0,false);
 */
 dhtmlXGridObject.prototype.mark = function(rid,cindex,fl) {};
/**
 * moves column of specified index to new position
 * @id dhtmlXGridObject.moveColumn
 * @class dhtmlXGridObject
 * @method moveColumn
 * @memberOf dhtmlXGridObject
 * @param {Number} oldInd oldInd - current index of column
 * @param {Number} newInd newInd - index of column, before each moved one will be inserted
 * @example //move 1st column before 3rd column
 *    mygrid.mygrid.moveColumn(0,2);
 */
 dhtmlXGridObject.prototype.moveColumn = function(oldInd,newInd) {};
/**
 * move row
 * @id dhtmlXGridObject.moveRow
 * @class dhtmlXGridObject
 * @method moveRow
 * @memberOf dhtmlXGridObject
 * @param {String} rowId rowId - source row Id
 * @param {String} mode mode - moving mode (up,down,row_sibling)
 * @param {String} [targetId] targetId - target row  in row_sibling mode (optional)
 * @param {String} [targetGrid] targetGrid - used for moving between grids (optional)
 * @example //move row up
 *   mygrid1.moveRow("row1","up");
 *   //move row down
 *   mygrid1.moveRow("row1","down");
 *   //move row with id "row1" after row with id "row2" in grid[2]
 *   mygrid1.moveRow("row1","row_sibling","row2",mygrid2);
 */
 dhtmlXGridObject.prototype.moveRow = function(rowId,mode,targetId,targetGrid) {};
/**
 * moves row one position down if possible
 * @id dhtmlXGridObject.moveRowDown
 * @class dhtmlXGridObject
 * @method moveRowDown
 * @memberOf dhtmlXGridObject
 * @param {String} row_id row_id -  row id
 * @example <a href="javascript:void(0)" onclick="mygrid.moveRowDown(mygrid.getSelectedId())">Move selected row down</a>
 */
 dhtmlXGridObject.prototype.moveRowDown = function(row_id) {};
/**
 * move row
 * @id dhtmlXGridObject.moveRowTo
 * @class dhtmlXGridObject
 * @method moveRowTo
 * @memberOf dhtmlXGridObject
 * @param {String} srowId srowId - source row Id
 * @param {String} trowId trowId - target row Id
 * @param {String} mode mode - "move" or "copy"
 * @param {String} [dropmode] dropmode - "sibling" or "child" (optional, "sibling" by default)
 * @param {Object} [sourceGrid] sourceGrid - source grid object, used for moving between grids (optional, current grid by default)
 * @param {Object} [targetGrid] targetGrid - target grid object, used for moving between grids (optional, current grid by default)
 * @example //move row with id "row1" after row with id "row2"
 *   mygrid1.moveRowTo("row1","row2","move");
 *   //copy row with id "row1" from grid[1] as child of row with id "row2" in grid[2]
 *   var movedId=mygrid1.moveRowTo("row1","row2","copy","child",mygrid1,mygrid2);
 */
 dhtmlXGridObject.prototype.moveRowTo = function(srowId,trowId,mode,dropmode,sourceGrid,targetGrid) {};
/**
 * moves row one position up if possible
 * @id dhtmlXGridObject.moveRowUp
 * @class dhtmlXGridObject
 * @method moveRowUp
 * @memberOf dhtmlXGridObject
 * @param {String} row_id row_id -  row id
 * @example <a href="javascript:void(0)" onclick="mygrid.moveRowUp(mygrid.getSelectedId())">Move selected row up</a>
 */
 dhtmlXGridObject.prototype.moveRowUp = function(row_id) {};
/**
 * load data from local datasource (xml string, csv string, xml island, xml object, json objecs , javascript array). This method works in the synchronous mode.
 * @id dhtmlXGridObject.parse
 * @class dhtmlXGridObject
 * @method parse
 * @memberOf dhtmlXGridObject
 * @param {Object} data data - string or object
 * @param {String} [type] type - data type (xml,json,jsarray,csv), optional, data threated as xml by default
 * @example //parse grid from the xml string
 *    mygrid.parse(data);
 *    //parse grid from the csv string
 *    mygrid.parse(data,"csv");
 *    //parse grid from the javascript array
 *    mygrid.parse(data,"jsarray");
 *    //parse grid from the json string
 *    mygrid.parse(data,"json");
 */
 dhtmlXGridObject.prototype.parse = function(data, type) {};
/**
 * 
 * @id dhtmlXGridObject.pasteBlockFromClipboard
 * @class dhtmlXGridObject
 * @method pasteBlockFromClipboard
 * @memberOf dhtmlXGridObject
 * @example mygrid.attachEvent("onKeyPress",onKeyPressed);
 * ...
 * function onKeyPressed(code,ctrl,shift){
 * 	if(code==67&&ctrl){
 * 	    mygrid.setCSVDelimiter("\t")
 * 	    mygrid.copyBlockToClipboard()
 * 	}
 * 	if(code==86&&ctrl){
 * 	    mygrid.pasteBlockFromClipboard()
 * 	}
 * 	return true;
 * }
 */
 dhtmlXGridObject.prototype.pasteBlockFromClipboard = function() {};
/**
 * 
 * @id dhtmlXGridObject.preventIECaching
 * @class dhtmlXGridObject
 * @method preventIECaching
 * @memberOf dhtmlXGridObject
 * @param {String} mode mode - enable/disable random values in URLs (disabled by default)
 * @example //enable prevent IE caching mode
 *    mygrid.preventIECaching(true);
 *    //disable prevent IE caching mode
 *    mygrid.preventIECaching(false);
 */
 dhtmlXGridObject.prototype.preventIECaching = function(mode) {};
/**
 * generate print friendly view
 * @id dhtmlXGridObject.printView
 * @class dhtmlXGridObject
 * @method printView
 * @memberOf dhtmlXGridObject
 * @param {String} before before - {string} html which will be placed before printed grid
 * @param {String} after after - {string} html which will be placed after printed grid
 * @example //minimal parameters set
 *    mygrid.printView();
 *    //maximal parameters set
 *    mygrid.printView('<div>before</div>','<strong>after</strong>');
 */
 dhtmlXGridObject.prototype.printView = function(before,after) {};
/**
 * 
 * @id dhtmlXGridObject.refreshFilters
 * @class dhtmlXGridObject
 * @method refreshFilters
 * @memberOf dhtmlXGridObject
 * @example mygrid.refreshFilters();
 */
 dhtmlXGridObject.prototype.refreshFilters = function() {};
/**
 * copy value of row to clipboard
 * @id dhtmlXGridObject.rowToClipboard
 * @class dhtmlXGridObject
 * @method rowToClipboard
 * @memberOf dhtmlXGridObject
 * @param {String} [rowId] rowId - id of row (optional, use selected row by default)
 * @example <a href="javascript:void(0)" onclick="copyData()">Copy selected row (with tab as delimiter) to clipboard</a>
 * <script>
 * function copyData(type,delim){
 *    mygrid.setCSVDelimiter('\t');
 *    mygrid.rowToClipboard();
 * }
 * </script>
 */
 dhtmlXGridObject.prototype.rowToClipboard = function(rowId) {};
/**
 * redefine this method in your code to define how grid row values should be displaied while draging
 * @id dhtmlXGridObject.rowToDragElement
 * @class dhtmlXGridObject
 * @method rowToDragElement
 * @memberOf dhtmlXGridObject
 * @param {String} id id - id of grid row
 * @example grid.rowToDragElement=function(id){
 *             //any custom logic here
 *             var text = "<img src='some.gif'> - "+grid.cells(id,0).getValue(); // prepare a text string
 *             return text;
 *         }
 */
 dhtmlXGridObject.prototype.rowToDragElement = function(id) {};
/**
 * save hidden columns to cookie
 * @id dhtmlXGridObject.saveHiddenColumnsToCookie
 * @class dhtmlXGridObject
 * @method saveHiddenColumnsToCookie
 * @memberOf dhtmlXGridObject
 * @param {String} [name] name - optional, cookie name
 * @param {String} [cookie_param] cookie_param - additional parameters added to cookie
 * @example mygrid.attachEvent("onColumnHidden", function(index,state){
 *           //minimal parameters set
 *           mygrid.saveHiddenColumnsToCookie();
 *           //maximal parameters set
 *           mygrid.saveHiddenColumnsToCookie("some_name","expires=Fri, 31-Dec-2010 23:59:59 GMT");
 *    });
 */
 dhtmlXGridObject.prototype.saveHiddenColumnsToCookie = function(name,cookie_param) {};
/**
 * store opene state of TreeGrid in cookie
 * @id dhtmlXGridObject.saveOpenStates
 * @class dhtmlXGridObject
 * @method saveOpenStates
 * @memberOf dhtmlXGridObject
 * @param {String} [name] name - optional, cookie name
 * @param {String} [cookie_param] cookie_param - additional parameters added to cookie
 * @example mygrid.attachEvent("onOpenEnd", function(index,state){
 *           //minimal parameters set
 *           mygrid.saveOpenStates();
 *           //maximal parameters set
 *           mygrid.saveOpenStates("some_name","expires=Fri, 31-Dec-2010 23:59:59 GMT");
 *    });
 */
 dhtmlXGridObject.prototype.saveOpenStates = function(name,cookie_param) {};
/**
 * saves column order to cookie
 * @id dhtmlXGridObject.saveOrderToCookie
 * @class dhtmlXGridObject
 * @method saveOrderToCookie
 * @memberOf dhtmlXGridObject
 * @param {String} [name] name - optional, cookie name
 * @param {String} [cookie_param] cookie_param - additional parameters added to cookie
 * @example mygrid.attachEvent("onAfterCMove", function(cInd,posInd){
 *           //minimal parameters set
 *           mygrid.saveOrderToCookie();
 *           //maximal parameters set
 *           mygrid.saveOrderToCookie("some_name","expires=Fri, 31-Dec-2010 23:59:59 GMT");
 *    });
 */
 dhtmlXGridObject.prototype.saveOrderToCookie = function(name,cookie_param) {};
/**
 * save grid layout to cookie
 * @id dhtmlXGridObject.saveSizeToCookie
 * @class dhtmlXGridObject
 * @method saveSizeToCookie
 * @memberOf dhtmlXGridObject
 * @param {String} [name] name - optional, cookie name
 * @param {String} [cookie_param] cookie_param - additional parameters added to cookie
 * @example mygrid.attachEvent("onResizeEnd", function(obj){
 *           //minimal parameters set
 *           mygrid.saveSizeToCookie();
 *           //maximal parameters set
 *           mygrid.saveSizeToCookie("some_name","expires=Fri, 31-Dec-2010 23:59:59 GMT");
 *    });
 */
 dhtmlXGridObject.prototype.saveSizeToCookie = function(name,cookie_param) {};
/**
 * save sorting order to cookie
 * @id dhtmlXGridObject.saveSortingToCookie
 * @class dhtmlXGridObject
 * @method saveSortingToCookie
 * @memberOf dhtmlXGridObject
 * @param {String} [name] name - optional, cookie name
 * @param {String} [cookie_param] cookie_param - additional parameters added to cookie
 * @example mygrid.attachEvent("onAfterSorting", function(index,type,direction){
 *           //minimal parameters set
 *           mygrid.saveSortingToCookie();
 *           //maximal parameters set
 *           mygrid.saveSortingToCookie("some_name","expires=Fri, 31-Dec-2010 23:59:59 GMT");
 *    });
 */
 dhtmlXGridObject.prototype.saveSortingToCookie = function(name,cookie_param) {};
/**
 * 
 * @id dhtmlXGridObject.selectAll
 * @class dhtmlXGridObject
 * @method selectAll
 * @memberOf dhtmlXGridObject
 * @example mygrid.selectAll();
 */
 dhtmlXGridObject.prototype.selectAll = function() {};
/**
 * set selection to specified row-cell
 * @id dhtmlXGridObject.selectCell
 * @class dhtmlXGridObject
 * @method selectCell
 * @memberOf dhtmlXGridObject
 * @param {Number} r r - row object or row index
 * @param {Number} cInd cInd - cell index
 * @param {Boolean} [fl] [fl] - true if to call onRowSelect function (optional, false by default)
 * @param {Boolean} [preserve] preserve - preserve previously selected rows true/false (optional, false by default). Multi select mode should be enabled.
 * @param {String} [edit] edit - switch selected cell to edit mode (optional, false by default)
 * @param {Boolean} [show] show - true/false - scroll row to view (optional, true by default)
 * @example //select second cell from the first row. 
 *    mygrid.selectCell(0,1);
 *    //select second cell from the first row, call "onRowSelect" event, preserve previously selected rows
 *    mygrid.selectCell(0,1,true,true);
 *    //select second cell from the 11th row, switch cell to the edit mode
 *    <button onclick="(arguments[0]||window.event).cancelBubble=true;mygrid.selectCell(10,1,false,false,true)">select cell</button>
 */
 dhtmlXGridObject.prototype.selectCell = function(r, cInd, fl, preserve, edit, show) {};
/**
 * selects row (and first cell of it)
 * @id dhtmlXGridObject.selectRow
 * @class dhtmlXGridObject
 * @method selectRow
 * @memberOf dhtmlXGridObject
 * @param {Number} rIndex rIndex - row index or row object
 * @param {Boolean} [fl] fl - if true, then call function on select (optional, false by default)
 * @param {Boolean} [preserve] preserve - preserve previously selected rows true/false (false by default). Multi select mode should be enabled.
 * @param {Boolean} [show] show - true/false - scroll row to view, true by defaul
 * @example //select first row in grid
 *    mygrid.selectRow(0);
 *    //select first row in grid, call "onRowSelect" function, preserve previously selected rows, scroll row to view
 *    mygrid.selectRow(0,true,true,true);
 */
 dhtmlXGridObject.prototype.selectRow = function(rIndex, fl, preserve, show) {};
/**
 * selects row by ID
 * @id dhtmlXGridObject.selectRowById
 * @class dhtmlXGridObject
 * @method selectRowById
 * @memberOf dhtmlXGridObject
 * @param {String} row_id row_id - row id
 * @param {Boolean} [preserve] preserve - {true|false} preserve previously selected (optional, false by default). Multi select mode should be enabled.
 * @param {Boolean} [show] show - true/false - scroll row to view (optional, true by default)
 * @param {Boolean} [call] call - true if to call onRowSelect function (optional, false by default)
 * @example //minimal parameters set
 *    mygrid.selectRowById('row1');
 *    //maximal parameters set
 *    mygrid.selectRowById('row1',true,true,true);
 */
 dhtmlXGridObject.prototype.selectRowById = function(row_id, preserve, show, call) {};
/**
 * 
 * @id dhtmlXGridObject.serialize
 * @class dhtmlXGridObject
 * @method serialize
 * @memberOf dhtmlXGridObject
 * @example var str=mygrid.serialize();
 */
 dhtmlXGridObject.prototype.serialize = function() {};
/**
 * serialize to CSV string
 * @id dhtmlXGridObject.serializeToCSV
 * @class dhtmlXGridObject
 * @method serializeToCSV
 * @memberOf dhtmlXGridObject
 * @param {Boolean} [textmode] text only - {true|false} optional, force serialization of text values (skip HTML elements), false by default
 * @example //serialize grid to CSV format
 *    var csv=mygrid.serializeToCSV();
 *    //serialize grid to CSV format, only text values will be serialized
 *    var csv=mygrid.serializeToCSV(true);
 */
 dhtmlXGridObject.prototype.serializeToCSV = function(textmode) {};
/**
 * set height which will be used in smart rendering mode for row calculation, function need to be used if you use custom skin for grid which changes default row height
 * @id dhtmlXGridObject.setAwaitedRowHeight
 * @class dhtmlXGridObject
 * @method setAwaitedRowHeight
 * @memberOf dhtmlXGridObject
 * @param {String} height {int} height - awaited height of row
 * @example mygrid.setAwaitedRowHeight(25);
 */
 dhtmlXGridObject.prototype.setAwaitedRowHeight = function(height) {};
/**
 * change csv delimiter
 * @id dhtmlXGridObject.setCSVDelimiter
 * @class dhtmlXGridObject
 * @method setCSVDelimiter
 * @memberOf dhtmlXGridObject
 * @param {String} str str - delimer used in CSV operations, comma by default (only single char delimeters allowed)
 * @example mygrid.setCSVDelimiter(":")
 * 	var  str="11:12:13\n21:22:23\n31:32:33";
 * 	mygrid.loadCSVString(str);
 */
 dhtmlXGridObject.prototype.setCSVDelimiter = function(str) {};
/**
 * set excell type for cell in question
 * @id dhtmlXGridObject.setCellExcellType
 * @class dhtmlXGridObject
 * @method setCellExcellType
 * @memberOf dhtmlXGridObject
 * @param {String} rowId rowId - row ID
 * @param {Number} cellIndex cellIndex - cell index
 * @param {String} type type - type of excell (code like "ed", "txt", "ch" etc.)
 * @example //set type "txt" to the second cell in the row with id "row1"
 *    mygrid.setCellExcellType("row1",1,"txt");
 */
 dhtmlXGridObject.prototype.setCellExcellType = function(rowId, cellIndex, type) {};
/**
 * sets style to cell
 * @id dhtmlXGridObject.setCellTextStyle
 * @class dhtmlXGridObject
 * @method setCellTextStyle
 * @memberOf dhtmlXGridObject
 * @param {String} row_id row_id - row id
 * @param {Number} ind ind - cell index
 * @param {String} styleString styleString - style string in common format (ex: "color:red;border:1px solid gray;")
 * @example mygrid.setCellTextStyle("row1",0,"color:red;border:1px solid gray;");
 */
 dhtmlXGridObject.prototype.setCellTextStyle = function(row_id, ind, styleString) {};
/**
 * set value for all checkboxes in specified column
 * @id dhtmlXGridObject.setCheckedRows
 * @class dhtmlXGridObject
 * @method setCheckedRows
 * @memberOf dhtmlXGridObject
 * @param {Number} cInd col_ind - column index
 * @param {String} v v - value, 0 - not checked, any other value - checked
 * @example //check all checkboxes in the first column
 *    mygrid.setCheckedRows(0,1);
 *    //uncheck all checkboxes in the first column
 *    mygrid.setCheckedRows(0,0);
 */
 dhtmlXGridObject.prototype.setCheckedRows = function(cInd,v) {};
/**
 * set align of values in columns
 * @id dhtmlXGridObject.setColAlign
 * @class dhtmlXGridObject
 * @method setColAlign
 * @memberOf dhtmlXGridObject
 * @param {String} alStr alStr - list of align values (possible values are: right,left,center,justify). Default delimiter is ","
 * @example mygrid.setColAlign("right,left,center,justify")
 */
 dhtmlXGridObject.prototype.setColAlign = function(alStr) {};
/**
 * sets new column header label
 * @id dhtmlXGridObject.setColLabel
 * @class dhtmlXGridObject
 * @method setColLabel
 * @memberOf dhtmlXGridObject
 * @param {Number} col col - header column index
 * @param {String} label label - new label for the cpecified header&#039;s column. Can contai img:[imageUrl]Text Label
 * @param {Number} ind ind - header row index (default is 1)
 * @example //set new label for the first column
 *    mygrid.setColLabel(0,"New Column Label");
 *    //set new label for the second line of the first column
 *    mygrid.setColLabel(0,"New Column Label",1);
 */
 dhtmlXGridObject.prototype.setColLabel = function(col, label, ind) {};
/**
 * set column sort types (avaialble: str, int, date, na or function object for custom sorting)
 * @id dhtmlXGridObject.setColSorting
 * @class dhtmlXGridObject
 * @method setColSorting
 * @memberOf dhtmlXGridObject
 * @param {String} sortStr sortStr - sort codes list with default delimiter
 * @example mygrid.setColSorting("int,str,date,na,sortingFunction")
 */
 dhtmlXGridObject.prototype.setColSorting = function(sortStr) {};
/**
 * set column types
 * @id dhtmlXGridObject.setColTypes
 * @class dhtmlXGridObject
 * @method setColTypes
 * @memberOf dhtmlXGridObject
 * @param {String} typeStr typeStr - type codes list (default delimiter is ",")
 * @example mygrid.setColTypes("dyn,ed,txt,price,ch,coro,ra,ro");
 */
 dhtmlXGridObject.prototype.setColTypes = function(typeStr) {};
/**
 * set vertical align of columns
 * @id dhtmlXGridObject.setColVAlign
 * @class dhtmlXGridObject
 * @method setColVAlign
 * @memberOf dhtmlXGridObject
 * @param {String} valStr valStr - vertical align values list for columns (possible values are: baseline,sub,super,top,text-top,middle,bottom,text-bottom)
 * @example mygrid.setColVAlign("top,middle,bottom,top,top,sub");
 */
 dhtmlXGridObject.prototype.setColVAlign = function(valStr) {};
/**
 * sets width of specified column in pixels (soen&#039;t works with procent based grid)
 * @id dhtmlXGridObject.setColWidth
 * @class dhtmlXGridObject
 * @method setColWidth
 * @memberOf dhtmlXGridObject
 * @param {Number} ind ind - column index
 * @param {String} value value - new width value
 * @example //set first column width
 *    mygrid.setColWidth(0,"150");
 */
 dhtmlXGridObject.prototype.setColWidth = function(ind, value) {};
/**
 * dynamically sets colspan in row starting from specified column index
 * @id dhtmlXGridObject.setColspan
 * @class dhtmlXGridObject
 * @method setColspan
 * @memberOf dhtmlXGridObject
 * @param {String} row_id row_id - row id
 * @param {Number} col_ind col_id - index of column
 * @param {String} colspan colspan - size of colspan
 * @example mygrid.enableColSpan(true);
 *    //merge first 2 cells in the row with id "row1"
 *    mygrid.setColspan("row1",0,2);
 */
 dhtmlXGridObject.prototype.setColspan = function(row_id, col_ind, colspan) {};
/**
 * colorize columns  background.
 * @id dhtmlXGridObject.setColumnColor
 * @class dhtmlXGridObject
 * @method setColumnColor
 * @memberOf dhtmlXGridObject
 * @param {String} clr clr - comma delimited colors list
 * @example //set colors for the first 3 columns
 *    mygrid.setColumnColor("white,#d5f1ff,#d5f1ff");
 */
 dhtmlXGridObject.prototype.setColumnColor = function(clr) {};
/**
 * set excell type for all cells in specified column
 * @id dhtmlXGridObject.setColumnExcellType
 * @class dhtmlXGridObject
 * @method setColumnExcellType
 * @memberOf dhtmlXGridObject
 * @param {Number} colIndex colIndex - column index
 * @param {String} type type - type of excell
 * @example //set type "ch" for the cells in the 3rd column
 *    mygrid.setColumnExcellType(2,"ch");
 */
 dhtmlXGridObject.prototype.setColumnExcellType = function(colIndex, type) {};
/**
 * hide/show column
 * @id dhtmlXGridObject.setColumnHidden
 * @class dhtmlXGridObject
 * @method setColumnHidden
 * @memberOf dhtmlXGridObject
 * @param {Number} ind ind - column index
 * @param {Boolean} state state - true/false - hide/show column
 * @example //hide first column
 *    mygrid.setColumnHidden(0,true);
 *    //show first column
 *    mygrid.setColumnHidden(0,false);
 */
 dhtmlXGridObject.prototype.setColumnHidden = function(ind, state) {};
/**
 * sets id to specified column.
 * @id dhtmlXGridObject.setColumnId
 * @class dhtmlXGridObject
 * @method setColumnId
 * @memberOf dhtmlXGridObject
 * @param {Number} ind ind- index of column
 * @param {String} id id- id of column
 * @example //set first column id
 *    mygrid.setColumnId(0,"column1");
 */
 dhtmlXGridObject.prototype.setColumnId = function(ind, id) {};
/**
 * sets id to every column. Can be used then to retreive the index of the desired colum
 * @id dhtmlXGridObject.setColumnIds
 * @class dhtmlXGridObject
 * @method setColumnIds
 * @memberOf dhtmlXGridObject
 * @param {String} ids ids - comma delimitered list of ids or empty if to use values set earlier
 * @example mygrid.setColumnIds("sales,book,author,price,store,shipping,best,date");
 */
 dhtmlXGridObject.prototype.setColumnIds = function(ids) {};
/**
 * set minimum column width (works only for manual resizing)
 * @id dhtmlXGridObject.setColumnMinWidth
 * @class dhtmlXGridObject
 * @method setColumnMinWidth
 * @memberOf dhtmlXGridObject
 * @param {String} width width - minimum column width, can be set for specified column, or as comma separated list for all columns
 * @param {Number} ind ind - column index
 * @example //set first column min width
 *    mygrid.setColumnMinWidth(50,0);
 *    //set columns min widths
 *    mygrid.setColumnMinWidth("50,100,100,150,200,100,150");
 */
 dhtmlXGridObject.prototype.setColumnMinWidth = function(width, ind) {};
/**
 * set list of visible/hidden columns
 * @id dhtmlXGridObject.setColumnsVisibility
 * @class dhtmlXGridObject
 * @method setColumnsVisibility
 * @memberOf dhtmlXGridObject
 * @param {Boolean} list list - list of true/false separated by comma, false - show column, true - hide column
 * @example //hide first column
 *    mygrid.setColumnsVisibility("true,false,false,false,false");
 */
 dhtmlXGridObject.prototype.setColumnsVisibility = function(list) {};
/**
 * set custom sorting (custom sort has three params - valueA,valueB,order; where order can be asc or des)
 * @id dhtmlXGridObject.setCustomSorting
 * @class dhtmlXGridObject
 * @method setCustomSorting
 * @memberOf dhtmlXGridObject
 * @param {String} func func - function to use for comparison
 * @param {Number} col col - index of column to apply custom sorting to
 * @example //second column is sorted by number of symbols in text
 *    mygrid.setCustomSorting(sort_custom,1);
 *    ...
 *    function sort_custom(a,b,order){
 *         var n=a.length;
 *         var m=b.length;
 * 	if(order=="asc")
 * 		return n>m?1:-1;
 * 	else
 * 		return n<m?1:-1;
 *     }
 */
 dhtmlXGridObject.prototype.setCustomSorting = function(func, col) {};
/**
 * set mask for date formatting in grid (works for "dhxCalendar" and "dhxCalendarA" types only)
 * @id dhtmlXGridObject.setDateFormat
 * @class dhtmlXGridObject
 * @method setDateFormat
 * @memberOf dhtmlXGridObject
 * @param {String} mask mask - date mask, d,m,y will mean day,month,year; for example "%d/%m/%y" - 22/05/1985
 * @example mygrid.setDateFormat("%m/%d/%Y");
 */
 dhtmlXGridObject.prototype.setDateFormat = function(mask) {};
/**
 * set delimiter character used in list values (default is ",")
 * @id dhtmlXGridObject.setDelimiter
 * @class dhtmlXGridObject
 * @method setDelimiter
 * @memberOf dhtmlXGridObject
 * @param {String} delim delim - delimiter as string
 * @example mygrid.setDelimiter(";");
 *    mygrid.setHeader("First Column;Second Column;Third Column");
 */
 dhtmlXGridObject.prototype.setDelimiter = function(delim) {};
/**
 * set Drag-And-Drop behavior
 * @id dhtmlXGridObject.setDragBehavior
 * @class dhtmlXGridObject
 * @method setDragBehavior
 * @memberOf dhtmlXGridObject
 * @param {String} mode mode - behavior name
 * @example mygrid.setDragBehavior(sibling);
 */
 dhtmlXGridObject.prototype.setDragBehavior = function(mode) {};
/**
 * define text (single and plural forms) for extended visual appearence of drag-n-drop
 * @id dhtmlXGridObject.setDragText
 * @class dhtmlXGridObject
 * @method setDragText
 * @memberOf dhtmlXGridObject
 * @param {String} single single - single form (like "product")
 * @param {String} plural plural - plural form (if omitted, then "s" will be added to single form)
 * @example mygrid.setDragText("row is moving", "rows are moving");
 */
 dhtmlXGridObject.prototype.setDragText = function(single,plural) {};
/**
 * manage editibility of the grid
 * @id dhtmlXGridObject.setEditable
 * @class dhtmlXGridObject
 * @method setEditable
 * @memberOf dhtmlXGridObject
 * @param {String} mode mode - set not editable if FALSE, set editable otherwise
 * @example //set grid editable
 *    mygrid.setEditable(true);
 *    //set grid not editable
 *    mygrid.setEditable(false);
 */
 dhtmlXGridObject.prototype.setEditable = function(mode) {};
/**
 * sets elements which get focus when tab is pressed in the last or first (tab+shift) cell
 * @id dhtmlXGridObject.setExternalTabOrder
 * @class dhtmlXGridObject
 * @method setExternalTabOrder
 * @memberOf dhtmlXGridObject
 * @param {Object} start start - html object or its id - gets focus when tab+shift are pressed in the first cell
 * @param {Object} end end - html object or its id - gets focus when tab is pressed in the last cell
 * @example mygrid.setExternalTabOrder("elem1","elem2");
 */
 dhtmlXGridObject.prototype.setExternalTabOrder = function(start, end) {};
/**
 * allows to define input name which will be used for data sending, name may contain next auto-replaced elements:
 * @id dhtmlXGridObject.setFieldName
 * @class dhtmlXGridObject
 * @method setFieldName
 * @memberOf dhtmlXGridObject
 * @param {String} mask GRID_ID - ID of grids container,
 * @example mygrid.setFieldName("{GRID_ID}[{ROW_INDEX}].{COLUMN_ID}"); // gridbox[0].columnA
 */
 dhtmlXGridObject.prototype.setFieldName = function(mask) {};
/**
 * sets new label for cell in footer
 * @id dhtmlXGridObject.setFooterLabel
 * @class dhtmlXGridObject
 * @method setFooterLabel
 * @memberOf dhtmlXGridObject
 * @param {Number} c col - column index
 * @param {String} label label - new label for the cpecified footer&#039;s column. Can contain img:[imageUrl]Text Label
 * @param {Number} [ind] ind - footer row index (optional, 1 by default)
 * @example //set new label for the first cell in the first footer's line
 *    mygrid.setFooterLabel(0,'New Label');
 *    //set new label with image for the first cell in the second footer's line
 *    mygrid.setFooterLabel(0,'img:[../codebase/imgs/image.gif]New Label',1);
 */
 dhtmlXGridObject.prototype.setFooterLabel = function(c, label, ind) {};
/**
 * set header label and default params for new headers
 * @id dhtmlXGridObject.setHeader
 * @class dhtmlXGridObject
 * @method setHeader
 * @memberOf dhtmlXGridObject
 * @param {String} hdrStr hdrStr - header string with delimiters
 * @param {String} [splitSign] splitSign - string used as a split marker, optional. Default is "#cspan"
 * @param {String} [styles] styles - array of header styles
 * @example //setting columns labels
 *    mygrid.setHeader("A,B,C");
 *    //setting columns labels and it's styles
 *    mygrid.setHeader("A,B,C",null,["text-align:right;","text-align:left;","text-align:center"]);
 */
 dhtmlXGridObject.prototype.setHeader = function(hdrStr, splitSign, styles) {};
/**
 * set path to external images used in grid ( tree and img column types )
 * @id dhtmlXGridObject.setIconPath
 * @class dhtmlXGridObject
 * @method setIconPath
 * @memberOf dhtmlXGridObject
 * @param {String} path path - url (or relative path) of images folder with closing "/"
 * @example mygrid.setIconPath("../codebase/imgs/icons_greenfolders/");
 */
 dhtmlXGridObject.prototype.setIconPath = function(path) {};
/**
 * set path to grid internal images (sort direction, any images used in editors, checkbox, radiobutton)
 * @id dhtmlXGridObject.setImagePath
 * @class dhtmlXGridObject
 * @method setImagePath
 * @memberOf dhtmlXGridObject
 * @param {String} path path - url (or relative path) of images folder with closing "/"
 * @example mygrid.setImagePath("../codebase/imgs/");
 */
 dhtmlXGridObject.prototype.setImagePath = function(path) {};
/**
 * set width of columns in pixels
 * @id dhtmlXGridObject.setInitWidths
 * @class dhtmlXGridObject
 * @method setInitWidths
 * @memberOf dhtmlXGridObject
 * @param {String} wp wp - list of column width in pixels
 * @example mygrid.setInitWidths("150,100,100,100,100");
 */
 dhtmlXGridObject.prototype.setInitWidths = function(wp) {};
/**
 * set width of columns in percents
 * @id dhtmlXGridObject.setInitWidthsP
 * @class dhtmlXGridObject
 * @method setInitWidthsP
 * @memberOf dhtmlXGridObject
 * @param {String} wp wp - list of column width in percents. Sum of the column widths must be equal to 100.
 * @example mygrid.setInitWidthsP("50,40,10");
 */
 dhtmlXGridObject.prototype.setInitWidthsP = function(wp) {};
/**
 * enable/disable rounding while math calculations
 * @id dhtmlXGridObject.setMathRound
 * @class dhtmlXGridObject
 * @method setMathRound
 * @memberOf dhtmlXGridObject
 * @param {String} digits digits - set how many digits must be rounded, set 0 for disabling
 * @example mygrid.setMathRound(2);
 */
 dhtmlXGridObject.prototype.setMathRound = function(digits) {};
/**
 * create grid with no header. Call before initialization, but after setHeader. setHeader have to be called in any way as it defines number of columns
 * @id dhtmlXGridObject.setNoHeader
 * @class dhtmlXGridObject
 * @method setNoHeader
 * @memberOf dhtmlXGridObject
 * @param {String} fl fl - true to use no header in the grid
 * @example mygrid.setNoHeader(true);
 */
 dhtmlXGridObject.prototype.setNoHeader = function(fl) {};
/**
 * 
 * @id dhtmlXGridObject.setNumberFormat
 * @class dhtmlXGridObject
 * @method setNumberFormat
 * @memberOf dhtmlXGridObject
 * @param {String} mask mask - numeric mask; for example 0,000.00 - 1,234.56
 * @param {Number} cInd cInd - column index
 * @param {String} p_sep p_sep - char used as decimal separator (point by default)
 * @param {String} d_sep d_sep - char used as groups part separator (comma by default)
 * @example mygrid.setNumberFormat("0,000.00",index,".",",");
 */
 dhtmlXGridObject.prototype.setNumberFormat = function(mask, cInd, p_sep, d_sep) {};
/**
 * allows to set custom paging skin
 * @id dhtmlXGridObject.setPagingSkin
 * @class dhtmlXGridObject
 * @method setPagingSkin
 * @memberOf dhtmlXGridObject
 * @param {String} name name - skin name (default,toolbar,bricks)
 * @example //set "bricks" paging skin
 *    mygrid.setPagingSkin("bricks");
 *    //set "toolbar" paging skin with "dhx_blue" toolbar's skin
 *    mygrid.setPagingSkin("toolbar")
 *    //set "toolbar" paging skin with "dhx_black" toolbar's skin
 *    mygrid.setPagingSkin("toolbar","dhx_black");
 */
 dhtmlXGridObject.prototype.setPagingSkin = function(name) {};
/**
 * allows to set paging templates for default skin
 * @id dhtmlXGridObject.setPagingTemplates
 * @class dhtmlXGridObject
 * @method setPagingTemplates
 * @memberOf dhtmlXGridObject
 * @param {String} navigation_template navigation_template - template for paging controls zone
 * @param {String} info_template info_template - template for paging state zone
 * @example mygrid.setPagingTemplates("Pages - [current:0] [current:+1] [current:+2] , from [total] rows","Pages <b>[from]-[to]</b> of <b>[total]</b>");
 */
 dhtmlXGridObject.prototype.setPagingTemplates = function(navigation_template,info_template) {};
/**
 * configure paging with toolbar mode ( must be called BEFORE enablePaging)
 * @id dhtmlXGridObject.setPagingWTMode
 * @class dhtmlXGridObject
 * @method setPagingWTMode
 * @memberOf dhtmlXGridObject
 * @param {Boolean} navButtons navButtons - {true|false} enable/disable navigation buttons
 * @param {Boolean} navLabel navLabel - {true|false} enable/disable navigation label
 * @param {Boolean} pageSelect pageSelect - {true|false} enable/disable page selector
 * @param {Boolean} perPageSelect perPageSelect - {true|false} enable/disable rows per  page selector
 * @example //disable page selector
 *    mygrid.setPagingWTMode(true,true,false,true);
 *    //disable row per page selector
 *    mygrid.setPagingWTMode(true,true,true,false);
 */
 dhtmlXGridObject.prototype.setPagingWTMode = function(navButtons,navLabel,pageSelect,perPageSelect) {};
/**
 * sets row attribute
 * @id dhtmlXGridObject.setRowAttribute
 * @class dhtmlXGridObject
 * @method setRowAttribute
 * @memberOf dhtmlXGridObject
 * @param {String} rId rId - row ID
 * @param {String} name name - attribute name
 * @param {String} value value - new attribute&#039;s value
 * @example <?xml version='1.0' encoding='iso-8859-1'?>
 *         <rows>
 *             <row id="unique_rowid" some="data">
 *                     <cell some="data">cell content</cell>
 *             </row>
 *         </rows>
 *    ...
 *    var rowAttr = grid.setRowAttribute("unique_rowid","some","new value");
 */
 dhtmlXGridObject.prototype.setRowAttribute = function(rId, name, value) {};
/**
 * sets background color of row (via bgcolor attribute)
 * @id dhtmlXGridObject.setRowColor
 * @class dhtmlXGridObject
 * @method setRowColor
 * @memberOf dhtmlXGridObject
 * @param {String} row_id row_id - row id
 * @param {String} color color - color value
 * @example mygrid.setRowColor("row1","red");
 */
 dhtmlXGridObject.prototype.setRowColor = function(row_id, color) {};
/**
 * set excell type for all cells in specified row
 * @id dhtmlXGridObject.setRowExcellType
 * @class dhtmlXGridObject
 * @method setRowExcellType
 * @memberOf dhtmlXGridObject
 * @param {String} rowId rowId - row ID
 * @param {String} type type - type of excell
 * @example //set "ra_str" type for the cells in the row with id "row1"
 *    mygrid.setRowExcellType("row1","ra_str");
 */
 dhtmlXGridObject.prototype.setRowExcellType = function(rowId, type) {};
/**
 * hide/show row (warning! - this command doesn&#039;t affect row indexes, only visual appearance)
 * @id dhtmlXGridObject.setRowHidden
 * @class dhtmlXGridObject
 * @method setRowHidden
 * @memberOf dhtmlXGridObject
 * @param {String} id id - row ID
 * @param {Boolean} state state - true/false - hide/show row
 * @example //hide row with id "row1"
 *    mygrid.setRowHidden("row1",true);
 *    //show row with id "row1"
 *    mygrid.setRowHidden("row1",false);
 */
 dhtmlXGridObject.prototype.setRowHidden = function(id, state) {};
/**
 * sets new id for row by its index
 * @id dhtmlXGridObject.setRowId
 * @class dhtmlXGridObject
 * @method setRowId
 * @memberOf dhtmlXGridObject
 * @param {Number} ind ind - row index
 * @param {String} row_id row_id - new row id
 * @example //set new id for the first row
 *    mygrid.setRowId(0,"new_row_id");
 */
 dhtmlXGridObject.prototype.setRowId = function(ind, row_id) {};
/**
 * sets row text BOLD
 * @id dhtmlXGridObject.setRowTextBold
 * @class dhtmlXGridObject
 * @method setRowTextBold
 * @memberOf dhtmlXGridObject
 * @param {String} row_id row_id - row id
 * @example mygrid.setRowTextBold("row1");
 */
 dhtmlXGridObject.prototype.setRowTextBold = function(row_id) {};
/**
 * sets row text weight to normal
 * @id dhtmlXGridObject.setRowTextNormal
 * @class dhtmlXGridObject
 * @method setRowTextNormal
 * @memberOf dhtmlXGridObject
 * @param {String} row_id row_id - row id
 * @example mygrid.setRowTextNormal("row1");
 */
 dhtmlXGridObject.prototype.setRowTextNormal = function(row_id) {};
/**
 * sets style to row.
 * @id dhtmlXGridObject.setRowTextStyle
 * @class dhtmlXGridObject
 * @method setRowTextStyle
 * @memberOf dhtmlXGridObject
 * @param {String} row_id row_id - row id
 * @param {String} styleString styleString - style string in common format (exmpl: "color:red;border:1px solid gray;")
 * @example grid.setRowTextStyle("r123", "background-color: red; font-family: arial;");
 */
 dhtmlXGridObject.prototype.setRowTextStyle = function(row_id, styleString) {};
/**
 * set rowspan with specified length starting from specified cell
 * @id dhtmlXGridObject.setRowspan
 * @class dhtmlXGridObject
 * @method setRowspan
 * @memberOf dhtmlXGridObject
 * @param {String} rowID rowID - row Id
 * @param {Number} colInd colInd - column index
 * @param {String} length length - length of rowspan
 * @example mygrid.setRowspan("row1",0,2);
 */
 dhtmlXGridObject.prototype.setRowspan = function(rowID,colInd,length) {};
/**
 * configure which column must be serialized (if you do not use this method, then all columns will be serialized)
 * @id dhtmlXGridObject.setSerializableColumns
 * @class dhtmlXGridObject
 * @method setSerializableColumns
 * @memberOf dhtmlXGridObject
 * @param {Boolean} list list - list of true/false values separated by comma, if list empty then all fields will be serialized
 * @example //serialize only 1st and 4th columns
 *    mygrid.setSerializableColumns("true,false,false,true,false,false,false")
 */
 dhtmlXGridObject.prototype.setSerializableColumns = function(list) {};
/**
 * 
 * @id dhtmlXGridObject.setSerializationLevel
 * @class dhtmlXGridObject
 * @method setSerializationLevel
 * @memberOf dhtmlXGridObject
 * @param {String} userData userData - enable/disable user data serialization
 * @param {String} selectedAttr selectedAttr -  include "selected" row&#039;s attribute in result XML
 * @param {String} config config - serialize grid configuration (only information about grid structure)
 * @param {String} changedAttr changedAttr - include "changed" cell&#039;s attribute in result XML
 * @param {String} onlyChanged onlyChanged - include only changed  rows in result XML
 * @param {String} asCDATA asCDATA - output cell values as CDATA sections (prevent invalid XML)
 * @example mygrid.setSerializationLevel(true,false,true,false,true,true);
 */
 dhtmlXGridObject.prototype.setSerializationLevel = function(userData, selectedAttr, config, changedAttr, onlyChanged, asCDATA) {};
/**
 * 
 * @id dhtmlXGridObject.setSizes
 * @class dhtmlXGridObject
 * @method setSizes
 * @memberOf dhtmlXGridObject
 * @example mygrid.setSizes();
 */
 dhtmlXGridObject.prototype.setSizes = function() {};
/**
 * set one of predefined css styles (xp, mt, gray, light, clear, modern, sb_dark)
 * @id dhtmlXGridObject.setSkin
 * @class dhtmlXGridObject
 * @method setSkin
 * @memberOf dhtmlXGridObject
 * @param {String} name name - style name
 * @example mygrid.setSkin("light");//set "light" skin to the grid
 */
 dhtmlXGridObject.prototype.setSkin = function(name) {};
/**
 * sets position and visibility of sort arrow
 * @id dhtmlXGridObject.setSortImgState
 * @class dhtmlXGridObject
 * @method setSortImgState
 * @memberOf dhtmlXGridObject
 * @param {Boolean} state state - true/false - show/hide image
 * @param {Number} ind ind - index of column
 * @param {String} [order] order - asc/desc - type of image (optional, "asc" by default)
 * @param {Number} [row] row - one based index of header row (used in multirow headers, top row by default)
 * @example //minimal parameters set
 *    mygrid.setSortImgState(true,1)
 *    //maximal parameters set
 *    mygrid.setSortImgState(true,1,"des",2)
 *    //hide sorting image
 *    mygrid.setSortImgState(false)
 */
 dhtmlXGridObject.prototype.setSortImgState = function(state, ind, order, row) {};
/**
 * modify default style of grid and its elements. Call before or after Init
 * @id dhtmlXGridObject.setStyle
 * @class dhtmlXGridObject
 * @method setStyle
 * @memberOf dhtmlXGridObject
 * @param {String} ss_header ss_header - style def. expression for header
 * @param {String} ss_grid ss_grid - style def. expression for grid cells
 * @param {String} ss_selCell ss_selCell - style def. expression for selected cell
 * @param {String} ss_selRow ss_selRow - style def. expression for selected Row
 * @example mygrid.setStyle("background-color:navy;color:white; font-weight:bold;", "","color:red;", "");
 */
 dhtmlXGridObject.prototype.setStyle = function(ss_header, ss_grid, ss_selCell, ss_selRow) {};
/**
 * set tab order of columns
 * @id dhtmlXGridObject.setTabOrder
 * @class dhtmlXGridObject
 * @method setTabOrder
 * @memberOf dhtmlXGridObject
 * @param {Number} order order - list of tab indexes (default delimiter is ",")
 * @example mygrid.mygrid.setTabOrder("1,3,5,3,4,6,7,8");
 */
 dhtmlXGridObject.prototype.setTabOrder = function(order) {};
/**
 * sets user data to row
 * @id dhtmlXGridObject.setUserData
 * @class dhtmlXGridObject
 * @method setUserData
 * @memberOf dhtmlXGridObject
 * @param {String} row_id row_id -  row id. if empty then user data is set for grid (not row)
 * @param {String} name name -  name of user data block
 * @param {String} value value -  value of user data block
 * @example //set row userdata
 *    mygrid.setUserData("unique_rowid","someName1","new value");
 *    //set global userdata
 *    mygrid.setUserData("","someName1","new value");
 */
 dhtmlXGridObject.prototype.setUserData = function(row_id, name, value) {};
/**
 * scrolls row to the visible area
 * @id dhtmlXGridObject.showRow
 * @class dhtmlXGridObject
 * @method showRow
 * @memberOf dhtmlXGridObject
 * @param {String} rowID rowID - row id
 * @example mygrid.showRow("row1");
 */
 dhtmlXGridObject.prototype.showRow = function(rowID) {};
/**
 * sort grid
 * @id dhtmlXGridObject.sortRows
 * @class dhtmlXGridObject
 * @method sortRows
 * @memberOf dhtmlXGridObject
 * @param {Number} col col - index of column, by which grid need to be sorted
 * @param {String} [type] type - sorting type (str,int,date), optional, by default sorting type taken from column setting
 * @param {String} [order] order - sorting order (asc,des), optional, by default sorting order based on previous sorting operation
 * @example //sort first column in grid
 *    mygrid.sortRows(0);
 *    //sort first column in grid by "str" type in "des" order
 *    mygrid.sortRows(0,"str","des");
 */
 dhtmlXGridObject.prototype.sortRows = function(col, type, order) {};
/**
 * 
 * @id dhtmlXGridObject.startFastOperations
 * @class dhtmlXGridObject
 * @method startFastOperations
 * @memberOf dhtmlXGridObject
 * @example mygrid.startFastOperations();
 * 
 *    for (var i=0; i<1000; i++)
 *        mygrid.addRow(mygrid.uid(),[i,"new row"]);
 * 
 *    mygrid.stopFastOperations();
 */
 dhtmlXGridObject.prototype.startFastOperations = function() {};
/**
 * 
 * @id dhtmlXGridObject.stopFastOperations
 * @class dhtmlXGridObject
 * @method stopFastOperations
 * @memberOf dhtmlXGridObject
 * @example mygrid.startFastOperations();
 * 
 *    for (var i=0; i<1000; i++)
 *        mygrid.addRow(mygrid.uid(),[i,"new row"]);
 * 
 *    mygrid.stopFastOperations();
 */
 dhtmlXGridObject.prototype.stopFastOperations = function() {};
/**
 * 
 * @id dhtmlXGridObject.submitAddedRows
 * @class dhtmlXGridObject
 * @method submitAddedRows
 * @memberOf dhtmlXGridObject
 * @param {Boolean} mode mode - {true|false}  enable|disable mode
 * @example mygrid.submitAddedRows(true);
 */
 dhtmlXGridObject.prototype.submitAddedRows = function(mode) {};
/**
 * include only changed rows in form submit
 * @id dhtmlXGridObject.submitOnlyChanged
 * @class dhtmlXGridObject
 * @method submitOnlyChanged
 * @memberOf dhtmlXGridObject
 * @param {String} mode mode - {boolean}  enable|disable mode
 * @example mygrid.submitOnlyChanged(true);
 */
 dhtmlXGridObject.prototype.submitOnlyChanged = function(mode) {};
/**
 * include only  row&#039;s IDS in form submit
 * @id dhtmlXGridObject.submitOnlyRowID
 * @class dhtmlXGridObject
 * @method submitOnlyRowID
 * @memberOf dhtmlXGridObject
 * @param {Boolean} mode mode - {true|false}  enable|disable mode
 * @example mygrid.submitOnlyRowID(true);
 */
 dhtmlXGridObject.prototype.submitOnlyRowID = function(mode) {};
/**
 * include only selected rows in form submit
 * @id dhtmlXGridObject.submitOnlySelected
 * @class dhtmlXGridObject
 * @method submitOnlySelected
 * @memberOf dhtmlXGridObject
 * @param {Boolean} mode mode - {true|false}  enable|disable mode
 * @example mygrid.submitOnlySelected(true);
 */
 dhtmlXGridObject.prototype.submitOnlySelected = function(mode) {};
/**
 * 
 * @id dhtmlXGridObject.submitSerialization
 * @class dhtmlXGridObject
 * @method submitSerialization
 * @memberOf dhtmlXGridObject
 * @param {Boolean} mode mode - {true|false}  enable|disable mode
 * @example mygrid.submitSerialization(true);
 */
 dhtmlXGridObject.prototype.submitSerialization = function(mode) {};
/**
 * redefine this method in your code to define how tree node values should be used in grid (using input parameters you can change id of new row, values for cells, userdata blocks etc.).
 * @id dhtmlXGridObject.treeToGridElement
 * @class dhtmlXGridObject
 * @method treeToGridElement
 * @memberOf dhtmlXGridObject
 * @param {Object} treeObj treeObj - object of tree
 * @param {String} treeNodeId treeNodeId - id of node created in tree
 * @param {String} gridRowId gridRowId - id of grid row
 * @example grid.treeToGridElement = function(tree,treeID,gridID){
 *         var z=[treeObj.getItemText(treeID)];  // set tree text as a value of the first column in the grid
 *         return z;
 *     }
 */
 dhtmlXGridObject.prototype.treeToGridElement = function(treeObj,treeNodeId,gridRowId) {};
/**
 * 
 * @id dhtmlXGridObject.uid
 * @class dhtmlXGridObject
 * @method uid
 * @memberOf dhtmlXGridObject
 * @example var uniqueID=mygrid.uid();
 */
 dhtmlXGridObject.prototype.uid = function() {};
/**
 * 
 * @id dhtmlXGridObject.uncheckAll
 * @class dhtmlXGridObject
 * @method uncheckAll
 * @memberOf dhtmlXGridObject
 * @example mygrid.uncheckAll();
 */
 dhtmlXGridObject.prototype.uncheckAll = function() {};
/**
 * 
 * @id dhtmlXGridObject.unmarkAll
 * @class dhtmlXGridObject
 * @method unmarkAll
 * @memberOf dhtmlXGridObject
 * @example mygrid.unmarkAll();
 */
 dhtmlXGridObject.prototype.unmarkAll = function() {};
/**
 * set value of cell from clipboard
 * @id dhtmlXGridObject.updateCellFromClipboard
 * @class dhtmlXGridObject
 * @method updateCellFromClipboard
 * @memberOf dhtmlXGridObject
 * @param {String} [rowId] rowId - id of row (optional, use selected row by default)
 * @param {Number} [cellInd] cellInd - column index(optional, use selected cell by default)
 * @example <script>
 *    //minimal parameters set
 *    mygrid.updateCellFromClipboard();
 *    //maximal parameters set
 *    mygrid.updateCellFromClipboard("rowID",0);
 */
 dhtmlXGridObject.prototype.updateCellFromClipboard = function(rowId,cellInd) {};
/**
 * 
 * @id dhtmlXGridObject.updateFromXML
 * @class dhtmlXGridObject
 * @method updateFromXML
 * @memberOf dhtmlXGridObject
 * @param {String} url url - url to the file
 * @param {String} [insert_new] insert_new - insert new items (optional, true by default)
 * @param {String} [del_missed] del_missed - delete missed rows (optional, false by default)
 * @param {String} [afterCall] afterCall - function, will be executed after refresh completted
 * @example //update grid from xml
 *    mygrid.updateFromXML("grid_updated.xml");
 *    //update grid from xml, insert new items, delete missed rows, execute doAfterUpdate() function after rows were updated
 *    mygrid.updateFromXML("grid_updated.xml",true,true,doAfterUpdate);
 */
 dhtmlXGridObject.prototype.updateFromXML = function(url, insert_new, del_missed, afterCall) {};
/**
 * set value of row from clipboard
 * @id dhtmlXGridObject.updateRowFromClipboard
 * @class dhtmlXGridObject
 * @method updateRowFromClipboard
 * @memberOf dhtmlXGridObject
 * @param {String} [rowId] rowId - id of row (optional, use selected row by default)
 * @example //minimal parameters set
 *    mygrid.updateRowFromClipboard();
 *    //maximal parameters set
 *    mygrid.updateRowFromClipboard("rowID");
 */
 dhtmlXGridObject.prototype.updateRowFromClipboard = function(rowId) {};


/**
*
* dhtmlXTreeObject object class.
* @id dhtmlXTreeObject
* @class dhtmlXTreeObject
* @constructor
* @alias dhtmlXTreeObject.prototype
 * @return {dhtmlXTreeObject}
 */
 function dhtmlXTreeObject(){};




/**
 * configure keys used for keyboard navigation
 * @id dhtmlXTreeObject.assignKeys
 * @class dhtmlXTreeObject
 * @method assignKeys
 * @memberOf dhtmlXTreeObject
 * @param {String} keys keys - configuration array, please check pro_key_nav.html in samples for more details
 * @example 
 */
 dhtmlXTreeObject.prototype.assignKeys = function(keys) {};
/**
 * adds any user-defined handler to available events
 * @id dhtmlXTreeObject.attachEvent
 * @class dhtmlXTreeObject
 * @method attachEvent
 * @memberOf dhtmlXTreeObject
 * @param {String} evName evName - name of the event;
 * @example tree.attachEvent(evName, evHandler);
 */
 dhtmlXTreeObject.prototype.attachEvent = function(evName, evHandler) {};
/**
 * 
 * @id dhtmlXTreeObject.bind
 * @class dhtmlXTreeObject
 * @method bind
 * @memberOf dhtmlXTreeObject
 * @param {Object} [target] target - (object) the object that method is assigned to (optional)
 * @param {String} [rule] rule - (function) sets the rule according which components will be bound (optional)
 * @example mytree.bind(mygrid);
 */
 dhtmlXTreeObject.prototype.bind = function(target, rule) {};
/**
 * change item id
 * @id dhtmlXTreeObject.changeItemId
 * @class dhtmlXTreeObject
 * @method changeItemId
 * @memberOf dhtmlXTreeObject
 * @param {String} itemId itemId - old node id
 * @param {String} newItemId newItemId - new node id
 * @example 
 */
 dhtmlXTreeObject.prototype.changeItemId = function(itemId,newItemId) {};
/**
 * 
 * @id dhtmlXTreeObject.clearCut
 * @class dhtmlXTreeObject
 * @method clearCut
 * @memberOf dhtmlXTreeObject
 * @example 
 */
 dhtmlXTreeObject.prototype.clearCut = function() {};
/**
 * unselect item in tree
 * @id dhtmlXTreeObject.clearSelection
 * @class dhtmlXTreeObject
 * @method clearSelection
 * @memberOf dhtmlXTreeObject
 * @param {String} [itemId] itemId - used in multi selection tree (optional)
 * @example 
 */
 dhtmlXTreeObject.prototype.clearSelection = function(itemId) {};
/**
 * collapse target node and all sub nodes
 * @id dhtmlXTreeObject.closeAllItems
 * @class dhtmlXTreeObject
 * @method closeAllItems
 * @memberOf dhtmlXTreeObject
 * @param {String} itemId itemId - node id
 * @example 
 */
 dhtmlXTreeObject.prototype.closeAllItems = function(itemId) {};
/**
 * collapse node
 * @id dhtmlXTreeObject.closeItem
 * @class dhtmlXTreeObject
 * @method closeItem
 * @memberOf dhtmlXTreeObject
 * @param {String} itemId itemId - id of node
 * @example 
 */
 dhtmlXTreeObject.prototype.closeItem = function(itemId) {};
/**
 * assign custom form to tree
 * @id dhtmlXTreeObject.defineItemForm
 * @class dhtmlXTreeObject
 * @method defineItemForm
 * @memberOf dhtmlXTreeObject
 * @param {String} formId formId - id of form node
 * @example 
 */
 dhtmlXTreeObject.prototype.defineItemForm = function(formId) {};
/**
 * delete all children of node
 * @id dhtmlXTreeObject.deleteChildItems
 * @class dhtmlXTreeObject
 * @method deleteChildItems
 * @memberOf dhtmlXTreeObject
 * @param {String} itemId itemId - node id
 * @example 
 */
 dhtmlXTreeObject.prototype.deleteChildItems = function(itemId) {};
/**
 * delete node
 * @id dhtmlXTreeObject.deleteItem
 * @class dhtmlXTreeObject
 * @method deleteItem
 * @memberOf dhtmlXTreeObject
 * @param {String} itemId itemId - node id
 * @param {String} selectParent selectParent - If true parent of deleted item get selection, else no selected items leaving in tree.
 * @example 
 */
 dhtmlXTreeObject.prototype.deleteItem = function(itemId,selectParent) {};
/**
 * 
 * @id dhtmlXTreeObject.destructor
 * @class dhtmlXTreeObject
 * @method destructor
 * @memberOf dhtmlXTreeObject
 * @example 
 */
 dhtmlXTreeObject.prototype.destructor = function() {};
/**
 * removes an event handler
 * @id dhtmlXTreeObject.detachEvent
 * @class dhtmlXTreeObject
 * @method detachEvent
 * @memberOf dhtmlXTreeObject
 * @param {String} id id - event id
 * @example tree.detachEvent(id);
 */
 dhtmlXTreeObject.prototype.detachEvent = function(id) {};
/**
 * disable checkbox
 * @id dhtmlXTreeObject.disableCheckbox
 * @class dhtmlXTreeObject
 * @method disableCheckbox
 * @memberOf dhtmlXTreeObject
 * @param {String} itemId itemId - Id of tree item
 * @param {String} mode mode - 1 - on, 0 - off;
 * @example 
 */
 dhtmlXTreeObject.prototype.disableCheckbox = function(itemId,mode) {};
/**
 * 
 * @id dhtmlXTreeObject.doCut
 * @class dhtmlXTreeObject
 * @method doCut
 * @memberOf dhtmlXTreeObject
 * @example 
 */
 dhtmlXTreeObject.prototype.doCut = function() {};
/**
 * insert previously cut branch
 * @id dhtmlXTreeObject.doPaste
 * @class dhtmlXTreeObject
 * @method doPaste
 * @memberOf dhtmlXTreeObject
 * @param {String} itemId itemId - id of new parent node
 * @example 
 */
 dhtmlXTreeObject.prototype.doPaste = function(itemId) {};
/**
 * open editor for specified item
 * @id dhtmlXTreeObject.editItem
 * @class dhtmlXTreeObject
 * @method editItem
 * @memberOf dhtmlXTreeObject
 * @param {String} id id - item ID
 * @example 
 */
 dhtmlXTreeObject.prototype.editItem = function(id) {};
/**
 * enable active images (clickable and dragable). By default only text part of the node is active
 * @id dhtmlXTreeObject.enableActiveImages
 * @class dhtmlXTreeObject
 * @method enableActiveImages
 * @memberOf dhtmlXTreeObject
 * @param {String} mode mode - 1 - on, 0 - off;
 * @example 
 */
 dhtmlXTreeObject.prototype.enableActiveImages = function(mode) {};
/**
 * enable/disable autosaving selected node in cookie
 * @id dhtmlXTreeObject.enableAutoSavingSelected
 * @class dhtmlXTreeObject
 * @method enableAutoSavingSelected
 * @memberOf dhtmlXTreeObject
 * @param {Boolean} mode mode - true/false
 * @example 
 */
 dhtmlXTreeObject.prototype.enableAutoSavingSelected = function(mode,cookieName) {};
/**
 * enable auto tooltips (node text as tooltip)
 * @id dhtmlXTreeObject.enableAutoTooltips
 * @class dhtmlXTreeObject
 * @method enableAutoTooltips
 * @memberOf dhtmlXTreeObject
 * @param {String} mode mode - 1 - on, 0 - off;
 * @example 
 */
 dhtmlXTreeObject.prototype.enableAutoTooltips = function(mode) {};
/**
 * show/hide checkboxes (all checkboxes in tree)
 * @id dhtmlXTreeObject.enableCheckBoxes
 * @class dhtmlXTreeObject
 * @method enableCheckBoxes
 * @memberOf dhtmlXTreeObject
 * @param {Boolean} mode mode - true/false
 * @param {String} hidden hidden - if set to true, checkboxes not rendered but can be shown by showItemCheckbox
 * @example 
 */
 dhtmlXTreeObject.prototype.enableCheckBoxes = function(mode, hidden) {};
/**
 * enable context menu
 * @id dhtmlXTreeObject.enableContextMenu
 * @class dhtmlXTreeObject
 * @method enableContextMenu
 * @memberOf dhtmlXTreeObject
 * @param {Object} menu menu - dhtmlXMenu object
 * @example 
 */
 dhtmlXTreeObject.prototype.enableContextMenu = function(menu) {};
/**
 * enable distributed parsing of big tree (items loaded portion by portion with some timeouts)
 * @id dhtmlXTreeObject.enableDistributedParsing
 * @class dhtmlXTreeObject
 * @method enableDistributedParsing
 * @memberOf dhtmlXTreeObject
 * @param {Boolean} mode mode - true/false
 * @param {String} [count] count - critical count to start distibuting (optional)
 * @param {String} [delay] delay - delay between distributed calls, ms (optional)
 * @example 
 */
 dhtmlXTreeObject.prototype.enableDistributedParsing = function(mode,count,delay) {};
/**
 * enable/disable drag-and-drop
 * @id dhtmlXTreeObject.enableDragAndDrop
 * @class dhtmlXTreeObject
 * @method enableDragAndDrop
 * @memberOf dhtmlXTreeObject
 * @param {Boolean} mode mode - enabled/disabled [ can be true/false/temporary_disabled - last value mean that tree can be D-n-D can be switched to true later ]
 * @param {String} rmode rmode - enabled/disabled drag and drop on super root
 * @example 
 */
 dhtmlXTreeObject.prototype.enableDragAndDrop = function(mode,rmode) {};
/**
 * enable/disable auto scrolling while drag-and-drop
 * @id dhtmlXTreeObject.enableDragAndDropScrolling
 * @class dhtmlXTreeObject
 * @method enableDragAndDropScrolling
 * @memberOf dhtmlXTreeObject
 * @param {String} mode mode - enabled/disabled
 * @example 
 */
 dhtmlXTreeObject.prototype.enableDragAndDropScrolling = function(mode) {};
/**
 * enable item highlighting (item text highlited on mouseover)
 * @id dhtmlXTreeObject.enableHighlighting
 * @class dhtmlXTreeObject
 * @method enableHighlighting
 * @memberOf dhtmlXTreeObject
 * @param {String} mode mode - 1 - on, 0 - off;
 * @example 
 */
 dhtmlXTreeObject.prototype.enableHighlighting = function(mode) {};
/**
 * 
 * @id dhtmlXTreeObject.enableIEImageFix
 * @class dhtmlXTreeObject
 * @method enableIEImageFix
 * @memberOf dhtmlXTreeObject
 * @param {Boolean} mode mode - true/false - enable/disable fix
 * @example 
 */
 dhtmlXTreeObject.prototype.enableIEImageFix = function(mode) {};
/**
 * enable draging item image with item text
 * @id dhtmlXTreeObject.enableImageDrag
 * @class dhtmlXTreeObject
 * @method enableImageDrag
 * @memberOf dhtmlXTreeObject
 * @param {Boolean} mode mode - true/false
 * @example 
 */
 dhtmlXTreeObject.prototype.enableImageDrag = function(mode) {};
/**
 * enable editing of item text
 * @id dhtmlXTreeObject.enableItemEditor
 * @class dhtmlXTreeObject
 * @method enableItemEditor
 * @memberOf dhtmlXTreeObject
 * @param {Boolean} mode mode - true/false
 * @example 
 */
 dhtmlXTreeObject.prototype.enableItemEditor = function(mode) {};
/**
 * enable search items by pressing keys (any item in tree should be focused/selected to make search work)
 * @id dhtmlXTreeObject.enableKeySearch
 * @class dhtmlXTreeObject
 * @method enableKeySearch
 * @memberOf dhtmlXTreeObject
 * @param {Boolean} mode mode - true/false
 * @example 
 */
 dhtmlXTreeObject.prototype.enableKeySearch = function(mode) {};
/**
 * enable keyboard navigation in tree
 * @id dhtmlXTreeObject.enableKeyboardNavigation
 * @class dhtmlXTreeObject
 * @method enableKeyboardNavigation
 * @memberOf dhtmlXTreeObject
 * @param {Boolean} mode mode - true/false
 * @example 
 */
 dhtmlXTreeObject.prototype.enableKeyboardNavigation = function(mode) {};
/**
 * enable/disable "Loading..." item
 * @id dhtmlXTreeObject.enableLoadingItem
 * @class dhtmlXTreeObject
 * @method enableLoadingItem
 * @memberOf dhtmlXTreeObject
 * @param {String} text text - text of temporary item (default is "Loading...")
 * @example 
 */
 dhtmlXTreeObject.prototype.enableLoadingItem = function(text) {};
/**
 * enable drag without removing (copy instead of move)
 * @id dhtmlXTreeObject.enableMercyDrag
 * @class dhtmlXTreeObject
 * @method enableMercyDrag
 * @memberOf dhtmlXTreeObject
 * @param {String} mode mode - 1 - on, 0 - off;
 * @example 
 */
 dhtmlXTreeObject.prototype.enableMercyDrag = function(mode) {};
/**
 * enable multi line items
 * @id dhtmlXTreeObject.enableMultiLineItems
 * @class dhtmlXTreeObject
 * @method enableMultiLineItems
 * @memberOf dhtmlXTreeObject
 * @param {String} width width - text width, if equls zero then use single lines items;
 * @example 
 */
 dhtmlXTreeObject.prototype.enableMultiLineItems = function(width) {};
/**
 * enable multiselection
 * @id dhtmlXTreeObject.enableMultiselection
 * @class dhtmlXTreeObject
 * @method enableMultiselection
 * @memberOf dhtmlXTreeObject
 * @param {String} mode mode - 1 - on, 0 - off;
 * @param {String} strict strict - 1 - on, 0 - off; in strict mode only items on the same level can be selected
 * @example 
 */
 dhtmlXTreeObject.prototype.enableMultiselection = function(mode,strict) {};
/**
 * enables Right-to-Left mode in tree
 * @id dhtmlXTreeObject.enableRTL
 * @class dhtmlXTreeObject
 * @method enableRTL
 * @memberOf dhtmlXTreeObject
 * @param {Boolean} mode mode - true/false
 * @example 
 */
 dhtmlXTreeObject.prototype.enableRTL = function(mode) {};
/**
 * replace checkboxes with radio buttons
 * @id dhtmlXTreeObject.enableRadioButtons
 * @class dhtmlXTreeObject
 * @method enableRadioButtons
 * @memberOf dhtmlXTreeObject
 * @param {Boolean} itemId mode - true/false
 * @param {String} [mode] itemId - node for which replacement called (optional)
 * @example 
 */
 dhtmlXTreeObject.prototype.enableRadioButtons = function(itemId,mode) {};
/**
 * replace checkboxes with radio buttons
 * @id dhtmlXTreeObject.enableSingleRadioMode
 * @class dhtmlXTreeObject
 * @method enableSingleRadioMode
 * @memberOf dhtmlXTreeObject
 * @param {Boolean} mode mode - true/false
 * @example 
 */
 dhtmlXTreeObject.prototype.enableSingleRadioMode = function(mode) {};
/**
 * enable smart checkboxes ,true by default (auto checking children and parents for 3-state checkboxes)
 * @id dhtmlXTreeObject.enableSmartCheckboxes
 * @class dhtmlXTreeObject
 * @method enableSmartCheckboxes
 * @memberOf dhtmlXTreeObject
 * @param {String} mode mode - 1 - on, 0 - off;
 * @example 
 */
 dhtmlXTreeObject.prototype.enableSmartCheckboxes = function(mode) {};
/**
 * 
 * @id dhtmlXTreeObject.enableSmartRendering
 * @class dhtmlXTreeObject
 * @method enableSmartRendering
 * @memberOf dhtmlXTreeObject
 * @example 
 */
 dhtmlXTreeObject.prototype.enableSmartRendering = function() {};
/**
 * 
 * @id dhtmlXTreeObject.enableSmartXMLParsing
 * @class dhtmlXTreeObject
 * @method enableSmartXMLParsing
 * @memberOf dhtmlXTreeObject
 * @param {String} mode mode - 1 - on, 0 - off;
 * @example 
 */
 dhtmlXTreeObject.prototype.enableSmartXMLParsing = function(mode) {};
/**
 * replace images with text signs
 * @id dhtmlXTreeObject.enableTextSigns
 * @class dhtmlXTreeObject
 * @method enableTextSigns
 * @memberOf dhtmlXTreeObject
 * @param {Boolean} mode mode - true/false
 * @example 
 */
 dhtmlXTreeObject.prototype.enableTextSigns = function(mode) {};
/**
 * enable three state checkboxes
 * @id dhtmlXTreeObject.enableThreeStateCheckboxes
 * @class dhtmlXTreeObject
 * @method enableThreeStateCheckboxes
 * @memberOf dhtmlXTreeObject
 * @param {String} mode mode - 1 - on, 0 - off;
 * @example 
 */
 dhtmlXTreeObject.prototype.enableThreeStateCheckboxes = function(mode) {};
/**
 * enable tree images
 * @id dhtmlXTreeObject.enableTreeImages
 * @class dhtmlXTreeObject
 * @method enableTreeImages
 * @memberOf dhtmlXTreeObject
 * @param {String} mode mode - 1 - on, 0 - off;
 * @example 
 */
 dhtmlXTreeObject.prototype.enableTreeImages = function(mode) {};
/**
 * enable/disable tree lines (parent-child threads)
 * @id dhtmlXTreeObject.enableTreeLines
 * @class dhtmlXTreeObject
 * @method enableTreeLines
 * @memberOf dhtmlXTreeObject
 * @param {String} mode mode - enable/disable tree lines
 * @example 
 */
 dhtmlXTreeObject.prototype.enableTreeLines = function(mode) {};
/**
 * find tree item by text, select and focus it
 * @id dhtmlXTreeObject.findItem
 * @class dhtmlXTreeObject
 * @method findItem
 * @memberOf dhtmlXTreeObject
 * @param {String} searchStr searchStr - search text
 * @param {String} direction direction - 0: top -> bottom; 1: bottom -> top
 * @param {String} top top - 1: start searching from top
 * @example 
 */
 dhtmlXTreeObject.prototype.findItem = function(searchStr,direction,top) {};
/**
 * find tree item by text
 * @id dhtmlXTreeObject.findItemIdByLabel
 * @class dhtmlXTreeObject
 * @method findItemIdByLabel
 * @memberOf dhtmlXTreeObject
 * @param {String} searchStr searchStr - search text
 * @param {String} direction direction - 0: top -> bottom; 1: bottom -> top
 * @param {String} top top - 1: start searching from top
 * @example 
 */
 dhtmlXTreeObject.prototype.findItemIdByLabel = function(searchStr,direction,top) {};
/**
 * focus item in tree (scroll to it if necessary)
 * @id dhtmlXTreeObject.focusItem
 * @class dhtmlXTreeObject
 * @method focusItem
 * @memberOf dhtmlXTreeObject
 * @param {String} itemId itemId - item Id
 * @example 
 */
 dhtmlXTreeObject.prototype.focusItem = function(itemId) {};
/**
 * 
 * @id dhtmlXTreeObject.getAllChecked
 * @class dhtmlXTreeObject
 * @method getAllChecked
 * @memberOf dhtmlXTreeObject
 * @example 
 */
 dhtmlXTreeObject.prototype.getAllChecked = function() {};
/**
 * 
 * @id dhtmlXTreeObject.getAllCheckedBranches
 * @class dhtmlXTreeObject
 * @method getAllCheckedBranches
 * @memberOf dhtmlXTreeObject
 * @example 
 */
 dhtmlXTreeObject.prototype.getAllCheckedBranches = function() {};
/**
 * 
 * @id dhtmlXTreeObject.getAllChildless
 * @class dhtmlXTreeObject
 * @method getAllChildless
 * @memberOf dhtmlXTreeObject
 * @example 
 */
 dhtmlXTreeObject.prototype.getAllChildless = function() {};
/**
 * 
 * @id dhtmlXTreeObject.getAllItemsWithKids
 * @class dhtmlXTreeObject
 * @method getAllItemsWithKids
 * @memberOf dhtmlXTreeObject
 * @example 
 */
 dhtmlXTreeObject.prototype.getAllItemsWithKids = function() {};
/**
 * 
 * @id dhtmlXTreeObject.getAllPartiallyChecked
 * @class dhtmlXTreeObject
 * @method getAllPartiallyChecked
 * @memberOf dhtmlXTreeObject
 * @example 
 */
 dhtmlXTreeObject.prototype.getAllPartiallyChecked = function() {};
/**
 * Returns the list of all children from all next levels of tree, separated by default delimiter.
 * @id dhtmlXTreeObject.getAllSubItems
 * @class dhtmlXTreeObject
 * @method getAllSubItems
 * @memberOf dhtmlXTreeObject
 * @param {String} itemId itemId - id of node
 * @example 
 */
 dhtmlXTreeObject.prototype.getAllSubItems = function(itemId) {};
/**
 * 
 * @id dhtmlXTreeObject.getAllUnchecked
 * @class dhtmlXTreeObject
 * @method getAllUnchecked
 * @memberOf dhtmlXTreeObject
 * @example 
 */
 dhtmlXTreeObject.prototype.getAllUnchecked = function(itemId) {};
/**
 * retun child node id by index
 * @id dhtmlXTreeObject.getChildItemIdByIndex
 * @class dhtmlXTreeObject
 * @method getChildItemIdByIndex
 * @memberOf dhtmlXTreeObject
 * @param {String} itemId itemId - parent node id
 * @param {Number} index index - index of child node
 * @example 
 */
 dhtmlXTreeObject.prototype.getChildItemIdByIndex = function(itemId,index) {};
/**
 * 
 * @id dhtmlXTreeObject.getDistributedParsingState
 * @class dhtmlXTreeObject
 * @method getDistributedParsingState
 * @memberOf dhtmlXTreeObject
 * @example 
 */
 dhtmlXTreeObject.prototype.getDistributedParsingState = function() {};
/**
 * retun node index in children collection by Id
 * @id dhtmlXTreeObject.getIndexById
 * @class dhtmlXTreeObject
 * @method getIndexById
 * @memberOf dhtmlXTreeObject
 * @param {String} itemId itemId - node id
 * @example 
 */
 dhtmlXTreeObject.prototype.getIndexById = function(itemId) {};
/**
 * get node color (text color)
 * @id dhtmlXTreeObject.getItemColor
 * @class dhtmlXTreeObject
 * @method getItemColor
 * @memberOf dhtmlXTreeObject
 * @param {String} itemId itemId - id of node
 * @example 
 */
 dhtmlXTreeObject.prototype.getItemColor = function(itemId) {};
/**
 * retun node id by index
 * @id dhtmlXTreeObject.getItemIdByIndex
 * @class dhtmlXTreeObject
 * @method getItemIdByIndex
 * @memberOf dhtmlXTreeObject
 * @param {String} itemId itemId - parent node id
 * @param {Number} index index - index of node, 0 based
 * @example 
 */
 dhtmlXTreeObject.prototype.getItemIdByIndex = function(itemId,index) {};
/**
 * get url of item image
 * @id dhtmlXTreeObject.getItemImage
 * @class dhtmlXTreeObject
 * @method getItemImage
 * @memberOf dhtmlXTreeObject
 * @param {String} itemId itemId - id of item
 * @param {Number} imageInd imageInd - index of image ( 0 - leaf, 1 - closed folder, 2 - opened folder)
 * @param {String} fullPath value - value of top offset
 * @example 
 */
 dhtmlXTreeObject.prototype.getItemImage = function(itemId,imageInd,fullPath) {};
/**
 * 
 * @id dhtmlXTreeObject.getItemParsingState
 * @class dhtmlXTreeObject
 * @method getItemParsingState
 * @memberOf dhtmlXTreeObject
 * @example 
 */
 dhtmlXTreeObject.prototype.getItemParsingState = function(itemId) {};
/**
 * return node text
 * @id dhtmlXTreeObject.getItemText
 * @class dhtmlXTreeObject
 * @method getItemText
 * @memberOf dhtmlXTreeObject
 * @param {String} itemId itemId - id of node
 * @example 
 */
 dhtmlXTreeObject.prototype.getItemText = function(itemId) {};
/**
 * get item&#039;s tooltip
 * @id dhtmlXTreeObject.getItemTooltip
 * @class dhtmlXTreeObject
 * @method getItemTooltip
 * @memberOf dhtmlXTreeObject
 * @param {String} itemId itemId - id of node
 * @example 
 */
 dhtmlXTreeObject.prototype.getItemTooltip = function(itemId) {};
/**
 * get node level (position in hierarchy)
 * @id dhtmlXTreeObject.getLevel
 * @class dhtmlXTreeObject
 * @method getLevel
 * @memberOf dhtmlXTreeObject
 * @param {String} itemId itemId - id of node
 * @example 
 */
 dhtmlXTreeObject.prototype.getLevel = function(itemId) {};
/**
 * return open/close state
 * @id dhtmlXTreeObject.getOpenState
 * @class dhtmlXTreeObject
 * @method getOpenState
 * @memberOf dhtmlXTreeObject
 * @param {String} itemId itemId - node id
 * @example 
 */
 dhtmlXTreeObject.prototype.getOpenState = function(itemId) {};
/**
 * return parent item id
 * @id dhtmlXTreeObject.getParentId
 * @class dhtmlXTreeObject
 * @method getParentId
 * @memberOf dhtmlXTreeObject
 * @param {String} itemId itemId - id of node
 * @example 
 */
 dhtmlXTreeObject.prototype.getParentId = function(itemId) {};
/**
 * 
 * @id dhtmlXTreeObject.getSelectedItemId
 * @class dhtmlXTreeObject
 * @method getSelectedItemId
 * @memberOf dhtmlXTreeObject
 * @example 
 */
 dhtmlXTreeObject.prototype.getSelectedItemId = function() {};
/**
 * 
 * @id dhtmlXTreeObject.getSelectedItemText
 * @class dhtmlXTreeObject
 * @method getSelectedItemText
 * @memberOf dhtmlXTreeObject
 * @example 
 */
 dhtmlXTreeObject.prototype.getSelectedItemText = function() {};
/**
 * Returns the list of all subitems Ids from the next level of tree, separated by commas.
 * @id dhtmlXTreeObject.getSubItems
 * @class dhtmlXTreeObject
 * @method getSubItems
 * @memberOf dhtmlXTreeObject
 * @param {String} itemId itemId - id of node
 * @example 
 */
 dhtmlXTreeObject.prototype.getSubItems = function(itemId) {};
/**
 * get user data from target node
 * @id dhtmlXTreeObject.getUserData
 * @class dhtmlXTreeObject
 * @method getUserData
 * @memberOf dhtmlXTreeObject
 * @param {String} itemId itemId - target node id
 * @param {String} name name - key for user data
 * @example 
 */
 dhtmlXTreeObject.prototype.getUserData = function(itemId,name) {};
/**
 * 
 * @id dhtmlXTreeObject.getXMLState
 * @class dhtmlXTreeObject
 * @method getXMLState
 * @memberOf dhtmlXTreeObject
 * @example 
 */
 dhtmlXTreeObject.prototype.getXMLState = function() {};
/**
 * return number of children
 * @id dhtmlXTreeObject.hasChildren
 * @class dhtmlXTreeObject
 * @method hasChildren
 * @memberOf dhtmlXTreeObject
 * @param {String} itemId itemId - id of node
 * @example 
 */
 dhtmlXTreeObject.prototype.hasChildren = function(itemId) {};
/**
 * hide item&#039;s form
 * @id dhtmlXTreeObject.hideItemForm
 * @class dhtmlXTreeObject
 * @method hideItemForm
 * @memberOf dhtmlXTreeObject
 * @param {String} itemID itemID -  item id
 * @example 
 */
 dhtmlXTreeObject.prototype.hideItemForm = function(itemID,state) {};
/**
 * create new node as a child to specified with parentId
 * @id dhtmlXTreeObject.insertNewChild
 * @class dhtmlXTreeObject
 * @method insertNewChild
 * @memberOf dhtmlXTreeObject
 * @param {String} parentId parentId - parent node id
 * @param {String} itemId itemId - new node id
 * @param {String} itemText itemText - new node label
 * @param {String} [itemActionHandler] itemActionHandler - function fired on node select event (optional)
 * @param {String} [image1] image1 - image for node without children; (optional)
 * @param {String} [image2] image2 - image for closed node; (optional)
 * @param {String} [image3] image3 - image for opened node (optional)
 * @param {String} [optionStr] optionStr - options string (optional)
 * @param {String} [children] children - node children flag (for dynamical trees) (optional)
 * @example 
 */
 dhtmlXTreeObject.prototype.insertNewChild = function(parentId,itemId,itemText,itemActionHandler,image1,image2,image3,optionStr,children) {};
/**
 * create new node next to specified
 * @id dhtmlXTreeObject.insertNewNext
 * @class dhtmlXTreeObject
 * @method insertNewNext
 * @memberOf dhtmlXTreeObject
 * @param {String} itemId itemId - node id
 * @param {String} newItemId newItemId - new node id
 * @param {String} itemText itemText - new node text
 * @param {String} [itemActionHandler] itemActionHandler - function fired on node select event (optional)
 * @param {String} [image1] image1 - image for node without children; (optional)
 * @param {String} [image2] image2 - image for closed node; (optional)
 * @param {String} [image3] image3 - image for opened node (optional)
 * @param {String} [optionStr] optionStr - options string (optional)
 * @param {String} [children] children - node children flag (for dynamical trees) (optional)
 * @example 
 */
 dhtmlXTreeObject.prototype.insertNewNext = function(itemId,newItemId,itemText,itemActionHandler,image1,image2,image3,optionStr,children) {};
/**
 * get state of nodes&#039;s checkbox
 * @id dhtmlXTreeObject.isItemChecked
 * @class dhtmlXTreeObject
 * @method isItemChecked
 * @memberOf dhtmlXTreeObject
 * @param {String} itemId itemId - target node id
 * @example 
 */
 dhtmlXTreeObject.prototype.isItemChecked = function(itemId) {};
/**
 * get locked state of item
 * @id dhtmlXTreeObject.isLocked
 * @class dhtmlXTreeObject
 * @method isLocked
 * @memberOf dhtmlXTreeObject
 * @param {String} itemId itemId - id of item
 * @example 
 */
 dhtmlXTreeObject.prototype.isLocked = function(itemId) {};
/**
 * load tree from csv file|stream
 * @id dhtmlXTreeObject.loadCSV
 * @class dhtmlXTreeObject
 * @method loadCSV
 * @memberOf dhtmlXTreeObject
 * @param {String} file file - link to CSV file
 * @param {String} afterCall afterCall - function which will be called after xml loading
 * @example 
 */
 dhtmlXTreeObject.prototype.loadCSV = function(file,afterCall) {};
/**
 * load tree from csv string
 * @id dhtmlXTreeObject.loadCSVString
 * @class dhtmlXTreeObject
 * @method loadCSVString
 * @memberOf dhtmlXTreeObject
 * @param {String} csv csv - csv string
 * @param {String} afterCall afterCall - function which will be called after xml loading
 * @example 
 */
 dhtmlXTreeObject.prototype.loadCSVString = function(csv,afterCall) {};
/**
 * load tree from js array object
 * @id dhtmlXTreeObject.loadJSArray
 * @class dhtmlXTreeObject
 * @method loadJSArray
 * @memberOf dhtmlXTreeObject
 * @param {String} ar ar - js array
 * @param {String} afterCall afterCall - function which will be called after xml loading
 * @example 
 */
 dhtmlXTreeObject.prototype.loadJSArray = function(ar,afterCall) {};
/**
 * load tree from js array file|stream
 * @id dhtmlXTreeObject.loadJSArrayFile
 * @class dhtmlXTreeObject
 * @method loadJSArrayFile
 * @memberOf dhtmlXTreeObject
 * @param {String} file file - link to JSArray file
 * @param {String} afterCall afterCall - function which will be called after xml loading
 * @example 
 */
 dhtmlXTreeObject.prototype.loadJSArrayFile = function(file,afterCall) {};
/**
 * load tree from json file
 * @id dhtmlXTreeObject.loadJSON
 * @class dhtmlXTreeObject
 * @method loadJSON
 * @memberOf dhtmlXTreeObject
 * @param {String} file file - link to JSON file
 * @param {String} afterCall afterCall - function which will be called after xml loading
 * @example 
 */
 dhtmlXTreeObject.prototype.loadJSON = function(file,afterCall) {};
/**
 * load tree from json object
 * @id dhtmlXTreeObject.loadJSONObject
 * @class dhtmlXTreeObject
 * @method loadJSONObject
 * @memberOf dhtmlXTreeObject
 * @param {Object} json json - json object
 * @param {String} afterCall afterCall - function which will be called after xml loading
 * @example 
 */
 dhtmlXTreeObject.prototype.loadJSONObject = function(json,afterCall) {};
/**
 * restore open nodes from cookie
 * @id dhtmlXTreeObject.loadOpenStates
 * @class dhtmlXTreeObject
 * @method loadOpenStates
 * @memberOf dhtmlXTreeObject
 * @param {String} [name] name - optional,cookie name
 * @example 
 */
 dhtmlXTreeObject.prototype.loadOpenStates = function(name) {};
/**
 * load tree from cookie
 * @id dhtmlXTreeObject.loadState
 * @class dhtmlXTreeObject
 * @method loadState
 * @memberOf dhtmlXTreeObject
 * @param {String} [name] name - optional,cookie name
 * @example 
 */
 dhtmlXTreeObject.prototype.loadState = function(name) {};
/**
 * load tree from xml file
 * @id dhtmlXTreeObject.loadXML
 * @class dhtmlXTreeObject
 * @method loadXML
 * @memberOf dhtmlXTreeObject
 * @param {String} file file - link to XML file
 * @param {String} afterCall afterCall - function which will be called after xml loading
 * @example 
 */
 dhtmlXTreeObject.prototype.loadXML = function(file,afterCall) {};
/**
 * load tree from xml string
 * @id dhtmlXTreeObject.loadXMLString
 * @class dhtmlXTreeObject
 * @method loadXMLString
 * @memberOf dhtmlXTreeObject
 * @param {String} xmlString xmlString - XML string
 * @param {String} afterCall afterCall - function which will be called after xml loading
 * @example 
 */
 dhtmlXTreeObject.prototype.loadXMLString = function(xmlString,afterCall) {};
/**
 * lock tree
 * @id dhtmlXTreeObject.lockTree
 * @class dhtmlXTreeObject
 * @method lockTree
 * @memberOf dhtmlXTreeObject
 * @param {String} isLock isLock - bool value. True - lock, false - unlock
 * @example 
 */
 dhtmlXTreeObject.prototype.lockTree = function(isLock) {};
/**
 * 
 * @id dhtmlXTreeObject.makeAllDraggable
 * @class dhtmlXTreeObject
 * @method makeAllDraggable
 * @memberOf dhtmlXTreeObject
 * @param {String} [func] func - custom drag processor function, optional
 * @example 
 */
 dhtmlXTreeObject.prototype.makeAllDraggable = function(func) {};
/**
 * 
 * @id dhtmlXTreeObject.makeDraggable
 * @class dhtmlXTreeObject
 * @method makeDraggable
 * @memberOf dhtmlXTreeObject
 * @param {Object} obj obj - HTML object, or HTML object ID
 * @param {String} [func] func - custom drag processor function, optional
 * @example 
 */
 dhtmlXTreeObject.prototype.makeDraggable = function(obj,func) {};
/**
 * move item (inside of tree)
 * @id dhtmlXTreeObject.moveItem
 * @class dhtmlXTreeObject
 * @method moveItem
 * @memberOf dhtmlXTreeObject
 * @param {String} itemId itemId - item Id
 * @param {String} mode mode - moving mode (left,up,down,item_child,item_sibling,item_sibling_next,up_strict,down_strict)
 * @param {String} targetId targetId - target Node in item_child and item_sibling mode
 * @param {String} [targetTree] targetTree - used for moving between trees (optional)
 * @example 
 */
 dhtmlXTreeObject.prototype.moveItem = function(itemId,mode,targetId,targetTree) {};
/**
 * expand target node and all sub nodes
 * @id dhtmlXTreeObject.openAllItems
 * @class dhtmlXTreeObject
 * @method openAllItems
 * @memberOf dhtmlXTreeObject
 * @param {String} itemId itemId - node id
 * @example 
 */
 dhtmlXTreeObject.prototype.openAllItems = function(itemId) {};
/**
 * expand target node and all child nodes (same as openAllItems, but works in dynamic trees)
 * @id dhtmlXTreeObject.openAllItemsDynamic
 * @class dhtmlXTreeObject
 * @method openAllItemsDynamic
 * @memberOf dhtmlXTreeObject
 * @param {String} [itemId] itemId - node id, optional
 * @example 
 */
 dhtmlXTreeObject.prototype.openAllItemsDynamic = function(itemId) {};
/**
 * expand node
 * @id dhtmlXTreeObject.openItem
 * @class dhtmlXTreeObject
 * @method openItem
 * @memberOf dhtmlXTreeObject
 * @param {String} itemId itemId - id of node
 * @example 
 */
 dhtmlXTreeObject.prototype.openItem = function(itemId) {};
/**
 * expand list of nodes in dynamic tree (wait of loading of node before expanding next)
 * @id dhtmlXTreeObject.openItemsDynamic
 * @class dhtmlXTreeObject
 * @method openItemsDynamic
 * @memberOf dhtmlXTreeObject
 * @param {String} list list - list of nodes which will be expanded
 * @param {Boolean} flag flag - true/false - select last node in the list
 * @example tree.openItemsDynamic("id_0,id_0_2,id_0_2_3,id_2,id_2_1",true);
 */
 dhtmlXTreeObject.prototype.openItemsDynamic = function(list,flag) {};
/**
 * configure if parent node will be expanded immideatly after child item added
 * @id dhtmlXTreeObject.openOnItemAdded
 * @class dhtmlXTreeObject
 * @method openOnItemAdded
 * @memberOf dhtmlXTreeObject
 * @param {Boolean} mode mode - true/false
 * @example 
 */
 dhtmlXTreeObject.prototype.openOnItemAdded = function(mode) {};
/**
 * 
 * @id dhtmlXTreeObject.preventIECaching
 * @class dhtmlXTreeObject
 * @method preventIECaching
 * @memberOf dhtmlXTreeObject
 * @param {String} mode mode - enable/disable random value ( disabled by default )
 * @example 
 */
 dhtmlXTreeObject.prototype.preventIECaching = function(mode) {};
/**
 * 
 * @id dhtmlXTreeObject.refreshItem
 * @class dhtmlXTreeObject
 * @method refreshItem
 * @memberOf dhtmlXTreeObject
 * @param {String} itemId itemId - id of node, if not defined tree super root used.
 * @example 
 */
 dhtmlXTreeObject.prototype.refreshItem = function(itemId) {};
/**
 * 
 * @id dhtmlXTreeObject.refreshItems
 * @class dhtmlXTreeObject
 * @method refreshItems
 * @memberOf dhtmlXTreeObject
 * @param {String} itemIdList itemIdList - list of node identificators
 * @param {String} source source - server side script
 * @example 
 */
 dhtmlXTreeObject.prototype.refreshItems = function(itemIdList,source) {};
/**
 * 
 * @id dhtmlXTreeObject.registerXMLEntity
 * @class dhtmlXTreeObject
 * @method registerXMLEntity
 * @memberOf dhtmlXTreeObject
 * @param {String} rChar rChar - source char
 * @param {String} rEntity rEntity - target entity
 * @example 
 */
 dhtmlXTreeObject.prototype.registerXMLEntity = function(rChar,rEntity) {};
/**
 * restore selected item from cookie
 * @id dhtmlXTreeObject.restoreSelectedItem
 * @class dhtmlXTreeObject
 * @method restoreSelectedItem
 * @memberOf dhtmlXTreeObject
 * @param {String} [name] name - optional, cookie name
 * @example 
 */
 dhtmlXTreeObject.prototype.restoreSelectedItem = function(name) {};
/**
 * save open nodes to cookie
 * @id dhtmlXTreeObject.saveOpenStates
 * @class dhtmlXTreeObject
 * @method saveOpenStates
 * @memberOf dhtmlXTreeObject
 * @param {String} [name] name - optional,cookie name
 * @param {String} [cookie_param] cookie_param - additional parametrs added to cookie
 * @example 
 */
 dhtmlXTreeObject.prototype.saveOpenStates = function(name,cookie_param) {};
/**
 * save selected item to cookie
 * @id dhtmlXTreeObject.saveSelectedItem
 * @class dhtmlXTreeObject
 * @method saveSelectedItem
 * @memberOf dhtmlXTreeObject
 * @param {String} [name] name - optional, cookie name
 * @param {String} [cookie_param] cookie_param - additional parametrs added to cookie
 * @example 
 */
 dhtmlXTreeObject.prototype.saveSelectedItem = function(name,cookie_param) {};
/**
 * save tree to cookie
 * @id dhtmlXTreeObject.saveState
 * @class dhtmlXTreeObject
 * @method saveState
 * @memberOf dhtmlXTreeObject
 * @param {String} [name] name - optional, cookie name
 * @param {String} [cookie_param] cookie_param - additional parametrs added to cookie
 * @example 
 */
 dhtmlXTreeObject.prototype.saveState = function(name,cookie_param) {};
/**
 * select node ( and optionaly fire onClick event)
 * @id dhtmlXTreeObject.selectItem
 * @class dhtmlXTreeObject
 * @method selectItem
 * @memberOf dhtmlXTreeObject
 * @param {String} itemId itemId - node id
 * @param {String} mode mode - If true, script function for selected node will be called. ( onClick event )
 * @param {String} preserve preserve - preserve earlier selected nodes
 * @example 
 */
 dhtmlXTreeObject.prototype.selectItem = function(itemId,mode,preserve) {};
/**
 * 
 * @id dhtmlXTreeObject.serializeTree
 * @class dhtmlXTreeObject
 * @method serializeTree
 * @memberOf dhtmlXTreeObject
 * @example 
 */
 dhtmlXTreeObject.prototype.serializeTree = function() {};
/**
 * 
 * @id dhtmlXTreeObject.serializeTreeToJSON
 * @class dhtmlXTreeObject
 * @method serializeTreeToJSON
 * @memberOf dhtmlXTreeObject
 * @example 
 */
 dhtmlXTreeObject.prototype.serializeTreeToJSON = function() {};
/**
 * set state of node&#039;s checkbox
 * @id dhtmlXTreeObject.setCheck
 * @class dhtmlXTreeObject
 * @method setCheck
 * @memberOf dhtmlXTreeObject
 * @param {String} itemId itemId - target node id
 * @param {String} state state - checkbox state (0/1/"unsure")
 * @example 
 */
 dhtmlXTreeObject.prototype.setCheck = function(itemId,state) {};
/**
 * set children calculation prefix and postfix
 * @id dhtmlXTreeObject.setChildCalcHTML
 * @class dhtmlXTreeObject
 * @method setChildCalcHTML
 * @memberOf dhtmlXTreeObject
 * @param {String} htmlA htmlA - postfix ([ - by default)
 * @param {String} htmlB htmlB - postfix (] - by default)
 * @example 
 */
 dhtmlXTreeObject.prototype.setChildCalcHTML = function( htmlA,htmlB ) {};
/**
 * set children calculation mode
 * @id dhtmlXTreeObject.setChildCalcMode
 * @class dhtmlXTreeObject
 * @method setChildCalcMode
 * @memberOf dhtmlXTreeObject
 * @param {String} mode mode - mode name as string . Possible values: child - children, no recursive; leafs - children without subchildren, no recursive;  ,childrec - children, recursive; leafsrec - children without subchildren, recursive; disabled (disabled by default)
 * @example 
 */
 dhtmlXTreeObject.prototype.setChildCalcMode = function( mode ) {};
/**
 * set custom sort functions, which has two parametrs - id_of_item1,id_of_item2
 * @id dhtmlXTreeObject.setCustomSortFunction
 * @class dhtmlXTreeObject
 * @method setCustomSortFunction
 * @memberOf dhtmlXTreeObject
 * @param {String} func func - sorting function
 * @example 
 */
 dhtmlXTreeObject.prototype.setCustomSortFunction = function(func) {};
/**
 * set default data transfer mode
 * @id dhtmlXTreeObject.setDataMode
 * @class dhtmlXTreeObject
 * @method setDataMode
 * @memberOf dhtmlXTreeObject
 * @param {String} mode mode - data mode (json,xml,csv)
 * @example 
 */
 dhtmlXTreeObject.prototype.setDataMode = function(mode) {};
/**
 * set Drag-And-Drop behavior (child - drop as chils, sibling - drop as sibling, complex - complex drop behaviour )
 * @id dhtmlXTreeObject.setDragBehavior
 * @class dhtmlXTreeObject
 * @method setDragBehavior
 * @memberOf dhtmlXTreeObject
 * @param {String} mode mode - behavior name (child,sibling,complex)
 * @param {String} select select - select droped node after drag-n-drop, true by default
 * @example 
 */
 dhtmlXTreeObject.prototype.setDragBehavior = function(mode,select) {};
/**
 * define which events must start editing
 * @id dhtmlXTreeObject.setEditStartAction
 * @class dhtmlXTreeObject
 * @method setEditStartAction
 * @memberOf dhtmlXTreeObject
 * @param {Boolean} click_IE click_IE - click on already selected item - true/false [true by default]
 * @param {String} dblclick dblclick - on double click
 * @example 
 */
 dhtmlXTreeObject.prototype.setEditStartAction = function(click_IE, dblclick) {};
/**
 * set escaping mode (used for escaping ID in requests)
 * @id dhtmlXTreeObject.setEscapingMode
 * @class dhtmlXTreeObject
 * @method setEscapingMode
 * @memberOf dhtmlXTreeObject
 * @param {String} mode mode - escaping mode ("utf8" for UTF escaping)
 * @example 
 */
 dhtmlXTreeObject.prototype.setEscapingMode = function(mode) {};
/**
 * define events for form appearing
 * @id dhtmlXTreeObject.setFormAppearOn
 * @class dhtmlXTreeObject
 * @method setFormAppearOn
 * @memberOf dhtmlXTreeObject
 * @param {String} onClick onClick - form appears on click event
 * @param {String} onDblClick onDblClick - form appears on double click event
 * @param {String} onMouseOver onMouseOver - form appears on mouseover event
 * @example 
 */
 dhtmlXTreeObject.prototype.setFormAppearOn = function(onClick,onDblClick,onMouseOver) {};
/**
 * define events for form disappearing
 * @id dhtmlXTreeObject.setFormDisappearOn
 * @class dhtmlXTreeObject
 * @method setFormDisappearOn
 * @memberOf dhtmlXTreeObject
 * @param {String} onClick onClick - form disappears on click event
 * @param {String} onDblClick onDblClick - form disappears on double click event
 * @param {String} onMouseOver onMouseOver - form disappears on mouseover event
 * @example 
 */
 dhtmlXTreeObject.prototype.setFormDisappearOn = function(onClick,onDblClick,onMouseOver) {};
/**
 * set path to external images used as tree icons
 * @id dhtmlXTreeObject.setIconPath
 * @class dhtmlXTreeObject
 * @method setIconPath
 * @memberOf dhtmlXTreeObject
 * @param {String} path path - url (or relative path) of images folder with closing "/"
 * @example 
 */
 dhtmlXTreeObject.prototype.setIconPath = function(path) {};
/**
 * set size of icons
 * @id dhtmlXTreeObject.setIconSize
 * @class dhtmlXTreeObject
 * @method setIconSize
 * @memberOf dhtmlXTreeObject
 * @param {String} newWidth newWidth - new icon width
 * @param {String} newHeight newHeight - new icon height
 * @param {String} [itemId] itemId - item Id, if skipped set default value for all new icons, optional
 * @example 
 */
 dhtmlXTreeObject.prototype.setIconSize = function(newWidth,newHeight,itemId) {};
/**
 * set images used for parent-child threads drawing (lines, plus, minus)
 * @id dhtmlXTreeObject.setImageArrays
 * @class dhtmlXTreeObject
 * @method setImageArrays
 * @memberOf dhtmlXTreeObject
 * @param {String} arrayName arrayName - name of array: plus, minus
 * @param {String} image1 image1 - line crossed image
 * @param {String} image2 image2 - image with top line
 * @param {String} image3 image3 - image with bottom line
 * @param {String} image4 image4 - image without line
 * @param {String} image5 image5 - single root image
 * @example 
 */
 dhtmlXTreeObject.prototype.setImageArrays = function(arrayName,image1,image2,image3,image4,image5) {};
/**
 * set path to images directory
 * @id dhtmlXTreeObject.setImagePath
 * @class dhtmlXTreeObject
 * @method setImagePath
 * @memberOf dhtmlXTreeObject
 * @param {String} newPath newPath - path to images directory (related to the page with tree or absolute http url)
 * @example 
 */
 dhtmlXTreeObject.prototype.setImagePath = function( newPath ) {};
/**
 * prevent node from closing
 * @id dhtmlXTreeObject.setItemCloseable
 * @class dhtmlXTreeObject
 * @method setItemCloseable
 * @memberOf dhtmlXTreeObject
 * @param {String} itemId itemId - id of node
 * @param {String} flag flag -  if 0 - node can&#039;t be closed, else node can be closed
 * @example 
 */
 dhtmlXTreeObject.prototype.setItemCloseable = function(itemId,flag) {};
/**
 * set node text color
 * @id dhtmlXTreeObject.setItemColor
 * @class dhtmlXTreeObject
 * @method setItemColor
 * @memberOf dhtmlXTreeObject
 * @param {String} itemId itemId - id of node
 * @param {String} defaultColor defaultColor - node color
 * @param {String} selectedColor selectedColor - selected node color
 * @example 
 */
 dhtmlXTreeObject.prototype.setItemColor = function(itemId,defaultColor,selectedColor) {};
/**
 * set context menu to individual nodes
 * @id dhtmlXTreeObject.setItemContextMenu
 * @class dhtmlXTreeObject
 * @method setItemContextMenu
 * @memberOf dhtmlXTreeObject
 * @param {String} itemId itemId - node id
 * @param {Object} cMenu cMenu - context menu object
 * @example 
 */
 dhtmlXTreeObject.prototype.setItemContextMenu = function(itemId,cMenu) {};
/**
 * set item icons (mostly usefull for childless nodes)
 * @id dhtmlXTreeObject.setItemImage
 * @class dhtmlXTreeObject
 * @method setItemImage
 * @memberOf dhtmlXTreeObject
 * @param {String} itemId itemId - id of node
 * @param {String} image1 image1 - node without children icon or closed node icon (if image2 specified)
 * @param {String} [image2] image2 - open node icon (optional)
 * @example 
 */
 dhtmlXTreeObject.prototype.setItemImage = function(itemId,image1,image2) {};
/**
 * set item images
 * @id dhtmlXTreeObject.setItemImage2
 * @class dhtmlXTreeObject
 * @method setItemImage2
 * @memberOf dhtmlXTreeObject
 * @param {String} itemId itemId - id of node
 * @param {String} image1 image1 - node without children icon
 * @param {String} image2 image2 - open node icon
 * @param {String} image3 image3 - closed node icon
 * @example 
 */
 dhtmlXTreeObject.prototype.setItemImage2 = function(itemId, image1,image2,image3) {};
/**
 * set individual item style
 * @id dhtmlXTreeObject.setItemStyle
 * @class dhtmlXTreeObject
 * @method setItemStyle
 * @memberOf dhtmlXTreeObject
 * @param {String} itemId itemId - node id
 * @param {String} style_string style_string - valid CSS string
 * @example 
 */
 dhtmlXTreeObject.prototype.setItemStyle = function(itemId,style_string) {};
/**
 * 
 * @id dhtmlXTreeObject.setItemText
 * @class dhtmlXTreeObject
 * @method setItemText
 * @memberOf dhtmlXTreeObject
 * @param {String} itemId itemId - id of node
 * @param {String} newLabel newLabel - node text
 * @param {String} [newTooltip] newTooltip - (optional)tooltip for the node
 * @example 
 */
 dhtmlXTreeObject.prototype.setItemText = function(itemId,newLabel,newTooltip) {};
/**
 * set top offset for item
 * @id dhtmlXTreeObject.setItemTopOffset
 * @class dhtmlXTreeObject
 * @method setItemTopOffset
 * @memberOf dhtmlXTreeObject
 * @param {String} itemId itemId - id of item
 * @param {String} value value - value of top offset in px
 * @example 
 */
 dhtmlXTreeObject.prototype.setItemTopOffset = function(itemId,value) {};
/**
 * set list separator ("," by default)
 * @id dhtmlXTreeObject.setListDelimeter
 * @class dhtmlXTreeObject
 * @method setListDelimeter
 * @memberOf dhtmlXTreeObject
 * @param {String} separator separator - char or string to use for separating items in lists
 * @example 
 */
 dhtmlXTreeObject.prototype.setListDelimeter = function(separator) {};
/**
 * set icon for locked items
 * @id dhtmlXTreeObject.setLockedIcons
 * @class dhtmlXTreeObject
 * @method setLockedIcons
 * @memberOf dhtmlXTreeObject
 * @param {String} im0 im0 - icon for locked leaf
 * @param {String} im1 im1 - icon for closed branch
 * @param {String} im2 im2 - icon for opened branch
 * @example 
 */
 dhtmlXTreeObject.prototype.setLockedIcons = function(im0,im1,im2) {};
/**
 * set function called when tree node double clicked
 * @id dhtmlXTreeObject.setOnDblClickHandler
 * @class dhtmlXTreeObject
 * @method setOnDblClickHandler
 * @memberOf dhtmlXTreeObject
 * @param {String} func func - event handling function
 * @example 
 */
 dhtmlXTreeObject.prototype.setOnDblClickHandler = function(func) {};
/**
 * allow to set user routine which will be called right before form disappears
 * @id dhtmlXTreeObject.setOnFormDismissal
 * @class dhtmlXTreeObject
 * @method setOnFormDismissal
 * @memberOf dhtmlXTreeObject
 * @param {String} func func - user defined function
 * @example 
 */
 dhtmlXTreeObject.prototype.setOnFormDismissal = function(func) {};
/**
 * allow setting user routine which will be called immideatly before form appears
 * @id dhtmlXTreeObject.setOnFormInitialisation
 * @class dhtmlXTreeObject
 * @method setOnFormInitialisation
 * @memberOf dhtmlXTreeObject
 * @param {String} func func - user defined function
 * @example 
 */
 dhtmlXTreeObject.prototype.setOnFormInitialisation = function(func) {};
/**
 * 
 * @id dhtmlXTreeObject.setSerializationLevel
 * @class dhtmlXTreeObject
 * @method setSerializationLevel
 * @memberOf dhtmlXTreeObject
 * @param {String} userData userData - enable/disable user data serialization
 * @param {String} fullXML fullXML - enable/disable full XML serialization
 * @param {String} escapeEntities escapeEntities - convert tag brackets to related html entitites
 * @param {String} userDataAsCData userDataAsCData - output user data in CDATA sections
 * @param {String} DTD DTD - if specified, then set as XML&#039;s DTD
 * @example 
 */
 dhtmlXTreeObject.prototype.setSerializationLevel = function(userData,fullXML,escapeEntities,userDataAsCData,DTD) {};
/**
 * 
 * @id dhtmlXTreeObject.setStdImages
 * @class dhtmlXTreeObject
 * @method setStdImages
 * @memberOf dhtmlXTreeObject
 * @param {String} image1 a0 - image for node without children;
 * @param {String} image2 a1 - image for closed node;
 * @param {String} image3 a2 - image for opened node
 * @example 
 */
 dhtmlXTreeObject.prototype.setStdImages = function(image1,image2,image3) {};
/**
 * change state of node&#039;s checkbox and all children checkboxes
 * @id dhtmlXTreeObject.setSubChecked
 * @class dhtmlXTreeObject
 * @method setSubChecked
 * @memberOf dhtmlXTreeObject
 * @param {String} itemId itemId - target node id
 * @param {String} state state - checkbox state
 * @example 
 */
 dhtmlXTreeObject.prototype.setSubChecked = function(itemId,state) {};
/**
 * set user data for target node
 * @id dhtmlXTreeObject.setUserData
 * @class dhtmlXTreeObject
 * @method setUserData
 * @memberOf dhtmlXTreeObject
 * @param {String} itemId itemId - target node id
 * @param {String} name name - key for user data
 * @param {String} value value - user data value
 * @example 
 */
 dhtmlXTreeObject.prototype.setUserData = function(itemId,name,value) {};
/**
 * 
 * @id dhtmlXTreeObject.setXMLAutoLoading
 * @class dhtmlXTreeObject
 * @method setXMLAutoLoading
 * @memberOf dhtmlXTreeObject
 * @param {String} filePath filePath - name of script returning XML; in case of virtual loading - user defined function
 * @example 
 */
 dhtmlXTreeObject.prototype.setXMLAutoLoading = function(filePath) {};
/**
 * define which script be called on dynamic loading
 * @id dhtmlXTreeObject.setXMLAutoLoadingBehaviour
 * @class dhtmlXTreeObject
 * @method setXMLAutoLoadingBehaviour
 * @memberOf dhtmlXTreeObject
 * @param {String} mode mode - id for some_script?id=item_id ;  name for  some_scriptitem_id, xmlname for  some_scriptitem_id.xml ; function for calling user defined handler
 * @example 
 */
 dhtmlXTreeObject.prototype.setXMLAutoLoadingBehaviour = function(mode) {};
/**
 * show/hide checkbox for tree item (works only for individual items, not for entire tree )
 * @id dhtmlXTreeObject.showItemCheckbox
 * @class dhtmlXTreeObject
 * @method showItemCheckbox
 * @memberOf dhtmlXTreeObject
 * @param {String} [itemId] itemId - id of selected item, optional, set null to change states of all items
 * @param {String} [state] state - checkbox show state : 0/1
 * @example 
 */
 dhtmlXTreeObject.prototype.showItemCheckbox = function(itemId,state) {};
/**
 * show item&#039;s form
 * @id dhtmlXTreeObject.showItemForm
 * @class dhtmlXTreeObject
 * @method showItemForm
 * @memberOf dhtmlXTreeObject
 * @param {String} itemID itemID -  item id
 * @example 
 */
 dhtmlXTreeObject.prototype.showItemForm = function(itemID,state) {};
/**
 * show/hide (+/-) icon (works only for individual items, not for entire tree )
 * @id dhtmlXTreeObject.showItemSign
 * @class dhtmlXTreeObject
 * @method showItemSign
 * @memberOf dhtmlXTreeObject
 * @param {String} itemId itemId - id of selected item
 * @param {String} state state - show state : 0/1
 * @example 
 */
 dhtmlXTreeObject.prototype.showItemSign = function(itemId,state) {};
/**
 * 
 * @id dhtmlXTreeObject.smartRefreshBranch
 * @class dhtmlXTreeObject
 * @method smartRefreshBranch
 * @memberOf dhtmlXTreeObject
 * @param {String} itemId itemId -  top node in branch
 * @param {String} [source] source - server side script , optional
 * @example 
 */
 dhtmlXTreeObject.prototype.smartRefreshBranch = function(itemId,source) {};
/**
 * 
 * @id dhtmlXTreeObject.smartRefreshItem
 * @class dhtmlXTreeObject
 * @method smartRefreshItem
 * @memberOf dhtmlXTreeObject
 * @param {String} itemId itemId -  top node in branch
 * @param {String} [source] source - server side script , optional
 * @example 
 */
 dhtmlXTreeObject.prototype.smartRefreshItem = function(itemId,source) {};
/**
 * reorder items in tree according to their text
 * @id dhtmlXTreeObject.sortTree
 * @class dhtmlXTreeObject
 * @method sortTree
 * @memberOf dhtmlXTreeObject
 * @param {String} nodeId nodeId - id of node to start sorting from
 * @param {String} order all_levels - sorting all levels or only current level
 * @param {String} all_levels order - sorting order - ASC or DES
 * @example 
 */
 dhtmlXTreeObject.prototype.sortTree = function(nodeId,order,all_levels) {};
/**
 * 
 * @id dhtmlXTreeObject.stopEdit
 * @class dhtmlXTreeObject
 * @method stopEdit
 * @memberOf dhtmlXTreeObject
 * @example 
 */
 dhtmlXTreeObject.prototype.stopEdit = function() {};
/**
 * update item properties
 * @id dhtmlXTreeObject.updateItem
 * @class dhtmlXTreeObject
 * @method updateItem
 * @memberOf dhtmlXTreeObject
 * @param {String} itemId itemId - list of node identificators
 * @param {String} [name] name - list of node identificators, optional
 * @param {String} [im0] im0 - list of node identificators, optional
 * @param {String} [im1] im1 - list of node identificators, optional
 * @param {String} [im2] im2 - list of node identificators, optional
 * @param {String} [achecked] achecked - list of node identificators, optional
 * @example 
 */
 dhtmlXTreeObject.prototype.updateItem = function(itemId,name,im0,im1,im2,achecked) {};


/**
*
* dhtmlXTreeGridObject object class.
* @id dhtmlXTreeGridObject
* @class dhtmlXTreeGridObject
* @constructor
* @alias dhtmlXTreeGridObject.prototype
 * @return {dhtmlXTreeGridObject}
 */
 function dhtmlXTreeGridObject(){};




/**
 * add new row to treeGrid
 * @id dhtmlXTreeGridObject.addRow
 * @class dhtmlXTreeGridObject
 * @method addRow
 * @memberOf dhtmlXTreeGridObject
 * @param {String} new_id new_id  - new row id
 * @param {String} text text  - array of row label
 * @param {String} ind ind  - position of row (set to null, for using parentId)
 * @param {String} parent_id parent_id  - id of parent row
 * @param {String} img img  - img url for new row
 * @param {String} [child] child - child flag [optional]
 * @example 
 */
 dhtmlXTreeGridObject.prototype.addRow = function(new_id,text,ind,parent_id,img,child) {};
/**
 * add new row to treeGrid, after some other row
 * @id dhtmlXTreeGridObject.addRowAfter
 * @class dhtmlXTreeGridObject
 * @method addRowAfter
 * @memberOf dhtmlXTreeGridObject
 * @param {String} new_id new_id  - new row id
 * @param {String} text text  - array of row label
 * @param {String} sibl_id sibl_id  - id of row, related to which new one will be added
 * @param {String} img img  - img url for new row
 * @param {String} [child] child - child flag [optional]
 * @example 
 */
 dhtmlXTreeGridObject.prototype.addRowAfter = function(new_id,text,sibl_id,img,child) {};
/**
 * add new row to treeGrid, before some other row
 * @id dhtmlXTreeGridObject.addRowBefore
 * @class dhtmlXTreeGridObject
 * @method addRowBefore
 * @memberOf dhtmlXTreeGridObject
 * @param {String} new_id new_id  - new row id
 * @param {String} text text  - array of row label
 * @param {String} sibl_id sibl_id  - id of row, related to which new one will be added
 * @param {String} img img  - img url for new row
 * @param {String} [child] child - child flag [optional]
 * @example 
 */
 dhtmlXTreeGridObject.prototype.addRowBefore = function(new_id,text,sibl_id,img,child) {};
/**
 * collapse row
 * @id dhtmlXTreeGridObject.closeItem
 * @class dhtmlXTreeGridObject
 * @method closeItem
 * @memberOf dhtmlXTreeGridObject
 * @param {String} rowId rowId - id of row
 * @example 
 */
 dhtmlXTreeGridObject.prototype.closeItem = function(rowId) {};
/**
 * 
 * @id dhtmlXTreeGridObject.collapseAll
 * @class dhtmlXTreeGridObject
 * @method collapseAll
 * @memberOf dhtmlXTreeGridObject
 * @example 
 */
 dhtmlXTreeGridObject.prototype.collapseAll = function(rowId) {};
/**
 * get all possible values in column
 * @id dhtmlXTreeGridObject.collectTreeValues
 * @class dhtmlXTreeGridObject
 * @method collectTreeValues
 * @memberOf dhtmlXTreeGridObject
 * @param {Number} column column - {number} zero based index of column
 * @example 
 */
 dhtmlXTreeGridObject.prototype.collectTreeValues = function(column) {};
/**
 * delete all childs of row in question
 * @id dhtmlXTreeGridObject.deleteChildItems
 * @class dhtmlXTreeGridObject
 * @method deleteChildItems
 * @memberOf dhtmlXTreeGridObject
 * @param {String} rowId rowId - id of row
 * @example 
 */
 dhtmlXTreeGridObject.prototype.deleteChildItems = function(rowId) {};
/**
 * enable/disable editor of tree cell ; enabled by default
 * @id dhtmlXTreeGridObject.enableTreeCellEdit
 * @class dhtmlXTreeGridObject
 * @method enableTreeCellEdit
 * @memberOf dhtmlXTreeGridObject
 * @param {Boolean} mode mode -  (boolean) true/false
 * @example 
 */
 dhtmlXTreeGridObject.prototype.enableTreeCellEdit = function(mode) {};
/**
 * 
 * @id dhtmlXTreeGridObject.enableTreeGridLines
 * @class dhtmlXTreeGridObject
 * @method enableTreeGridLines
 * @memberOf dhtmlXTreeGridObject
 * @example 
 */
 dhtmlXTreeGridObject.prototype.enableTreeGridLines = function() {};
/**
 * 
 * @id dhtmlXTreeGridObject.expandAll
 * @class dhtmlXTreeGridObject
 * @method expandAll
 * @memberOf dhtmlXTreeGridObject
 * @example 
 */
 dhtmlXTreeGridObject.prototype.expandAll = function() {};
/**
 * filter grid by mask
 * @id dhtmlXTreeGridObject.filterTreeBy
 * @class dhtmlXTreeGridObject
 * @method filterTreeBy
 * @memberOf dhtmlXTreeGridObject
 * @param {Number} column column - {number} zero based index of column
 * @param {String} value value - {string} filtering mask
 * @param {String} preserve preserve - {bool} filter current or initial state ( false by default )
 * @example 
 */
 dhtmlXTreeGridObject.prototype.filterTreeBy = function(column, value, preserve) {};
/**
 * get list of id of all nested rows
 * @id dhtmlXTreeGridObject.getAllSubItems
 * @class dhtmlXTreeGridObject
 * @method getAllSubItems
 * @memberOf dhtmlXTreeGridObject
 * @param {String} rowId rowId - id of row
 * @example 
 */
 dhtmlXTreeGridObject.prototype.getAllSubItems = function(rowId) {};
/**
 * get id of child item at specified position
 * @id dhtmlXTreeGridObject.getChildItemIdByIndex
 * @class dhtmlXTreeGridObject
 * @method getChildItemIdByIndex
 * @memberOf dhtmlXTreeGridObject
 * @param {String} rowId rowId - id of row
 * @param {Number} ind ind - child node index
 * @example 
 */
 dhtmlXTreeGridObject.prototype.getChildItemIdByIndex = function(rowId,ind) {};
/**
 * get image of tree col
 * @id dhtmlXTreeGridObject.getItemImage
 * @class dhtmlXTreeGridObject
 * @method getItemImage
 * @memberOf dhtmlXTreeGridObject
 * @param {String} rowId rowId - id of row
 * @example 
 */
 dhtmlXTreeGridObject.prototype.getItemImage = function(rowId) {};
/**
 * get real caption of tree col
 * @id dhtmlXTreeGridObject.getItemText
 * @class dhtmlXTreeGridObject
 * @method getItemText
 * @memberOf dhtmlXTreeGridObject
 * @param {String} rowId rowId - id of row
 * @example 
 */
 dhtmlXTreeGridObject.prototype.getItemText = function(rowId) {};
/**
 * return level of treeGrid row
 * @id dhtmlXTreeGridObject.getLevel
 * @class dhtmlXTreeGridObject
 * @method getLevel
 * @memberOf dhtmlXTreeGridObject
 * @param {String} rowId rowId - id of row
 * @example 
 */
 dhtmlXTreeGridObject.prototype.getLevel = function(rowId) {};
/**
 * return open/close state of row
 * @id dhtmlXTreeGridObject.getOpenState
 * @class dhtmlXTreeGridObject
 * @method getOpenState
 * @memberOf dhtmlXTreeGridObject
 * @param {String} rowId rowId - id of row
 * @example 
 */
 dhtmlXTreeGridObject.prototype.getOpenState = function(rowId) {};
/**
 * return id of parent row
 * @id dhtmlXTreeGridObject.getParentId
 * @class dhtmlXTreeGridObject
 * @method getParentId
 * @memberOf dhtmlXTreeGridObject
 * @param {String} rowId rowId - id of row
 * @example 
 */
 dhtmlXTreeGridObject.prototype.getParentId = function(rowId) {};
/**
 * return list of child row id, sparated by comma
 * @id dhtmlXTreeGridObject.getSubItems
 * @class dhtmlXTreeGridObject
 * @method getSubItems
 * @memberOf dhtmlXTreeGridObject
 * @param {String} rowId rowId - id of row
 * @example 
 */
 dhtmlXTreeGridObject.prototype.getSubItems = function(rowId) {};
/**
 * return children count
 * @id dhtmlXTreeGridObject.hasChildren
 * @class dhtmlXTreeGridObject
 * @method hasChildren
 * @memberOf dhtmlXTreeGridObject
 * @param {String} rowId rowId - id of row
 * @example 
 */
 dhtmlXTreeGridObject.prototype.hasChildren = function(rowId) {};
/**
 * expand row
 * @id dhtmlXTreeGridObject.openItem
 * @class dhtmlXTreeGridObject
 * @method openItem
 * @memberOf dhtmlXTreeGridObject
 * @param {String} rowId rowId - id of row
 * @example 
 */
 dhtmlXTreeGridObject.prototype.openItem = function(rowId) {};
/**
 * allows to define , which level of tree must be used for filtering
 * @id dhtmlXTreeGridObject.setFiltrationLevel
 * @class dhtmlXTreeGridObject
 * @method setFiltrationLevel
 * @memberOf dhtmlXTreeGridObject
 * @param {String} level level - level value, -1 value means last one
 * @example 
 */
 dhtmlXTreeGridObject.prototype.setFiltrationLevel = function(level,show_lower,show_upper) {};
/**
 * set size of treegrid images
 * @id dhtmlXTreeGridObject.setImageSize
 * @class dhtmlXTreeGridObject
 * @method setImageSize
 * @memberOf dhtmlXTreeGridObject
 * @param {String} width width -  width of image
 * @param {String} height height - height of image
 * @example 
 */
 dhtmlXTreeGridObject.prototype.setImageSize = function(width,height) {};
/**
 * enable/disable closing of row
 * @id dhtmlXTreeGridObject.setItemCloseable
 * @class dhtmlXTreeGridObject
 * @method setItemCloseable
 * @memberOf dhtmlXTreeGridObject
 * @param {String} rowId rowId - id of row
 * @param {Boolean} status status - true/false
 * @example 
 */
 dhtmlXTreeGridObject.prototype.setItemCloseable = function(rowId,status) {};
/**
 * set image of tree col
 * @id dhtmlXTreeGridObject.setItemImage
 * @class dhtmlXTreeGridObject
 * @method setItemImage
 * @memberOf dhtmlXTreeGridObject
 * @param {String} rowId rowId - id of row
 * @param {String} url url - image url
 * @example grid.setItemImage(rowId,"../../../dhtmlxGrid/codebase/imgs/csh_bluebooks/folder.gif")
 */
 dhtmlXTreeGridObject.prototype.setItemImage = function(rowId,url) {};
/**
 * set real caption of tree col
 * @id dhtmlXTreeGridObject.setItemText
 * @class dhtmlXTreeGridObject
 * @method setItemText
 * @memberOf dhtmlXTreeGridObject
 * @param {String} rowId rowId - id of row
 * @param {String} newtext newtext - new text
 * @example 
 */
 dhtmlXTreeGridObject.prototype.setItemText = function(rowId,newtext) {};
/**
 * set function called after tree node opened/closed
 * @id dhtmlXTreeGridObject.setOnOpenEndHandler
 * @class dhtmlXTreeGridObject
 * @method setOnOpenEndHandler
 * @memberOf dhtmlXTreeGridObject
 * @param {String} func func - event handling function
 * @example 
 */
 dhtmlXTreeGridObject.prototype.setOnOpenEndHandler = function(func) {};
/**
 * set function called before tree node opened/closed
 * @id dhtmlXTreeGridObject.setOnOpenStartHandler
 * @class dhtmlXTreeGridObject
 * @method setOnOpenStartHandler
 * @memberOf dhtmlXTreeGridObject
 * @param {String} func func - event handling function
 * @example 
 */
 dhtmlXTreeGridObject.prototype.setOnOpenStartHandler = function(func) {};
/**
 * sorts treegrid by specified column
 * @id dhtmlXTreeGridObject.sortTreeRows
 * @class dhtmlXTreeGridObject
 * @method sortTreeRows
 * @memberOf dhtmlXTreeGridObject
 * @param {Number} col col - column index
 * @param {String} type type - str.int.date
 * @param {String} order order - asc.desc
 * @example 
 */
 dhtmlXTreeGridObject.prototype.sortTreeRows = function(col,type,order) {};
/**
 * sets text representation of cell ( setLabel doesn&#039;t triger math calculations as setValue do)
 * @id dhtmlXTreeGridObject.getLabel
 * @class dhtmlXTreeGridObject
 * @method getLabel
 * @memberOf dhtmlXTreeGridObject
 * @param {String} val val - new value
 * @example 
 */
 dhtmlXTreeGridObject.prototype.getLabel = function(val) {};
/**
 * sets text representation of cell ( setLabel doesn&#039;t triger math calculations as setValue do)
 * @id dhtmlXTreeGridObject.setLabel
 * @class dhtmlXTreeGridObject
 * @method setLabel
 * @memberOf dhtmlXTreeGridObject
 * @param {String} val val - new value
 * @example 
 */
 dhtmlXTreeGridObject.prototype.setLabel = function(val) {};


/**
*
* dhtmlxFolders object class.
* @id dhtmlxFolders
* @class dhtmlxFolders
* @constructor
* @alias dhtmlxFolders.prototype
 * @return {dhtmlxFolders}
 */
 function dhtmlxFolders(){};




/**
 * adds any user-defined handler to available events
 * @id dhtmlxFolders.attachEvent
 * @class dhtmlxFolders
 * @method attachEvent
 * @memberOf dhtmlxFolders
 * @param {String} evName evName - name of the event;
 * @example myFolders.attachEvent("onclick",function(id){
 *     alert("Item ID is: "+id)
 *   })
 */
 dhtmlxFolders.prototype.attachEvent = function(evName, evHandler) {};
/**
 * 
 * @id dhtmlxFolders.clearAll
 * @class dhtmlxFolders
 * @method clearAll
 * @memberOf dhtmlxFolders
 * @example myFolders.clearAll();
 *     myFolders.loadXML("xml/directoryContent.php");
 */
 dhtmlxFolders.prototype.clearAll = function() {};
/**
 * delete item(s)
 * @id dhtmlxFolders.deleteItem
 * @class dhtmlxFolders
 * @method deleteItem
 * @memberOf dhtmlxFolders
 * @param {String} id id - id (or array of ids) of item to delete
 * @example myFolders.deleteItem("item123");//by single ID
 *     myFolders.deleteItem(["item123","item234","item345"]);//by array of IDs
 */
 dhtmlxFolders.prototype.deleteItem = function(id) {};
/**
 * removes an event handler
 * @id dhtmlxFolders.detachEvent
 * @class dhtmlxFolders
 * @method detachEvent
 * @memberOf dhtmlxFolders
 * @param {String} id id - event id
 * @example var evID = myFolders.attachEvent("onclick",function(id){alert(id)});
 *     myFolders.detachEvent(evID);
 */
 dhtmlxFolders.prototype.detachEvent = function(id) {};
/**
 * 
 * @id dhtmlxFolders.drawPager
 * @class dhtmlxFolders
 * @method drawPager
 * @memberOf dhtmlxFolders
 * @example dhtmlxFolders.prototype.drawPager = function(){
 *     if(this.pagerContainer==null){
 *         return;
 *     }
 *     this.pagerContainer.style.display = "";
 *     this.pagerContainer.innerHTML="";
 *     this.pagerContainer.obj = this;
 *     for(var i=0;i<this.getNumberOfPages();i++){
 *         var ins = "";
 *         if(i+1==this.getCurrentPage())
 *             var className = "dhxfolders_pagingCurrent"
 *         else
 *             var className = "dhxfolders_pagingInact"
 *         var tmpHTML = "<div style='float:left;' class='"+className+"'  onclick='this.parentNode.obj.goToPage("+(i+1)+");'>"+(i+1)+"</div>"
 *         this.pagerContainer.innerHTML = this.pagerContainer.innerHTML+tmpHTML;
 *     }
 * }
 */
 dhtmlxFolders.prototype.drawPager = function() {};
/**
 * enable/disable context menu
 * @id dhtmlxFolders.enableContextMenu
 * @class dhtmlxFolders
 * @method enableContextMenu
 * @memberOf dhtmlxFolders
 * @param {Object} menu menu object, if null - context menu will be disabled
 * @example 
 */
 dhtmlxFolders.prototype.enableContextMenu = function(menu) {};
/**
 * enables or disables drag-n-drop in Folders
 * @id dhtmlxFolders.enableDragAndDrop
 * @class dhtmlxFolders
 * @method enableDragAndDrop
 * @memberOf dhtmlxFolders
 * @param {Boolean} mode mode - true/false
 * @example myFolders.enableDragAndDrop(true);//enable drag-n-drop
 *     myFolders.enableDragAndDrop(false);//disable drag-n-drop
 */
 dhtmlxFolders.prototype.enableDragAndDrop = function(mode) {};
/**
 * turns on/off edit mode for dhtmlxFolders object
 * @id dhtmlxFolders.enableEditMode
 * @class dhtmlxFolders
 * @method enableEditMode
 * @memberOf dhtmlxFolders
 * @param {String} state newPath - new base directory path
 * @example myFolders.enableEditMode(true);
 */
 dhtmlxFolders.prototype.enableEditMode = function(state) {};
/**
 * enables/disables paging in Folders and sets number of items per page to use
 * @id dhtmlxFolders.enablePaging
 * @class dhtmlxFolders
 * @method enablePaging
 * @memberOf dhtmlxFolders
 * @param {String} itemsPerPage itemsPerPage - number of items per page, or (if 0) disable paging
 * @param {String} withDynLoading withDynLoading - true to allow dynamical loading
 * @example myFolders.enablePaging(25);
 *     //or this one if you need folders to send additional request to server for additional portion of items:
 *     myFolders.enablePaging(25,true);
 */
 dhtmlxFolders.prototype.enablePaging = function(itemsPerPage,withDynLoading) {};
/**
 * set selection mode
 * @id dhtmlxFolders.enableSelection
 * @class dhtmlxFolders
 * @method enableSelection
 * @memberOf dhtmlxFolders
 * @param {String} mode mode - selection mode: 0 - disabled,1 - allowed, 2 - allowed single
 * @example 
 */
 dhtmlxFolders.prototype.enableSelection = function(mode) {};
/**
 * 
 * @id dhtmlxFolders.enableXMLSmartRefresh
 * @class dhtmlxFolders
 * @method enableXMLSmartRefresh
 * @memberOf dhtmlxFolders
 * @param {Boolean} mode mode - true to enable, false to disable
 * @example var mode = document.getElementById('smart_flag').checked
 *     myFolders.enableXMLSmartRefresh(mode);
 *     if(!mode)
 *         myFolders.clearAll();
 *     myFolders.loadXML(url);
 */
 dhtmlxFolders.prototype.enableXMLSmartRefresh = function(mode) {};
/**
 * 
 * @id dhtmlxFolders.filterClear
 * @class dhtmlxFolders
 * @method filterClear
 * @memberOf dhtmlxFolders
 * @example <script>
 *        function filterFolders(val){
 *          if(this.value==''){
 *            myFolders.filterClear()
 *          }else{
 *            myFolders.filterItems(function(item,mask){
 *               if(item.data.dataObj.getAttribute("name").indexOf(val)!=-1)
 *                  true;
 *               else
 *                  false;
 *            },val,false);
 *          }
 *        }
 *     </script>
 *     <input type="text" onblur="filterFolders(this.value)">
 */
 dhtmlxFolders.prototype.filterClear = function(skip_redraw) {};
/**
 * filter items using filterFunc and mask
 * @id dhtmlxFolders.filterItems
 * @class dhtmlxFolders
 * @method filterItems
 * @memberOf dhtmlxFolders
 * @param {Object} filterFunc filterFunc - function to use to define if item should appear or not. if this function returns true, then item will be visible. Incomming arguments are: item object and mask
 * @param {String} mask mask - mask to use in filter
 * @param {String} preservePrevious preservePrevious - preserver previously applied filters
 * @example 
 */
 dhtmlxFolders.prototype.filterItems = function(filterFunc,mask,preservePrevious) {};
/**
 * 
 * @id dhtmlxFolders.forEachSelected
 * @class dhtmlxFolders
 * @method forEachSelected
 * @memberOf dhtmlxFolders
 * @example function updateId(item,index){
 *         item.setId(item.data.id+"_new")
 *     }
 *     myFolders.forEachSelected(updateId);
 */
 dhtmlxFolders.prototype.forEachSelected = function(func) {};
/**
 * 
 * @id dhtmlxFolders.getCurrentPage
 * @class dhtmlxFolders
 * @method getCurrentPage
 * @memberOf dhtmlxFolders
 * @example if(myFolders.getCurrentPage()==myFolders.getNumberOfPages()){
 *         alert("You are on the last page")
 *     }
 */
 dhtmlxFolders.prototype.getCurrentPage = function() {};
/**
 * gets FOldes Item object
 * @id dhtmlxFolders.getItem
 * @class dhtmlxFolders
 * @method getItem
 * @memberOf dhtmlxFolders
 * @param {String} id id - item ID
 * @example var item = myFolders.getItem(myFolders._activeItemId);
 *     //if content was created from XML, then here is item's XML representation:
 *     var xmlNode = item.data.dataObj;
 */
 dhtmlxFolders.prototype.getItem = function(id) {};
/**
 * 
 * @id dhtmlxFolders.getItemDataObject
 * @class dhtmlxFolders
 * @method getItemDataObject
 * @memberOf dhtmlxFolders
 * @param {Object} itemId itemId - id of item to get data object from
 * @example var xmlNode = myFolders.getItemDataObject(myFolders._activeItemId);
 *    alert(xmlNode.getAttribute("name"));
 */
 dhtmlxFolders.prototype.getItemDataObject = function(itemId) {};
/**
 * 
 * @id dhtmlxFolders.getItemsNum
 * @class dhtmlxFolders
 * @method getItemsNum
 * @memberOf dhtmlxFolders
 * @example alert("There are " + myFolders.getItemsNum() + " items in the folder")
 */
 dhtmlxFolders.prototype.getItemsNum = function() {};
/**
 * 
 * @id dhtmlxFolders.getNumberOfPages
 * @class dhtmlxFolders
 * @method getNumberOfPages
 * @memberOf dhtmlxFolders
 * @example 
 */
 dhtmlxFolders.prototype.getNumberOfPages = function() {};
/**
 * 
 * @id dhtmlxFolders.getSelectedId
 * @class dhtmlxFolders
 * @method getSelectedId
 * @memberOf dhtmlxFolders
 * @example 
 */
 dhtmlxFolders.prototype.getSelectedId = function() {};
/**
 * opens specified page if paging enabled
 * @id dhtmlxFolders.goToPage
 * @class dhtmlxFolders
 * @method goToPage
 * @memberOf dhtmlxFolders
 * @param {Number} pageNumber pageNumber - 1 based index of page to open
 * @example 
 */
 dhtmlxFolders.prototype.goToPage = function(pageNumber) {};
/**
 * 
 * @id dhtmlxFolders.loadXML
 * @class dhtmlxFolders
 * @method loadXML
 * @memberOf dhtmlxFolders
 * @param {String} url url - xml file URL
 * @example 
 */
 dhtmlxFolders.prototype.loadXML = function(url,xslFileURL) {};
/**
 * 
 * @id dhtmlxFolders.loadXMLString
 * @class dhtmlxFolders
 * @method loadXMLString
 * @memberOf dhtmlxFolders
 * @param {String} xmlString xmlString - xml string
 * @example 
 */
 dhtmlxFolders.prototype.loadXMLString = function(xmlString,xslFileURL) {};
/**
 * moves item
 * @id dhtmlxFolders.moveItem
 * @class dhtmlxFolders
 * @method moveItem
 * @memberOf dhtmlxFolders
 * @param {String} sid sid - source item id
 * @param {String} mode mode - mode of movement (next, before, in)
 * @param {String} tid tid - target item id
 * @param {Object} sObj sObj - source object (if not specified then current Folders object)
 * @param {Object} tObj tObj - target object (if not specified then current Folders object)
 * @example 
 */
 dhtmlxFolders.prototype.moveItem = function(sid,mode,tid,sObj,tObj) {};
/**
 * select specified item in Folders
 * @id dhtmlxFolders.selectItem
 * @class dhtmlxFolders
 * @method selectItem
 * @memberOf dhtmlxFolders
 * @param {String} id id - item id to select
 * @param {Boolean} ctr ctr - state of ctrl button (true/false)
 * @param {Boolean} shf shf - state of shift button (true/false)
 * @example 
 */
 dhtmlxFolders.prototype.selectItem = function(id,ctr,shf) {};
/**
 * 
 * @id dhtmlxFolders.setCSSBaseName
 * @class dhtmlxFolders
 * @method setCSSBaseName
 * @memberOf dhtmlxFolders
 * @example 
 */
 dhtmlxFolders.prototype.setCSSBaseName = function(cssBaseName) {};
/**
 * sets new base dir for images used
 * @id dhtmlxFolders.setImagePath
 * @class dhtmlxFolders
 * @method setImagePath
 * @memberOf dhtmlxFolders
 * @param {String} newPath newPath - new base directory path
 * @example 
 */
 dhtmlxFolders.prototype.setImagePath = function(newPath) {};
/**
 * 
 * @id dhtmlxFolders.setItemTagName
 * @class dhtmlxFolders
 * @method setItemTagName
 * @memberOf dhtmlxFolders
 * @param {String} newTagName newPath - new base directory path
 * @example 
 */
 dhtmlxFolders.prototype.setItemTagName = function(newTagName) {};
/**
 * define type of items (see among defined types)
 * @id dhtmlxFolders.setItemType
 * @class dhtmlxFolders
 * @method setItemType
 * @memberOf dhtmlxFolders
 * @param {String} name name - name of type (if user-defined xml-xsl type, them use "xml_generic", if userdefined js type, then use "js_generic")
 * @param {Object} processor processor - (for xml-xsl) url of xsl file to use for this type, (for js) function which gets json object and returns html string.
 * @example 
 */
 dhtmlxFolders.prototype.setItemType = function(name,processor) {};
/**
 * 
 * @id dhtmlxFolders.setPagerContainer
 * @class dhtmlxFolders
 * @method setPagerContainer
 * @memberOf dhtmlxFolders
 * @example 
 */
 dhtmlxFolders.prototype.setPagerContainer = function(obj) {};
/**
 * sets userdata pair - name-value (if you use global variable with same name in xsl file, then it&#039;s value will be set to the value of userdata with this name)
 * @id dhtmlxFolders.setUserData
 * @class dhtmlxFolders
 * @method setUserData
 * @memberOf dhtmlxFolders
 * @param {String} name name - userdata block name
 * @param {String} value value - value of userdata block
 * @example 
 */
 dhtmlxFolders.prototype.setUserData = function(name,value) {};
/**
 * sort items
 * @id dhtmlxFolders.sortItems
 * @class dhtmlxFolders
 * @method sortItems
 * @memberOf dhtmlxFolders
 * @param {Object} sortFunc sortFunc - custom function used for comparing two values. it gets 2 objects for comparison and must return positive int if necessary property of first ojects "bigger", 0 if they are equel for both and negative if second obj property is "bigger"
 * @param {String} order order - direction (0 or 1)
 * @example 
 */
 dhtmlxFolders.prototype.sortItems = function(sortFunc,order) {};
/**
 * 
 * @id dhtmlxFolders.unselectAll
 * @class dhtmlxFolders
 * @method unselectAll
 * @memberOf dhtmlxFolders
 * @example 
 */
 dhtmlxFolders.prototype.unselectAll = function() {};


/**
*
* dhtmlXDataView object class.
* @id dhtmlXDataView
* @class dhtmlXDataView
* @constructor
* @alias dhtmlXDataView.prototype
 * @return {dhtmlXDataView}
 */
 function dhtmlXDataView(){};




/**
 * adds any user-defined handler to available events
 * @id dhtmlXDataView.attachEvent 
 * @class dhtmlXDataView
 * @method attachEvent 
 * @memberOf dhtmlXDataView
 * @param {String} evName evName - event name;
 * @example view.attachEvent(evName, evHandler);
 */
 dhtmlXDataView.prototype.attachEvent  = function(evName, evHandler) {};
/**
 * 
 * @id dhtmlXDataView.bind
 * @class dhtmlXDataView
 * @method bind
 * @memberOf dhtmlXDataView
 * @param {Object} [target] target - (object) the object that method is assigned to (optional)
 * @param {String} [rule] rule - (function) sets the rule according which components will be bound (optional)
 * @example myview.bind(mygrid);
 */
 dhtmlXDataView.prototype.bind = function(target, rule) {};
/**
 * 
 * @id dhtmlXDataView.clearAll 
 * @class dhtmlXDataView
 * @method clearAll 
 * @memberOf dhtmlXDataView
 * @example view.clearAll();
 */
 dhtmlXDataView.prototype.clearAll  = function() {};
/**
 * 
 * @id dhtmlXDataView.copy 
 * @class dhtmlXDataView
 * @method copy 
 * @memberOf dhtmlXDataView
 * @param {String} sid sid - id of source item, mandatory
 * @example //make a copy of element
 *    var new_id = view.copy(source_id);
 * //make a copy at specific position
 *    var new_id = view.copy(source_id, index);
 * //make a copy in different view
 *    var new_id = view.copy(source_id, index, some_other_view);
 *    //or
 *    var new_id = view.copy(source_id, null , some_other_view);
 * 
 * //make a copy with defined ID
 *    view.copy(source_id, null, null, target_id);
 *    //or
 *    view.copy(source_id, index, null, target_id);
 *    //or
 *    view.copy(source_id, index, some_other_view, target_id);
 */
 dhtmlXDataView.prototype.copy  = function(sid, tindex, tobj, tid) {};
/**
 * 
 * @id dhtmlXDataView.dataCount 
 * @class dhtmlXDataView
 * @method dataCount 
 * @memberOf dhtmlXDataView
 * @example var count = view.dataCount();
 */
 dhtmlXDataView.prototype.dataCount  = function() {};
/**
 * 
 * @id dhtmlXDataView.unselectAll 
 * @class dhtmlXDataView
 * @method unselectAll 
 * @memberOf dhtmlXDataView
 * @example view.unselectAll();
 */
 dhtmlXDataView.prototype.unselectAll  = function() {};
/**
 * Removes selection from a certain item.
 * @id dhtmlXDataView.unselect 
 * @class dhtmlXDataView
 * @method unselect 
 * @memberOf dhtmlXDataView
 * @param {String} [id] id - item id which needs to be unselected, optional
 * @example //unselect one record
 *       view.unselect(id);
 *    //unselect all
 *       view.unselect();
 */
 dhtmlXDataView.prototype.unselect  = function(id) {};
/**
 * removes user-defined handler from inner events ( assuming that handler was attached by attachEvent )
 * @id dhtmlXDataView.detachEvent 
 * @class dhtmlXDataView
 * @method detachEvent 
 * @memberOf dhtmlXDataView
 * @param {String} id id - if of handler ( result of attachEvent operation )
 * @example var id = view.attachEvent(evName, evHandler);
 *               ...
 *               view.detachEvent(id);
 */
 dhtmlXDataView.prototype.detachEvent  = function(id) {};
/**
 * Switches specified item to the edit state
 * @id dhtmlXDataView.edit
 * @class dhtmlXDataView
 * @method edit
 * @memberOf dhtmlXDataView
 * @param {String} id id - id of item in question
 * @example view.edit(id);
 */
 dhtmlXDataView.prototype.edit = function(id) {};
/**
 * Returns true if the item with defined ID already exists
 * @id dhtmlXDataView.exists 
 * @class dhtmlXDataView
 * @method exists 
 * @memberOf dhtmlXDataView
 * @example var check = view.exists(id);
 */
 dhtmlXDataView.prototype.exists  = function() {};
/**
 * Filters dataview by provided parameters
 * @id dhtmlXDataView.filter 
 * @class dhtmlXDataView
 * @method filter 
 * @memberOf dhtmlXDataView
 * @param {String} key key - name of property, or custom filtering method
 * @example //show all items where Publisher == "Test"
 * 	view.filter("Publisher","Test");
 * //show all items where Publisher starts from "Test"
 *     view.filter(function(obj,value){
 *     	if (obj.Publisher.indexOf(value)==0) return true;
 *     	return false;
 *     },"Test");
 */
 dhtmlXDataView.prototype.filter  = function(key, value) {};
/**
 * 
 * @id dhtmlXDataView.first 
 * @class dhtmlXDataView
 * @method first 
 * @memberOf dhtmlXDataView
 * @example var id = view.first();
 */
 dhtmlXDataView.prototype.first  = function() {};
/**
 * Returns currently selected ID. If mutliselection is enabled and mutliple items are selected, this method will return array of IDs
 * @id dhtmlXDataView.getSelected 
 * @class dhtmlXDataView
 * @method getSelected 
 * @memberOf dhtmlXDataView
 * @param {String} as_array as_array - forces return value to be an array
 * @example var id = view.getSelected();
 */
 dhtmlXDataView.prototype.getSelected  = function(as_array) {};
/**
 * Returns has of data , related to specific ID
 * @id dhtmlXDataView.get 
 * @class dhtmlXDataView
 * @method get 
 * @memberOf dhtmlXDataView
 * @param {String} id id - id of item in question
 * @example var data = view.get(id);
 * 	alert(data.Version);
 * 	data.Version = 2; //beware that you need to force refresh
 */
 dhtmlXDataView.prototype.get  = function(id) {};
/**
 * Returns ID of item with specified index
 * @id dhtmlXDataView.idByIndex 
 * @class dhtmlXDataView
 * @method idByIndex 
 * @memberOf dhtmlXDataView
 * @param {Number} index index - index of the item in question
 * @example var id = view.idByIndex(index);
 */
 dhtmlXDataView.prototype.idByIndex  = function(index) {};
/**
 * Returns index of item with specified ID
 * @id dhtmlXDataView.indexById 
 * @class dhtmlXDataView
 * @method indexById 
 * @memberOf dhtmlXDataView
 * @param {String} id ID - ID of the item in question
 * @example var index = view.indexById(id);
 */
 dhtmlXDataView.prototype.indexById  = function(id) {};
/**
 * Returns true, if item is selected
 * @id dhtmlXDataView.isSelected 
 * @class dhtmlXDataView
 * @method isSelected 
 * @memberOf dhtmlXDataView
 * @example var check = view.isSelected(id);
 */
 dhtmlXDataView.prototype.isSelected  = function() {};
/**
 * 
 * @id dhtmlXDataView.last 
 * @class dhtmlXDataView
 * @method last 
 * @memberOf dhtmlXDataView
 * @example var id = view.last();
 */
 dhtmlXDataView.prototype.last  = function() {};
/**
 * Loads data from remote url
 * @id dhtmlXDataView.load 
 * @class dhtmlXDataView
 * @method load 
 * @memberOf dhtmlXDataView
 * @param {String} url url - data url, need to be in the same domain
 * @param {String} type Callback is always the last parameter.
 * @param {Function} callback Methos is async., so you need to use callback to catch the moment when data is really loaded in the view.
 * @example view.load("data.xml");
 * 	view.load("data.xml",function(){
 * 		//callback
 * 	});
 * 	//or
 * 	view.load("data.xml","xml");
 * 	view.load("data.json","json");
 * 	//or 
 * 	view.load("data.xml","xml",function(){
 * 		//callback
 * 	});
 */
 dhtmlXDataView.prototype.load  = function(url, type, callback) {};
/**
 * Returns item ID by html event ( checks if any item is in area of html event ). Returns null if relative item isn&#039;t found.
 * @id dhtmlXDataView.locate 
 * @class dhtmlXDataView
 * @method locate 
 * @memberOf dhtmlXDataView
 * @param {String} ev ev - native html event
 * @example some.onclick=function(e){
 * 		var id = view.locate(e||event);
 * 		if (id)
 * 			do_something();
 * 	}
 */
 dhtmlXDataView.prototype.locate  = function(ev) {};
/**
 * Set item as last item in the view.
 * @id dhtmlXDataView.moveBottom 
 * @class dhtmlXDataView
 * @method moveBottom 
 * @memberOf dhtmlXDataView
 * @param {String} id id - id of item in question
 * @example view.moveBottom(id)
 */
 dhtmlXDataView.prototype.moveBottom  = function(id) {};
/**
 * Changes index of item , by moving it to the end of view on defined count of steps
 * @id dhtmlXDataView.moveDown 
 * @class dhtmlXDataView
 * @method moveDown 
 * @memberOf dhtmlXDataView
 * @param {String} id id - id of item in question
 * @example view.moveDown(id)
 * 	//or
 * 	view.moveDown(id,10);
 */
 dhtmlXDataView.prototype.moveDown  = function(id, step) {};
/**
 * Set item as first item in the view.
 * @id dhtmlXDataView.moveTop 
 * @class dhtmlXDataView
 * @method moveTop 
 * @memberOf dhtmlXDataView
 * @param {String} id id - id of item in question
 * @example view.moveTop(id)
 */
 dhtmlXDataView.prototype.moveTop  = function(id) {};
/**
 * Changes index of item , by moving it to the start of view on defined count of steps
 * @id dhtmlXDataView.moveUp 
 * @class dhtmlXDataView
 * @method moveUp 
 * @memberOf dhtmlXDataView
 * @param {String} id id - id of item in question
 * @example view.moveUp(id)
 * 	//or
 * 	view.moveUp(id,10);
 */
 dhtmlXDataView.prototype.moveUp  = function(id, step) {};
/**
 * 
 * @id dhtmlXDataView.move 
 * @class dhtmlXDataView
 * @method move 
 * @memberOf dhtmlXDataView
 * @param {String} sid sid - id of source item, mandatory
 * @example //move to some position
 *    view.move(source_id, index);
 * //move to different view
 *    view.move(source_id, index, some_other_view);
 *    //or
 *    view.move(source_id, null , some_other_view);
 *    //or
 *    view.move(source_id, index, some_other_view, target_id);
 */
 dhtmlXDataView.prototype.move  = function(sid, tindex, tobj, tid) {};
/**
 * returns ID of next item ( item with index == current + 1 )
 * @id dhtmlXDataView.next 
 * @class dhtmlXDataView
 * @method next 
 * @memberOf dhtmlXDataView
 * @example var next_id = view.next(id);
 */
 dhtmlXDataView.prototype.next  = function() {};
/**
 * Parse object or string and fill the dataview by parsed items.
 * @id dhtmlXDataView.parse 
 * @class dhtmlXDataView
 * @method parse 
 * @memberOf dhtmlXDataView
 * @param {Object} object object - string or object
 * @param {String} type type - type of data
 * @example view.parse("<data> ... </data>");
 * 	//or
 * 	view.parse([[1,2,3],[4,5,6]],"jsarray");
 */
 dhtmlXDataView.prototype.parse  = function(object, type) {};
/**
 * returns ID of previous item ( item with index == current - 1 )
 * @id dhtmlXDataView.previous 
 * @class dhtmlXDataView
 * @method previous 
 * @memberOf dhtmlXDataView
 * @example var prev_id = view.previous(id);
 */
 dhtmlXDataView.prototype.previous  = function() {};
/**
 * Repaints item or whole dataview
 * @id dhtmlXDataView.refresh 
 * @class dhtmlXDataView
 * @method refresh 
 * @memberOf dhtmlXDataView
 * @param {String} [id] id - id of item in question, optional
 * @example //repaint single item
 * 	view.refresh(id);
 * 	//repaint whole view
 * 	view.refresh();
 */
 dhtmlXDataView.prototype.refresh  = function(id) {};
/**
 * 
 * @id dhtmlXDataView.selectAll 
 * @class dhtmlXDataView
 * @method selectAll 
 * @memberOf dhtmlXDataView
 * @example view.selectAll();
 */
 dhtmlXDataView.prototype.selectAll  = function() {};
/**
 * Marks item as selected
 * @id dhtmlXDataView.select 
 * @class dhtmlXDataView
 * @method select 
 * @memberOf dhtmlXDataView
 * @param {String} [id] id - id of item which need to be selected, optional
 * @example //select one record
 *       view.select(id);
 *    //select all
 *       view.select();
 */
 dhtmlXDataView.prototype.select  = function(id) {};
/**
 * Associates hash of data with some ID
 * @id dhtmlXDataView.set 
 * @class dhtmlXDataView
 * @method set 
 * @memberOf dhtmlXDataView
 * @param {String} id id - if of item in question
 * @example view.set(id,{
 * 		property:value
 * 	});
 */
 dhtmlXDataView.prototype.set  = function(id, hash) {};
/**
 * Adjusts scrollbars of dataview, so item in question become visible.
 * @id dhtmlXDataView.show 
 * @class dhtmlXDataView
 * @method show 
 * @memberOf dhtmlXDataView
 * @param {String} id id - id of item in question
 * @example view.show(id);
 */
 dhtmlXDataView.prototype.show  = function(id) {};
/**
 * adds any user-defined handler to available events
 * @id dhtmlXDataView.sort 
 * @class dhtmlXDataView
 * @method sort 
 * @memberOf dhtmlXDataView
 * @param {String} key key - name of property, by which dataview will be sorted, or custom sorting method
 * @example view.sort("#Version#","asc");
 * 	view.sort(function(a,b){
 * 		return a.Version > b.Version ? 1 : -1;
 * 	},"asc");
 */
 dhtmlXDataView.prototype.sort  = function(key, direction) {};
/**
 * 
 * @id dhtmlXDataView.stopEdit 
 * @class dhtmlXDataView
 * @method stopEdit 
 * @memberOf dhtmlXDataView
 * @example view.stopEdit();
 */
 dhtmlXDataView.prototype.stopEdit  = function() {};
/**
 * Customizes current active template, by replacing default properties with one from provided object
 * @id dhtmlXDataView.customize 
 * @class dhtmlXDataView
 * @method customize 
 * @memberOf dhtmlXDataView
 * @param {String} properties properties - set of custom properties
 * @example view.customize({
 * 		some_path:"../imgs/",
 * 		some_property:value
 * 	});
 */
 dhtmlXDataView.prototype.customize  = function(properties) {};


/**
*
* dhtmlChart object class.
* @id dhtmlChart
* @class dhtmlChart
* @constructor
* @alias dhtmlChart.prototype
 * @return {dhtmlChart}
 */
 function dhtmlChart(){};




/**
 * adds the new data object and redraws a chart
 * @id dhtmlChart.add 
 * @class dhtmlChart
 * @method add 
 * @memberOf dhtmlChart
 * @param {Object} obj obj - a data object
 * @example chart.add({
 *         id: 1,
 *         value: 5.64,
 *         label: 2009
 *     });
 */
 dhtmlChart.prototype.add  = function(obj) {};
/**
 * 
 * @id dhtmlChart.addSeries 
 * @class dhtmlChart
 * @method addSeries 
 * @memberOf dhtmlChart
 * @param {Object} obj obj - a data object
 * @example chart.addSeries({
 * 	    value:"#sales1#",
 * 	    color:"#45abf5",
 *             label:"#sales1#"
 *     });
 */
 dhtmlChart.prototype.addSeries  = function(obj) {};
/**
 * adds any user-defined handler to available events
 * @id dhtmlChart.attachEvent 
 * @class dhtmlChart
 * @method attachEvent 
 * @memberOf dhtmlChart
 * @param {String} evName evName - event name;
 * @example chart.attachEvent(evName, evHandler);
 */
 dhtmlChart.prototype.attachEvent  = function(evName, evHandler) {};
/**
 * 
 * @id dhtmlChart.clearAll 
 * @class dhtmlChart
 * @method clearAll 
 * @memberOf dhtmlChart
 * @example chart.clearAll();
 */
 dhtmlChart.prototype.clearAll  = function() {};
/**
 * 
 * @id dhtmlChart.dataCount 
 * @class dhtmlChart
 * @method dataCount 
 * @memberOf dhtmlChart
 * @example var count = chart.dataCount();
 */
 dhtmlChart.prototype.dataCount  = function() {};
/**
 * removes user-defined handler from inner events ( assuming that handler was attached by attachEvent )
 * @id dhtmlChart.detachEvent 
 * @class dhtmlChart
 * @method detachEvent 
 * @memberOf dhtmlChart
 * @param {String} id id - if of handler ( result of attachEvent operation )
 * @example var id = chart.attachEvent(evName, evHandler);
 *               ...
 *               chart.detachEvent(id);
 */
 dhtmlChart.prototype.detachEvent  = function(id) {};
/**
 * Configures a property of chart
 * @id dhtmlChart.define 
 * @class dhtmlChart
 * @method define 
 * @memberOf dhtmlChart
 * @param {String} mode property - the name of mode or property which needs being configured
 * @example chart.define("sort",{
 *          by:"#sales#",dir:"asc",as:"int"
 *      })
 */
 dhtmlChart.prototype.define  = function(mode, value) {};
/**
 * Returns true if the item with defined ID already exists
 * @id dhtmlChart.exists 
 * @class dhtmlChart
 * @method exists 
 * @memberOf dhtmlChart
 * @example var check = chart.exists(id);
 */
 dhtmlChart.prototype.exists  = function() {};
/**
 * Filters dataview by provided parameters
 * @id dhtmlChart.filter 
 * @class dhtmlChart
 * @method filter 
 * @memberOf dhtmlChart
 * @param {String} key key - name of property, or custom filtering method
 * @example //show all items where Publisher == "Test"
 *     chart.filter("Publisher","Test");
 * //show all items where Publisher starts from "Test"
 *     chart.filter(function(obj,value){
 *     	if (obj.Publisher.indexOf(value)==0) return true;
 *     	return false;
 *     },"Test");
 */
 dhtmlChart.prototype.filter  = function(key, value) {};
/**
 * 
 * @id dhtmlChart.first 
 * @class dhtmlChart
 * @method first 
 * @memberOf dhtmlChart
 * @example var id = chart.first();
 */
 dhtmlChart.prototype.first  = function() {};
/**
 * Returns has of data , related to specific ID
 * @id dhtmlChart.get 
 * @class dhtmlChart
 * @method get 
 * @memberOf dhtmlChart
 * @param {String} id id - id of item in question
 * @example var data = chart.get(id);
 * 	alert(data.sales);
 * 	chart.sales = 5.6; //beware that you need to force refresh
 */
 dhtmlChart.prototype.get  = function(id) {};
/**
 * The method groups data by a certain property. The method get an object with the following properties as a parameter:
 * @id dhtmlChart.group 
 * @class dhtmlChart
 * @method group 
 * @memberOf dhtmlChart
 * @example chart.group({
 *       by:"#company#",
 *       map:{
 * 	sales:["#sales#","sum"]
 *       }
 *     });
 */
 dhtmlChart.prototype.group  = function() {};
/**
 * Returns the ID of item with the specified index
 * @id dhtmlChart.idByIndex 
 * @class dhtmlChart
 * @method idByIndex 
 * @memberOf dhtmlChart
 * @param {Number} index index - index of the item in question
 * @example var id = chart.idByIndex(index);
 */
 dhtmlChart.prototype.idByIndex  = function(index) {};
/**
 * Returns the index of the item with the specified ID
 * @id dhtmlChart.indexById 
 * @class dhtmlChart
 * @method indexById 
 * @memberOf dhtmlChart
 * @param {String} id ID - ID of the item in question
 * @example var index = view.indexById(id);
 */
 dhtmlChart.prototype.indexById  = function(id) {};
/**
 * 
 * @id dhtmlChart.last 
 * @class dhtmlChart
 * @method last 
 * @memberOf dhtmlChart
 * @example var id = chart.last();
 */
 dhtmlChart.prototype.last  = function() {};
/**
 * Loads data from remote url
 * @id dhtmlChart.load 
 * @class dhtmlChart
 * @method load 
 * @memberOf dhtmlChart
 * @param {String} url url - data url, need to be in the same domain
 * @example chart.load("data.xml");
 * 	chart.load("data.xml",function(){
 * 		//callback
 * 	});
 * 	//or
 * 	chart.load("data.xml","xml");
 * 	chart.load("data.json","json");
 * 	//or 
 * 	chart.load("data.xml","xml",function(){
 * 		//callback
 * 	});
 */
 dhtmlChart.prototype.load  = function(url, type, callback) {};
/**
 * returns the ID of the next item ( item with index == current + 1 )
 * @id dhtmlChart.next 
 * @class dhtmlChart
 * @method next 
 * @memberOf dhtmlChart
 * @example var next_id = chart.next(id);
 */
 dhtmlChart.prototype.next  = function() {};
/**
 * Parse an object or a string and fill the chart by parsed items.
 * @id dhtmlChart.parse 
 * @class dhtmlChart
 * @method parse 
 * @memberOf dhtmlChart
 * @param {Object} object object - string or object
 * @param {String} type type - type of data
 * @example chart.parse("<data> ... </data>");
 * 	//or
 * 	chart.parse([[1,2,3],[4,5,6]],"jsarray");
 */
 dhtmlChart.prototype.parse  = function(object, type) {};
/**
 * returns the ID of the previous item ( item with index == current - 1 )
 * @id dhtmlChart.previous 
 * @class dhtmlChart
 * @method previous 
 * @memberOf dhtmlChart
 * @example var prev_id = chart.previous(id);
 */
 dhtmlChart.prototype.previous  = function() {};
/**
 * 
 * @id dhtmlChart.refresh 
 * @class dhtmlChart
 * @method refresh 
 * @memberOf dhtmlChart
 * @example chart.refresh();
 */
 dhtmlChart.prototype.refresh  = function() {};
/**
 * Removes an item by its ID and redraws a chart.
 * @id dhtmlChart.remove 
 * @class dhtmlChart
 * @method remove 
 * @memberOf dhtmlChart
 * @param {String} id id - item id
 * @example //item with id = 12
 *     chart.remove(12);
 *     //the 6th item in a chart
 *     chart.remove(chart.idByIndex(5));
 *     //the 1st item
 *     chart.remove(chart.first());
 */
 dhtmlChart.prototype.remove  = function(id) {};
/**
 * Associates hash of data with some ID
 * @id dhtmlChart.set 
 * @class dhtmlChart
 * @method set 
 * @memberOf dhtmlChart
 * @param {String} id id - the id of the item in question
 * @example chart.set(id,{
 * 		property:value
 * 	});
 */
 dhtmlChart.prototype.set  = function(id, hash) {};
/**
 * adds any user-defined handler to available events
 * @id dhtmlChart.sort 
 * @class dhtmlChart
 * @method sort 
 * @memberOf dhtmlChart
 * @param {String} key key - name of property, by which chart will be sorted, or custom sorting method,
 * @example chart.sort("Year","asc","int");
 * 	chart.sort(function(a,b){
 * 		return a.Version > b.Version ? 1 : -1;
 * 	},"asc");
 */
 dhtmlChart.prototype.sort  = function(key, direction) {};


/**
*
* dhtmlXMenuObject object class.
* @id dhtmlXMenuObject
* @class dhtmlXMenuObject
* @constructor
* @alias dhtmlXMenuObject.prototype
 * @return {dhtmlXMenuObject}
 */
 function dhtmlXMenuObject(){};




/**
 * adds a new checkbox, sibling|child mode
 * @id dhtmlXMenuObject.addCheckbox
 * @class dhtmlXMenuObject
 * @method addCheckbox
 * @memberOf dhtmlXMenuObject
 * @param {String} mode mode - (string) sibling|child
 * @param {String} nextToId nextToId - the item after which the checkbox will be added in the "sibling" mode or parent item&#039;s id in the "child" mode
 * @param {String} pos pos - item&#039;s position in the child mode (null for sibling)
 * @param {String} itemId itemId - id of a new checkbox
 * @param {String} itemText itemText - text of a new checkbox
 * @param {String} state state - checked|unchecked
 * @param {String} disabled disabled - enabled|disabled
 * @example menu.addCheckbox(mode, nextToId, pos, itemId, itemText, state, disabled);
 */
 dhtmlXMenuObject.prototype.addCheckbox = function(mode, nextToId, pos, itemId, itemText, state, disabled) {};
/**
 * adds a contextual zone to a contextual menu
 * @id dhtmlXMenuObject.addContextZone
 * @class dhtmlXMenuObject
 * @method addContextZone
 * @memberOf dhtmlXMenuObject
 * @param {Object} zoneId zoneId - id of the object on page to render as a contextual zone
 * @example var menu = new dhtmlXMenuObject();
 *     menu.renderAsContextMenu();
 *     // adding context zone
 *     menu.addContextZone("myMenu");
 */
 dhtmlXMenuObject.prototype.addContextZone = function(zoneId) {};
/**
 * adds a new child item
 * @id dhtmlXMenuObject.addNewChild
 * @class dhtmlXMenuObject
 * @method addNewChild
 * @memberOf dhtmlXMenuObject
 * @param {String} parentId parentId - the item which will contain a new item in the sublevel
 * @param {String} pos position - the position of a new item
 * @param {String} itemId itemId - id of a new item
 * @param {String} itemText itemText - text of a new item
 * @param {Boolean} disabled disabled - true|false, whether the item is disabled or not
 * @param {String} imgEnabled img - image for the enabled item
 * @param {String} imgDisabled imgDis - image for the disabled item
 * @example menu.addNewChild(parentId, pos, itemId, itemText, disabled, imgEnabled, imgDisabled);
 */
 dhtmlXMenuObject.prototype.addNewChild = function(parentId, pos, itemId, itemText, disabled, imgEnabled, imgDisabled) {};
/**
 * add a new separator
 * @id dhtmlXMenuObject.addNewSeparator
 * @class dhtmlXMenuObject
 * @method addNewSeparator
 * @memberOf dhtmlXMenuObject
 * @param {String} nextToId nextToId - id of the element after which a new separator will be inserted
 * @param {String} itemId itemId - id of a new separator
 * @example menu.addNewSeparator(nextToId, itemId);
 */
 dhtmlXMenuObject.prototype.addNewSeparator = function(nextToId, itemId) {};
/**
 * adds a new sibling item
 * @id dhtmlXMenuObject.addNewSibling
 * @class dhtmlXMenuObject
 * @method addNewSibling
 * @memberOf dhtmlXMenuObject
 * @param {String} nextToId nextToId - id of the element after which a new one will be inserted
 * @param {String} itemId itemId - id of a new item
 * @param {String} itemText itemText - text of a new item
 * @param {Boolean} disabled disabled - true|false, whether the item is disabled or not
 * @param {String} imgEnabled img - image for the enabled item
 * @param {String} imgDisabled imgDis - image for the disabled item
 * @example menu.addNewSibling(nextToId, itemId, itemText, disabled, imgEnabled, imgDisabled);
 */
 dhtmlXMenuObject.prototype.addNewSibling = function(nextToId, itemId, itemText, disabled, imgEnabled, imgDisabled) {};
/**
 * adds a new radio button, sibling|child mode
 * @id dhtmlXMenuObject.addRadioButton
 * @class dhtmlXMenuObject
 * @method addRadioButton
 * @memberOf dhtmlXMenuObject
 * @param {String} mode mode - (string) sibling|child
 * @param {String} nextToId nextToId - the item after which the radio button will be added in the "sibling" mode or parent item&#039;s id in the "child" mode
 * @param {String} pos pos - the item&#039;s position in the child mode (null for sibling)
 * @param {String} itemId itemId - id of a new radio button
 * @param {String} itemText itemText - text of a new radio button
 * @param {String} group group - radiogroup&#039;s id
 * @param {String} state state - checked|unchecked
 * @param {String} disabled disabled - enabled|disabled
 * @example menu.addRadioButton(mode, nextToId, pos, itemId, itemText, group, state, disabled);
 */
 dhtmlXMenuObject.prototype.addRadioButton = function(mode, nextToId, pos, itemId, itemText, group, state, disabled) {};
/**
 * attaches an event handler
 * @id dhtmlXMenuObject.attachEvent
 * @class dhtmlXMenuObject
 * @method attachEvent
 * @memberOf dhtmlXMenuObject
 * @param {String} original original - event&#039;s original name;
 * @param {String} catcher catcher - event handler;
 * @param {Object} CallObj CallObj - object that will call the event.
 * @example menu.attachEvent("onClick", function(id){
 *         // code here
 *     });
 *     // or
 *     function doOnClick(){
 *         // code here
 *     }
 *     menu.attachEvent("onClick", doOnClick);
 */
 dhtmlXMenuObject.prototype.attachEvent = function(original, catcher, CallObj) {};
/**
 * returns true if the event exists
 * @id dhtmlXMenuObject.checkEvent
 * @class dhtmlXMenuObject
 * @method checkEvent
 * @memberOf dhtmlXMenuObject
 * @param {String} name name - event&#039;s name
 * @example var isEventExists = menu.checkEvent("onClick"); // returns true/false
 */
 dhtmlXMenuObject.prototype.checkEvent = function(name) {};
/**
 * 
 * @id dhtmlXMenuObject.clearAll
 * @class dhtmlXMenuObject
 * @method clearAll
 * @memberOf dhtmlXMenuObject
 * @example menu.clearAll();
 */
 dhtmlXMenuObject.prototype.clearAll = function() {};
/**
 * clears item href and back item to default onClick behavior
 * @id dhtmlXMenuObject.clearHref
 * @class dhtmlXMenuObject
 * @method clearHref
 * @memberOf dhtmlXMenuObject
 * @param {String} itemId itemId
 * @example menu.clearHref(itemId);
 */
 dhtmlXMenuObject.prototype.clearHref = function(itemId) {};
/**
 * removes both enabled and disabled item images
 * @id dhtmlXMenuObject.clearItemImage
 * @class dhtmlXMenuObject
 * @method clearItemImage
 * @memberOf dhtmlXMenuObject
 * @param {String} itemId itemId - the item id
 * @example menu.clearItemImage(itemId);
 */
 dhtmlXMenuObject.prototype.clearItemImage = function(itemId) {};
/**
 * removes an event handler
 * @id dhtmlXMenuObject.detachEvent
 * @class dhtmlXMenuObject
 * @method detachEvent
 * @memberOf dhtmlXMenuObject
 * @param {String} id id - event&#039;s id
 * @example var id = menu.attachEvent("onClick", function(){});
 *     // detaching event
 *     menu.detachEvent(id);
 */
 dhtmlXMenuObject.prototype.detachEvent = function(id) {};
/**
 * enables dynamic loading of sublevels
 * @id dhtmlXMenuObject.enableDynamicLoading
 * @class dhtmlXMenuObject
 * @method enableDynamicLoading
 * @memberOf dhtmlXMenuObject
 * @param {String} url url - server-side script, transmitted params are action=loadMenu and parentId
 * @param {Boolean} icon icon - true|false, replaces elemet&#039;s arrow with loading image while loading
 * @example menu.enableDynamicLoading("server.php", true);
 */
 dhtmlXMenuObject.prototype.enableDynamicLoading = function(url, icon) {};
/**
 * returns true if checkbox checked
 * @id dhtmlXMenuObject.getCheckboxState
 * @class dhtmlXMenuObject
 * @method getCheckboxState
 * @memberOf dhtmlXMenuObject
 * @param {String} itemId id - item id
 * @example var isChecked = menu.getCheckboxState(itemId); // returns true/false
 */
 dhtmlXMenuObject.prototype.getCheckboxState = function(itemId) {};
/**
 * 
 * @id dhtmlXMenuObject.getContextMenuHideAllMode
 * @class dhtmlXMenuObject
 * @method getContextMenuHideAllMode
 * @memberOf dhtmlXMenuObject
 * @example var isHideAllModeEnabled = menu.getContextMenuHideAllMode(); // returns true/false
 */
 dhtmlXMenuObject.prototype.getContextMenuHideAllMode = function() {};
/**
 * returns item&#039;s hot-key (just text label)
 * @id dhtmlXMenuObject.getHotKey
 * @class dhtmlXMenuObject
 * @method getHotKey
 * @memberOf dhtmlXMenuObject
 * @param {String} itemId itemId - menu item&#039;s id
 * @example var hkText = menu.getHotKey(itemId);
 */
 dhtmlXMenuObject.prototype.getHotKey = function(itemId) {};
/**
 * returns item&#039;s image - array(img, imgDis)
 * @id dhtmlXMenuObject.getItemImage
 * @class dhtmlXMenuObject
 * @method getItemImage
 * @memberOf dhtmlXMenuObject
 * @param {String} itemId itemId - the item
 * @example var imgs = menu.getItemImage(itemId); // returns [img, imgDis]
 */
 dhtmlXMenuObject.prototype.getItemImage = function(itemId) {};
/**
 * returns item&#039;s position in the current polygon
 * @id dhtmlXMenuObject.getItemPosition
 * @class dhtmlXMenuObject
 * @method getItemPosition
 * @memberOf dhtmlXMenuObject
 * @param {String} itemId itemId - the item&#039;s id
 * @example var pos = menu.getItemPosition(itemId); // returns number
 */
 dhtmlXMenuObject.prototype.getItemPosition = function(itemId) {};
/**
 * returns item&#039;s text
 * @id dhtmlXMenuObject.getItemText
 * @class dhtmlXMenuObject
 * @method getItemText
 * @memberOf dhtmlXMenuObject
 * @param {String} itemId itemId - the item&#039;s id
 * @example var text = menu.getItemText(itemId);
 */
 dhtmlXMenuObject.prototype.getItemText = function(itemId) {};
/**
 * return item type by id (string)
 * @id dhtmlXMenuObject.getItemType
 * @class dhtmlXMenuObject
 * @method getItemType
 * @memberOf dhtmlXMenuObject
 * @param {String} itemId itemId - the item&#039;s id
 * @example var type = menu.getItemType(itemId);
 */
 dhtmlXMenuObject.prototype.getItemType = function(itemId) {};
/**
 * returns parent&#039;s id
 * @id dhtmlXMenuObject.getParentId
 * @class dhtmlXMenuObject
 * @method getParentId
 * @memberOf dhtmlXMenuObject
 * @param {String} itemId itemId - the item&#039;s id
 * @example var parentId = menu.getParentId(itemId);
 */
 dhtmlXMenuObject.prototype.getParentId = function(itemId) {};
/**
 * returns a checked radio button id in the group
 * @id dhtmlXMenuObject.getRadioChecked
 * @class dhtmlXMenuObject
 * @method getRadioChecked
 * @memberOf dhtmlXMenuObject
 * @param {String} group group - radio button group name
 * @example var checkedId = menu.getRadioChecked(group);
 */
 dhtmlXMenuObject.prototype.getRadioChecked = function(group) {};
/**
 * returns tooltip of a menu item
 * @id dhtmlXMenuObject.getTooltip
 * @class dhtmlXMenuObject
 * @method getTooltip
 * @memberOf dhtmlXMenuObject
 * @param {String} itemId itemId - menu item&#039;s id
 * @example var tip = menu.getTooltip(itemId);
 */
 dhtmlXMenuObject.prototype.getTooltip = function(itemId) {};
/**
 * returns item&#039;s userdata
 * @id dhtmlXMenuObject.getUserData
 * @class dhtmlXMenuObject
 * @method getUserData
 * @memberOf dhtmlXMenuObject
 * @param {String} itemId itemId - the item&#039;s id
 * @param {String} name name - the name of userdata (string)
 * @example var userData = menu.getUserData(itemId, name);
 */
 dhtmlXMenuObject.prototype.getUserData = function(itemId, name) {};
/**
 * 
 * @id dhtmlXMenuObject.hide
 * @class dhtmlXMenuObject
 * @method hide
 * @memberOf dhtmlXMenuObject
 * @example menu.hide();
 */
 dhtmlXMenuObject.prototype.hide = function() {};
/**
 * 
 * @id dhtmlXMenuObject.hideContextMenu
 * @class dhtmlXMenuObject
 * @method hideContextMenu
 * @memberOf dhtmlXMenuObject
 * @example menu.hideContextMenu();
 */
 dhtmlXMenuObject.prototype.hideContextMenu = function() {};
/**
 * hides an item
 * @id dhtmlXMenuObject.hideItem
 * @class dhtmlXMenuObject
 * @method hideItem
 * @memberOf dhtmlXMenuObject
 * @param {String} itemId id - the item&#039;s id to hide
 * @example menu.hideItem(itemId);
 */
 dhtmlXMenuObject.prototype.hideItem = function(itemId) {};
/**
 * returns true if an object is used as a contextual zone for the menu
 * @id dhtmlXMenuObject.isContextZone
 * @class dhtmlXMenuObject
 * @method isContextZone
 * @memberOf dhtmlXMenuObject
 * @param {Object} zoneId zoneId - id of the object to check
 * @example var menu = new dhtmlXMenuObject();
 *     menu.renderAsContextMenu();
 *     // check if <div id="myMenu"> is context zone
 *     var isZone = menu.isContextZone("myMenu"); // return false, not assigned yet
 *     // add context zone
 *     menu.addCOntextZone("myMenu");
 *     // check again
 *     var isZone2 = menu.isContextZone("myMenu"); // return true
 */
 dhtmlXMenuObject.prototype.isContextZone = function(zoneId) {};
/**
 * returns true if the item is enabled
 * @id dhtmlXMenuObject.isItemEnabled
 * @class dhtmlXMenuObject
 * @method isItemEnabled
 * @memberOf dhtmlXMenuObject
 * @param {String} itemId itemId - the item&#039;s id to check
 * @example var isEnabled = menu.isItemEnabled(itemId); // returns true/false
 */
 dhtmlXMenuObject.prototype.isItemEnabled = function(itemId) {};
/**
 * returns true if the item is hidden
 * @id dhtmlXMenuObject.isItemHidden
 * @class dhtmlXMenuObject
 * @method isItemHidden
 * @memberOf dhtmlXMenuObject
 * @param {String} itemId itemId - the item&#039;s id to check
 * @example var isHidden = menu.isItemHidden(itemId); // returns true/false
 */
 dhtmlXMenuObject.prototype.isItemHidden = function(itemId) {};
/**
 * loads menu data from an html and calls onLoadFunction when loading is done
 * @id dhtmlXMenuObject.loadFromHTML
 * @class dhtmlXMenuObject
 * @method loadFromHTML
 * @memberOf dhtmlXMenuObject
 * @param {Object} objId object - html data container
 * @param {Boolean} clearAfterAdd clearAfterAdd - true|false, removes the container object after the data is loaded
 * @param {String} onLoadFunction onLoadFunction - is called after the data is loaded (but before clearing html content if clear is set to true)
 * @example <script>
 *         menu.loadFromHTML("menuData", true, function(){});
 *         // od
 *         function doOnLoad(){
 *             // code here
 *         }
 *         menu.loadFromHTML("menuData", true, doOnLoad);
 *     </script>
 */
 dhtmlXMenuObject.prototype.loadFromHTML = function(objId, clearAfterAdd, onLoadFunction) {};
/**
 * loads menu data from an xml file and calls onLoadFunction when loading is done
 * @id dhtmlXMenuObject.loadXML
 * @class dhtmlXMenuObject
 * @method loadXML
 * @memberOf dhtmlXMenuObject
 * @param {String} xmlFile xmlFile - an xml file with webmenu data
 * @param {String} onLoadFunction onLoadFunction - a function that is called after loading is done
 * @example <script>
 *         menu.loadXML("path/to/file/file.xml", function(){
 *             // will called if specified after menu will completely loaded
 *         });
 *         // or
 *         onLoadFunction = function(){
 *             // will called if specified after menu will completely loaded
 *         }
 *         menu.loadXML("path/to/file/file.xml", onLoadFunction);
 *     </script>
 */
 dhtmlXMenuObject.prototype.loadXML = function(xmlFile, onLoadFunction) {};
/**
 * loads menu data from an xml string and calls onLoadFunction when loading is done
 * @id dhtmlXMenuObject.loadXMLString
 * @class dhtmlXMenuObject
 * @method loadXMLString
 * @memberOf dhtmlXMenuObject
 * @param {String} xmlString xmlFile - an xml string with webmenu data
 * @param {String} onLoadFunction onLoadFunction - function that is called after loading is done
 * @example <script>
 *         onLoadFunction = function(){
 *             // will be called if specified
 *         }
 *         menu.loadXMLString("<menu><item....>", onLoadFunction);
 *     </script>
 */
 dhtmlXMenuObject.prototype.loadXMLString = function(xmlString, onLoadFunction) {};
/**
 * removes an object from contextual zones list
 * @id dhtmlXMenuObject.removeContextZone
 * @class dhtmlXMenuObject
 * @method removeContextZone
 * @memberOf dhtmlXMenuObject
 * @param {String} zoneId zoneId - id of a contextual zone
 * @example menu.removeContextZone(zoneId);
 */
 dhtmlXMenuObject.prototype.removeContextZone = function(zoneId) {};
/**
 * removes an item from the menu with all nested sublevels
 * @id dhtmlXMenuObject.removeItem
 * @class dhtmlXMenuObject
 * @method removeItem
 * @memberOf dhtmlXMenuObject
 * @param {String} itemId id - id of the item for removing
 * @example menu.removeItem(itemId);
 */
 dhtmlXMenuObject.prototype.removeItem = function(itemId) {};
/**
 * 
 * @id dhtmlXMenuObject.renderAsContextMenu
 * @class dhtmlXMenuObject
 * @method renderAsContextMenu
 * @memberOf dhtmlXMenuObject
 * @example menu.renderAsContextMenu();
 */
 dhtmlXMenuObject.prototype.renderAsContextMenu = function() {};
/**
 * set top level menu align
 * @id dhtmlXMenuObject.setAlign
 * @class dhtmlXMenuObject
 * @method setAlign
 * @memberOf dhtmlXMenuObject
 * @param {String} align align - left|right
 * @example menu.setAlign("right");
 */
 dhtmlXMenuObject.prototype.setAlign = function(align) {};
/**
 * sets to false to prevent hiding a contextual menu by a click
 * @id dhtmlXMenuObject.setAutoHideMode
 * @class dhtmlXMenuObject
 * @method setAutoHideMode
 * @memberOf dhtmlXMenuObject
 * @param {Boolean} mode mode - true/false
 * @example menu.setAutoHideMode(mode);
 */
 dhtmlXMenuObject.prototype.setAutoHideMode = function(mode) {};
/**
 * sets to false to prevent showing a contextual menu by a click
 * @id dhtmlXMenuObject.setAutoShowMode
 * @class dhtmlXMenuObject
 * @method setAutoShowMode
 * @memberOf dhtmlXMenuObject
 * @param {Boolean} mode mode - true/false
 * @example menu.setAutoShowMode(mode);
 */
 dhtmlXMenuObject.prototype.setAutoShowMode = function(mode) {};
/**
 * sets checkbox&#039;s state (checked/unchecked)
 * @id dhtmlXMenuObject.setCheckboxState
 * @class dhtmlXMenuObject
 * @method setCheckboxState
 * @memberOf dhtmlXMenuObject
 * @param {String} itemId itemId - the item&#039;s id
 * @param {Boolean} state state - a new state (true|false)
 * @example menu.setCheckboxState(itemId, state);
 */
 dhtmlXMenuObject.prototype.setCheckboxState = function(itemId, state) {};
/**
 * sets to true will hide all opened contextual menu polygons on mouseout
 * @id dhtmlXMenuObject.setContextMenuHideAllMode
 * @class dhtmlXMenuObject
 * @method setContextMenuHideAllMode
 * @memberOf dhtmlXMenuObject
 * @param {Boolean} mode mode - true/false
 * @example menu.setContextMenuHideAllMode(mode);
 */
 dhtmlXMenuObject.prototype.setContextMenuHideAllMode = function(mode) {};
/**
 * sets menu hot-key (just text label)
 * @id dhtmlXMenuObject.setHotKey
 * @class dhtmlXMenuObject
 * @method setHotKey
 * @memberOf dhtmlXMenuObject
 * @param {String} itemId itemId - menu item&#039;s id
 * @param {String} hkey hkey - hot-key text (string)
 * @example menu.setHotKey(itemId, hkey);
 */
 dhtmlXMenuObject.prototype.setHotKey = function(itemId, hkey) {};
/**
 * set href to item, overwrite old if exists
 * @id dhtmlXMenuObject.setHref
 * @class dhtmlXMenuObject
 * @method setHref
 * @memberOf dhtmlXMenuObject
 * @param {String} itemId itemId
 * @param {String} href href - url to open instead of onClik event handling
 * @param {String} target target - target attribute
 * @example menu.setHref(itemId, "www://dhtmlx.com", "blank");
 */
 dhtmlXMenuObject.prototype.setHref = function(itemId, href, target) {};
/**
 * defines an url where necessary user embedded icons are located
 * @id dhtmlXMenuObject.setIconsPath
 * @class dhtmlXMenuObject
 * @method setIconsPath
 * @memberOf dhtmlXMenuObject
 * @param {String} path path - path on harddrive to items&#039; icons
 * @example menu.setIconsPath("path/to/icons/folder/");
 */
 dhtmlXMenuObject.prototype.setIconsPath = function(path) {};
/**
 * defines an url where necessary user embedded icons are located
 * @id dhtmlXMenuObject.setIconsPath
 * @class dhtmlXMenuObject
 * @method setIconsPath
 * @memberOf dhtmlXMenuObject
 * @param {String} path path - path on harddrive to items&#039; icons
 * @example menu.setIconsPath("path/to/icons/folder/");
 */
 dhtmlXMenuObject.prototype.setIconsPath = function(path) {};
/**
 * 
 * @id dhtmlXMenuObject.setImagePath
 * @class dhtmlXMenuObject
 * @method setImagePath
 * @memberOf dhtmlXMenuObject
 * @example 
 */
 dhtmlXMenuObject.prototype.setImagePath = function() {};
/**
 * disables an item
 * @id dhtmlXMenuObject.setItemDisabled
 * @class dhtmlXMenuObject
 * @method setItemDisabled
 * @memberOf dhtmlXMenuObject
 * @param {String} itemId itemId - item&#039;s id to disable
 * @example menu.setItemDisabled(itemId);
 */
 dhtmlXMenuObject.prototype.setItemDisabled = function(itemId) {};
/**
 * enables an item
 * @id dhtmlXMenuObject.setItemEnabled
 * @class dhtmlXMenuObject
 * @method setItemEnabled
 * @memberOf dhtmlXMenuObject
 * @param {String} itemId itemId - item&#039;s id to enable
 * @example menu.setItemEnabled(itemId);
 */
 dhtmlXMenuObject.prototype.setItemEnabled = function(itemId) {};
/**
 * sets an image for the item
 * @id dhtmlXMenuObject.setItemImage
 * @class dhtmlXMenuObject
 * @method setItemImage
 * @memberOf dhtmlXMenuObject
 * @param {String} itemId itemId - the item&#039;s id
 * @param {String} img img - the image for the enabled item (empty string for none)
 * @param {String} imgDis imgDis - the image for the disabled item (empty string for none)
 * @example menu.setItemImage(itemId, img, imgDis);
 */
 dhtmlXMenuObject.prototype.setItemImage = function(itemId, img, imgDis) {};
/**
 * sets new item&#039;s position in the current polygon (moves an item inside the single level)
 * @id dhtmlXMenuObject.setItemPosition
 * @class dhtmlXMenuObject
 * @method setItemPosition
 * @memberOf dhtmlXMenuObject
 * @param {String} itemId itemId - the item
 * @param {String} pos pos - the position (int)
 * @example 
 */
 dhtmlXMenuObject.prototype.setItemPosition = function(itemId, pos) {};
/**
 * sets text for the item
 * @id dhtmlXMenuObject.setItemText
 * @class dhtmlXMenuObject
 * @method setItemText
 * @memberOf dhtmlXMenuObject
 * @param {String} itemId itemId - the item&#039;s id
 * @param {String} text text - a new text
 * @example menu.setItemText(itemId, text);
 */
 dhtmlXMenuObject.prototype.setItemText = function(itemId, text) {};
/**
 * sets open mode for the menu
 * @id dhtmlXMenuObject.setOpenMode
 * @class dhtmlXMenuObject
 * @method setOpenMode
 * @memberOf dhtmlXMenuObject
 * @param {String} mode mode - win|web, the default mode is web, in the win mode a user should click anywhere to hide the menu, in the web mode - just put the mouse pointer out of the menu area (string)
 * @example menu.setOpenMode("win"); // or "web"
 */
 dhtmlXMenuObject.prototype.setOpenMode = function(mode) {};
/**
 * limits the maximum number of visible items in polygons
 * @id dhtmlXMenuObject.setOverflowHeight
 * @class dhtmlXMenuObject
 * @method setOverflowHeight
 * @memberOf dhtmlXMenuObject
 * @param {String} itemsNum itemsNum - count of the maximum number of visible items
 * @example menu.setOverflowHeight(itemsNum);
 */
 dhtmlXMenuObject.prototype.setOverflowHeight = function(itemsNum) {};
/**
 * set right-to-left mode
 * @id dhtmlXMenuObject.setRTL
 * @class dhtmlXMenuObject
 * @method setRTL
 * @memberOf dhtmlXMenuObject
 * @param {Boolean} state state - true|false
 * @example 
 *     menu.setRTL(true);
 */
 dhtmlXMenuObject.prototype.setRTL = function(state) {};
/**
 * checks a radio button inside the group
 * @id dhtmlXMenuObject.setRadioChecked
 * @class dhtmlXMenuObject
 * @method setRadioChecked
 * @memberOf dhtmlXMenuObject
 * @param {String} group group - radio button group name
 * @param {String} itemId itemId - radio button&#039;s id
 * @example menu.setRadioChecked(group, itemId);
 */
 dhtmlXMenuObject.prototype.setRadioChecked = function(group, itemId) {};
/**
 * changes menu skin
 * @id dhtmlXMenuObject.setSkin
 * @class dhtmlXMenuObject
 * @method setSkin
 * @memberOf dhtmlXMenuObject
 * @param {String} skin skin - skin name (string)
 * @example menu.setSkin(skin);
 */
 dhtmlXMenuObject.prototype.setSkin = function(skin) {};
/**
 * sets tooltip for a menu item
 * @id dhtmlXMenuObject.setTooltip
 * @class dhtmlXMenuObject
 * @method setTooltip
 * @memberOf dhtmlXMenuObject
 * @param {String} itemId itemId - menu item&#039;s id
 * @param {String} tip tip - tooltip
 * @example menu.setTooltip(itemId, tip);
 */
 dhtmlXMenuObject.prototype.setTooltip = function(itemId, tip) {};
/**
 * set top level additional text (in case of usual menubar)
 * @id dhtmlXMenuObject.setTopText
 * @class dhtmlXMenuObject
 * @method setTopText
 * @memberOf dhtmlXMenuObject
 * @param {String} text text - text
 * @example menu.setTopText(text);
 */
 dhtmlXMenuObject.prototype.setTopText = function(text) {};
/**
 * sets userdata for an item
 * @id dhtmlXMenuObject.setUserData
 * @class dhtmlXMenuObject
 * @method setUserData
 * @memberOf dhtmlXMenuObject
 * @param {String} itemId itemId - the item&#039;s id
 * @param {String} name name - the name of userdata (string)
 * @param {String} value value - the value of userdata (usually string)
 * @example menu.setUserData(itemId, name, value);
 */
 dhtmlXMenuObject.prototype.setUserData = function(itemId, name, value) {};
/**
 * sets the area in which the menu can appear, if the area is not set, the menu will occupy all available visible space
 * @id dhtmlXMenuObject.setVisibleArea
 * @class dhtmlXMenuObject
 * @method setVisibleArea
 * @memberOf dhtmlXMenuObject
 * @param {String} x1 x1, x2 - int, leftmost and rightmost coordinates by x axis
 * @param {String} x2 y1, y2 - int, topmost and bottommost coordinates by y axis
 * @example menu.setVisibleArea(x1, x2, y1, y2);
 */
 dhtmlXMenuObject.prototype.setVisibleArea = function(x1, x2, y1, y2) {};
/**
 * sets hide menu timeout (web mode only)
 * @id dhtmlXMenuObject.setWebModeTimeout
 * @class dhtmlXMenuObject
 * @method setWebModeTimeout
 * @memberOf dhtmlXMenuObject
 * @param {String} tm tm - timeout, ms, 400 default
 * @example menu.setWebModeTimeout(tm);
 */
 dhtmlXMenuObject.prototype.setWebModeTimeout = function(tm) {};
/**
 * usercall to show a contextual menu
 * @id dhtmlXMenuObject.showContextMenu
 * @class dhtmlXMenuObject
 * @method showContextMenu
 * @memberOf dhtmlXMenuObject
 * @param {String} x x - position of the menu on x axis
 * @param {String} y y - position of the menu on y axis
 * @example menu.showContextMenu(x, y);
 */
 dhtmlXMenuObject.prototype.showContextMenu = function(x, y) {};
/**
 * shows an item
 * @id dhtmlXMenuObject.showItem
 * @class dhtmlXMenuObject
 * @method showItem
 * @memberOf dhtmlXMenuObject
 * @param {String} itemId itemId - the item&#039;s id to show
 * @example menu.showItem(itemId);
 */
 dhtmlXMenuObject.prototype.showItem = function(itemId) {};
/**
 * 
 * @id dhtmlXMenuObject.unload
 * @class dhtmlXMenuObject
 * @method unload
 * @memberOf dhtmlXMenuObject
 * @example var menu = new dhtmlXMenuObject();
 *     ...
 *     // unloading menu
 *     menu.unload();
 *     menu = null;
 */
 dhtmlXMenuObject.prototype.unload = function() {};


/**
*
* dhtmlxToolbar object class.
* @id dhtmlxToolbar
* @class dhtmlxToolbar
* @constructor
* @alias dhtmlxToolbar.prototype
 * @return {dhtmlxToolbar}
 */
 function dhtmlxToolbar(){};




/**
 * adds a button to webbar
 * @id dhtmlxToolbar.addButton
 * @class dhtmlxToolbar
 * @method addButton
 * @memberOf dhtmlxToolbar
 * @param {String} id id - id of a button
 * @param {String} pos pos - position of a button
 * @param {String} text text - text for a button (null for no text)
 * @param {String} imgEnabled imgEnabled - image for enabled state (null for no image)
 * @param {String} imgDisabled imgDisabled - image for desabled state (null for no image)
 * @example toolbar.addButton(id, pos, text, imgEnabled, imgDisabled);
 */
 dhtmlxToolbar.prototype.addButton = function(id, pos, text, imgEnabled, imgDisabled) {};
/**
 * adds a select button to webbar
 * @id dhtmlxToolbar.addButtonSelect
 * @class dhtmlxToolbar
 * @method addButtonSelect
 * @memberOf dhtmlxToolbar
 * @param {String} id id - id of a select button
 * @param {String} pos pos - position of a select button
 * @param {String} text text - text for a select button (null for no text)
 * @param {String} opts opts - listed options for a select button
 * @param {String} imgEnabled imgEnabled - image for enabled state (null for no image)
 * @param {String} imgDisabled imgDisabled - image for desabled state (null for no image)
 * @example toolbar.addButtonSelect(id, pos, text, opts, imgEnabled, imgDisabled);
 */
 dhtmlxToolbar.prototype.addButtonSelect = function(id, pos, text, opts, imgEnabled, imgDisabled) {};
/**
 * adds a two-state button to webbar
 * @id dhtmlxToolbar.addButtonTwoState
 * @class dhtmlxToolbar
 * @method addButtonTwoState
 * @memberOf dhtmlxToolbar
 * @param {String} id id - id of a two-state button
 * @param {String} pos pos - position of a two-state button
 * @param {String} text text - text for a two-state button (null for no text)
 * @param {String} imgEnabled imgEnabled - image for enabled state (null for no image)
 * @param {String} imgDisabled imgDisabled - image for desabled state (null for no image)
 * @example toolbar.addButtonTwoState(id, pos, text, imgEnabled, imgDisabled);
 */
 dhtmlxToolbar.prototype.addButtonTwoState = function(id, pos, text, imgEnabled, imgDisabled) {};
/**
 * adds an input item to webbar
 * @id dhtmlxToolbar.addInput
 * @class dhtmlxToolbar
 * @method addInput
 * @memberOf dhtmlxToolbar
 * @param {String} id id - id of an input item
 * @param {String} pos pos - position of an input item
 * @param {String} value value - value (text) in an input item by the default
 * @param {String} width width - width of an input item (px)
 * @example toolbar.addInput(id, pos, value, width);
 */
 dhtmlxToolbar.prototype.addInput = function(id, pos, value, width) {};
/**
 * adds a listed option to a select button
 * @id dhtmlxToolbar.addListOption
 * @class dhtmlxToolbar
 * @method addListOption
 * @memberOf dhtmlxToolbar
 * @param {String} parentId parentId - id of a select button
 * @param {String} optionId optionId - id of a listed option
 * @param {String} pos pos - position of a listed option
 * @param {String} type type - type of a listed option (button|separator)
 * @param {String} text text - text for a listed option
 * @param {String} img img - image for a listed option
 * @example toolbar.addListOption(parentId, optionId, pos, type, text, img);
 */
 dhtmlxToolbar.prototype.addListOption = function(parentId, optionId, pos, type, text, img) {};
/**
 * adds a separator to webbar
 * @id dhtmlxToolbar.addSeparator
 * @class dhtmlxToolbar
 * @method addSeparator
 * @memberOf dhtmlxToolbar
 * @param {String} id id - id of a separator
 * @param {String} pos pos - position of a separator
 * @example toolbar.addSeparator(id, pos);
 */
 dhtmlxToolbar.prototype.addSeparator = function(id, pos) {};
/**
 * adds a slider to webbar
 * @id dhtmlxToolbar.addSlider
 * @class dhtmlxToolbar
 * @method addSlider
 * @memberOf dhtmlxToolbar
 * @param {String} id id - id of a slider
 * @param {String} pos pos - position of a slider
 * @param {String} len len - length (width) of a slider (px)
 * @param {String} valueMin valueMin - minimal available value of a slider
 * @param {String} valueMax valueMax - maximal available value of a slider
 * @param {String} valueNow valueNow - initial current value of a slider
 * @param {String} textMin textMin - label for minimal value side (on the left side)
 * @param {String} textMax textMax - label for maximal value side (on the right side)
 * @param {String} tip tip - tooltip template (%v will replaced with current value)
 * @example toolbar.addSlider(id, pos, len, valueMin, valueMax, valueNow, textMin, textMax, tip);
 */
 dhtmlxToolbar.prototype.addSlider = function(id, pos, len, valueMin, valueMax, valueNow, textMin, textMax, tip) {};
/**
 * adds a text item to webbar
 * @id dhtmlxToolbar.addText
 * @class dhtmlxToolbar
 * @method addText
 * @memberOf dhtmlxToolbar
 * @param {String} id id - id of a text item
 * @param {String} pos pos - position of a text item
 * @param {String} text text - text for a text item
 * @example toolbar.addText(id, pos, text);
 */
 dhtmlxToolbar.prototype.addText = function(id, pos, text) {};
/**
 * attach an event handler to webbar
 * @id dhtmlxToolbar.attachEvent
 * @class dhtmlxToolbar
 * @method attachEvent
 * @memberOf dhtmlxToolbar
 * @param {String} original original - event original name;
 * @param {String} catcher catcher - event handler;
 * @param {Object} CallObj CallObj - object which will call event.
 * @example toolbar.attachEvent("onClick", function(itemId){});
 *     // or
 *     function doOnClick(itemId){
 *         // code here
 *     }
 *     toolbar.attachEvent("onClick", doOnClick);
 */
 dhtmlxToolbar.prototype.attachEvent = function(original, catcher, CallObj) {};
/**
 * returns true if event exists
 * @id dhtmlxToolbar.checkEvent
 * @class dhtmlxToolbar
 * @method checkEvent
 * @memberOf dhtmlxToolbar
 * @param {String} name name - event name
 * @example var isEventExists = toolbar.checkEvent("onClick"); // returns true/false
 */
 dhtmlxToolbar.prototype.checkEvent = function(name) {};
/**
 * 
 * @id dhtmlxToolbar.clearAll
 * @class dhtmlxToolbar
 * @method clearAll
 * @memberOf dhtmlxToolbar
 * @example toolbar.clearAll();
 */
 dhtmlxToolbar.prototype.clearAll = function() {};
/**
 * removes an image of an item in enabled state
 * @id dhtmlxToolbar.clearItemImage
 * @class dhtmlxToolbar
 * @method clearItemImage
 * @memberOf dhtmlxToolbar
 * @param {String} itemId itemId - id of an item
 * @example toolbar.clearItemImage(itemId);
 */
 dhtmlxToolbar.prototype.clearItemImage = function(itemId) {};
/**
 * removes an image of an item in disabled state
 * @id dhtmlxToolbar.clearItemImageDis
 * @class dhtmlxToolbar
 * @method clearItemImageDis
 * @memberOf dhtmlxToolbar
 * @param {String} itemId itemId - id of an item
 * @example toolbar.clearItemImageDis(itemId);
 */
 dhtmlxToolbar.prototype.clearItemImageDis = function(itemId) {};
/**
 * removes an image (if exists) of a listed option
 * @id dhtmlxToolbar.clearListOptionImage
 * @class dhtmlxToolbar
 * @method clearListOptionImage
 * @memberOf dhtmlxToolbar
 * @param {String} parentId parentId - id of a select button
 * @param {String} optionId optionId - id of a listed option
 * @example toolbar.clearListOptionImage(parentId, optionId);
 */
 dhtmlxToolbar.prototype.clearListOptionImage = function(parentId, optionId) {};
/**
 * removes an event handler
 * @id dhtmlxToolbar.detachEvent
 * @class dhtmlxToolbar
 * @method detachEvent
 * @memberOf dhtmlxToolbar
 * @param {String} id id - event id
 * @example var id = toolbar.attachEvent("onClick", function(itemId){});
 *     // detaching event
 *     toolbar.detachEvent(id);
 */
 dhtmlxToolbar.prototype.detachEvent = function(id) {};
/**
 * disables a specified item
 * @id dhtmlxToolbar.disableItem
 * @class dhtmlxToolbar
 * @method disableItem
 * @memberOf dhtmlxToolbar
 * @param {String} itemId itemId - id of an item to disable
 * @example toolbar.disableItem(itemId);
 */
 dhtmlxToolbar.prototype.disableItem = function(itemId) {};
/**
 * disables a listed option
 * @id dhtmlxToolbar.disableListOption
 * @class dhtmlxToolbar
 * @method disableListOption
 * @memberOf dhtmlxToolbar
 * @param {String} parentId parentId - id of a select button
 * @param {String} optionId optionId - id of a listed option
 * @example toolbar.disableListOption(parentId, optionId);
 */
 dhtmlxToolbar.prototype.disableListOption = function(parentId, optionId) {};
/**
 * enables a specified item
 * @id dhtmlxToolbar.enableItem
 * @class dhtmlxToolbar
 * @method enableItem
 * @memberOf dhtmlxToolbar
 * @param {String} itemId itemId - id of an item to enable
 * @example toolbar.enableItem(itemId);
 */
 dhtmlxToolbar.prototype.enableItem = function(itemId) {};
/**
 * enables a listed option
 * @id dhtmlxToolbar.enableListOption
 * @class dhtmlxToolbar
 * @method enableListOption
 * @memberOf dhtmlxToolbar
 * @param {String} parentId parentId - id of a select button
 * @param {String} optionId optionId - id of a listed option
 * @example toolbar.enableListOption(parentId, optionId);
 */
 dhtmlxToolbar.prototype.enableListOption = function(parentId, optionId) {};
/**
 * iterator, calls user handler for each item
 * @id dhtmlxToolbar.forEachItem
 * @class dhtmlxToolbar
 * @method forEachItem
 * @memberOf dhtmlxToolbar
 * @param {String} handler handler - user function, will take item id as an argument
 * @example toolbar.forEachItem(function(itemId){
 *         // code here
 *     });
 *     // or
 *     function doWithItem(itemId){
 *         // code here
 *     }
 *     toolbar.forEachItem(doWithItem);
 */
 dhtmlxToolbar.prototype.forEachItem = function(handler) {};
/**
 * calls user defined handler for each listed option of parentId
 * @id dhtmlxToolbar.forEachListOption
 * @class dhtmlxToolbar
 * @method forEachListOption
 * @memberOf dhtmlxToolbar
 * @param {String} parentId parentId - id of a select button
 * @param {String} handler handler - user defined function, listed option id will passed as an argument
 * @example toolbar.forEachListOption(parentId, function(optionId){
 *         // code here
 *     });
 *     // or
 *     function doWithListOption(optionId){
 *         // code here
 *     }
 *     toolbar.forEachListOption(parentId, doWithListOption);
 */
 dhtmlxToolbar.prototype.forEachListOption = function(parentId, handler) {};
/**
 * returns array with ids of all listed options for parentId
 * @id dhtmlxToolbar.getAllListOptions
 * @class dhtmlxToolbar
 * @method getAllListOptions
 * @memberOf dhtmlxToolbar
 * @param {String} parentId parentId - id of a select button
 * @example toolbar.getAllListOptions(parentId);
 */
 dhtmlxToolbar.prototype.getAllListOptions = function(parentId) {};
/**
 * returns current state of a two-state button
 * @id dhtmlxToolbar.getItemState
 * @class dhtmlxToolbar
 * @method getItemState
 * @memberOf dhtmlxToolbar
 * @param {String} itemId itemId - id of a two-state item to check
 * @example var isPressed = toolbar.getItemState(itemId); // returns true/false
 */
 dhtmlxToolbar.prototype.getItemState = function(itemId) {};
/**
 * return cureent item&#039;s text
 * @id dhtmlxToolbar.getItemText
 * @class dhtmlxToolbar
 * @method getItemText
 * @memberOf dhtmlxToolbar
 * @param {String} itemId itemId - id of an item
 * @example var text = toolbar.getItemText(itemId);
 */
 dhtmlxToolbar.prototype.getItemText = function(itemId) {};
/**
 * return current item&#039;s tooltip
 * @id dhtmlxToolbar.getItemToolTip
 * @class dhtmlxToolbar
 * @method getItemToolTip
 * @memberOf dhtmlxToolbar
 * @param {String} itemId itemId - id of an item
 * @example var tip = toolbar.getItemToolTip(itemId);
 */
 dhtmlxToolbar.prototype.getItemToolTip = function(itemId) {};
/**
 * returns a current tooltip template of a slider
 * @id dhtmlxToolbar.getItemToolTipTemplate
 * @class dhtmlxToolbar
 * @method getItemToolTipTemplate
 * @memberOf dhtmlxToolbar
 * @param {String} itemId itemId - id of a slider
 * @example var tipTemplate = toolbar.getItemToolTipTemplate(itemId);
 */
 dhtmlxToolbar.prototype.getItemToolTipTemplate = function(itemId) {};
/**
 * returns an image of a listed option
 * @id dhtmlxToolbar.getListOptionImage
 * @class dhtmlxToolbar
 * @method getListOptionImage
 * @memberOf dhtmlxToolbar
 * @param {String} parentId parentId - id of a select button
 * @param {String} optionId optionId - id of a listed option
 * @example var imgSrc = toolbar.getListOptionImage(parentId, optionId);
 */
 dhtmlxToolbar.prototype.getListOptionImage = function(parentId, optionId) {};
/**
 * returns a position of a listed option
 * @id dhtmlxToolbar.getListOptionPosition
 * @class dhtmlxToolbar
 * @method getListOptionPosition
 * @memberOf dhtmlxToolbar
 * @param {String} parentId parentId - id of a select button
 * @param {String} optionId optionId - id of a listed option
 * @example var pos = toolbar.getListOptionPosition(parentId, optionId);
 */
 dhtmlxToolbar.prototype.getListOptionPosition = function(parentId, optionId) {};
/**
 * returns selected listed option
 * @id dhtmlxToolbar.getListOptionSelected
 * @class dhtmlxToolbar
 * @method getListOptionSelected
 * @memberOf dhtmlxToolbar
 * @param {String} parentId parentId - id of a select button
 * @example var selectedId = toolbar.getListOptionSelected(parentId);
 */
 dhtmlxToolbar.prototype.getListOptionSelected = function(parentId) {};
/**
 * returns a text of a listed option
 * @id dhtmlxToolbar.getListOptionText
 * @class dhtmlxToolbar
 * @method getListOptionText
 * @memberOf dhtmlxToolbar
 * @param {String} parentId parentId - id of a select button
 * @param {String} optionId optionId - id of a listed option
 * @example var text = toolbar.getListOptionText(parentId, optionId);
 */
 dhtmlxToolbar.prototype.getListOptionText = function(parentId, optionId) {};
/**
 * returns a tooltip of a listed option
 * @id dhtmlxToolbar.getListOptionToolTip
 * @class dhtmlxToolbar
 * @method getListOptionToolTip
 * @memberOf dhtmlxToolbar
 * @param {String} parentId parentId - id of a select button
 * @param {String} optionId optionId - id of a listed option
 * @example var tip = toolbar.getListOptionToolTip(parentId, optionId);
 */
 dhtmlxToolbar.prototype.getListOptionToolTip = function(parentId, optionId) {};
/**
 * returns current maximal value and label of a slider
 * @id dhtmlxToolbar.getMaxValue
 * @class dhtmlxToolbar
 * @method getMaxValue
 * @memberOf dhtmlxToolbar
 * @param {String} itemId itemId - id of a slider
 * @example var maxVal = toolbar.getMaxValue(itemId); // returns [maxValue, maxLabel]
 */
 dhtmlxToolbar.prototype.getMaxValue = function(itemId) {};
/**
 * return current minimal value and label of a slider
 * @id dhtmlxToolbar.getMinValue
 * @class dhtmlxToolbar
 * @method getMinValue
 * @memberOf dhtmlxToolbar
 * @param {String} itemId itemId - id of a slider
 * @example var minVal = toolbar.getMinValue(itemId); // returns [minValue, minLabel]
 */
 dhtmlxToolbar.prototype.getMinValue = function(itemId) {};
/**
 * returns a current position of an item
 * @id dhtmlxToolbar.getPosition
 * @class dhtmlxToolbar
 * @method getPosition
 * @memberOf dhtmlxToolbar
 * @param {String} itemId itemId - id of an item
 * @example var pos = toolbar.getPosition(itemId);
 */
 dhtmlxToolbar.prototype.getPosition = function(itemId) {};
/**
 * return item type by item id (string)
 * @id dhtmlxToolbar.getType
 * @class dhtmlxToolbar
 * @method getType
 * @memberOf dhtmlxToolbar
 * @param {String} itemId itemId
 * @example var type = toolbar.getType(itemId);
 */
 dhtmlxToolbar.prototype.getType = function(itemId) {};
/**
 * return extended item type by item id (button select node)
 * @id dhtmlxToolbar.getTypeExt
 * @class dhtmlxToolbar
 * @method getTypeExt
 * @memberOf dhtmlxToolbar
 * @param {String} itemId itemId
 * @example var typeExt = toolbar.getTypeExt(itemId);
 */
 dhtmlxToolbar.prototype.getTypeExt = function(itemId) {};
/**
 * returns a current value of a slider or an input item
 * @id dhtmlxToolbar.getValue
 * @class dhtmlxToolbar
 * @method getValue
 * @memberOf dhtmlxToolbar
 * @param {String} itemId itemId - id of a slider or an input item
 * @example 
 */
 dhtmlxToolbar.prototype.getValue = function(itemId) {};
/**
 * returns a current width of an input item
 * @id dhtmlxToolbar.getWidth
 * @class dhtmlxToolbar
 * @method getWidth
 * @memberOf dhtmlxToolbar
 * @param {String} itemId itemId - id of an input item
 * @example var width = toolbar.getWidth(itemId);
 */
 dhtmlxToolbar.prototype.getWidth = function(itemId) {};
/**
 * hides a specified item
 * @id dhtmlxToolbar.hideItem
 * @class dhtmlxToolbar
 * @method hideItem
 * @memberOf dhtmlxToolbar
 * @param {String} itemId itemId - id of an item to hide
 * @example toolbar.hideItem(itemId);
 */
 dhtmlxToolbar.prototype.hideItem = function(itemId) {};
/**
 * hides a listed option
 * @id dhtmlxToolbar.hideListOption
 * @class dhtmlxToolbar
 * @method hideListOption
 * @memberOf dhtmlxToolbar
 * @param {String} parentId parentId - id of a select button
 * @param {String} optionId optionId - id of a listed option
 * @example toolbar.hideListOption(parentId, optionId);
 */
 dhtmlxToolbar.prototype.hideListOption = function(parentId, optionId) {};
/**
 * returns true if a specified item is enabled
 * @id dhtmlxToolbar.isEnabled
 * @class dhtmlxToolbar
 * @method isEnabled
 * @memberOf dhtmlxToolbar
 * @param {String} itemId itemId - id of an item to check
 * @example var isEn = toolbar.isEnabled(itemId); // returns true/false
 */
 dhtmlxToolbar.prototype.isEnabled = function(itemId) {};
/**
 * return true if a listed option is enabled
 * @id dhtmlxToolbar.isListOptionEnabled
 * @class dhtmlxToolbar
 * @method isListOptionEnabled
 * @memberOf dhtmlxToolbar
 * @param {String} parentId parentId - id of a select button
 * @param {String} optionId optionId - id of a listed option
 * @example var isOptEn = toolbar.isListOptionEnabled(parentId, optionId); // returns true/false
 */
 dhtmlxToolbar.prototype.isListOptionEnabled = function(parentId, optionId) {};
/**
 * return true if a listed option is visible
 * @id dhtmlxToolbar.isListOptionVisible
 * @class dhtmlxToolbar
 * @method isListOptionVisible
 * @memberOf dhtmlxToolbar
 * @param {String} parentId parentId - id of a select button
 * @param {String} optionId optionId - id of a listed option
 * @example var isOptVis = toolbar.isListOptionVisible(parentId, optionId); // returns true/false
 */
 dhtmlxToolbar.prototype.isListOptionVisible = function(parentId, optionId) {};
/**
 * returns true if a specified item is visible
 * @id dhtmlxToolbar.isVisible
 * @class dhtmlxToolbar
 * @method isVisible
 * @memberOf dhtmlxToolbar
 * @param {String} itemId itemId - id of an item to check
 * @example var isVis = toolbar.isVisible(itemId); // returns true/false
 */
 dhtmlxToolbar.prototype.isVisible = function(itemId) {};
/**
 * loads data to object from xml file
 * @id dhtmlxToolbar.loadXML
 * @class dhtmlxToolbar
 * @method loadXML
 * @memberOf dhtmlxToolbar
 * @param {String} xmlFile xmlFile - file with dta to load
 * @param {String} onLoadFunction onLoadFunction - function to call after data will loaded
 * @example toolbar.loadXML("file.xml", function(){
 *         // code here
 *     });
 *     // or
 *     function doOnLoad(){
 *         // code here
 *     }
 *     toolbar.loadXML("file.xml", doOnLoad);
 */
 dhtmlxToolbar.prototype.loadXML = function(xmlFile, onLoadFunction) {};
/**
 * loads data to object from xml string
 * @id dhtmlxToolbar.loadXMLString
 * @class dhtmlxToolbar
 * @method loadXMLString
 * @memberOf dhtmlxToolbar
 * @param {String} xmlString xmlString - xml string with data to load
 * @param {String} onLoadFunction onLoadFunction - function to call after data will loaded
 * @example var xmlStr = "<toolbar><item id='item_a' text='text_a'/><item id=...";
 *     toolbar.loadXMLString(xmlStr, function(){
 *         // code here
 *     });
 *     // or
 *     function doOnLoad(){
 *         // code here
 *     }
 *     toolbar.loadXMLString(xmlStr, doOnLoad);
 */
 dhtmlxToolbar.prototype.loadXMLString = function(xmlString, onLoadFunction) {};
/**
 * completely removes an item for a webbar
 * @id dhtmlxToolbar.removeItem
 * @class dhtmlxToolbar
 * @method removeItem
 * @memberOf dhtmlxToolbar
 * @param {String} itemId itemId - id of an item
 * @example toolbar.removeItem(itemId);
 */
 dhtmlxToolbar.prototype.removeItem = function(itemId) {};
/**
 * completely removes a listed option from a select button
 * @id dhtmlxToolbar.removeListOption
 * @class dhtmlxToolbar
 * @method removeListOption
 * @memberOf dhtmlxToolbar
 * @param {String} parentId parentId - id of a select button
 * @param {String} optionId optionId - id of a listed option
 * @example toolbar.removeListOption(parentId, optionId);
 */
 dhtmlxToolbar.prototype.removeListOption = function(parentId, optionId) {};
/**
 * set path to used images
 * @id dhtmlxToolbar.setIconsPath
 * @class dhtmlxToolbar
 * @method setIconsPath
 * @memberOf dhtmlxToolbar
 * @param {String} path path - path to images on harddisk
 * @example toolbar.setIconsPath("path/to/icons/");
 */
 dhtmlxToolbar.prototype.setIconsPath = function(path) {};
/**
 * set path to used images
 * @id dhtmlxToolbar.setIconsPath
 * @class dhtmlxToolbar
 * @method setIconsPath
 * @memberOf dhtmlxToolbar
 * @param {String} path path - path to images on harddisk
 * @example toolbar.setIconsPath("path/to/icons/");
 */
 dhtmlxToolbar.prototype.setIconsPath = function(path) {};
/**
 * sets an image for an item in enabled state
 * @id dhtmlxToolbar.setItemImage
 * @class dhtmlxToolbar
 * @method setItemImage
 * @memberOf dhtmlxToolbar
 * @param {String} itemId itemId - id of an item
 * @param {String} url url - url of an image
 * @example toolbar.setItemImage(itemId, url);
 */
 dhtmlxToolbar.prototype.setItemImage = function(itemId, url) {};
/**
 * sets an image for an item in disabled state
 * @id dhtmlxToolbar.setItemImageDis
 * @class dhtmlxToolbar
 * @method setItemImageDis
 * @memberOf dhtmlxToolbar
 * @param {String} itemId itemId - id of an item
 * @param {String} url url - url of an image
 * @example toolbar.setItemImageDis(itemId, url);
 */
 dhtmlxToolbar.prototype.setItemImageDis = function(itemId, url) {};
/**
 * sets a pressed/released state for a two-state button
 * @id dhtmlxToolbar.setItemState
 * @class dhtmlxToolbar
 * @method setItemState
 * @memberOf dhtmlxToolbar
 * @param {String} itemId itemId - id of a two-state item
 * @param {Boolean} state state - state, true for pressed, false for released
 * @example toolbar.setItemState(itemId, state); // state = true/false
 */
 dhtmlxToolbar.prototype.setItemState = function(itemId, state) {};
/**
 * sets new text for an item
 * @id dhtmlxToolbar.setItemText
 * @class dhtmlxToolbar
 * @method setItemText
 * @memberOf dhtmlxToolbar
 * @param {String} itemId itemId - id of an item
 * @param {String} text text - new text for an item
 * @example toolbar.setItemText(itemId, text);
 */
 dhtmlxToolbar.prototype.setItemText = function(itemId, text) {};
/**
 * sets a tooltip for an item
 * @id dhtmlxToolbar.setItemToolTip
 * @class dhtmlxToolbar
 * @method setItemToolTip
 * @memberOf dhtmlxToolbar
 * @param {String} itemId itemId - id of an item
 * @param {String} tip tip - tooltip (empty for clear)
 * @example toolbar.setItemToolTip(itemId, tip);
 */
 dhtmlxToolbar.prototype.setItemToolTip = function(itemId, tip) {};
/**
 * sets a tooltip template for a slider
 * @id dhtmlxToolbar.setItemToolTipTemplate
 * @class dhtmlxToolbar
 * @method setItemToolTipTemplate
 * @memberOf dhtmlxToolbar
 * @param {String} itemId itemId - id of a slider
 * @param {String} template template - tooltip template (%v will replaced with current value)
 * @example toolbar.setItemToolTipTemplate(itemId, template);
 */
 dhtmlxToolbar.prototype.setItemToolTipTemplate = function(itemId, template) {};
/**
 * sets an image for a listed option
 * @id dhtmlxToolbar.setListOptionImage
 * @class dhtmlxToolbar
 * @method setListOptionImage
 * @memberOf dhtmlxToolbar
 * @param {String} parentId parentId - id of a select button
 * @param {String} optionId optionId - id of a listed option
 * @param {String} img img - image for a listed option
 * @example toolbar.setListOptionImage(parentId, optionId, img);
 */
 dhtmlxToolbar.prototype.setListOptionImage = function(parentId, optionId, img) {};
/**
 * sets a position of a listed option (moves listed option)
 * @id dhtmlxToolbar.setListOptionPosition
 * @class dhtmlxToolbar
 * @method setListOptionPosition
 * @memberOf dhtmlxToolbar
 * @param {String} parentId parentId - id of a select button
 * @param {String} optionId optionId - id of a listed option
 * @param {String} pos pos - position of a listed option
 * @example toolbar.setListOptionPosition(parentId, optionId, pos);
 */
 dhtmlxToolbar.prototype.setListOptionPosition = function(parentId, optionId, pos) {};
/**
 * sets listed option selected
 * @id dhtmlxToolbar.setListOptionSelected
 * @class dhtmlxToolbar
 * @method setListOptionSelected
 * @memberOf dhtmlxToolbar
 * @param {String} parentId parentId - id of a select button
 * @param {String} optionId optionId - id of a listed option
 * @example toolbar.setListOptionSelected(parentId, optionId);
 */
 dhtmlxToolbar.prototype.setListOptionSelected = function(parentId, optionId) {};
/**
 * sets a text for a listed option
 * @id dhtmlxToolbar.setListOptionText
 * @class dhtmlxToolbar
 * @method setListOptionText
 * @memberOf dhtmlxToolbar
 * @param {String} parentId parentId - id of a select button
 * @param {String} optionId optionId - id of a listed option
 * @param {String} text text - text for a listed option
 * @example toolbar.setListOptionText(parentId, optionId, text);
 */
 dhtmlxToolbar.prototype.setListOptionText = function(parentId, optionId, text) {};
/**
 * sets a tooltip for a listed option
 * @id dhtmlxToolbar.setListOptionToolTip
 * @class dhtmlxToolbar
 * @method setListOptionToolTip
 * @memberOf dhtmlxToolbar
 * @param {String} parentId parentId - id of a select button
 * @param {String} optionId optionId - id of a listed option
 * @param {String} tip tip - tooltip for a listed option
 * @example toolbar.setListOptionToolTip(parentId, optionId, tip);
 */
 dhtmlxToolbar.prototype.setListOptionToolTip = function(parentId, optionId, tip) {};
/**
 * sets maximal value and label for a slider
 * @id dhtmlxToolbar.setMaxValue
 * @class dhtmlxToolbar
 * @method setMaxValue
 * @memberOf dhtmlxToolbar
 * @param {String} itemId itemId - id of a slider
 * @param {String} value value - value (int)
 * @param {String} label label - label for value (empty for no label)
 * @example toolbar.setMaxValue(itemId, value, label);
 */
 dhtmlxToolbar.prototype.setMaxValue = function(itemId, value, label) {};
/**
 * sets minimal value and label for a slider
 * @id dhtmlxToolbar.setMinValue
 * @class dhtmlxToolbar
 * @method setMinValue
 * @memberOf dhtmlxToolbar
 * @param {String} itemId itemId - id of a slider
 * @param {String} value value - value (int)
 * @param {String} label label - label for value (empty for no label)
 * @example toolbar.setMinValue(itemId, value, label);
 */
 dhtmlxToolbar.prototype.setMinValue = function(itemId, value, label) {};
/**
 * sets a new position for an item (moves item to desired position)
 * @id dhtmlxToolbar.setPosition
 * @class dhtmlxToolbar
 * @method setPosition
 * @memberOf dhtmlxToolbar
 * @param {String} itemId itemId - id of an item
 * @param {String} pos pos - new position
 * @example toolbar.setPosition(itemId, pos);
 */
 dhtmlxToolbar.prototype.setPosition = function(itemId, pos) {};
/**
 * enables rtl mode for toolbar
 * @id dhtmlxToolbar.setRTL
 * @class dhtmlxToolbar
 * @method setRTL
 * @memberOf dhtmlxToolbar
 * @param {Boolean} state state - true/false
 * @example toolbar.setRTL(state); // state = true/false
 */
 dhtmlxToolbar.prototype.setRTL = function(state) {};
/**
 * sets skin on the fly
 * @id dhtmlxToolbar.setSkin
 * @class dhtmlxToolbar
 * @method setSkin
 * @memberOf dhtmlxToolbar
 * @param {String} name name - skin name (string)
 * @example toolbar.setSkin(name);
 */
 dhtmlxToolbar.prototype.setSkin = function(name) {};
/**
 * sets a value for a slider or an input item
 * @id dhtmlxToolbar.setValue
 * @class dhtmlxToolbar
 * @method setValue
 * @memberOf dhtmlxToolbar
 * @param {String} itemId itemId - id of a slider or an input item
 * @param {String} value value - value (int for slider, any for input item)
 * @param {Boolean} CallEvent CallEvent - true/false, call "onValueChanged" event for slider
 * @example toolbar.setValue(itemId, value, CallEvent);
 */
 dhtmlxToolbar.prototype.setValue = function(itemId, value, CallEvent) {};
/**
 * sets a width for an text/input/buttonSelect item
 * @id dhtmlxToolbar.setWidth
 * @class dhtmlxToolbar
 * @method setWidth
 * @memberOf dhtmlxToolbar
 * @param {String} itemId itemId - id of an text/input/buttonSelect item
 * @param {String} width width - new width (px)
 * @example toolbar.setWidth(itemId, width);
 */
 dhtmlxToolbar.prototype.setWidth = function(itemId, width) {};
/**
 * shows a specified item
 * @id dhtmlxToolbar.showItem
 * @class dhtmlxToolbar
 * @method showItem
 * @memberOf dhtmlxToolbar
 * @param {String} itemId itemId - id of an item to show
 * @example toolbar.showItem(itemId);
 */
 dhtmlxToolbar.prototype.showItem = function(itemId) {};
/**
 * shows a listed option
 * @id dhtmlxToolbar.showListOption
 * @class dhtmlxToolbar
 * @method showListOption
 * @memberOf dhtmlxToolbar
 * @param {String} parentId parentId - id of a select button
 * @param {String} optionId optionId - id of a listed option
 * @example toolbar.showListOption(parentId, optionId);
 */
 dhtmlxToolbar.prototype.showListOption = function(parentId, optionId) {};
/**
 * 
 * @id dhtmlxToolbar.unload
 * @class dhtmlxToolbar
 * @method unload
 * @memberOf dhtmlxToolbar
 * @example var toolbar = new dhtmlXToolbarObject();
 *     ...
 *     // unloading
 *     toolbar.unload();
 *     toolbar = null;
 */
 dhtmlxToolbar.prototype.unload = function() {};


/**
*
* dhtmlXCombo object class.
* @id dhtmlXCombo
* @class dhtmlXCombo
* @constructor
* @alias dhtmlXCombo.prototype
 * @return {dhtmlXCombo}
 */
 function dhtmlXCombo(){};




/**
 * add new option
 * @id dhtmlXCombo.addOption
 * @class dhtmlXCombo
 * @method addOption
 * @memberOf dhtmlXCombo
 * @param {String} options value - (variable) - different input for different kinds of options - please refer to examples
 * @example 
 */
 dhtmlXCombo.prototype.addOption = function(options) {};
/**
 * adds any user-defined handler to available events
 * @id dhtmlXCombo.attachEvent 
 * @class dhtmlXCombo
 * @method attachEvent 
 * @memberOf dhtmlXCombo
 * @param {String} evName evName - name of the event;
 * @example combo.attachEvent(evName, evHandler);
 */
 dhtmlXCombo.prototype.attachEvent  = function(evName, evHandler) {};
/**
 * 
 * @id dhtmlXCombo.bind
 * @class dhtmlXCombo
 * @method bind
 * @memberOf dhtmlXCombo
 * @param {Object} [target] target - (object) the object that method is assigned to (optional)
 * @param {String} [rule] rule - (function) sets the rule according which components will be bound (optional)
 * @example mycombo.bind(mygrid);
 */
 dhtmlXCombo.prototype.bind = function(target, rule) {};
/**
 * clear all options from combobox
 * @id dhtmlXCombo.clearAll
 * @class dhtmlXCombo
 * @method clearAll
 * @memberOf dhtmlXCombo
 * @param {String} all value - (bool) clear current value as well
 * @example 
 */
 dhtmlXCombo.prototype.clearAll = function(all) {};
/**
 * 
 * @id dhtmlXCombo.closeAll
 * @class dhtmlXCombo
 * @method closeAll
 * @memberOf dhtmlXCombo
 * @example 
 */
 dhtmlXCombo.prototype.closeAll = function() {};
/**
 * 
 * @id dhtmlXCombo.confirmValue
 * @class dhtmlXCombo
 * @method confirmValue
 * @memberOf dhtmlXCombo
 * @example <form action="cities.php" method="POST" onsubmit="confirmComboValue()">
 *    <div id="combo_container" style="width:200px; height:30px;"></div>
 *    <input type="submit" />
 * </form>
 * 
 * <script>
 *      var combo = new dhtmlXCombo("combo_container","state",200);
 *      combo.loadXML("get_states.php");
 * 
 *      function confirmComboValue(){
 *          combo.confirmValue();
 *      }
 * </script>
 */
 dhtmlXCombo.prototype.confirmValue = function() {};
/**
 * delete option by value
 * @id dhtmlXCombo.deleteOption
 * @class dhtmlXCombo
 * @method deleteOption
 * @memberOf dhtmlXCombo
 * @param {String} value value - (string) value of option in question
 * @example 
 */
 dhtmlXCombo.prototype.deleteOption = function(value) {};
/**
 * 
 * @id dhtmlXCombo.destructor
 * @class dhtmlXCombo
 * @method destructor
 * @memberOf dhtmlXCombo
 * @example 
 */
 dhtmlXCombo.prototype.destructor = function() {};
/**
 * 
 * @id dhtmlXCombo.detachEvent 
 * @class dhtmlXCombo
 * @method detachEvent 
 * @memberOf dhtmlXCombo
 * @param {String} id id - event id
 * @example combo.detachEvent(id);
 */
 dhtmlXCombo.prototype.detachEvent  = function(id) {};
/**
 * disable combobox
 * @id dhtmlXCombo.disable
 * @class dhtmlXCombo
 * @method disable
 * @memberOf dhtmlXCombo
 * @param {String} mode mode - (boolean) disable combobox
 * @example 
 */
 dhtmlXCombo.prototype.disable = function(mode) {};
/**
 * switch between combobox and auto-filter modes
 * @id dhtmlXCombo.enableFilteringMode
 * @class dhtmlXCombo
 * @method enableFilteringMode
 * @memberOf dhtmlXCombo
 * @param {String} mode mode - (boolean) enable filtering mode
 * @param {String} [url] url - (string) url for filtering from XML, optional
 * @param {String} [cache] cache - (boolean) XML caching, optional
 * @param {String} [autosubload] autosubload - (boolean) enable auto load additional suggestions on selecting last loaded option
 * @example 
 */
 dhtmlXCombo.prototype.enableFilteringMode = function(mode,url,cache,autosubload) {};
/**
 * enables or disables list auto height
 * @id dhtmlXCombo.enableOptionAutoHeight
 * @class dhtmlXCombo
 * @method enableOptionAutoHeight
 * @memberOf dhtmlXCombo
 * @param {Boolean} fl flag - (boolean) true/false
 * @param {String} maxHeight maxHeight - (int) height limitation (if a list height is bigger than maxHeight, a vertical scroll appears)
 * @example 
 */
 dhtmlXCombo.prototype.enableOptionAutoHeight = function(fl,maxHeight) {};
/**
 * enables or disables options auto positioning
 * @id dhtmlXCombo.enableOptionAutoPositioning
 * @class dhtmlXCombo
 * @method enableOptionAutoPositioning
 * @memberOf dhtmlXCombo
 * @param {Boolean} fl flag - (boolean) true/false
 * @example 
 */
 dhtmlXCombo.prototype.enableOptionAutoPositioning = function(fl) {};
/**
 * enables or disables options auto width
 * @id dhtmlXCombo.enableOptionAutoWidth
 * @class dhtmlXCombo
 * @method enableOptionAutoWidth
 * @memberOf dhtmlXCombo
 * @param {Boolean} fl flag - (boolean) true/false
 * @example 
 */
 dhtmlXCombo.prototype.enableOptionAutoWidth = function(fl) {};
/**
 * 
 * @id dhtmlXCombo.getActualValue
 * @class dhtmlXCombo
 * @method getActualValue
 * @memberOf dhtmlXCombo
 * @example 
 */
 dhtmlXCombo.prototype.getActualValue = function() {};
/**
 * 
 * @id dhtmlXCombo.getChecked
 * @class dhtmlXCombo
 * @method getChecked
 * @memberOf dhtmlXCombo
 * @example 
 */
 dhtmlXCombo.prototype.getChecked = function() {};
/**
 * 
 * @id dhtmlXCombo.getComboText
 * @class dhtmlXCombo
 * @method getComboText
 * @memberOf dhtmlXCombo
 * @example 
 */
 dhtmlXCombo.prototype.getComboText = function() {};
/**
 * return index of item by value
 * @id dhtmlXCombo.getIndexByValue
 * @class dhtmlXCombo
 * @method getIndexByValue
 * @memberOf dhtmlXCombo
 * @param {String} val value - (string) value of option in question
 * @example 
 */
 dhtmlXCombo.prototype.getIndexByValue = function(val) {};
/**
 * get Option by value
 * @id dhtmlXCombo.getOption
 * @class dhtmlXCombo
 * @method getOption
 * @memberOf dhtmlXCombo
 * @param {String} value value - (string) value of option in question
 * @example 
 */
 dhtmlXCombo.prototype.getOption = function(value) {};
/**
 * get Option by index
 * @id dhtmlXCombo.getOptionByIndex
 * @class dhtmlXCombo
 * @method getOptionByIndex
 * @memberOf dhtmlXCombo
 * @param {Number} ind ind - (int) index of option in question
 * @example 
 */
 dhtmlXCombo.prototype.getOptionByIndex = function(ind) {};
/**
 * get Option by label
 * @id dhtmlXCombo.getOptionByLabel
 * @class dhtmlXCombo
 * @method getOptionByLabel
 * @memberOf dhtmlXCombo
 * @param {String} value label - (string) label of option in question
 * @example 
 */
 dhtmlXCombo.prototype.getOptionByLabel = function(value) {};
/**
 * 
 * @id dhtmlXCombo.getSelectedIndex
 * @class dhtmlXCombo
 * @method getSelectedIndex
 * @memberOf dhtmlXCombo
 * @example 
 */
 dhtmlXCombo.prototype.getSelectedIndex = function() {};
/**
 * 
 * @id dhtmlXCombo.getSelectedText
 * @class dhtmlXCombo
 * @method getSelectedText
 * @memberOf dhtmlXCombo
 * @example 
 */
 dhtmlXCombo.prototype.getSelectedText = function() {};
/**
 * 
 * @id dhtmlXCombo.getSelectedValue
 * @class dhtmlXCombo
 * @method getSelectedValue
 * @memberOf dhtmlXCombo
 * @example 
 */
 dhtmlXCombo.prototype.getSelectedValue = function() {};
/**
 * 
 * @id dhtmlXCombo.loadXML
 * @class dhtmlXCombo
 * @method loadXML
 * @memberOf dhtmlXCombo
 * @param {String} url url - (string) xml url
 * @example 
 */
 dhtmlXCombo.prototype.loadXML = function(url,afterCall) {};
/**
 * 
 * @id dhtmlXCombo.loadXMLString
 * @class dhtmlXCombo
 * @method loadXMLString
 * @memberOf dhtmlXCombo
 * @param {String} astring astring - (string) xml string
 * @example 
 */
 dhtmlXCombo.prototype.loadXMLString = function(astring) {};
/**
 * 
 * @id dhtmlXCombo.openSelect
 * @class dhtmlXCombo
 * @method openSelect
 * @memberOf dhtmlXCombo
 * @example 
 */
 dhtmlXCombo.prototype.openSelect = function() {};
/**
 * switch to readonly mode
 * @id dhtmlXCombo.readonly
 * @class dhtmlXCombo
 * @method readonly
 * @memberOf dhtmlXCombo
 * @param {String} mode mode - (boolean) readonly mode
 * @param {String} autosearch autosearch - (boolean) true by default
 * @example 
 */
 dhtmlXCombo.prototype.readonly = function(mode,autosearch) {};
/**
 * enable/disable immideatly rendering after changes in combobox
 * @id dhtmlXCombo.render
 * @class dhtmlXCombo
 * @method render
 * @memberOf dhtmlXCombo
 * @param {String} mode mode - (boolean) enable/disable
 * @example 
 */
 dhtmlXCombo.prototype.render = function(mode) {};
/**
 * select option
 * @id dhtmlXCombo.selectOption
 * @class dhtmlXCombo
 * @method selectOption
 * @memberOf dhtmlXCombo
 * @param {Number} ind ind - (int) index of option in question
 * @param {String} [filter] filter - (boolean) enable autocomplit range, optional
 * @param {Boolean} [conf] conf - (boolean) true for real selection, false for pre-selection
 * @example 
 */
 dhtmlXCombo.prototype.selectOption = function(ind,filter,conf) {};
/**
 * sets option checked
 * @id dhtmlXCombo.setChecked
 * @class dhtmlXCombo
 * @method setChecked
 * @memberOf dhtmlXCombo
 * @param {Number} index index - option index
 * @example 
 */
 dhtmlXCombo.prototype.setChecked = function(index,mode) {};
/**
 * set text in covmbobox
 * @id dhtmlXCombo.setComboText
 * @class dhtmlXCombo
 * @method setComboText
 * @memberOf dhtmlXCombo
 * @param {String} text text - (string) new text label
 * @example 
 */
 dhtmlXCombo.prototype.setComboText = function(text) {};
/**
 * set text in covmbobox
 * @id dhtmlXCombo.setComboValue
 * @class dhtmlXCombo
 * @method setComboValue
 * @memberOf dhtmlXCombo
 * @param {String} text text - (string) new text label
 * @example 
 */
 dhtmlXCombo.prototype.setComboValue = function(text) {};
/**
 * 
 * @id dhtmlXCombo.setDefaultImage
 * @class dhtmlXCombo
 * @method setDefaultImage
 * @memberOf dhtmlXCombo
 * @param {String} url url - url of default image
 * @example 
 */
 dhtmlXCombo.prototype.setDefaultImage = function(url) {};
/**
 * set name used while form submit
 * @id dhtmlXCombo.setName
 * @class dhtmlXCombo
 * @method setName
 * @memberOf dhtmlXCombo
 * @param {String} name name - (string) new combobox name
 * @example 
 */
 dhtmlXCombo.prototype.setName = function(name) {};
/**
 * set height of combo list
 * @id dhtmlXCombo.setOptionHeight
 * @class dhtmlXCombo
 * @method setOptionHeight
 * @memberOf dhtmlXCombo
 * @param {String} height height - (number) height
 * @example 
 */
 dhtmlXCombo.prototype.setOptionHeight = function(height) {};
/**
 * set width of combo list
 * @id dhtmlXCombo.setOptionWidth
 * @class dhtmlXCombo
 * @method setOptionWidth
 * @memberOf dhtmlXCombo
 * @param {String} width width - (number) width
 * @example 
 */
 dhtmlXCombo.prototype.setOptionWidth = function(width) {};
/**
 * change control size
 * @id dhtmlXCombo.setSize
 * @class dhtmlXCombo
 * @method setSize
 * @memberOf dhtmlXCombo
 * @param {String} new_size new_size - (int) new size value
 * @example 
 */
 dhtmlXCombo.prototype.setSize = function(new_size) {};
/**
 * show combox ( reversion to hide command )
 * @id dhtmlXCombo.show
 * @class dhtmlXCombo
 * @method show
 * @memberOf dhtmlXCombo
 * @param {String} mode mode - (boolean) enable/disable
 * @example 
 */
 dhtmlXCombo.prototype.show = function(mode) {};
/**
 * 
 * @id dhtmlXCombo.unSelectOption
 * @class dhtmlXCombo
 * @method unSelectOption
 * @memberOf dhtmlXCombo
 * @example 
 */
 dhtmlXCombo.prototype.unSelectOption = function() {};
/**
 * update option in combobox
 * @id dhtmlXCombo.updateOption
 * @class dhtmlXCombo
 * @method updateOption
 * @memberOf dhtmlXCombo
 * @param {Number} oldvalue oldvalue - (string) index of option in question
 * @param {String} avalue avalue - (variable)
 * @example 
 */
 dhtmlXCombo.prototype.updateOption = function(oldvalue, avalue, atext, acss) {};


/**
*
* dhtmlXCalendarObject object class.
* @id dhtmlXCalendarObject
* @class dhtmlXCalendarObject
* @constructor
* @alias dhtmlXCalendarObject.prototype
 * @return {dhtmlXCalendarObject}
 */
 function dhtmlXCalendarObject(){};




/**
 * 
 * @id dhtmlXCalendarObject.attachEvent
 * @class dhtmlXCalendarObject
 * @method attachEvent
 * @memberOf dhtmlXCalendarObject
 * @param {String} evName evName - the event name;
 * @param {Function} evHandler several handlers can be attached to one and the same event, and all of them will be executed.
 * @example var myEvent = myCalendar.attachEvent("onClick", function (){
 *     //event handler code
 * })
 */
 dhtmlXCalendarObject.prototype.attachEvent = function(evName, evHandler) {};
/**
 * 
 * @id dhtmlXCalendarObject.attachObj
 * @class dhtmlXCalendarObject
 * @method attachObj
 * @memberOf dhtmlXCalendarObject
 * @param {String} input one and the same calendar can be attached to several inputs.
 * @example <input type="text" id="input1">
 * <input type="text" id="input2">
 * <script>
 *    myCalendar = new dhtmlXCalendarObject("input1");
 *    ...
 *    myCalendar.attachObj("input2");
 * })
 * </script>
 */
 dhtmlXCalendarObject.prototype.attachObj = function(input) {};
/**
 * 
 * @id dhtmlXCalendarObject.setInsensitiveDays
 * @class dhtmlXCalendarObject
 * @method setInsensitiveDays
 * @memberOf dhtmlXCalendarObject
 * @param {String} date setSensetiveRange()
 * @example setInsensitiveDays((["2011-07-10,2011-07-11",new Date(2011,6,17),"2011-07-18"]));// July 10, 2011, July 11, 2011, July 17, 2011, July 18, 2011 will be dimmed. All other dates will be active.
 */
 dhtmlXCalendarObject.prototype.setInsensitiveDays = function(date) {};
/**
 * 
 * @id dhtmlXCalendarObject.setSensitiveRange
 * @class dhtmlXCalendarObject
 * @method setSensitiveRange
 * @memberOf dhtmlXCalendarObject
 * @param {String} date clearSensitiveRange()
 * @example setSensitiveRange("2011-07-08",null);// all dates starting from July 08, 2011 will be active. Dates until July 08, 2011 will be dimmed.
 */
 dhtmlXCalendarObject.prototype.setSensitiveRange = function(date) {};
/**
 * 
 * @id dhtmlXCalendarObject.detachEvent
 * @class dhtmlXCalendarObject
 * @method detachEvent
 * @memberOf dhtmlXCalendarObject
 * @param {String} evId attachEvent()
 * @example var myEvent = myCalendar.attachEvent("onClick", function (){
 *     //event handler code
 * })
 * ..
 * myCalendar.detachEvent(myEvent);
 */
 dhtmlXCalendarObject.prototype.detachEvent = function(evId) {};
/**
 * 
 * @id dhtmlXCalendarObject.detachObj
 * @class dhtmlXCalendarObject
 * @method detachObj
 * @memberOf dhtmlXCalendarObject
 * @param {String} input attachObj()
 * @example <input type="text" id="input1">
 * <input type="text" id="input2">
 * <script>
 *    myCalendar = new dhtmlXCalendarObject(["input1","input2"]);
 *    ...
 *    myCalendar.detachObj("input2");
 * })
 * </script>
 */
 dhtmlXCalendarObject.prototype.detachObj = function(input) {};
/**
 * Different modes require different date formats:
 * @id dhtmlXCalendarObject.disableDays
 * @class dhtmlXCalendarObject
 * @method disableDays
 * @memberOf dhtmlXCalendarObject
 * @param {String} mode mode - (&#039;week&#039;, &#039;month&#039; or &#039;year&#039;) defines the repetition period of the specified dates.
 * @param {String} date enableDays()
 * @example myCalendar.disableDays("month",[1,2,5,6,19]);// disables 1st, 2nd, 5th, 6th and 19th day of each month
 */
 dhtmlXCalendarObject.prototype.disableDays = function(mode, date) {};
/**
 * Different modes require different date formats:
 * @id dhtmlXCalendarObject.disableDays
 * @class dhtmlXCalendarObject
 * @method disableDays
 * @memberOf dhtmlXCalendarObject
 * @param {String} mode mode - (&#039;week&#039;, &#039;month&#039; or &#039;year&#039;) defines the repetition period of the specified dates.
 * @param {String} date enableDays()
 * @example myCalendar.disableDays("month",[1,2,5,6,19]);// disables 1st, 2nd, 5th, 6th and 19th day of each month
 */
 dhtmlXCalendarObject.prototype.disableDays = function(mode, date) {};
/**
 * 
 * @id dhtmlXCalendarObject.getDate
 * @class dhtmlXCalendarObject
 * @method getDate
 * @memberOf dhtmlXCalendarObject
 * @param {Boolean} isFormatted isFormatted - (boolean) if the parameter is set to &#039;true&#039; the formatted date will be returned. By default is &#039;false&#039;. Optional.
 * @example var currentDate = myCalendar.getDate();
 */
 dhtmlXCalendarObject.prototype.getDate = function(isFormatted) {};
/**
 * Format string can contain any separator character and any element from the following list:
 * @id dhtmlXCalendarObject.getFormatedDate
 * @class dhtmlXCalendarObject
 * @method getFormatedDate
 * @memberOf dhtmlXCalendarObject
 * @param {String} format format - the custom date format string. If the parameter is omitted, the currently set date format will be used.
 * @param {String} date %d - day as number ( with leading zero );
 * @example myCalendar.getFormatedDate("%d/%m/%y", "2011-06-08")
 */
 dhtmlXCalendarObject.prototype.getFormatedDate = function(format, date) {};
/**
 * 
 * @id dhtmlXCalendarObject.hide
 * @class dhtmlXCalendarObject
 * @method hide
 * @memberOf dhtmlXCalendarObject
 * @example myCalendar.hide();
 */
 dhtmlXCalendarObject.prototype.hide = function() {};
/**
 * 
 * @id dhtmlXCalendarObject.hideTime
 * @class dhtmlXCalendarObject
 * @method hideTime
 * @memberOf dhtmlXCalendarObject
 * @example myCalendar.hideTime();
 */
 dhtmlXCalendarObject.prototype.hideTime = function() {};
/**
 * 
 * @id dhtmlXCalendarObject.loadUserLanguage
 * @class dhtmlXCalendarObject
 * @method loadUserLanguage
 * @memberOf dhtmlXCalendarObject
 * @param {String} lang lang - the language name.
 * @param {String} func func - the function called after language is loaded.
 * @example dhtmlXCalendarObject.prototype.langData["de"] = {
 *         //date format
 * 	dateformat: '%d.%m.%Y',
 * 	//full names of months
 *         monthesFNames: ["Januar","Februar","M"arz","April","Mai","Juni","Juli","August","September","Oktober","November","Dezember"],
 * 	//shortened names of months
 *         monthesSNames: ["Jan","Feb","M"ar","Apr","Mai","Jun","Jul","Aug","Sep","Okt","Nov","Dez"],
 * 	//full names of days
 *         daysFNames: ["Sonntag","Montag","Dienstag","Mittwoch","Donnerstag","Freitag","Samstag"],
 * 	//shortened names of days
 *         daysSNames: ["So","Mo","Di","Mi","Do","Fr","Sa"],
 *         //starting day of a week. Number from 1(Monday) to 7(Sunday)
 * 	weekstart: 1
 * }
 * function doOnLoad() {
 *         var myCalendar = new dhtmlXCalendarObject("calendarHere");
 *         myCalendar.loadUserLanguage("de");
 *         myCalendar.show();
 * }
 */
 dhtmlXCalendarObject.prototype.loadUserLanguage = function(lang, func) {};
/**
 * 
 * @id dhtmlXCalendarObject.setDate
 * @class dhtmlXCalendarObject
 * @method setDate
 * @memberOf dhtmlXCalendarObject
 * @param {String} date date - the date you want to make selected.
 * @example myCalendar.setDate("2011-06-08");
 */
 dhtmlXCalendarObject.prototype.setDate = function(date) {};
/**
 * Format string can contain any separator character and any element from the following list:
 * @id dhtmlXCalendarObject.setDateFormat
 * @class dhtmlXCalendarObject
 * @method setDateFormat
 * @memberOf dhtmlXCalendarObject
 * @param {String} format %d - day as number ( with leading zero );
 * @example myCalendar.setDateFormat("%d/%m/%y");
 */
 dhtmlXCalendarObject.prototype.setDateFormat = function(format) {};
/**
 * 
 * @id dhtmlXCalendarObject.setHolidays
 * @class dhtmlXCalendarObject
 * @method setHolidays
 * @memberOf dhtmlXCalendarObject
 * @example myCalendar.setHolidays("2011-09-25")// sets September 25, 2011 as holiday
 */
 dhtmlXCalendarObject.prototype.setHolidays = function(date) {};
/**
 * 
 * @id dhtmlXCalendarObject.setInsensitiveDays
 * @class dhtmlXCalendarObject
 * @method setInsensitiveDays
 * @memberOf dhtmlXCalendarObject
 * @param {String} date setSensetiveRange()
 * @example setInsensitiveDays((["2011-07-10,2011-07-11",new Date(2011,6,17),"2011-07-18"]));// July 10, 2011, July 11, 2011, July 17, 2011, July 18, 2011 will be dimmed. All other dates will be active.
 */
 dhtmlXCalendarObject.prototype.setInsensitiveDays = function(date) {};
/**
 * 
 * @id dhtmlXCalendarObject.setInsensitiveRange
 * @class dhtmlXCalendarObject
 * @method setInsensitiveRange
 * @memberOf dhtmlXCalendarObject
 * @param {String} date clearSensitiveRange()
 * @example setInsensitiveRange("2011-07-08",null);// all dates starting from July 08, 2011 will be dimmed. Dates until July 08, 2011 will be active.
 */
 dhtmlXCalendarObject.prototype.setInsensitiveRange = function(date) {};
/**
 * 
 * @id dhtmlXCalendarObject.setParent
 * @class dhtmlXCalendarObject
 * @method setParent
 * @memberOf dhtmlXCalendarObject
 * @param {String} parent parent - a parent node (container).
 * @example <div id="box" style="height:300px; position:relative;"></div>
 * <div id="box2" style="height:300px; position:relative;"></div>
 * <script>
 *       myCalendar = new dhtmlXCalendarObject("box");
 *       myCalendar.show();
 *       ...
 *       myCalendar.setParent("box2");
 * </script>
 */
 dhtmlXCalendarObject.prototype.setParent = function(parent) {};
/**
 * 
 * @id dhtmlXCalendarObject.setPosition
 * @class dhtmlXCalendarObject
 * @method setPosition
 * @memberOf dhtmlXCalendarObject
 * @example myCalendar.setPosition('right');
 */
 dhtmlXCalendarObject.prototype.setPosition = function(pos) {};
/**
 * 
 * @id dhtmlXCalendarObject.setSensitiveRange
 * @class dhtmlXCalendarObject
 * @method setSensitiveRange
 * @memberOf dhtmlXCalendarObject
 * @param {String} date clearSensitiveRange()
 * @example setSensitiveRange("2011-07-08",null);// all dates starting from July 08, 2011 will be active. Dates until July 08, 2011 will be dimmed.
 */
 dhtmlXCalendarObject.prototype.setSensitiveRange = function(date) {};
/**
 * 
 * @id dhtmlXCalendarObject.setSkin
 * @class dhtmlXCalendarObject
 * @method setSkin
 * @memberOf dhtmlXCalendarObject
 * @example myCalendar.setSkin('omega');
 */
 dhtmlXCalendarObject.prototype.setSkin = function(skin) {};
/**
 * 
 * @id dhtmlXCalendarObject.setWeekStartDay
 * @class dhtmlXCalendarObject
 * @method setWeekStartDay
 * @memberOf dhtmlXCalendarObject
 * @param {String} day day - the day you want to start a week. Can take a value from &#039;1&#039; (Monday) to &#039;7&#039; (Sunday).
 * @example myCalendar.setWeekStartDay=1;//week starts from Monday
 */
 dhtmlXCalendarObject.prototype.setWeekStartDay = function(day) {};
/**
 * 
 * @id dhtmlXCalendarObject.show
 * @class dhtmlXCalendarObject
 * @method show
 * @memberOf dhtmlXCalendarObject
 * @example myCalendar.show();
 */
 dhtmlXCalendarObject.prototype.show = function() {};
/**
 * 
 * @id dhtmlXCalendarObject.showTime
 * @class dhtmlXCalendarObject
 * @method showTime
 * @memberOf dhtmlXCalendarObject
 * @example myCalendar.showTime();
 */
 dhtmlXCalendarObject.prototype.showTime = function() {};
/**
 * 
 * @id dhtmlXCalendarObject.unload
 * @class dhtmlXCalendarObject
 * @method unload
 * @memberOf dhtmlXCalendarObject
 * @example myCalendar.unload();
 */
 dhtmlXCalendarObject.prototype.unload = function() {};


/**
*
* dhtmlXColorPicker object class.
* @id dhtmlXColorPicker
* @class dhtmlXColorPicker
* @constructor
* @alias dhtmlXColorPicker.prototype
 * @return {dhtmlXColorPicker}
 */
 function dhtmlXColorPicker(){};




/**
 * adds any user-defined handler to available events
 * @id dhtmlXColorPicker.attachEvent 
 * @class dhtmlXColorPicker
 * @method attachEvent 
 * @memberOf dhtmlXColorPicker
 * @param {String} evName evName - name of the event;
 * @example colorpicker.attachEvent(evName, evHandler);
 */
 dhtmlXColorPicker.prototype.attachEvent  = function(evName, evHandler) {};
/**
 * 
 * @id dhtmlXColorPicker.close
 * @class dhtmlXColorPicker
 * @method close
 * @memberOf dhtmlXColorPicker
 * @example 
 */
 dhtmlXColorPicker.prototype.close = function() {};
/**
 * 
 * @id dhtmlXColorPicker.detachEvent 
 * @class dhtmlXColorPicker
 * @method detachEvent 
 * @memberOf dhtmlXColorPicker
 * @param {String} id id - event id
 * @example colorpicker.detachEvent(id);
 */
 dhtmlXColorPicker.prototype.detachEvent  = function(id) {};
/**
 * 
 * @id dhtmlXColorPicker.getSelectedColor
 * @class dhtmlXColorPicker
 * @method getSelectedColor
 * @memberOf dhtmlXColorPicker
 * @example 
 */
 dhtmlXColorPicker.prototype.getSelectedColor = function() {};
/**
 * 
 * @id dhtmlXColorPicker.hide
 * @class dhtmlXColorPicker
 * @method hide
 * @memberOf dhtmlXColorPicker
 * @example 
 */
 dhtmlXColorPicker.prototype.hide = function() {};
/**
 * 
 * @id dhtmlXColorPicker.init
 * @class dhtmlXColorPicker
 * @method init
 * @memberOf dhtmlXColorPicker
 * @example 
 */
 dhtmlXColorPicker.prototype.init = function() {};
/**
 * link color picker to some area
 * @id dhtmlXColorPicker.linkTo
 * @class dhtmlXColorPicker
 * @method linkTo
 * @memberOf dhtmlXColorPicker
 * @param {Object} obj1 obj1 - color target
 * @param {Object} obj2 obj2 - action element
 * @param {Object} obj3 obj3 - color value target
 * @example 
 */
 dhtmlXColorPicker.prototype.linkTo = function(obj1,obj2,obj3) {};
/**
 * Set new language interface for colorpicker
 * @id dhtmlXColorPicker.loadUserLanguage
 * @class dhtmlXColorPicker
 * @method loadUserLanguage
 * @memberOf dhtmlXColorPicker
 * @param {String} lang lang - language (ex: en-us|ru)
 * @example 
 */
 dhtmlXColorPicker.prototype.loadUserLanguage = function(lang) {};
/**
 * select defined color
 * @id dhtmlXColorPicker.setColor
 * @class dhtmlXColorPicker
 * @method setColor
 * @memberOf dhtmlXColorPicker
 * @param {String} rgb rgb - array with decimal values of Red, Green and Blue or string with hex color
 * @example 
 */
 dhtmlXColorPicker.prototype.setColor = function(rgb) {};
/**
 * define user&#039;s custom colors
 * @id dhtmlXColorPicker.setCustomColors
 * @class dhtmlXColorPicker
 * @method setCustomColors
 * @memberOf dhtmlXColorPicker
 * @param {String} colors colors - array with predefined colors (like #F8560A)
 * @example 
 */
 dhtmlXColorPicker.prototype.setCustomColors = function(colors) {};
/**
 * 
 * @id dhtmlXColorPicker.setImagePath
 * @class dhtmlXColorPicker
 * @method setImagePath
 * @memberOf dhtmlXColorPicker
 * @example 
 */
 dhtmlXColorPicker.prototype.setImagePath = function(path) {};
/**
 * set function called when selection canceled
 * @id dhtmlXColorPicker.setOnCancelHandler
 * @class dhtmlXColorPicker
 * @method setOnCancelHandler
 * @memberOf dhtmlXColorPicker
 * @param {String} func func - event handling function (or its name)
 * @example 
 */
 dhtmlXColorPicker.prototype.setOnCancelHandler = function(func) {};
/**
 * set function called when color selected (before closing)
 * @id dhtmlXColorPicker.setOnSelectHandler
 * @class dhtmlXColorPicker
 * @method setOnSelectHandler
 * @memberOf dhtmlXColorPicker
 * @param {String} func func - event handling function (or its name)
 * @example 
 */
 dhtmlXColorPicker.prototype.setOnSelectHandler = function(func) {};
/**
 * show ColorPicker
 * @id dhtmlXColorPicker.setPosition
 * @class dhtmlXColorPicker
 * @method setPosition
 * @memberOf dhtmlXColorPicker
 * @param {String} x x - (int) position left
 * @param {String} y x - (top) position top
 * @example 
 */
 dhtmlXColorPicker.prototype.setPosition = function(x,y) {};
/**
 * 
 * @id dhtmlXColorPicker.show
 * @class dhtmlXColorPicker
 * @method show
 * @memberOf dhtmlXColorPicker
 * @example 
 */
 dhtmlXColorPicker.prototype.show = function() {};


/**
*
* dhtmlxSlider object class.
* @id dhtmlxSlider
* @class dhtmlxSlider
* @constructor
* @alias dhtmlxSlider.prototype
 * @return {dhtmlxSlider}
 */
 function dhtmlxSlider(){};




/**
 * adds any user-defined handler to available events
 * @id dhtmlxSlider.attachEvent 
 * @class dhtmlxSlider
 * @method attachEvent 
 * @memberOf dhtmlxSlider
 * @param {String} evName evName - name of the event;
 * @example slider.attachEvent(evName, evHandler);
 */
 dhtmlxSlider.prototype.attachEvent  = function(evName, evHandler) {};
/**
 * removes an event handler
 * @id dhtmlxSlider.detachEvent 
 * @class dhtmlxSlider
 * @method detachEvent 
 * @memberOf dhtmlxSlider
 * @param {String} id id - event id
 * @example slider.detachEvent(id);
 */
 dhtmlxSlider.prototype.detachEvent  = function(id) {};
/**
 * enable/disable tooplips ( enabled by default )
 * @id dhtmlxSlider.enableTooltip
 * @class dhtmlxSlider
 * @method enableTooltip
 * @memberOf dhtmlxSlider
 * @param {String} mode mode - (boolean)
 * @example 
 */
 dhtmlxSlider.prototype.enableTooltip = function(mode) {};
/**
 * 
 * @id dhtmlxSlider.getValue
 * @class dhtmlxSlider
 * @method getValue
 * @memberOf dhtmlxSlider
 * @example 
 */
 dhtmlxSlider.prototype.getValue = function() {};
/**
 * 
 * @id dhtmlxSlider.init
 * @class dhtmlxSlider
 * @method init
 * @memberOf dhtmlxSlider
 * @example 
 */
 dhtmlxSlider.prototype.init = function() {};
/**
 * link slider to other control
 * @id dhtmlxSlider.linkTo
 * @class dhtmlxSlider
 * @method linkTo
 * @memberOf dhtmlxSlider
 * @param {Object} obj obj - (string|object) linked object id, or linked object itself
 * @example 
 */
 dhtmlxSlider.prototype.linkTo = function(obj) {};
/**
 * 
 * @id dhtmlxSlider.setImagePath
 * @class dhtmlxSlider
 * @method setImagePath
 * @memberOf dhtmlxSlider
 * @example 
 */
 dhtmlxSlider.prototype.setImagePath = function(path) {};
/**
 * set new TO value
 * @id dhtmlxSlider.setMax
 * @class dhtmlxSlider
 * @method setMax
 * @memberOf dhtmlxSlider
 * @param {String} val val - (integer) set new To value
 * @example 
 */
 dhtmlxSlider.prototype.setMax = function(val) {};
/**
 * set new FROM value
 * @id dhtmlxSlider.setMin
 * @class dhtmlxSlider
 * @method setMin
 * @memberOf dhtmlxSlider
 * @param {String} val val - (integer) set new From value
 * @example 
 */
 dhtmlxSlider.prototype.setMin = function(val) {};
/**
 * set onChange handler
 * @id dhtmlxSlider.setOnChangeHandler
 * @class dhtmlxSlider
 * @method setOnChangeHandler
 * @memberOf dhtmlxSlider
 * @param {String} func func - (string|function) user defined function
 * @example 
 */
 dhtmlxSlider.prototype.setOnChangeHandler = function(func) {};
/**
 * set new "ST value
 * @id dhtmlxSlider.setStep
 * @class dhtmlxSlider
 * @method setStep
 * @memberOf dhtmlxSlider
 * @param {String} val val - (integer) set new Step value
 * @example 
 */
 dhtmlxSlider.prototype.setStep = function(val) {};
/**
 * set value of slider control
 * @id dhtmlxSlider.setValue
 * @class dhtmlxSlider
 * @method setValue
 * @memberOf dhtmlxSlider
 * @param {String} val val - (integer) new value
 * @example 
 */
 dhtmlxSlider.prototype.setValue = function(val) {};


/**
*
* dhtmlXEditor object class.
* @id dhtmlXEditor
* @class dhtmlXEditor
* @constructor
* @alias dhtmlXEditor.prototype
 * @return {dhtmlXEditor}
 */
 function dhtmlXEditor(){};




/**
 * 
 * @id dhtmlXEditor.alignCenter
 * @class dhtmlXEditor
 * @method alignCenter
 * @memberOf dhtmlXEditor
 * @example 
 */
 dhtmlXEditor.prototype.alignCenter = function() {};
/**
 * 
 * @id dhtmlXEditor.alignJustify
 * @class dhtmlXEditor
 * @method alignJustify
 * @memberOf dhtmlXEditor
 * @example 
 */
 dhtmlXEditor.prototype.alignJustify = function() {};
/**
 * 
 * @id dhtmlXEditor.alignLeft
 * @class dhtmlXEditor
 * @method alignLeft
 * @memberOf dhtmlXEditor
 * @example 
 */
 dhtmlXEditor.prototype.alignLeft = function() {};
/**
 * 
 * @id dhtmlXEditor.alignRight
 * @class dhtmlXEditor
 * @method alignRight
 * @memberOf dhtmlXEditor
 * @example 
 */
 dhtmlXEditor.prototype.alignRight = function() {};
/**
 * 
 * @id dhtmlXEditor.applyBold
 * @class dhtmlXEditor
 * @method applyBold
 * @memberOf dhtmlXEditor
 * @example 
 */
 dhtmlXEditor.prototype.applyBold = function() {};
/**
 * 
 * @id dhtmlXEditor.applyH1
 * @class dhtmlXEditor
 * @method applyH1
 * @memberOf dhtmlXEditor
 * @example 
 */
 dhtmlXEditor.prototype.applyH1 = function() {};
/**
 * 
 * @id dhtmlXEditor.applyH2
 * @class dhtmlXEditor
 * @method applyH2
 * @memberOf dhtmlXEditor
 * @example 
 */
 dhtmlXEditor.prototype.applyH2 = function() {};
/**
 * 
 * @id dhtmlXEditor.applyH3
 * @class dhtmlXEditor
 * @method applyH3
 * @memberOf dhtmlXEditor
 * @example 
 */
 dhtmlXEditor.prototype.applyH3 = function() {};
/**
 * 
 * @id dhtmlXEditor.applyH4
 * @class dhtmlXEditor
 * @method applyH4
 * @memberOf dhtmlXEditor
 * @example 
 */
 dhtmlXEditor.prototype.applyH4 = function() {};
/**
 * 
 * @id dhtmlXEditor.applyItalic
 * @class dhtmlXEditor
 * @method applyItalic
 * @memberOf dhtmlXEditor
 * @example 
 */
 dhtmlXEditor.prototype.applyItalic = function() {};
/**
 * 
 * @id dhtmlXEditor.applyStrikethrough
 * @class dhtmlXEditor
 * @method applyStrikethrough
 * @memberOf dhtmlXEditor
 * @example 
 */
 dhtmlXEditor.prototype.applyStrikethrough = function() {};
/**
 * 
 * @id dhtmlXEditor.applySub
 * @class dhtmlXEditor
 * @method applySub
 * @memberOf dhtmlXEditor
 * @example 
 */
 dhtmlXEditor.prototype.applySub = function() {};
/**
 * 
 * @id dhtmlXEditor.applySuper
 * @class dhtmlXEditor
 * @method applySuper
 * @memberOf dhtmlXEditor
 * @example 
 */
 dhtmlXEditor.prototype.applySuper = function() {};
/**
 * 
 * @id dhtmlXEditor.applyUnderscore
 * @class dhtmlXEditor
 * @method applyUnderscore
 * @memberOf dhtmlXEditor
 * @example 
 */
 dhtmlXEditor.prototype.applyUnderscore = function() {};
/**
 * attach an event handler to webbar
 * @id dhtmlXEditor.attachEvent
 * @class dhtmlXEditor
 * @method attachEvent
 * @memberOf dhtmlXEditor
 * @param {String} original original - event original name;
 * @param {String} catcher catcher - event handler;
 * @param {Object} CallObj CallObj - object which will call event.
 * @example 
 */
 dhtmlXEditor.prototype.attachEvent = function(original, catcher, CallObj) {};
/**
 * returns true if event exists
 * @id dhtmlXEditor.checkEvent
 * @class dhtmlXEditor
 * @method checkEvent
 * @memberOf dhtmlXEditor
 * @param {String} name name - event name
 * @example 
 */
 dhtmlXEditor.prototype.checkEvent = function(name) {};
/**
 * 
 * @id dhtmlXEditor.createBulList
 * @class dhtmlXEditor
 * @method createBulList
 * @memberOf dhtmlXEditor
 * @example 
 */
 dhtmlXEditor.prototype.createBulList = function() {};
/**
 * 
 * @id dhtmlXEditor.createNumList
 * @class dhtmlXEditor
 * @method createNumList
 * @memberOf dhtmlXEditor
 * @example 
 */
 dhtmlXEditor.prototype.createNumList = function() {};
/**
 * 
 * @id dhtmlXEditor.decreaseIndent
 * @class dhtmlXEditor
 * @method decreaseIndent
 * @memberOf dhtmlXEditor
 * @example 
 */
 dhtmlXEditor.prototype.decreaseIndent = function() {};
/**
 * removes an event handler
 * @id dhtmlXEditor.detachEvent
 * @class dhtmlXEditor
 * @method detachEvent
 * @memberOf dhtmlXEditor
 * @param {String} id id - event id
 * @example 
 */
 dhtmlXEditor.prototype.detachEvent = function(id) {};
/**
 * 
 * @id dhtmlXEditor.getContent
 * @class dhtmlXEditor
 * @method getContent
 * @memberOf dhtmlXEditor
 * @example 
 */
 dhtmlXEditor.prototype.getContent = function() {};
/**
 * 
 * @id dhtmlXEditor.increaseIndent
 * @class dhtmlXEditor
 * @method increaseIndent
 * @memberOf dhtmlXEditor
 * @example 
 */
 dhtmlXEditor.prototype.increaseIndent = function() {};
/**
 * sets content to editor document
 * @id dhtmlXEditor.setContent
 * @class dhtmlXEditor
 * @method setContent
 * @memberOf dhtmlXEditor
 * @param {String} str html - html string which should be set as editor content
 * @example 
 */
 dhtmlXEditor.prototype.setContent = function(str) {};
/**
 * sets content from the html document to editor document
 * @id dhtmlXEditor.setContentHTML
 * @class dhtmlXEditor
 * @method setContentHTML
 * @memberOf dhtmlXEditor
 * @param {String} url url - path to the html page
 * @example 
 */
 dhtmlXEditor.prototype.setContentHTML = function(url) {};


/**
*
* dhtmlXVaultObject object class.
* @id dhtmlXVaultObject
* @class dhtmlXVaultObject
* @constructor
* @alias dhtmlXVaultObject.prototype
 * @return {dhtmlXVaultObject}
 */
 function dhtmlXVaultObject(){};




/**
 * adds any user-defined handler to available events
 * @id dhtmlXVaultObject.attachEvent 
 * @class dhtmlXVaultObject
 * @method attachEvent 
 * @memberOf dhtmlXVaultObject
 * @param {String} evName evName - name of the event;
 * @example vault.attachEvent(evName, evHandler);
 */
 dhtmlXVaultObject.prototype.attachEvent  = function(evName, evHandler) {};
/**
 * creates vault html control on page
 * @id dhtmlXVaultObject.create
 * @class dhtmlXVaultObject
 * @method create
 * @memberOf dhtmlXVaultObject
 * @param {Object} htmlObject htmlObject - id of parent html object
 * @example 
 */
 dhtmlXVaultObject.prototype.create = function(htmlObject) {};
/**
 * get the file extension from the full file name
 * @id dhtmlXVaultObject.getFileExtension
 * @class dhtmlXVaultObject
 * @method getFileExtension
 * @memberOf dhtmlXVaultObject
 * @param {String} fileName fileName - full file name, for example "c:\dhtmlXVault\readme.txt".
 * @example 
 */
 dhtmlXVaultObject.prototype.getFileExtension = function(fileName) {};
/**
 * removes an event handler
 * @id dhtmlXVaultObject.detachEvent 
 * @class dhtmlXVaultObject
 * @method detachEvent 
 * @memberOf dhtmlXVaultObject
 * @param {String} id id - event id
 * @example vault.detachEvent(id);
 */
 dhtmlXVaultObject.prototype.detachEvent  = function(id) {};
/**
 * called when user has selected a file for uploading
 * @id dhtmlXVaultObject.onAddFile
 * @class dhtmlXVaultObject
 * @method onAddFile
 * @memberOf dhtmlXVaultObject
 * @param {String} fileName fileName - a file being added by the user. You may check its type and return false to disable adding.
 * @example vault.onAddFile = function(fileName) { 
 *       var ext = this.getFileExtension(fileName); 
 *       if (ext != "txt" && ext != "doc") { 
 *          alert("You may upload only text documents (txt, doc). Please retry."); 
 *          return false; } 
 *       else return true; 
 *    };
 */
 dhtmlXVaultObject.prototype.onAddFile = function(fileName) {};
/**
 * called after every file is uploaded
 * @id dhtmlXVaultObject.onFileUploaded
 * @class dhtmlXVaultObject
 * @method onFileUploaded
 * @memberOf dhtmlXVaultObject
 * @param {String} file file - a single file just uploaded.
 * @example file = { id: "1", name: "file.name", uploaded: true/false, error: true/false };
 */
 dhtmlXVaultObject.prototype.onFileUploaded = function(file) {};
/**
 * called after all files are uploaded
 * @id dhtmlXVaultObject.onUploadComplete
 * @class dhtmlXVaultObject
 * @method onUploadComplete
 * @memberOf dhtmlXVaultObject
 * @param {Object} files files - an array of file objects.
 * @example file = { id: "1", name: "file.name", uploaded: true/false, error: true/false };
 */
 dhtmlXVaultObject.prototype.onUploadComplete = function(files) {};
/**
 * control the number of uploaded files
 * @id dhtmlXVaultObject.setFilesLimit
 * @class dhtmlXVaultObject
 * @method setFilesLimit
 * @memberOf dhtmlXVaultObject
 * @param {String} count count - the number of files user can upload at most.
 * @example 
 */
 dhtmlXVaultObject.prototype.setFilesLimit = function(count) {};
/**
 * add or remove custom field
 * @id dhtmlXVaultObject.setFormField
 * @class dhtmlXVaultObject
 * @method setFormField
 * @memberOf dhtmlXVaultObject
 * @param {String} fieldName fieldName - the name of form field you want to add. This field will be posted to the server together with the file contents.
 * @param {String} value value - the value of this field.
 * @example 
 */
 dhtmlXVaultObject.prototype.setFormField = function(fieldName, value) {};
/**
 * set relative path to the images folder
 * @id dhtmlXVaultObject.setImagePath
 * @class dhtmlXVaultObject
 * @method setImagePath
 * @memberOf dhtmlXVaultObject
 * @param {String} path path - relative path to the "imgs" folder, usually it is "codebase/imgs/".
 * @example 
 */
 dhtmlXVaultObject.prototype.setImagePath = function(path) {};
/**
 * defines server-side handlers for vault
 * @id dhtmlXVaultObject.setServerHandlers
 * @class dhtmlXVaultObject
 * @method setServerHandlers
 * @memberOf dhtmlXVaultObject
 * @param {String} uploadHandler uploadHandler - handles file uploading
 * @param {String} getInfoHandler getInfoHandler - handles progress indication
 * @param {String} getIdHandler getIdHandler - handles session initialization
 * @example 
 */
 dhtmlXVaultObject.prototype.setServerHandlers = function(uploadHandler, getInfoHandler, getIdHandler) {};


/**
*
* dataProcessor object class.
* @id dataProcessor
* @class dataProcessor
* @constructor
* @alias dataProcessor.prototype
 * @return {dataProcessor}
 */
 function dataProcessor(){};




/**
 * used in combination with setOnBeforeUpdateHandler to create custom client-server transport system
 * @id dataProcessor.afterUpdateCallback
 * @class dataProcessor
 * @method afterUpdateCallback
 * @memberOf dataProcessor
 * @param {String} sid sid - id of item before update
 * @param {String} tid tid - id of item after up0ate
 * @param {String} action action - action name
 * @param {String} btag btag - reference to the xml node
 * @example 
 */
 dataProcessor.prototype.afterUpdateCallback = function(sid, tid, action, btag) {};
/**
 * adds any user-defined handler to available events
 * @id dataProcessor.attachEvent 
 * @class dataProcessor
 * @method attachEvent 
 * @memberOf dataProcessor
 * @param {String} evName evName - name of the event;
 * @example dataprocessor.attachEvent(evName, evHandler);
 */
 dataProcessor.prototype.attachEvent  = function(evName, evHandler) {};
/**
 * check mandatory fields and varify values of cells, initiate update (if specified)
 * @id dataProcessor.checkBeforeUpdate
 * @class dataProcessor
 * @method checkBeforeUpdate
 * @memberOf dataProcessor
 * @param {String} rowId rowId - id of row to set update-status for
 * @example 
 */
 dataProcessor.prototype.checkBeforeUpdate = function(rowId) {};
/**
 * remove column from list of those which should be verified
 * @id dataProcessor.clearVerificator
 * @class dataProcessor
 * @method clearVerificator
 * @memberOf dataProcessor
 * @param {String} ind ind - column Index (0 based)
 * @example 
 */
 dataProcessor.prototype.clearVerificator = function(ind) {};
/**
 * 
 * @id dataProcessor.defineAction 
 * @class dataProcessor
 * @method defineAction 
 * @memberOf dataProcessor
 * @example dp.defineAction("update",function(sid,response){
 *    var message = response.getAttribute("message");
 *    alert(message);
 *    return true;// return false to cancel default data processing at all
 * })
 */
 dataProcessor.prototype.defineAction  = function(status, handlerFunc) {};
/**
 * 
 * @id dataProcessor.detachEvent 
 * @class dataProcessor
 * @method detachEvent 
 * @memberOf dataProcessor
 * @example dataprocessor.detachEvent(id);
 */
 dataProcessor.prototype.detachEvent  = function(id) {};
/**
 * enable/disable named field for data syncing, will use column ids for grid
 * @id dataProcessor.enableDataNames
 * @class dataProcessor
 * @method enableDataNames
 * @memberOf dataProcessor
 * @param {Boolean} mode mode - true/false
 * @example 
 */
 dataProcessor.prototype.enableDataNames = function(mode) {};
/**
 * enable/disable mode , when only changed fields and row id send to the server side, instead of all fields in default mode
 * @id dataProcessor.enablePartialDataSend
 * @class dataProcessor
 * @method enablePartialDataSend
 * @memberOf dataProcessor
 * @param {Boolean} mode mode - true/false
 * @example 
 */
 dataProcessor.prototype.enablePartialDataSend = function(mode) {};
/**
 * allows to set escaping mode
 * @id dataProcessor.enableUTFencoding
 * @class dataProcessor
 * @method enableUTFencoding
 * @memberOf dataProcessor
 * @param {String} mode true - utf based escaping, simple - use current page encoding
 * @example 
 */
 dataProcessor.prototype.enableUTFencoding = function(mode) {};
/**
 * 
 * @id dataProcessor.getSyncState
 * @class dataProcessor
 * @method getSyncState
 * @memberOf dataProcessor
 * @example 
 */
 dataProcessor.prototype.getSyncState = function() {};
/**
 * initializes dataProcessor
 * @id dataProcessor.init
 * @class dataProcessor
 * @method init
 * @memberOf dataProcessor
 * @param {Object} anObj anObj - the object to attach dataProcessor to
 * @example 
 */
 dataProcessor.prototype.init = function(anObj) {};
/**
 * allows to execute commands which will not trigger dataprocessor
 * @id dataProcessor.ignore
 * @class dataProcessor
 * @method ignore
 * @memberOf dataProcessor
 * @param {String} code code - code block, any operation in which, will not cause dataProcessor reaction
 * @example dp.ignore(function(){
 *           mygrid.addRow(1,"new row");
 *           mygrid.deleteRow(123);
 *     })
 */
 dataProcessor.prototype.ignore = function(code) {};
/**
 * send row(s) values to server
 * @id dataProcessor.sendData
 * @class dataProcessor
 * @method sendData
 * @memberOf dataProcessor
 * @param {String} rowId rowId - id of row which data to send. If not specified, then all "updated" rows will be send
 * @example 
 */
 dataProcessor.prototype.sendData = function(rowId) {};
/**
 * allows to define, which column may trigger update
 * @id dataProcessor.setDataColumns
 * @class dataProcessor
 * @method setDataColumns
 * @memberOf dataProcessor
 * @param {Boolean} val val - array or list of true/false values
 * @example 
 */
 dataProcessor.prototype.setDataColumns = function(val) {};
/**
 * set function called before server request sent ( can be used for including custom client server transport system)
 * @id dataProcessor.setOnBeforeUpdateHandler
 * @class dataProcessor
 * @method setOnBeforeUpdateHandler
 * @memberOf dataProcessor
 * @param {String} func func - event handling function
 * @example 
 */
 dataProcessor.prototype.setOnBeforeUpdateHandler = function(func) {};
/**
 * select GET or POST transaction model
 * @id dataProcessor.setTransactionMode
 * @class dataProcessor
 * @method setTransactionMode
 * @memberOf dataProcessor
 * @param {String} mode mode - GET/POST
 * @param {Boolean} total total - true/false - send records row by row or all at once (for grid only)
 * @example 
 */
 dataProcessor.prototype.setTransactionMode = function(mode,total) {};
/**
 * mark row as updated/normal. check mandatory fields,initiate autoupdate (if turned on)
 * @id dataProcessor.setUpdated
 * @class dataProcessor
 * @method setUpdated
 * @memberOf dataProcessor
 * @param {String} rowId rowId - id of row to set update-status for
 * @param {Boolean} state state - true for "updated", false for "not updated"
 * @param {String} mode mode - update mode name - "inserted","updated","deleted" ("updated" by default)
 * @example 
 */
 dataProcessor.prototype.setUpdated = function(rowId,state,mode) {};
/**
 * set if rows should be send to server automaticaly
 * @id dataProcessor.setUpdateMode
 * @class dataProcessor
 * @method setUpdateMode
 * @memberOf dataProcessor
 * @param {String} mode mode - "row" - based on row selection changed, "cell" - based on cell editing finished, "off" - manual data sending
 * @example 
 */
 dataProcessor.prototype.setUpdateMode = function(mode,dnd) {};
/**
 * specify column which value should be varified before sending to server
 * @id dataProcessor.setVerificator
 * @class dataProcessor
 * @method setVerificator
 * @memberOf dataProcessor
 * @param {Number} ind ind - column index (0 based)
 * @param {Number} verifFunction verifFunction - function (object) which should verify cell value (if not specified, then value will be compared to empty string). Three arguments will be passed into it: value, row ID and column index
 * @example //check if first column values is not equal to 0
 *    myDataProcessor.setVerificator(0,greater_0);
 *    function greater_0(value){
 * 	return value>0;
 *    }
 * 
 *    //check if second column values is not empty
 *    myDataProcessor.setVerificator(1,not_empty);
 *    function not_empty(value,id,ind){
 * 	if (value=="") mygrid.setCellTextStyle(id,ind,"background-color:yellow;");
 * 	return value!="";
 *    }
 */
 dataProcessor.prototype.setVerificator = function(ind,verifFunction) {};


/**
*
* dhtmlXDataStore object class.
* @id dhtmlXDataStore
* @class dhtmlXDataStore
* @constructor
* @alias dhtmlXDataStore.prototype
 * @return {dhtmlXDataStore}
 */
 function dhtmlXDataStore(){};




/**
 * 
 * @id dhtmlXDataStore.add
 * @class dhtmlXDataStore
 * @method add
 * @memberOf dhtmlXDataStore
 * @param {Object} obj obj - the data object that will be added to the dataset
 * @example myStore.add({
 *           FirstName:"Alex",
 *           LastName:"Fgorle",
 *           Department:"HR",
 *           Gender: "Male"
 * });
 * //or if you use scheme
 * myStore.data.scheme({
 * 	    FirstName:"New employee",
 *             LastName:"",
 *             Department:"Unknown",
 *             Gender: "Male"
 * });
 * 
 * myStore.add({});
 */
 dhtmlXDataStore.prototype.add = function(obj) {};
/**
 * 
 * @id dhtmlXDataStore.attachEvent 
 * @class dhtmlXDataStore
 * @method attachEvent 
 * @memberOf dhtmlXDataStore
 * @param {String} evName evName - the event name.
 * @example data.attachEvent(evName, evHandler);
 */
 dhtmlXDataStore.prototype.attachEvent  = function(evName, evHandler) {};
/**
 * 
 * @id dhtmlXDataStore.clearAll 
 * @class dhtmlXDataStore
 * @method clearAll 
 * @memberOf dhtmlXDataStore
 * @example data.clearAll();
 */
 dhtmlXDataStore.prototype.clearAll  = function() {};
/**
 * 
 * @id dhtmlXDataStore.copy 
 * @class dhtmlXDataStore
 * @method copy 
 * @memberOf dhtmlXDataStore
 * @param {String} sid sid - the id of the source item, mandatory
 * @example //make a copy of the element
 * var new_id = data.copy(source_id);
 *   //make a copy at the specific position
 * var new_id = data.copy(source_id, index);
 *   //make a copy to a different datastore
 * var new_id = data.copy(source_id, index, some_other_datastore);
 *  //or
 * var new_id = data.copy(source_id, null , some_other_datastore);
 * 
 *   //make a copy with defined ID
 * data.copy(source_id, null, null, target_id);
 *   //or
 * data.copy(source_id, index, null, target_id);
 *   //or
 * data.copy(source_id, index, some_other_view, target_id);
 */
 dhtmlXDataStore.prototype.copy  = function(sid, tindex, tobj, tid) {};
/**
 * 
 * @id dhtmlXDataStore.dataCount 
 * @class dhtmlXDataStore
 * @method dataCount 
 * @memberOf dhtmlXDataStore
 * @example var count = data.dataCount();
 */
 dhtmlXDataStore.prototype.dataCount  = function() {};
/**
 * 
 * @id dhtmlXDataStore.detachEvent 
 * @class dhtmlXDataStore
 * @method detachEvent 
 * @memberOf dhtmlXDataStore
 * @param {String} id id - the id of the handler ( the result of attachEvent() operation )
 * @example var id = data.attachEvent(evName, evHandler);
 * ...
 * data.detachEvent(id);
 */
 dhtmlXDataStore.prototype.detachEvent  = function(id) {};
/**
 * 
 * @id dhtmlXDataStore.exists 
 * @class dhtmlXDataStore
 * @method exists 
 * @memberOf dhtmlXDataStore
 * @example var check = data.exists(id);
 */
 dhtmlXDataStore.prototype.exists  = function() {};
/**
 * 
 * @id dhtmlXDataStore.filter 
 * @class dhtmlXDataStore
 * @method filter 
 * @memberOf dhtmlXDataStore
 * @param {String} key key - the name of a property, or a custom filtering method
 * @example //shows all items where Publisher == "Test"
 * data.filter("Publisher","Test");
 *   //shows all items where Publisher starts from "Test"
 * data.filter(function(obj,value){
 *     	if (obj.Publisher.indexOf(value)==0) return true;
 *     	return false;
 * },"Test");
 */
 dhtmlXDataStore.prototype.filter  = function(key, value) {};
/**
 * 
 * @id dhtmlXDataStore.first 
 * @class dhtmlXDataStore
 * @method first 
 * @memberOf dhtmlXDataStore
 * @example var id = data.first();
 */
 dhtmlXDataStore.prototype.first  = function() {};
/**
 * 
 * @id dhtmlXDataStore.idByIndex 
 * @class dhtmlXDataStore
 * @method idByIndex 
 * @memberOf dhtmlXDataStore
 * @param {Number} index index - the index of the item in question
 * @example var id = data.idByIndex(index);
 */
 dhtmlXDataStore.prototype.idByIndex  = function(index) {};
/**
 * 
 * @id dhtmlXDataStore.indexById 
 * @class dhtmlXDataStore
 * @method indexById 
 * @memberOf dhtmlXDataStore
 * @param {String} id id - the id of the item in question
 * @example var index = data.indexById(id);
 */
 dhtmlXDataStore.prototype.indexById  = function(id) {};
/**
 * 
 * @id dhtmlXDataStore.item 
 * @class dhtmlXDataStore
 * @method item 
 * @memberOf dhtmlXDataStore
 * @param {String} id id - the id of the item in question
 * @example var item = data.item(id);
 * alert(item.Version);
 * item.Version = 2;
 */
 dhtmlXDataStore.prototype.item  = function(id) {};
/**
 * 
 * @id dhtmlXDataStore.last 
 * @class dhtmlXDataStore
 * @method last 
 * @memberOf dhtmlXDataStore
 * @example var id = data.last();
 */
 dhtmlXDataStore.prototype.last  = function() {};
/**
 * 
 * @id dhtmlXDataStore.load 
 * @class dhtmlXDataStore
 * @method load 
 * @memberOf dhtmlXDataStore
 * @param {String} url url - the data url (needs to be in the same domain)
 * @param {String} type callback - the callback function
 * @param {Function} callback type - the type of data
 * @example data.load("data.xml");
 * data.load("data.xml",function(){
 *     //callback
 * });
 *  //or
 * data.load("data.xml","xml");
 * data.load("data.json","json");
 *  //or 
 * data.load("data.xml","xml",function(){
 *     //callback
 * });
 */
 dhtmlXDataStore.prototype.load  = function(url, type, callback) {};
/**
 * 
 * @id dhtmlXDataStore.next 
 * @class dhtmlXDataStore
 * @method next 
 * @memberOf dhtmlXDataStore
 * @example var next_id = data.next(id);
 */
 dhtmlXDataStore.prototype.next  = function() {};
/**
 * 
 * @id dhtmlXDataStore.parse 
 * @class dhtmlXDataStore
 * @method parse 
 * @memberOf dhtmlXDataStore
 * @param {Object} object object - a string or an object
 * @example data.parse("<data> ... </data>");
 * //or
 * data.parse([[1,2,3],[4,5,6]],"jsarray");
 */
 dhtmlXDataStore.prototype.parse  = function(object, type) {};
/**
 * 
 * @id dhtmlXDataStore.previous 
 * @class dhtmlXDataStore
 * @method previous 
 * @memberOf dhtmlXDataStore
 * @example var prev_id = data.previous(id);
 */
 dhtmlXDataStore.prototype.previous  = function() {};
/**
 * 
 * @id dhtmlXDataStore.remove 
 * @class dhtmlXDataStore
 * @method remove 
 * @memberOf dhtmlXDataStore
 * @example //ids of bound component's items and dataStore items' ids coincide.
 * var id = myGrid.getSelectedRowId()
 * data.remove(id)
 */
 dhtmlXDataStore.prototype.remove  = function() {};
/**
 * 
 * @id dhtmlXDataStore.saveBatch 
 * @class dhtmlXDataStore
 * @method saveBatch 
 * @memberOf dhtmlXDataStore
 * @param {String} func func - the user-defined handler function.
 * @example data.saveBatch(function(){
 *         myForm1.save();
 *         myForm2.save();
 * });
 */
 dhtmlXDataStore.prototype.saveBatch  = function(func) {};
/**
 * 
 * @id dhtmlXDataStore.set 
 * @class dhtmlXDataStore
 * @method set 
 * @memberOf dhtmlXDataStore
 * @param {String} id id - the id of the item in question
 * @example data.set(id,{
 * 	property:value
 * });
 */
 dhtmlXDataStore.prototype.set  = function(id, hash) {};
/**
 * 
 * @id dhtmlXDataStore.sort 
 * @class dhtmlXDataStore
 * @method sort 
 * @memberOf dhtmlXDataStore
 * @param {String} key key - the name of a property by which DataStore will be sorted or a custom sorting method
 * @example data.sort("#Version#","asc");
 * data.sort(function(a,b){
 * 	return a.Version > b.Version ? 1 : -1;
 * },"asc");
 */
 dhtmlXDataStore.prototype.sort  = function(key, direction) {};


/**
*
* scheduler object class.
* @id scheduler
* @class scheduler
* @constructor
* @alias scheduler.prototype
 * @return {scheduler}
 */
 function scheduler(){};




/**
 * adds a new event
 * @id scheduler.addEvent
 * @class scheduler
 * @method addEvent
 * @memberOf scheduler
 * @param {Object} start_date start date - date object or string;
 * @example scheduler.addEvent("16-03-1984","19-03-1984","Some");
 * //or
 *    scheduler.addEvent("16-03-1984","19-03-1984","Some","some id",{custom_data:"some data"});
 * //or
 *    scheduler.addEvent({
 *           start_date: "16-03-1984",
 *           end_date: "19-03-1984",
 *           text:"Some",
 *           custom_data:"some data"
 *    });
 */
 scheduler.prototype.addEvent = function(start_date, end_date, text, id, data) {};
/**
 * adds new event and opens lightbox form to confirm
 * @id scheduler.addEventNow
 * @class scheduler
 * @method addEventNow
 * @memberOf scheduler
 * @param {Object} [event_obj] event_obj - object with all event properties you wish to specify, optional
 * @example scheduler.addEvent();
 * //or
 *    scheduler.addEvent({
 *           start_date: new Date(2011,5,13,15),
 *           end_date: new Date(2011,5,13,18),
 *           text: "My new event",
 *           custom_data: "some data"
 *    });
 */
 scheduler.prototype.addEventNow = function(event_obj) {};
/**
 * adds any user-defined handler to available events
 * @id scheduler.attachEvent 
 * @class scheduler
 * @method attachEvent 
 * @memberOf scheduler
 * @param {String} evName evName - name of the event;
 * @example scheduler.attachEvent(evName, evHandler);
 */
 scheduler.prototype.attachEvent  = function(evName, evHandler) {};
/**
 * change event id
 * @id scheduler.changeEventId
 * @class scheduler
 * @method changeEventId
 * @memberOf scheduler
 * @param {String} old_id old id;
 * @param {String} new_id new id.
 * @example 
 */
 scheduler.prototype.changeEventId = function(old_id, new_id) {};
/**
 * 
 * @id scheduler.clearAll
 * @class scheduler
 * @method clearAll
 * @memberOf scheduler
 * @example 
 */
 scheduler.prototype.clearAll = function() {};
/**
 * delete existing event
 * @id scheduler.deleteEvent
 * @class scheduler
 * @method deleteEvent
 * @memberOf scheduler
 * @param {String} event_id event id
 * @example 
 */
 scheduler.prototype.deleteEvent = function(event_id) {};
/**
 * removes an event handler
 * @id scheduler.detachEvent 
 * @class scheduler
 * @method detachEvent 
 * @memberOf scheduler
 * @param {String} id id - event id
 * @example scheduler.detachEvent(id);
 */
 scheduler.prototype.detachEvent  = function(id) {};
/**
 * switch from editing mode to normal mode, disable editor if it&#039;s open
 * @id scheduler.editStop
 * @class scheduler
 * @method editStop
 * @memberOf scheduler
 * @param {String} event_id event id
 * @example 
 */
 scheduler.prototype.editStop = function(event_id) {};
/**
 * edit event
 * @id scheduler.edit
 * @class scheduler
 * @method edit
 * @memberOf scheduler
 * @param {String} event_id event id
 * @example 
 */
 scheduler.prototype.edit = function(event_id) {};
/**
 * Method will hide custom form, remove modal cover, and exec after-saving operations if necessary. 
Can be used as part of custom lightbox form.
 * @id scheduler.endLightbox
 * @class scheduler
 * @method endLightbox
 * @memberOf scheduler
 * @param {Boolean} mode result of edit operation, false - cancel, true - data need to be saved
 * @param {String} [custom_form] html container of the form, optional
 * @example scheduler.endLightbox(false);
 *      //or
 *      scheduler.endLightbox(true, document.getElementById("my_form"));
 */
 scheduler.prototype.endLightbox = function(mode, custom_form) {};
/**
 * 
 * @id scheduler.formSection
 * @class scheduler
 * @method formSection
 * @memberOf scheduler
 * @param {String} name name - name of lightbox section
 * @example //get value
 * var value = scheduler.formSection('description').getValue();
 *     //set value
 * scheduler.formSection('description').setValue('abc');
 */
 scheduler.prototype.formSection = function(name) {};
/**
 * return end date of event by id
 * @id scheduler.getEventEndDate
 * @class scheduler
 * @method getEventEndDate
 * @memberOf scheduler
 * @param {String} event_id event id
 * @example 
 */
 scheduler.prototype.getEventEndDate = function(event_id) {};
/**
 * return start date of event by id
 * @id scheduler.getEventStartDate
 * @class scheduler
 * @method getEventStartDate
 * @memberOf scheduler
 * @param {String} event_id event id
 * @example 
 */
 scheduler.prototype.getEventStartDate = function(event_id) {};
/**
 * returns text of event by id
 * @id scheduler.getEventText
 * @class scheduler
 * @method getEventText
 * @memberOf scheduler
 * @param {String} event_id event id.
 * @example 
 */
 scheduler.prototype.getEventText = function(event_id) {};
/**
 * return event object by id
 * @id scheduler.getEvent
 * @class scheduler
 * @method getEvent
 * @memberOf scheduler
 * @param {String} event_id event id
 * @example 
 */
 scheduler.prototype.getEvent = function(event_id) {};
/**
 * returns collection of events, which occurs in defined period
 * @id scheduler.getEvents
 * @class scheduler
 * @method getEvents
 * @memberOf scheduler
 * @param {Object} from from {date object}
 * @example var evs = scheduler.getEvents(new Date(2009,1,10),new Date(2009,1,25)); 
 *     for (var i=0; i<evs.length; i++)
 *           alert(evs[i].text);
 */
 scheduler.prototype.getEvents = function(from, to) {};
/**
 * returns label text by option&#039;s id and property name
 * @id scheduler.getLabel
 * @class scheduler
 * @method getLabel
 * @memberOf scheduler
 * @param {String} property property - map_to parameter of the option
 * @example var sections=[
 * 	{key:1, label:"James Smith"},
 * 	{key:2, label:"John Williams"},
 * 	{key:3, label:"David Miller"},
 * 	{key:4, label:"Linda Brown"}
 * ];
 * scheduler.config.lightbox.sections=[	
 * 	{name:"description", height:130, map_to:"text", type:"textarea" , focus:true},
 * 	{name:"custom", height:23, type:"select", options:sections, map_to:"section_id" },
 * 	{name:"time", height:72, type:"time", map_to:"auto"}
 * ]
 */
 scheduler.prototype.getLabel = function(property, key) {};
/**
 * returns object with details about current state of the scheduler
 * @id scheduler.getState
 * @class scheduler
 * @method getState
 * @memberOf scheduler
 * @example if (scheduler.getState().mode == "month") {
 *     // custom logic
 * }
 */
 scheduler.prototype.getState = function() {};
/**
 * initialize scheduler
 * @id scheduler.init
 * @class scheduler
 * @method init
 * @memberOf scheduler
 * @param {Object} contaner_id container id - id or object of html container, inside which the scheduler will be created
 * @param {Object} [date] date - js date object, initial date in scheduler, optional - current date will be used by default
 * @param {String} [mode] mode - name of default mode as string ( "month","day","week" ), optional - "week" by default
 * @example 
 */
 scheduler.prototype.init = function(contaner_id, date, mode) {};
/**
 * load data from external file
 * @id scheduler.load
 * @class scheduler
 * @method load
 * @memberOf scheduler
 * @param {String} url url - the server side url ( may be a static xml or server side script which outputs data as XML )
 * @param {Function} callback type - the type of loading data
 * @example scheduler.load("data.xml");
 */
 scheduler.prototype.load = function(url, callback) {};
/**
 * load data from client side resource
 * @id scheduler.parse
 * @class scheduler
 * @method parse
 * @memberOf scheduler
 * @param {Object} data url - string or object , which represents data
 * @param {Object} type type - data type, can be "json" for loading from json object
 * @example scheduler.parse("<data>...</data>");
 */
 scheduler.prototype.parse = function(data, type) {};
/**
 * returns named list of options
 * @id scheduler.serverList
 * @class scheduler
 * @method serverList
 * @memberOf scheduler
 * @param {String} list_name name of a list
 * @example // returns list of options with the name my_list
 * var array = scheduler.serverList("my_list"); 
 * ...
 * // creates and returns specified list
 * var list = scheduler.serverList("options", [
 * 	{key: 1, label: "John"},
 * 	{key: 2, label: "Adam"},
 * 	{key: 3, label: "Diane"}
 * ]);
 */
 scheduler.prototype.serverList = function(list_name, array) {};
/**
 * select event
 * @id scheduler.select
 * @class scheduler
 * @method select
 * @memberOf scheduler
 * @param {String} event_id event id
 * @example 
 */
 scheduler.prototype.select = function(event_id) {};
/**
 * sets the current mode and displayed date
 * @id scheduler.setCurrentView
 * @class scheduler
 * @method setCurrentView
 * @memberOf scheduler
 * @param {Object} date date - date object, which defines current view date;
 * @param {String} mode mode - string, current view mode;
 * @example 
 */
 scheduler.prototype.setCurrentView = function(date, mode) {};
/**
 * 
 * @id scheduler.setEventEndDate
 * @class scheduler
 * @method setEventEndDate
 * @memberOf scheduler
 * @param {String} event_id event id;
 * @param {Object} end_date new end date ( date object ).
 * @example 
 */
 scheduler.prototype.setEventEndDate = function(event_id, end_date) {};
/**
 * set start date for event
 * @id scheduler.setEventStartDate
 * @class scheduler
 * @method setEventStartDate
 * @memberOf scheduler
 * @param {String} event_id event id;
 * @param {Object} start_date new start date ( date object ).
 * @example 
 */
 scheduler.prototype.setEventStartDate = function(event_id, start_date) {};
/**
 * set text for event
 * @id scheduler.setEventText
 * @class scheduler
 * @method setEventText
 * @memberOf scheduler
 * @param {String} event_id event id;
 * @param {String} text new text.
 * @example 
 */
 scheduler.prototype.setEventText = function(event_id, text) {};
/**
 * set auto-loading mode
 * @id scheduler.setLoadMode
 * @class scheduler
 * @method setLoadMode
 * @memberOf scheduler
 * @param {String} mode mode-string:
 * @example 
 */
 scheduler.prototype.setLoadMode = function(mode) {};
/**
 * 
 * @id scheduler.setLightboxSize
 * @class scheduler
 * @method setLightboxSize
 * @memberOf scheduler
 * @example scheduler.setLightboxSize();
 */
 scheduler.prototype.setLightboxSize = function() {};
/**
 * shows details form for the event
 * @id scheduler.showLightbox
 * @class scheduler
 * @method showLightbox
 * @memberOf scheduler
 * @param {String} event_id event id
 * @example scheduler.showLightbox("some_id");
 */
 scheduler.prototype.showLightbox = function(event_id) {};
/**
 * Method can be used as start part of custom lightbox form, it will block scheduler and show provide html container at center of the screen. 
The pair endLightbox command can be used to hide the custom lightbox form.
 * @id scheduler.startLightbox
 * @class scheduler
 * @method startLightbox
 * @memberOf scheduler
 * @param {String} event_id event id
 * @param {String} custom_form html element of custom form
 * @example scheduler.startLightbox("some_id");
 *      //or
 *      scheduler.startLightbox("some_id", document.getElementById("my_form"));
 */
 scheduler.prototype.startLightbox = function(event_id, custom_form) {};
/**
 * 
 * @id scheduler.resetLightbox
 * @class scheduler
 * @method resetLightbox
 * @memberOf scheduler
 * @example scheduler.resetLightbox();
 */
 scheduler.prototype.resetLightbox = function() {};
/**
 * 
 * @id scheduler.uid
 * @class scheduler
 * @method uid
 * @memberOf scheduler
 * @example 
 */
 scheduler.prototype.uid = function() {};
/**
 * unselect event
 * @id scheduler.unselect
 * @class scheduler
 * @method unselect
 * @memberOf scheduler
 * @param {String} [event_id] event id - optional, if not provided , then currently selected event will be unselected
 * @example 
 */
 scheduler.prototype.unselect = function(event_id) {};
/**
 * force event updating
 * @id scheduler.updateEvent
 * @class scheduler
 * @method updateEvent
 * @memberOf scheduler
 * @param {String} event_id event id
 * @example scheduler.getEvent("someId").text = "new text"; //change data of event
 *     scheduler.updateEvent("someId"); // render updated event
 */
 scheduler.prototype.updateEvent = function(event_id) {};
/**
 * updates specified collection with the new options
 * @id scheduler.updateCollection
 * @class scheduler
 * @method updateCollection
 * @memberOf scheduler
 * @param {String} collection_name name of the collection to update
 * @example scheduler.config.lightbox.sections=[   
 * 	{name:"description", height:130, map_to:"text", type:"textarea" , focus:true},
 * 	{name:"items", height:23, type:"select", options:serverList("goods", goods_array) , map_to:"section_id" }, 
 * 	{name:"time", height:72, type:"time", map_to:"auto"}
 * ];
 */
 scheduler.prototype.updateCollection = function(collection_name, new_collection) {};
/**
 * 
 * @id scheduler.createUnitsView
 * @class scheduler
 * @method createUnitsView
 * @memberOf scheduler
 * @param {String} configuration name - name of view
 * @example var sections=[
 * 	{key:1, label:"Section A"},
 * 	{key:2, label:"Section B"},
 * 	{key:3, label:"Section C"},
 * 	{key:4, label:"Section D"}
 * ];
 * 
 * scheduler.createUnitsView({
 * 	name:"unit",
 * 	property:"section_id",
 * 	list:
 * 		[	{key:1, label:"Section A"},
 * 			{key:2, label:"Section B"},
 * 			{key:3, label:"Section C"},
 * 			{key:4, label:"Section D"}	],
 *         skip_incorrect:true,
 * 	size:10,
 * 	step:5
 * });
 */
 scheduler.prototype.createUnitsView = function(configuration) {};
/**
 * X scale
 * @id scheduler.createTimelineView
 * @class scheduler
 * @method createTimelineView
 * @memberOf scheduler
 * @param {String} configuration name - name of mode, same as name of the tab in html template ( you can have few different timelines, with different name , at the same time )
 * @example scheduler.createTimelineView({
 *      name:		"timeline",
 *      x_unit:	"minute",
 *      x_date:	"%H:%i",
 *      x_step:	30,
 *      x_size:	24,
 *      x_start:	16,
 *      x_length:	48,
 *      y_unit:
 *      	[	{key:1, label:"Section A"},
 *         	{key:2, label:"Section B"},
 *         	{key:3, label:"Section C"},
 *         	{key:4, label:"Section D"}	],
 *      y_property:"section_id",
 *      render:	"bar"
 * });
 */
 scheduler.prototype.createTimelineView = function(configuration) {};
/**
 * opens specified section in current Timeline-Tree view.
 * @id scheduler.openSection
 * @class scheduler
 * @method openSection
 * @memberOf scheduler
 * @param {String} section_id section id
 * @example scheduler.createTimelineView({
 *         ...
 * 	y_unit: [ 
 * 		{key:10, label:"Web Testing Dep.", open: false, children: [
 * 			{key:20, label:"Elizabeth Taylor"},
 * 			{key:30, label:"Managers", open: false, children: [
 * 				{key:40, label:"John Williams"},
 * 				{key:50, label:"David Miller"}
 * 			]},
 * 			{key:60, label:"Linda Brown"},
 * 			{key:70, label:"George Lucas"}
 * 		]},
 * 		{key:80, label:"Kate Moss"},
 * 		{key:90, label:"Dian Fossey"}
 * 	],
 *         ...
 * });
 */
 scheduler.prototype.openSection = function(section_id) {};
/**
 * closes specified section in current Timeline-Tree view.
 * @id scheduler.closeSection
 * @class scheduler
 * @method closeSection
 * @memberOf scheduler
 * @param {String} section_id section id
 * @example scheduler.createTimelineView({
 *         ...
 * 	y_unit: [ 
 * 		{key:10, label:"Web Testing Dep.", open: true, children: [
 * 			{key:20, label:"Elizabeth Taylor"},
 * 			{key:30, label:"Managers", open: true, children: [
 * 				{key:40, label:"John Williams"},
 * 				{key:50, label:"David Miller"}
 * 			]},
 * 			{key:60, label:"Linda Brown"},
 * 			{key:70, label:"George Lucas"}
 * 		]},
 * 		{key:80, label:"Kate Moss"},
 * 		{key:90, label:"Dian Fossey"}
 * 	],
 *         ...
 * });
 */
 scheduler.prototype.closeSection = function(section_id) {};
/**
 * 
 * @id scheduler.openAllSections
 * @class scheduler
 * @method openAllSections
 * @memberOf scheduler
 * @example scheduler.openAllSections();
 */
 scheduler.prototype.openAllSections = function() {};
/**
 * 
 * @id scheduler.closeAllSections
 * @class scheduler
 * @method closeAllSections
 * @memberOf scheduler
 * @example scheduler.closeAllSections();
 */
 scheduler.prototype.closeAllSections = function() {};
/**
 * adds section to specified parent section in current Timeline-Tree view.
 * @id scheduler.addSection
 * @class scheduler
 * @method addSection
 * @memberOf scheduler
 * @param {Object} section_object section object
 * @example scheduler.createTimelineView({
 *         ...
 * 	y_unit: [ 
 * 		{key:10, label:"Web Testing Dep.", open: false, children: [
 * 			{key:20, label:"Elizabeth Taylor"},
 * 			{key:30, label:"Managers", open: false, children: [
 * 				{key:40, label:"John Williams"},
 * 				{key:50, label:"David Miller"}
 * 			]},
 * 			{key:60, label:"Linda Brown"},
 * 			{key:70, label:"George Lucas"}
 * 		]},
 * 		{key:80, label:"Kate Moss"},
 * 		{key:90, label:"Dian Fossey"}
 * 	],
 *         ...
 * });
 */
 scheduler.prototype.addSection = function(section_object, parent_section_id) {};
/**
 * deletes specified section in current Timeline-Tree view.
 * @id scheduler.deleteSection
 * @class scheduler
 * @method deleteSection
 * @memberOf scheduler
 * @param {String} section_id section id
 * @example scheduler.createTimelineView({
 *         ...
 * 	y_unit: [ 
 * 		{key:10, label:"Web Testing Dep.", open: false, children: [
 * 			{key:20, label:"Elizabeth Taylor"},
 * 			{key:30, label:"Managers", open: false, children: [
 * 				{key:40, label:"John Williams"},
 * 				{key:50, label:"David Miller"}
 * 			]},
 * 			{key:60, label:"Linda Brown"},
 * 			{key:70, label:"George Lucas"}
 * 		]},
 * 		{key:80, label:"Kate Moss"},
 * 		{key:90, label:"Dian Fossey"}
 * 	],
 *         ...
 * });
 */
 scheduler.prototype.deleteSection = function(section_id) {};
/**
 * returns section object by id in current Timeline-Tree view.
 * @id scheduler.closeSection
 * @class scheduler
 * @method closeSection
 * @memberOf scheduler
 * @param {String} section_id section id
 * @example scheduler.createTimelineView({
 *         ...
 * 	y_unit: [ 
 * 		{key:10, label:"Web Testing Dep.", open: true, children: [
 * 			{key:20, label:"Elizabeth Taylor"},
 * 			{key:30, label:"Managers", open: true, children: [
 * 				{key:40, label:"John Williams"},
 * 				{key:50, label:"David Miller"}
 * 			]},
 * 			{key:60, label:"Linda Brown"},
 * 			{key:70, label:"George Lucas"}
 * 		]},
 * 		{key:80, label:"Kate Moss"},
 * 		{key:90, label:"Dian Fossey"}
 * 	],
 *         ...
 * });
 */
 scheduler.prototype.closeSection = function(section_id) {};
/**
 * 
 * @id scheduler.expand
 * @class scheduler
 * @method expand
 * @memberOf scheduler
 * @example scheduler.expand();
 */
 scheduler.prototype.expand = function() {};
/**
 * 
 * @id scheduler.collapse
 * @class scheduler
 * @method collapse
 * @memberOf scheduler
 * @example scheduler.collapse();
 */
 scheduler.prototype.collapse = function() {};
/**
 * 
 * @id scheduler.renderCalendar
 * @class scheduler
 * @method renderCalendar
 * @memberOf scheduler
 * @param {Object} [configuration] container - optional, html container, inside each calendar will be rendered; can be ID of html element or HTML object
 * @example scheduler.renderCalendar({
 * 	    container:"for_calendar"
 * 		date:some_date,
 * 		navigation:true,
 * 		handler:function(date,calendar){
 * 		}
 * 	});
 */
 scheduler.prototype.renderCalendar = function(configuration) {};
/**
 * Parameters:
 * @id scheduler.destroyCalendar
 * @class scheduler
 * @method destroyCalendar
 * @memberOf scheduler
 * @param {Object} [calendar] calendar - optional, calendar&#039;s object, when called without parameters attempts to destroy last created containerless calendar
 * @example scheduler.destroyCalendar();
 * 	//or
 * 	var calendar = scheduler.renderCalendar(...);
 * 	...
 * 	scheduler.destroyCalendar(calendar);
 */
 scheduler.prototype.destroyCalendar = function(calendar) {};
/**
 * 
 * @id scheduler.isCalendarVisible
 * @class scheduler
 * @method isCalendarVisible
 * @memberOf scheduler
 * @example var check = scheduler.isCalendarVisible();
 */
 scheduler.prototype.isCalendarVisible = function() {};
/**
 * 
 * @id scheduler.markCalendar
 * @class scheduler
 * @method markCalendar
 * @memberOf scheduler
 * @param {Object} calendar calendar - calendar object
 * @param {Object} date date - date object, defines date which need to be marked
 * @param {String} [css] css - optional, css class which will be used for marking
 * @example scheduler.markCalendar(calendar, new Date(2010,3,1), "my_style");
 */
 scheduler.prototype.markCalendar = function(calendar, date, css) {};
/**
 * 
 * @id scheduler.markCalendar
 * @class scheduler
 * @method markCalendar
 * @memberOf scheduler
 * @param {Object} calendar calendar - calendar object
 * @param {Object} date date - date object, defines date which need to be unmarked
 * @param {String} [css] css - optional, css class which was used for marking
 * @example scheduler.unmarkCalendar(calendar, new Date(2010,3,1), "my_style");
 */
 scheduler.prototype.markCalendar = function(calendar, date, css) {};
/**
 * Parameters:
 * @id scheduler.updateCalendar
 * @class scheduler
 * @method updateCalendar
 * @memberOf scheduler
 * @param {Object} calendar calendar - calendar object, which was created by renderCalendar
 * @param {String} new_date new_date  - new date, which need to be rendered in mini-calendar
 * @example var calendar = scheduler.renderCalendar(...);
 * 	...
 * 	scheduler.updateCalendar(calendar, new Date(2009,1,1));
 */
 scheduler.prototype.updateCalendar = function(calendar, new_date) {};
/**
 * Parameters:
 * @id scheduler.linkCalendar
 * @class scheduler
 * @method linkCalendar
 * @memberOf scheduler
 * @param {String} calendar calendar - calendar which was created with renderCalendar call
 * @param {String} shift shift - allows to define how date in mini-calendar will differ from one in scheduler
 * @example var calendar = scheduler.renderCalendar(...);
 * 	scheduler.linkCalendar(calendar);
 */
 scheduler.prototype.linkCalendar = function(calendar, shift) {};
/**
 * 
 * @id scheduler.toICal
 * @class scheduler
 * @method toICal
 * @memberOf scheduler
 * @param {String} url url - url of server side part of PDF converter
 * @param {String} [mode] mode - optional, color mode, can be "color","gray","bw"
 * @example scheduler.toPDF("./service/generate.php","color");
 */
 scheduler.prototype.toICal = function(url, mode) {};
/**
 * 
 * @id scheduler.toXML
 * @class scheduler
 * @method toXML
 * @memberOf scheduler
 * @example var str = scheduler.toXML();
 */
 scheduler.prototype.toXML = function() {};
/**
 * 
 * @id scheduler.toJSON
 * @class scheduler
 * @method toJSON
 * @memberOf scheduler
 * @example var str = scheduler.toJSON();
 */
 scheduler.prototype.toJSON = function() {};
/**
 * Return data from the scheduler, as ICal string
 * @id scheduler.toICal
 * @class scheduler
 * @method toICal
 * @memberOf scheduler
 * @param {String} [header] header - optional text string, which will be used as calendar&#039;s name
 * @example var str = scheduler.toICal();
 * 	//or
 * 	var str = scheduler.toICal("My calendar");
 */
 scheduler.prototype.toICal = function(header) {};
/**
 * Returns all occurrences of a recurring event as array of objects with following properties:
 * @id scheduler.getRecDates
 * @class scheduler
 * @method getRecDates
 * @memberOf scheduler
 * @param {String} event_id event_id - id of the recurring event
 * @param {String} maximum_number start_date
 * @example var dates = scheduler.getRecDates(22);
 */
 scheduler.prototype.getRecDates = function(event_id, maximum_number) {};
/**
 * 
 * @id scheduler.blockTime
 * @class scheduler
 * @method blockTime
 * @memberOf scheduler
 * @param {Object} date date - js date object, or number ( if number provided - it will be treated as day of week )
 * @example //disallow any event for specific day
 * scheduler.blockTime(new Date(2009,5,30), "fullday");
 * //disallow events from 0 till 10 hours, for specific date
 * scheduler.blockTime(new Date(2009,6,3), [0,10*60]);
 * //disallow events from 0 till 8 and from 18 till 24 hours, for saturday
 * scheduler.blockTime(6, [0,8*60,18*60,24*60]);
 * //disallow any event for specific week-day (sunday)
 * scheduler.blockTime(0, "fullday","weekly");
 */
 scheduler.prototype.blockTime = function(date, time_points) {};
